# Copyright 2005-2016 Canonical Limited.  All rights reserved.

import sys

from testtools.run import TestToolsTestRunner

from benchmark.testing.result import TestResult


class TestRunner(TestToolsTestRunner):
    """A test runner tweaked for benchmark tests."""

    def __init__(self, failfast=None, subunit=None):
        super(TestRunner, self).__init__(failfast=failfast, stdout=sys.stdout)
        self.subunit = subunit

    def run(self, test):
        "Run the given test case or test suite."
        result = TestResult(self.stdout, failfast=self.failfast, subunit=self.subunit)
        result.startTestRun()
        try:
            return test.run(result)
        finally:
            result.stopTestRun()
