from twisted.internet.defer import succeed


class FakeAMQClient(object):
    def __init__(self):
        self.amq_channel = FakeAMQChannel()

    def authenticate(self, user, password):
        return succeed(True)

    def channel(self, index):
        return succeed(self.amq_channel)


class FakeAMQChannel(object):
    def channel_open(self):
        return succeed(True)


class FakePublisher(object):
    def __init__(self):
        self.connections = []

    def connected(self, connection_data):
        self.connections.append(connection_data)
        return succeed(True)

    def disconnected(self):
        self.connections.pop()
