# Copyright 2005-2013 Canonical Limited.  All rights reserved.
import os

from canonical.security.importguardian import ImportGuardian

# XXX This pulls in most of zope.security, takes about 300ms. It would be
# nice not to enable this for the model.
import canonical.security.safe

canonical.security.safe.install()

from canonical.landscape.environment import get_config_name


if get_config_name() == "default" and not os.getenv("LANDSCAPE_TESTRUN"):
    # If an ImportGuardian is already installed don't replace it.  This
    # prevents it from being installed twice, once when canonical.landscape is
    # imported and again when safe.canonical.landscape is imported.
    if not isinstance(__import__, ImportGuardian):
        from canonical.landscape.security.importpolicy import import_guardian

        import_guardian.install()


# add vendored landscape-lib to pythonpath
def _add_vendor_path():
    import sys
    from os import path
    from canonical import __file__ as src_root

    vendor_path = path.abspath(
        path.join(path.dirname(src_root), "..", "vendor", "landscape-lib")
    )
    if vendor_path not in sys.path:
        sys.path.append(vendor_path)


_add_vendor_path()
