# Copyright 2005-2013 Canonical Limited.  All rights reserved.

from future import standard_library

standard_library.install_aliases()
from urllib.parse import urlunparse, urlparse
from urllib.parse import urlencode


from twisted.web.http import combinedLogFormatter


def combinedLogFormatterForAPI(timestamp, request):
    """Custom version of C{twisted.web.http.combinedLogFormatter}.

    XXX This log formatter extracts the API action and user's access key ID
    from the body of the POST'ed request and then modifies the C{request}
    object in order to insert such details in the HTTP log entry, making
    the formatter think that they were part of the URL. It has been implemented
    to address Bug #868718, but we should probably do something different, like
    logging (more) details in a separate line.
    """
    uri = urlparse(request.uri)
    args = request.args
    content = urlencode(
        {
            "action": args.get(b"action", ["MissingAction"])[0],
            "access_key_id": args.get(b"access_key_id", ["Unknown"])[0],
        }
    )
    request.uri = urlunparse(
        (uri.scheme, uri.netloc, uri.path, b"", content.encode(), b"")
    )
    return combinedLogFormatter(timestamp, request)
