# Copyright 2005-2013 Canonical Limited.  All rights reserved.

"""
Repositories
============

These methods give access to repository management.
"""

from canonical.landscape.api.repository.distribution import (
    CreateDistribution,
    GetDistributions,
    RemoveDistribution,
)
from canonical.landscape.api.repository.series import (
    CreateSeries,
    RemoveSeries,
    DeriveSeries,
)
from canonical.landscape.api.repository.pocket import (
    CreatePocket,
    RemovePocket,
    SyncMirrorPocket,
    PullPackagesToPocket,
    DiffPullPocket,
    ListPocket,
    EditPocket,
    AddUploaderGPGKeysToPocket,
    RemoveUploaderGPGKeysFromPocket,
    RemovePackagesFromPocket,
    AddPackageFiltersToPocket,
    RemovePackageFiltersFromPocket,
)
from canonical.landscape.api.repository.profile import (
    CreateRepositoryProfile,
    GetRepositoryProfiles,
    EditRepositoryProfile,
    AssociateRepositoryProfile,
    RemoveRepositoryProfile,
    DisassociateRepositoryProfile,
    AddPocketsToRepositoryProfile,
    RemovePocketsFromRepositoryProfile,
    RemoveRepositoryProfiles,
    AddAPTSourcesToRepositoryProfile,
    RemoveAPTSourcesFromRepositoryProfile,
    RemoveAPTSourceFromRepositoryProfile,
)
from canonical.landscape.api.repository.aptsource import (
    GetAPTSources,
    CreateAPTSource,
    RemoveAPTSource,
    RemoveAPTSources,
)

__all__ = [
    "CreateDistribution",
    "GetDistributions",
    "RemoveDistribution",
    "CreateSeries",
    "RemoveSeries",
    "DeriveSeries",
    "CreatePocket",
    "RemovePocket",
    "SyncMirrorPocket",
    "PullPackagesToPocket",
    "DiffPullPocket",
    "ListPocket",
    "EditPocket",
    "RemovePackagesFromPocket",
    "CreateRepositoryProfile",
    "GetRepositoryProfiles",
    "GetAPTSources",
    "CreateAPTSource",
    "RemoveAPTSource",
    "RemoveAPTSources",
    "AssociateRepositoryProfile",
    "DisassociateRepositoryProfile",
    "AddPocketsToRepositoryProfile",
    "RemovePocketsFromRepositoryProfile",
    "AddAPTSourcesToRepositoryProfile",
    "RemoveRepositoryProfile",
    "RemoveAPTSourceFromRepositoryProfile",
    "RemoveAPTSourcesFromRepositoryProfile",
    "RemoveRepositoryProfiles",
    "EditRepositoryProfile",
    "AddUploaderGPGKeysToPocket",
    "RemoveUploaderGPGKeysFromPocket",
    "AddPackageFiltersToPocket",
    "RemovePackageFiltersFromPocket",
]
