The `LandscapeHostAgentServicer` acts as an intermediary between `landscape-server` and the Windows `hostagent`.

Commands from `landscape-server` to a `hostagent` should be JSON encoded messages of one of the following formats:

```
{"assign_host": uid}
{"install": id}
{"set_default": id}
{"shutdown_host": None}
{"start": id}
{"stop": id}
{"uninstall": id}
```

The `LandscapeHostAgentServicer` will read these messages from RabbitMQ, convert them to the appropriate `hostagent_pb2.Command` instance, and send it to the appropriate `hostagent`.

The Windows `hostagent` is responsible for establishing a connection to the `LandscapeHostAgentServicer` as a grpc client.
That client connection will send `hostagent_pb2.HostAgentInfo` data via grpc from the `hostagent` to the `LandscapeHostAgentServicer`.

Any `hostagent_pb2.HostAgentInfo` that `LandscapeHostAgentServicer` receives from a `hostagent` is placed in a RabbitMQ
message queue for `landscape-server` to consume. These messages are JSON encoded like the example below.

```
{
    "hostname": "the_hostname",
    "token": "the_pro_token",
    "uid": "the_uid",
    "instances": [
        {
            "id": "the_instance_id",
            "instance_state": 1,
            "name": "the_instance_name",
            "version_id": "jammy"
        },
        {
            "id": "another_instance_id",
            "instance_state": 0,
            "name": "another instance name",
            "version_id": "focal"
        }
        ...
    ]
}
```

RabbitMQ is expected to be configured in such a way that
1. A virtual host is configured for this particular message exchange.
2. Both `landscape-server` and `LandscapeHostAgentServicer` have permission to access the virtual host and its queues.
3. There is one queue for each `hostagent` and the queue name exactly matches the `uid` of the `hostagent`.
4. There is one queue for `landscape-server` to consume.
