// Copyright 2005-2014 Canonical Limited.  All rights reserved.

YUI.add("landscape.eventlog.eventloglisting", function(Y) {

Y.namespace("landscape.eventlog");

var Dialog = Y.landscape.ui.Dialog;

var EventLogListing = Y.Base.create("eventLog", Y.View, [], {

    render: function() {
      var container = this.get("container"),
          dialogNode = container.one("#eventlog-dialog"),
          tableNode = container.one(".eventlog-table");

      this._dialog = new Dialog({
          boundingBox: dialogNode,
          contentBox: dialogNode.one(".yui3-dialog-content"),
          width: 800,
          zIndex: 1000,
          headerContent: "<h3>Log entry details</h3>",
          visible: false,
          constrain: true,
          align: {
              node: tableNode,
              points: ["tc", "tc"]
          }
      });
      this._dialog.render();
      container.all(".log-entry").on("click", this._onLogEntryClick, this);
    },
    
    /*
     * Populate the dialog with the information of the log entry.
     */
    _onLogEntryClick: function(e) {
        container = this.get("container");
        e.preventDefault();
        // XXX Since the dialog is unique and only its contents that gets
        // updated, in order to properly position it when the user clicks,
        // the dialog must be hidden and then shown again.
        this._dialog.hide();

        var row = e.target.ancestor("tr"),
            creation_time = row.one(".log-entry-creation-time").get("text"),
            person_name = row.one(".log-entry-person-name").get("text"),
            person_id = row.getData("person-id"),
            entity_type = row.one(".log-entry-entity-type").get("text"),
            entity_name = row.one(".log-entry-entity-name").get("text"),
            entity_id = row.getData("entity-id"),
            message = row.one(".log-entry-message").get("text");
        
        container.one(".dialog-creation-time").set("text", creation_time);
        container.one(".dialog-person-name").set("text", person_name);
        container.one(".dialog-person-id").set("text", person_id);
        container.one(".dialog-entity-type").set("text", entity_type);
        container.one(".dialog-entity-name").set("text", entity_name);
        container.one(".dialog-entity-id").set("text", entity_id);
        container.one(".dialog-message").set("text", message);
        
        this._dialog.show();
    }
});

Y.landscape.eventlog.EventLogListing = EventLogListing;

}, "0.1", {"requires": ["node",
                        "base",
                        "view",
                        "landscape.ui.dialog"]});
