// Copyright 2005-2013 Canonical Limited.  All rights reserved.

YUI.add("landscape.legacy.term", function(Y) {

Y.namespace("landscape.legacy");

// A TermManager is used to add or remove terms from a textbox.  Terms
// are rendered as tooltips that, when clicked, are added to a list of
// terms in a textbox; if the clicked terms is already present in the
// textbox, it is removed.
var TermManager = function(textbox_id) {
    this._textbox_id = textbox_id;
};

TermManager.prototype.toggle_term = function(term) {
    var textbox = Y.one("#" + this._textbox_id);
    var terms = textbox.get("value").split(" ");
    var found = false;
    for (var i=0; i < terms.length; i++) {
        if (term == terms[i]) {
            found = true;
            break;
        }
    }
    if (found) {
        textbox.set("value", "");
        for (i = 0; i < terms.length; ++i) {
            if (terms[i] != term) {
                this._add_term(textbox, terms[i]);
            }
        }
    } else {
        this._add_term(textbox, term);
    }
};

TermManager.prototype._add_term = function(textbox, term) {
    var value = textbox.get("value");
    if (value.length > 0) {
        value = value + " " + term;
    } else {
        value = term;
    }
    textbox.set("value", value);
};

Y.landscape.legacy.TermManager = TermManager;

}, "0.1", {"requires": ["node"]});
