// Copyright 2005-2013 Canonical Limited.  All rights reserved.

// Create a globally shared YUI 'sandbox', prefetching some combo
// files.
var LS = function() {

    var LANDSCAPE_STATIC_ROOT_PATH = this.LANDSCAPE_STATIC_ROOT_PATH,
        LANDSCAPE_SKIN = this.LANDSCAPE_SKIN,
        LANDSCAPE_DEBUG_JS = this.LANDSCAPE_DEBUG_JS,
        LANDSCAPE_DEBUG_YUI = this.LANDSCAPE_DEBUG_YUI,
        UNDEF = "undefined",
        STATIC = "/static",
        YUI_META = "-yui-meta.js",
        YUI_META_MIN = "-yui-meta-min.js",
        MIN = "-min.js",
        COMBO_BASE = LANDSCAPE_STATIC_ROOT_PATH + "/combo?";

    if (typeof LANDSCAPE_DEBUG_JS === UNDEF) {
        LANDSCAPE_DEBUG_JS = false;
    }

    if (typeof LANDSCAPE_DEBUG_YUI === UNDEF) {
        LANDSCAPE_DEBUG_YUI = false;
    }

    if (typeof LANDSCAPE_STATIC_ROOT_PATH === UNDEF) {
        LANDSCAPE_STATIC_ROOT_PATH = "";
    }

    if (typeof LANDSCAPE_SKIN === UNDEF) {
        LANDSCAPE_SKIN = "basic";
    }

    var LANDSCAPE_YUI_CONFIG = {
        async: true,
        filter: "min",
        comboBase: COMBO_BASE,
        root: "yui/",
        combine: true,
        debug: false,
        base: LANDSCAPE_STATIC_ROOT_PATH + STATIC + "/yui/",
        logLevel: "info",
        landscape: {base: LANDSCAPE_STATIC_ROOT_PATH,
                    pageKey: LANDSCAPE_PAGE_KEY,
                    skin: LANDSCAPE_SKIN},
        modules: LANDSCAPE_MODULES,
        // Configuration for the Event Binder module starts here. See:
        // http://www.yuiblog.com/blog/2010/06/23/event-binder/
        eventbinder: {
            // listener callback function
            fn: function(e) {
                var binder = LANDSCAPE_YUI_CONFIG.eventbinder,
                    filter = /yui3-event-binder/,
                    target = (e.target || e.srcElement),
                    container = target,
                    info = {
                        target: target,
                        type : e.type
                    },
                    i;

                if (target.nodeType === 3) {
                    // target is a text node, so use its parent element
                    target = target.parentNode;
                }

                // look for an element with the class yui3-event-binder
                while (container && !filter.test(container.className)) {
                    container = container.parentNode;
                }

                if (container) {
                    target.className += ' yui3-waiting';

                    binder.q = (binder.q || []);
                    binder.q.push(info);

                    // prevent the default browser action for this event
                    if (e.preventDefault) {
                        e.preventDefault();
                    }
                    return (e.returnValue = false); // jshint ignore:line
                }
            },
            listenFor: function(type) {
                var d = document;

                if (d.addEventListener) {
                    d.addEventListener(type, this.fn, false);
                } else {
                    d.attachEvent('on' + type, this.fn);
                }
                return this;
            },
            flush: function(Y, type) {
                var d = document;

                // Detach event listener registered with listenFor.
                if (d.removeEventListener) {
                    d.removeEventListener(type, this.fn, false);
                } else {
                    d.detachEvent("on" + type, this.fn);
                }

                // Now really flush the events.
                Y.use("landscape.ui.eventbinder", function(Y) {
                    Y.landscape.ui.EventBinder.flush(type);
                });

                return this;
            }
        }
    };

    if (LANDSCAPE_SKIN == "Hokan") {
        LANDSCAPE_YUI_CONFIG.fetchCSS = false;
    }

    // add events to the monitoring process
    LANDSCAPE_YUI_CONFIG.eventbinder.listenFor('click');

    if (LANDSCAPE_DEBUG_LOG) {
        LANDSCAPE_YUI_CONFIG.debug = true;
        LANDSCAPE_YUI_CONFIG.logLevel = "debug";
    }

    // If Javascript debugging is enabled, configure the YUI loader to use
    // the debug versions of the Javascript files.
    if (LANDSCAPE_DEBUG_JS) {
        LANDSCAPE_YUI_CONFIG.filter = "raw";
        LANDSCAPE_YUI_CONFIG.combine = false;
    }

    if (LANDSCAPE_DEBUG_YUI) {
        LANDSCAPE_YUI_CONFIG.filter = "debug";
    }

    var Y = YUI(LANDSCAPE_YUI_CONFIG);

    return Y;
}();
