// Copyright 2005-2013 Canonical Limited.  All rights reserved.

YUI.add("landscape.selection.reboot", function(Y) {

Y.namespace("landscape.selection");

/**
 * This widget shows a modal dialog that lets users reboot or shutdown
 * selected machines.
 *
 * @class Reboot
 * @extends Widget
 * @constructor
 */
var Reboot = function(config) {
    Reboot.superclass.constructor.apply(this, arguments);
};

Reboot.NAME = "Reboot";
Reboot.ATTRS = {
    /**
     * @attribute io
     * @description The DataSource class to use for creating DataSource objects
     *     when sending actions to the server.
     * @type class
     */
    io: {
        value: Y.DataSource.IO,
        cloneDefaultValue: false
    },

    document: {
        value: Y.config.doc,
        cloneDefaultValue: false
    }
};

Y.extend(Reboot, Y.Widget, {

    initializer: function(config) {
        var contentBox = this.get("contentBox");

        this._overlayButton = contentBox.all("#reboot-button");
        this._formBox = contentBox.one("#reboot-form");

        this._overlay = new Y.landscape.ui.Dialog({
            contentBox: "#reboot-overlay",
            bodyContent: this._formBox,
            visible : false,
            width : "70%",
            align : {
                node : "#toolbar-content-area",
                points : [Y.WidgetPositionAlign.CC,
                          Y.WidgetPositionAlign.CC]
            }
        });
    },

    renderUI: function() {
        this._formBox.show();
        this._overlay.render();
    },

    showOverlay: function() {
        this._overlay.show();
    },

    updateSelection: function(after) {
        Y.io("update", {
            method: "POST",
            form: {id: "computer-selection-form"},
            context: this,
            on: {complete: after}
        });
    }

});

Y.landscape.selection.Reboot = Reboot;

}, "0.1", {"requires" : ["node", "base", "io-form", "datasource-io", "widget",
                         "landscape.ui.dialog", "landscape.util.text",
                         "landscape.notes"]});
