// Copyright 2005-2013 Canonical Limited.  All rights reserved.

YUI.add("landscape.table.htmlparser", function(Y) {

Y.namespace("landscape.table");

/**
 * DataTable extension providing progressive enhancement.
 *
 * It simply removes any existing table node inside the content box, so
 * it can be replaced by the one rendered by the widget.
 *
 * @module landscape.table.htmlparser
 **/

var HTMLParser = function() {};

Y.mix(HTMLParser.prototype, {

    initializer: function() {
        // The renderView event is fired by DataTable when it's about to
        // render its DataTable.TableView instance.
        this.on("renderView", this._onRenderView, this);
    },

    _onRenderView: function(e) {
        // If there's already a table, just remove it, as it will be redrawn by
        // the widget.
        var tableNode = this.get("srcNode").one("table");
        if (tableNode) {
            tableNode.remove();
        }
    },

});

Y.landscape.table.HTMLParser = HTMLParser;

}, "0.1", {"requires": ["datatable-base"]});
