# Copyright 2005-2015 Canonical Limited.  All rights reserved.

import os

BASE_DIR = "canonical/landscape"


def get_base_dir(request):
    """Extract the path to the base dir from the JS testing request header.

    This function will look at the HTTP_X_JAVASCRIPT_TESTING_BASE_PATH header
    set by the Zope testbrowser and figure the path to the current branch's
    base dir based on that.
    """
    path = request["HTTP_X_JAVASCRIPT_TESTING_BASE_PATH"]
    base_dir = ""
    while True:
        path = os.path.dirname(path)
        if path == BASE_DIR:
            break
        base_dir += "../"
    return base_dir[:-1]
