// Copyright 2005-2014 Canonical Limited.  All rights reserved.

YUI.add("landscape.ui.checklist", function(Y) {

Y.namespace("landscape.ui");

/**
 * A checklist with expandable items.
 *
 * @class CheckList
 * @extends Widget
 **/

var CheckList = Y.Base.create("checklist", Y.landscape.ui.ExpandableList, [], {

    initializer: function(config) {
        this.setAttrs({
            classPrefix: "checklist",
            toggleSelector: ".checklist-title"});
    },

    /**
     * Mark checklist item with the given index as passed.
     */
    markAsPassed: function(index) {
        this.enableAt(index);
    },

    /**
     * Mark checklist item with the given index as failed.
     */
    markAsFailed: function(index) {
        this._getItem(index).addClass("checklist-failed");
        this.enableAt(index);
        this.expandAt(index);
    },

}, {});

Y.landscape.ui.CheckList = CheckList;


}, "0.1", {"requires": ["node",
                        "base",
                        "event",
                        "landscape.ui.expandablelist"]});
