// Copyright 2005-2011 Canonical Limited.  All rights reserved.

YUI.add("landscape.ui.debug", function(Y) {

Y.namespace("landscape.ui");

Y.on("domready", function() {
    var CONTENT_ELEMENT = "#content",
        DEBUG_TOOLBAR = "#wsgi-debug-toolbar",
        OVERLAY_CONTENT = "#wsgi-sql-overlay",
        HEADER = "#header",
        NAV = "nav",
        REGION = "region",
        content = Y.one(CONTENT_ELEMENT),
        toolbar = Y.one(DEBUG_TOOLBAR),
        overlayContent = Y.one(OVERLAY_CONTENT),
        header = Y.one(HEADER) || Y.one(NAV),
        headerRegion = header.get(REGION);

    if (toolbar) {
        var toolbarOverlay = new Y.Overlay({
            contentBox: toolbar,
            visible: false,
            zIndex: 1000
        });
        toolbarOverlay.render();
        toolbar.show();
        toolbarOverlay.set("align", {points: ["tr", "br"], node: header});
        toolbarOverlay.show();

        // Render the widget hidden
        var debugWidget = new Y.landscape.ui.Dialog({
            contentBox: overlayContent,
            visible: false,
            zIndex: 1000,
            width: headerRegion.width * 0.95,
            align: {points: ["tc", "bc"],
                    node: header}
        });

        debugWidget.render();

        Y.one("#wsgi-sql-summary").on("click", function(evt){
            evt.preventDefault();
            var widgetVisible = debugWidget.get("visible");
            if (widgetVisible) {
                overlayContent.hide();
                debugWidget.hide();
            } else {
                overlayContent.show();
                debugWidget.show();
            }
            widgetVisible = !widgetVisible;
        });

        overlayContent.delegate("click", function(evt) {
            var link = evt.currentTarget;
            evt.preventDefault();
            var statementRow = link.ancestor("tr");
            var sibling = statementRow.next();
            while (!Y.Lang.isNull(sibling)) {
                if (!sibling.hasClass("sql-params")) {
                    break;
                }
                sibling.toggleClass("sql-hidden");
                sibling = sibling.next();
            }
        }, ".sql-params");

        overlayContent.delegate("click", function(evt) {
            var link = evt.currentTarget;
            evt.preventDefault();
            var statementRow = link.ancestor("tr");
            var sibling = statementRow.next();
            while (!Y.Lang.isNull(sibling)) {
                if (sibling.hasClass("sql-params")) {
                    sibling = sibling.next();
                    continue;
                }
                break;
            }
            while (!Y.Lang.isNull(sibling)) {
                if (!sibling.hasClass("sql-stack")) {
                    break;
                }
                sibling.toggleClass("sql-hidden");
                sibling = sibling.next();
            }
        }, ".sql-stack");
    }
});

}, "0.1", {"requires": ["overlay", "landscape.ui.dialog"]});
