// Copyright 2005-2013 Canonical Limited.  All rights reserved.

YUI.add("landscape.ui.testing", function(Y) {

Y.namespace("landscape.ui.testing");

/**
 * This module provides the testing helpers for things in the
 * landscape.ui namespace.
 *
 * @module landscape.ui.testing
 */

var ImageAssertion = function(){};

ImageAssertion.prototype = {
    /**
     * An assertion fails if the Y.Node under test is an img node but
     * doesn't have the specified image as it's source attribute, or
     * if it is a sprite but doesn't have one or more of the CSS
     * classes that would make it properly display the sprite.
     *
     * @method hasImage
     */
    hasImage: function(image) {
        var node = this.get("node");
        if (node.get("tagName").toUpperCase() == "IMG"){
            return this.hasAttributes({"src": image});
        } else {
            return this.hasClasses.apply(
                this,
                Y.landscape.ui.sprite.formatFilename(image));
        }
    }
};

Y.augment(Y.landscape.testing.node.NodeAssertion, ImageAssertion);

Y.landscape.ui.testing.ImageAssertion = ImageAssertion;

}, "0.1", {requires: ["oop", "landscape.testing.node",
                      "landscape.ui.image",
                      "landscape.ui.sprite"]});
