// Copyright 2005-2013 Canonical Limited.  All rights reserved.

YUI.add("landscape.util.url", function(Y) {

Y.namespace("landscape.util");

/**
 * Set or update query string parameters for the given URL.
 */
var updateURL = function(url, params) {
    var i;
    // Extract the fragment from the URL, if present
    var fragment = "";
    i = url.lastIndexOf("#");
    if (i >= 0) {
        fragment = url.substr(i);
        url = url.substr(0, i);
    }

    // Extract the current query part
    var queryString = "";
    i = url.lastIndexOf("?");
    if (i >= 0) {
        queryString = url.substr(i + 1);
        url = url.substr(0, i);
    }

    var query = Y.QueryString.parse(queryString);
    query = Y.merge(query, params);
    queryString = Y.QueryString.stringify(query);
    if (queryString) {
        queryString = "?" + queryString;
    }

    return url + queryString + fragment;
};

Y.landscape.util.updateURL = updateURL;


/**
 * Return a function that will redirect to the given URL when invoked.
 */
var bindRedirect = function (url) {
    return function() {
        Y.config.doc.location.href = url;
    };
};

Y.landscape.util.bindRedirect = bindRedirect;

/**
 * Return a function that will redirect to the given URL when invoked.
 */
var setUpPopup = function (node) {
    Y.all(node).on("click", function(event) {
        var target_url = event.target.get("href");
        window.open(
            target_url, "twitter",
            "scrollbars=1,location=1,width=560,height=420,left=300,top=300");
        event.preventDefault();
    }, this);
};

Y.landscape.util.setUpPopup = setUpPopup;


}, "0.1", {requires: ["base", "querystring"]});
