import PropTypes from 'prop-types';
import React from 'react';

export class AccountType extends React.Component {

    constructor(props) {
        super(props);
        this.handleChange = this.handleChange.bind(this);
    }

    handleChange(e) {
        this.props.onChange(e.target.value);
    }

    render () {
        return (
            <div className={this.props.className + " p-payment__use"}>
                <label className="p-payment__use-label">
                    <input type="radio" name="payment-type" value="personal"
                        checked={this.props.type == "personal"}
                        onChange={this.handleChange} />
                    <span className="radio">Personal use</span>
                </label>
                <label className="p-payment__use-label">
                    <input type="radio" name="payment-type" value="business"
                        checked={this.props.type == "business"}
                        onChange={this.handleChange} />
                    <span className="radio">Business use</span>
                </label>
            </div>);
    }
}

AccountType.propTypes = {
    type: PropTypes.oneOf(["personal", "business"]).isRequired,
    onChange: PropTypes.func.isRequired,
    className: PropTypes.string,
};
