import React from 'react';
import ReactDOM from 'react-dom';
import { Elements, StripeProvider } from 'react-stripe-elements';

import { SignupForm } from './signup-form';
import { SignupWarning } from './signup-warning';

/* global formToken:false, stripeKey:false, stripeClientSecret:false, loggedIn:false */

ReactDOM.render(
    <SignupWarning>
        <StripeProvider apiKey={stripeKey}>
            <Elements>
                <SignupForm
                    formToken={formToken}
                    stripeClientSecret={stripeClientSecret}
                    isLoggedIn={loggedIn}
                />
            </Elements>
        </StripeProvider>
    </SignupWarning>,
    document.getElementById("credit-card-form"));
