import PropTypes from 'prop-types';
import React from 'react';

export class SignupWarning extends React.Component {
    constructor(props) {
        super(props);

        this.state = {showWarning: true};

        this.dismissWarning = this.dismissWarning.bind(this);
    }

    dismissWarning() {
        this.setState({showWarning: false});
    }

    render() {
        if (this.state.showWarning) {
            return (
                <div className="box box-shaped p-box">
                    <p>
                        You are not a member of any Landscape account.
                        <strong> If you believe you should be, please contact the
                        administrator for your Landscape account</strong>.
                    </p>
                    <p>
                        If you would like to create a Pay-as-you-go account, please
                        <button type="button" onClick={this.dismissWarning}>click here</button>
                    </p>
                    <p>
                        You can also install
                        <a href="https://www.ubuntu.com/landscape/install"> Landscape on-premises</a>,
                        which includes a 10-seat free license.
                    </p>
                </div>
            );
        }

        return this.props.children;
    }
}

SignupWarning.propTypes = {
    children: PropTypes.node.isRequired,
};
