import PropTypes from 'prop-types';
import React from 'react';


export class TermsForm extends React.Component {

    constructor(props) {
        super(props);
        this.handleClick = this.handleClick.bind(this);
        this.handleTermsChange = this.handleTermsChange.bind(this);
        this.handleUpdatesChange = this.handleUpdatesChange.bind(this);
        this.state = {
            termsAccepted: false
        };
    }

    handleClick(event) {
        this.props.onSubmit(event);
    }

    handleTermsChange(event) {
        this.setState({termsAccepted: event.target.checked});
    }

    handleUpdatesChange(event) {
        this.props.onChange(event.target.checked);
    }

    render () {
        var formClass = "p-payment";
        if (this.props.isDisabled) {
            formClass = formClass.concat(" is-disabled");
        }

        return (
            <form className={formClass}>
                <div className="p-payment__terms">
                    <label>
                        <input type="checkbox" name="updates" onChange={this.handleUpdatesChange}/>
                        <span className="checkbox">
                            I agree to receive news and product updates from Canonical.
                        </span>
                    </label>
                </div>
                <div className="p-payment__terms">
                    <label>
                        <input type="checkbox" name="terms" onChange={this.handleTermsChange} />
                        <span className="checkbox">
                            I agree to the <a target="_blank" rel="noopener noreferrer"
                                href="https://www.ubuntu.com/legal/dataprivacy">Privacy
                            Policy and Privacy Notices</a>, and the <a target="_blank"
                                rel="noopener noreferrer"
                                href="https://www.ubuntu.com/legal/short-terms">Terms
                            of service</a>.
                        </span>
                    </label>
                </div>
                <button className="primary p-button--full" disabled={!this.state.termsAccepted} onClick={this.handleClick}>Start managing machines</button>
            </form>
        );
    }
}

TermsForm.propTypes = {
    isDisabled: PropTypes.bool.isRequired,
    onSubmit: PropTypes.func,
    onChange: PropTypes.func.isRequired,
};

