# Copyright 2005-2013 Canonical Limited.  All rights reserved.

"""
The message handling system for Landscape.

A client connects via HTTP and then the following happens:

- The HTTP request gets authenticated based on its X-Computer-ID header, which
  is filled by the client with the secure ID which it has previously received
  from the server, or none if it's the first time the client connects. See
  the in c.l.message.resource module for details.

- A suitable message API is looked up using the Zope registry, it has to
  match the type of principal and the API version specified by the client via
  the X-Message-API header. See the c.message.system module for details, and
  check the definitions in c/l/message/configure.zcml to know what message API
  will be selected for a given principal/version (their class docstrings will
  describe in detail what they do).
"""
