# Copyright 2005-2013 Canonical Limited.  All rights reserved.

from storm.locals import Int

from canonical.landscape.model.account.helper import AccountHelper


__all__ = ["AccountTwin"]


class AccountTwin(AccountHelper):
    """The representation of an account in the account resource database.

    The primary purpose of this object is to serve as a point of relational
    stability with all account-related objects in account resource databases.
    """

    __storm_table__ = "account_twin"

    id = Int(primary=True, allow_none=False)

    def __init__(self, account):
        super(AccountTwin, self).__init__(account)

    # This property makes AccountHelper happy.  When AccountHelper
    # sets account_id this code causes the id of this object to be the
    # same as the Account in the main database represented by this
    # one.
    def _get_account_id(self):
        return self.id

    def _set_account_id(self, id):
        self.id = id

    account_id = property(_get_account_id, _set_account_id)
