# Copyright 2005-2022 Canonical Limited. All rights reserved.

from zope.interface import implementer

from canonical.security.protect import requires, requires_advisor, PUBLIC, PRIVATE
from canonical.landscape.model.activity.interfaces import IActivityCollection


__all__ = ["AccountActivities", "ComputerSelectionActivities"]

__clearlist__ = ["AccountActivities", "ComputerSelectionActivities"]

__requires_prefix__ = "landscape."

# It's ok to use PUBLIC here because we're just passing on to objects which
# should already be secured when they're passed in to the constructor.


@requires_advisor
@implementer(IActivityCollection)
class AccountActivities(object):

    requires(PUBLIC, PRIVATE, ["account"])

    def __init__(self, account):
        self.account = account


@requires_advisor
@implementer(IActivityCollection)
class ComputerSelectionActivities(object):

    requires(PUBLIC, PRIVATE, ["selection", "account"])

    def __init__(self, selection):
        self.selection = selection
        self.account = selection.account
