# Copyright 2005-2014 Canonical Limited. All rights reserved

from canonical.landscape.model.management import ModelManagement
from canonical.landscape.model.alert.rule import (
    get_rule_info_class_by_name,
    InvalidAlertTypeError,
)


class AlertManagement(ModelManagement):
    def get_computer_alert_by_name(self, name):
        """Return a computer alert with the given C{name}."""
        from canonical.landscape.model.alert.computer import ComputerRuleInfo

        info_class = get_rule_info_class_by_name(name)
        if not issubclass(info_class, ComputerRuleInfo):
            raise InvalidAlertTypeError(
                "An account alert was provided but a " "computer alert is expected."
            )
        return self.account.get_rules(info_classes=[info_class]).one()
