# Copyright 2005-2013 Canonical Limited.  All rights reserved.


class DuplicateModelError(Exception):
    """
    Base class for duplicate model instance exceptions.

    @cvar model_name: the name of the model, used for the exception message.
    @param fields: the names of the duplicated fields.
    """

    model_name = None

    def __init__(self, fields):
        self.fields = fields

    def __str__(self):
        fields = list(self.fields)
        last = fields.pop()
        if fields:
            names = "%s and %s" % (", ".join(fields), last)
        else:
            names = last
        return "%s with specified %s is already present." % (self.model_name, names)
