# Copyright 2005-2013 Canonical Limited.  All rights reserved.

"""C{main} store access functions."""

from zope.component import getUtility

from storm.locals import Select
from storm.zope.interfaces import IZStorm

from canonical.landscape.model.stormfunc import Now

__all__ = ["get_main_store", "get_main_db_time"]


def get_main_store():
    """Get a C{Store} instance for the C{main} database.

    @return: A C{Store} instance for the C{main} database or C{None} if a
        C{main} database is not configured.
    """
    zstorm = getUtility(IZStorm)
    return zstorm.get("main")


def get_main_db_time():
    """Return the current time in the DB transaction."""
    [current_db_time] = get_main_store().execute(Select(Now)).get_one()
    return current_db_time
