# Copyright 2005-2013 Canonical Limited.  All rights reserved.

from zope.interface import Interface, Attribute
from zope.schema import Object

from canonical.landscape.model.selection.interfaces import IComputerSelection


class IGraph(Interface):
    def get_data():
        pass

    title = Attribute("title")

    legend = Attribute("legend")

    label = Attribute("label")

    step = Attribute("step")

    start = Attribute("start")

    stop = Attribute("stop")

    tzinfo = Attribute("tzinfo")


class IMonitoring(Interface):

    selection = Object(
        title="Computer selection",
        description="The current selection of computers to monitor.",
        required=True,
        readonly=False,
        schema=IComputerSelection,
    )


class IProcesses(Interface):

    selection = Object(
        title="Computer selection",
        description=(
            "The current selection of computers to display " "active processes for."
        ),
        required=True,
        readonly=False,
        schema=IComputerSelection,
    )
