# Copyright 2005-2013 Canonical Limited.  All rights reserved.

"""The model that represents a repository.

A distribution can contain multiple series, and each series can contain
multiple pockets.


                                                  .-- Pocket 'release'
                                                 /
                           .-- Series 'lucid' --<
                          /                      \
  Distribution 'ubuntu'--<                        `-- Pocket 'updates'
                          \
                           `-- Series 'natty' ------- Pocket 'release'


Each pocket as an associated APT source line derived with the
following schema:

deb http://host/account/<account>/repository/<distribution> <series[-<pocket>]>

The [-<pocket>] bit is appended only if the pocket name is different
from 'release', for example 'lucid-updates'.
"""
