# Copyright 2005-2013 Canonical Limited.  All rights reserved.

from canonical.landscape.model.action.handler import ActionHandler, action
from canonical.landscape.model.repository.management import RepositoryManagement


@action
class SyncMirrorPocketActionHandler(ActionHandler):
    """Create a sync mirror pocket activity and request a job to perform it."""

    def handle(self, data):
        """Sync a mirror repository pocket."""
        management = RepositoryManagement(self.context, self.person)
        pocket = management.get_pockets(ids=[data["pocket_id"]]).one()
        parent = management.create_sync_pocket_activity(pocket)
        [child] = parent.children()
        self.send_job(
            account_id=self.context.id,
            person_id=self.person.id,
            pocket_id=data["pocket_id"],
            activity_id=child.id,
        )
        return parent.get_state()
