# Copyright 2005-2013 Canonical Limited.  All rights reserved.

from storm.locals import Int, Unicode

from canonical.landscape.model.computer.helper import ComputerHelper


__all__ = ["ComputerAptPreferencesFile"]


class ComputerAptPreferencesFile(ComputerHelper):
    """Associate an APT preferences file with a L{Computer}."""

    __storm_table__ = "computer_apt_preferences_file"
    __storm_primary__ = "computer_id", "filename"

    computer_id = Int(allow_none=False)
    filename = Unicode(allow_none=False)
    contents = Unicode(allow_none=False)

    def __init__(self, computer, filename, contents):
        super(ComputerAptPreferencesFile, self).__init__(computer)
        self.filename = filename
        self.contents = contents
