from zope.component import getUtility

from canonical.amqp.message.interfaces import IDispatcher
from canonical.landscape.model.activity.activity import ActivityInfo
from canonical.landscape.model.activity.parent import ActivityParentInfo


class SingleInfo(ActivityInfo):
    """Single activity info with no children."""

    def _queued(self):
        """
        As soon as we transition to the QUEUED state, we create a job
        that will simulate the execution of this activity.
        """
        dispatcher = getUtility(IDispatcher)
        dispatcher.create_job(
            None, None, "sandbox-single-activity", activity_id=self.activity.id
        )


class MultiInfo(ActivityParentInfo):
    """A compunt activity with children."""
