from builtins import object

__all__ = ["Sandbox"]

__clearlist__ = __all__

from canonical.landscape.model.main.account import (
    get_account_by_name,
    create_account,
    remove_account,
)


class Sandbox(object):
    """Model sandbox."""

    def reset(self):
        """Reset all sandbox data, starting over with a fresh account."""
        account = self.account()
        if account is not None:
            remove_account(account)
        create_account("sandbox", "Sandbox account")

    def account(self):
        return get_account_by_name("sandbox")

    @property
    def namespace(self):
        """Namespace for the sandbox.

        The namespace will look like 'landscape.account.123.sandbox' and
        can be used to dispatch notifications that only pages for this
        instance of the sandbox should receive.
        """
        account = self.account()
        return "%s.sandbox" % account.namespace
