# Copyright 2005-2013 Canonical Limited.  All rights reserved.

from canonical.landscape.model.action.handler import ActionHandler, action
from canonical.landscape.model.action.error import ActionError


@action
class DeleteSavedSearchActionHandler(ActionHandler):

    permission = "EditSavedSearch"

    def handle(self, name):
        """Delete a saved searche.

        @param name: The name of the saved search to delete.
        """
        removed = self.context.remove_saved_searches_by_names([name])
        if len(removed) > 0:
            return True
        else:
            raise ActionError("Could not delete saved search %s." % name)
