# Copyright 2005-2022 Canonical Limited. All rights reserved.

from storm.locals import Pickle, Int

from canonical.storm.variables import BytesStr


__all__ = ["SessionPkgData"]
__clearlist__ = __all__


class SessionPkgData(object):
    __storm_table__ = "session_pkg_data"
    __storm_primary__ = "client_id", "generation", "product_id", "key"

    client_id = BytesStr(allow_none=False)
    generation = Int(allow_none=False)
    product_id = BytesStr(allow_none=False)
    key = BytesStr(allow_none=False)
    data = Pickle(allow_none=False)

    def __init__(self, client_id, generation, product_id, key, value):
        self.client_id = client_id
        self.generation = generation
        self.product_id = product_id
        self.key = key
        self.data = value
