# Copyright 2005-2013 Canonical Limited.  All rights reserved.

from datetime import datetime, timedelta

from canonical.landscape.model.session.store import get_session_autocommit_store
from canonical.landscape.global_maintenance import global_maintenance


@global_maintenance
def maintain_session_data(event):
    cutoff_date = datetime.utcnow() - timedelta(days=7)
    store = get_session_autocommit_store()
    store.execute(
        "DELETE FROM session_pkg_data USING session_data"
        " WHERE session_pkg_data.client_id = session_data.client_id AND"
        " access_time <= ?",
        (cutoff_date,),
    )
    store.execute("DELETE FROM session_data WHERE access_time <= ?", (cutoff_date,))
