# Copyright 2016 Canonical Limited.  All rights reserved.

from builtins import str
from storm.locals import Unicode

from canonical.lib import secrets


class SecretUnicode(Unicode):
    """A Unicode property with a secret value."""

    def __get__(self, obj, cls=None):
        value = super(SecretUnicode, self).__get__(obj, cls)
        if type(value) is str:
            value = secrets.SecretUnicode(value)
        return value

    def __set__(self, obj, value):
        if isinstance(value, secrets.SecretUnicode):
            value = str(value)
        super(SecretUnicode, self).__set__(obj, value)
