# Copyright 2005-2013 Canonical Limited.  All rights reserved.

from zope.component import provideUtility

from canonical.landscape.model.support.interfaces import ISalesforceConnector
from canonical.landscape.model.support.salesforce import SalesforceConnector


def install_salesforce_connector(url, session_timeout):
    connector = SalesforceConnector(url, session_timeout)
    provideUtility(connector, ISalesforceConnector)


def salesforce_connector(_context, url, session_timeout):
    _context.action(
        discriminator=("salesforce_connector", url),
        callable=install_salesforce_connector,
        args=(url, session_timeout),
    )
