# Copyright 2005-2022 Canonical Limited. All rights reserved.

from zope.interface import Interface
from zope.schema import Object

from canonical.landscape.model.selection.interfaces import IComputerSelection


class IUbuntuProInfo(Interface):

    selection = Object(
        title="Computer selection",
        description=(
            "The current selection of computers to include in "
            "the Ubuntu Pro info inventory."
        ),
        required=True,
        readonly=False,
        schema=IComputerSelection,
    )
