# Copyright 2005-2022 Canonical Limited. All rights reserved.

from zope.component import queryUtility
from zope.interface import implementer
from zope.publisher.browser import BrowserRequest
from zope.app.publication.interfaces import (
    IRequestPublicationFactory,
    IBrowserRequestFactory,
)

from canonical.landscape.publication import publication


@implementer(IRequestPublicationFactory)
class LandscapeBrowserFactory(object):
    def canHandle(self, juju_model):
        return True

    def __call__(self):
        request_class = queryUtility(IBrowserRequestFactory, default=BrowserRequest)
        return request_class, publication.LandscapeBrowserPublication
