# Copyright 2005-2013 Canonical Limited.  All rights reserved.
from __future__ import print_function

import sys

from landscape.lib import bpickle

from landscape.package.facade import AptFacade


def get_package_data(facade, version):
    skeleton = facade.get_package_skeleton(version)
    return {
        "type": skeleton.type,
        "name": skeleton.name,
        "version": skeleton.version,
        "summary": skeleton.summary,
        "size": skeleton.size,
        "installed": facade.is_package_installed(version),
        "installed-size": skeleton.installed_size,
        "relations": skeleton.relations,
    }


def get_packages(facade):
    package_data = []
    for version in facade.get_packages():
        package = version.package
        if facade.is_package_installed(version):
            print("  Adding installed:", package.name, file=sys.stderr)
            package_data.append(get_package_data(facade, version))
        elif package.name.startswith("python"):
            print("Adding uninstalled:", package.name, file=sys.stderr)
            package_data.append(get_package_data(facade, version))
    return package_data


facade = AptFacade()
facade.reload_channels()
print("%s" % bpickle.dumps(get_packages(facade)))
