# Copyright 2005-2013 Canonical Limited.  All rights reserved.
import os

from landscape.lib.fs import read_file

SCHEMA_DIR = os.path.dirname(__file__)

RESET_SEARCH_PATH = 'SET search_path TO "$user", public'
GRANT_PATCH = "GRANT SELECT ON TABLE patch TO landscape"


def get_sql(schema_name):
    """Return the SQL statements to generate the given schema."""
    sql = read_file(os.path.join(SCHEMA_DIR, "%s.sql" % schema_name))
    return [sql.decode("utf-8"), RESET_SEARCH_PATH, GRANT_PATCH]
