# Copyright 2005-2013 Canonical Limited.  All rights reserved.
from storm.schema.patch import PatchSet
from storm.zope.schema import ZSchema


__all__ = ["create_schema"]


def create_schema():
    from canonical.landscape import schema

    create = schema.get_sql("account")
    return ZSchema(create, DROP, DELETE, PatchSet(schema, sub_level="account"))


DROP = [
    """
DROP SCHEMA public CASCADE
""",
    """
CREATE SCHEMA public
""",
    """
GRANT USAGE, CREATE ON SCHEMA public TO PUBLIC
""",
    """
DROP LANGUAGE plpythonu
""",
]

DELETE = [
    "DELETE FROM region",
    "DELETE FROM cloud",
    "DELETE FROM openstack_token",
    "DELETE FROM juju_unit",
    "DELETE FROM juju_application",
    "DELETE FROM juju_model",
    "DELETE FROM change_upgrade_profile_request",
    "DELETE FROM rule_state_notification",
    "DELETE FROM change_package_profile_request",
    "DELETE FROM package_profile_constraint",
    "DELETE FROM package_profile",
    "DELETE FROM saved_search",
    "DELETE FROM custom_graph",
    "DELETE FROM activity_group",
    "DELETE FROM rule_state",
    "DELETE FROM rule_subscription",
    "DELETE FROM sample_account_rule",
    "DELETE FROM sample_computer_rule",
    "DELETE FROM rule",
    "DELETE FROM computer_group_item",
    "DELETE FROM computer_group_tag",
    "DELETE FROM computer_group",
    "DELETE FROM execute_script_request",
    "DELETE FROM stored_stub_request",
    "DELETE FROM signal_process_request",
    "DELETE FROM create_user_request",
    "DELETE FROM delete_user_request",
    "DELETE FROM edit_user_request",
    "DELETE FROM lock_user_request",
    "DELETE FROM unlock_user_request",
    "DELETE FROM create_group_request",
    "DELETE FROM add_group_member_request",
    "DELETE FROM remove_group_member_request",
    "DELETE FROM activity",
    "DELETE FROM activity_parent",
    "DELETE FROM account_twin",
    "DELETE FROM computer_twin",
    "DELETE FROM change_package_request",
    "DELETE FROM execute_script_attachment",
    "DELETE FROM script_attachment",
    "DELETE FROM attachment",
    "DELETE FROM script",
    "DELETE FROM release_upgrade_request",
    "DELETE FROM repository_profile_pocket",
    "DELETE FROM repository_profile",
    "DELETE FROM distribution",
    "DELETE FROM series",
    "DELETE FROM pocket",
    "DELETE FROM pocket_upload_gpg_key",
    "DELETE FROM upload",
    "DELETE FROM gpg_key",
    "DELETE FROM sync_pocket_request",
    "DELETE FROM maas_server",
    "DELETE FROM maas_target_machine",
    "DELETE FROM apt_source",
    "DELETE FROM repository_profile_apt_source",
    "DELETE FROM event_log_entry",
]
