--
-- PostgreSQL database dump
--

-- Dumped from database version 12.15 (Ubuntu 12.15-0ubuntu0.20.04.1)
-- Dumped by pg_dump version 12.15 (Ubuntu 12.15-0ubuntu0.20.04.1)

SET statement_timeout = 0;
SET lock_timeout = 0;
SET idle_in_transaction_session_timeout = 0;
SET client_encoding = 'UTF8';
SET standard_conforming_strings = on;
SELECT pg_catalog.set_config('search_path', '', false);
SET check_function_bodies = false;
SET xmloption = content;
SET client_min_messages = warning;
SET row_security = off;

--
-- Name: plpython3u; Type: PROCEDURAL LANGUAGE; Schema: -; Owner: -
--

CREATE OR REPLACE PROCEDURAL LANGUAGE plpython3u;


--
-- Name: intarray; Type: EXTENSION; Schema: -; Owner: -
--

CREATE EXTENSION IF NOT EXISTS intarray WITH SCHEMA public;


--
-- Name: EXTENSION intarray; Type: COMMENT; Schema: -; Owner: -
--

COMMENT ON EXTENSION intarray IS 'functions, operators, and index support for 1-D arrays of integers';


SET default_tablespace = '';

SET default_table_access_method = heap;

--
-- Name: account_entity_data; Type: TABLE; Schema: public; Owner: -
--

CREATE TABLE public.account_entity_data (
    id integer NOT NULL,
    account_id integer NOT NULL,
    entity_type integer NOT NULL,
    name text NOT NULL,
    access_context_id integer NOT NULL,
    creation_time timestamp without time zone DEFAULT timezone('UTC'::text, now()) NOT NULL
);


--
-- Name: account_entity_data_id_seq; Type: SEQUENCE; Schema: public; Owner: -
--

CREATE SEQUENCE public.account_entity_data_id_seq
    START WITH 1
    INCREMENT BY 1
    NO MINVALUE
    NO MAXVALUE
    CACHE 1;


--
-- Name: account_entity_data_id_seq; Type: SEQUENCE OWNED BY; Schema: public; Owner: -
--

ALTER SEQUENCE public.account_entity_data_id_seq OWNED BY public.account_entity_data.id;


--
-- Name: account_twin; Type: TABLE; Schema: public; Owner: -
--

CREATE TABLE public.account_twin (
    id integer NOT NULL
);


--
-- Name: activity; Type: TABLE; Schema: public; Owner: -
--

CREATE TABLE public.activity (
    id integer NOT NULL,
    info_type integer NOT NULL,
    creation_time timestamp without time zone DEFAULT now() NOT NULL,
    parent_id integer NOT NULL,
    account_id integer NOT NULL,
    creator_id integer,
    progress integer DEFAULT 0,
    status integer,
    result_code integer,
    result_text text,
    entity_data_id integer,
    schedule_after_time timestamp without time zone,
    schedule_before_time timestamp without time zone,
    CONSTRAINT percentage_progress CHECK (((progress >= 0) AND (progress <= 100)))
);


--
-- Name: activity_child_event; Type: TABLE; Schema: public; Owner: -
--

CREATE TABLE public.activity_child_event (
    id integer NOT NULL,
    activity_id integer NOT NULL,
    "timestamp" timestamp without time zone DEFAULT now() NOT NULL,
    event_type integer NOT NULL,
    data json DEFAULT '{}'::json NOT NULL
);


--
-- Name: activity_child_event_id_seq; Type: SEQUENCE; Schema: public; Owner: -
--

CREATE SEQUENCE public.activity_child_event_id_seq
    START WITH 1
    INCREMENT BY 1
    NO MINVALUE
    NO MAXVALUE
    CACHE 1;


--
-- Name: activity_child_event_id_seq; Type: SEQUENCE OWNED BY; Schema: public; Owner: -
--

ALTER SEQUENCE public.activity_child_event_id_seq OWNED BY public.activity_child_event.id;


--
-- Name: activity_group; Type: TABLE; Schema: public; Owner: -
--

CREATE TABLE public.activity_group (
    activity_id integer NOT NULL,
    basic_summary integer NOT NULL,
    summary text NOT NULL
);


--
-- Name: activity_id_seq; Type: SEQUENCE; Schema: public; Owner: -
--

CREATE SEQUENCE public.activity_id_seq
    START WITH 1
    INCREMENT BY 1
    NO MINVALUE
    NO MAXVALUE
    CACHE 1;


--
-- Name: activity_id_seq; Type: SEQUENCE OWNED BY; Schema: public; Owner: -
--

ALTER SEQUENCE public.activity_id_seq OWNED BY public.activity.id;


--
-- Name: activity_info; Type: TABLE; Schema: public; Owner: -
--

CREATE TABLE public.activity_info (
    activity_id integer NOT NULL,
    data json
);


--
-- Name: activity_ordering; Type: TABLE; Schema: public; Owner: -
--

CREATE TABLE public.activity_ordering (
    activity_id integer NOT NULL,
    preceeding_activity_id integer NOT NULL,
    minimum_progress integer DEFAULT 100 NOT NULL
);


--
-- Name: activity_parent; Type: TABLE; Schema: public; Owner: -
--

CREATE TABLE public.activity_parent (
    id integer DEFAULT nextval('public.activity_id_seq'::regclass) NOT NULL,
    info_type integer NOT NULL,
    creation_time timestamp without time zone DEFAULT now() NOT NULL,
    account_id integer NOT NULL,
    creator_id integer,
    progress integer DEFAULT 0,
    inprogress_count integer DEFAULT 0 NOT NULL,
    queued_count integer DEFAULT 0 NOT NULL,
    waiting_count integer DEFAULT 0 NOT NULL,
    blocked_count integer DEFAULT 0 NOT NULL,
    scheduled_count integer DEFAULT 0 NOT NULL,
    succeeded_count integer DEFAULT 0 NOT NULL,
    failed_count integer DEFAULT 0 NOT NULL,
    canceled_count integer DEFAULT 0 NOT NULL,
    schedule_after_window integer DEFAULT 0,
    CONSTRAINT percentage_progress CHECK (((progress >= 0) AND (progress <= 100)))
);


--
-- Name: activity_parent_access; Type: TABLE; Schema: public; Owner: -
--

CREATE TABLE public.activity_parent_access (
    parent_id integer NOT NULL,
    entity_type integer NOT NULL,
    access_context_id integer NOT NULL
);


--
-- Name: add_group_member_request; Type: TABLE; Schema: public; Owner: -
--

CREATE TABLE public.add_group_member_request (
    activity_id integer NOT NULL,
    username text NOT NULL,
    groupname text NOT NULL,
    uid bigint,
    gid bigint
);


--
-- Name: add_juju_charm_request; Type: TABLE; Schema: public; Owner: -
--

CREATE TABLE public.add_juju_charm_request (
    activity_id integer NOT NULL,
    charm_url text NOT NULL
);


--
-- Name: add_juju_machine_request; Type: TABLE; Schema: public; Owner: -
--

CREATE TABLE public.add_juju_machine_request (
    activity_id integer NOT NULL,
    target_machine_id integer,
    juju_machine_id text,
    parent_id text,
    ubuntu_series text NOT NULL,
    CONSTRAINT add_juju_machine_request_check CHECK ((NOT ((juju_machine_id <> NULL::text) AND (parent_id <> NULL::text))))
);


--
-- Name: add_juju_relation_request; Type: TABLE; Schema: public; Owner: -
--

CREATE TABLE public.add_juju_relation_request (
    activity_id integer NOT NULL,
    endpoint1 text NOT NULL,
    endpoint2 text NOT NULL
);


--
-- Name: add_juju_unit_request; Type: TABLE; Schema: public; Owner: -
--

CREATE TABLE public.add_juju_unit_request (
    activity_id integer NOT NULL,
    service_name text NOT NULL,
    to_machine text,
    juju_unit_name text
);


--
-- Name: apt_source; Type: TABLE; Schema: public; Owner: -
--

CREATE TABLE public.apt_source (
    id integer NOT NULL,
    account_id integer NOT NULL,
    name text NOT NULL,
    line text NOT NULL,
    access_context_id integer NOT NULL,
    gpg_key_id integer,
    creation_time timestamp without time zone DEFAULT timezone('UTC'::text, now()) NOT NULL
);


--
-- Name: apt_source_gpg_key; Type: TABLE; Schema: public; Owner: -
--

CREATE TABLE public.apt_source_gpg_key (
    apt_source_id integer NOT NULL,
    gpg_key_id integer NOT NULL
);


--
-- Name: apt_source_id_seq; Type: SEQUENCE; Schema: public; Owner: -
--

CREATE SEQUENCE public.apt_source_id_seq
    START WITH 1
    INCREMENT BY 1
    NO MINVALUE
    NO MAXVALUE
    CACHE 1;


--
-- Name: apt_source_id_seq; Type: SEQUENCE OWNED BY; Schema: public; Owner: -
--

ALTER SEQUENCE public.apt_source_id_seq OWNED BY public.apt_source.id;


--
-- Name: attachment; Type: TABLE; Schema: public; Owner: -
--

CREATE TABLE public.attachment (
    id integer NOT NULL,
    account_id integer NOT NULL,
    filename text NOT NULL,
    data_oid oid NOT NULL
);


--
-- Name: attachment_id_seq; Type: SEQUENCE; Schema: public; Owner: -
--

CREATE SEQUENCE public.attachment_id_seq
    START WITH 1
    INCREMENT BY 1
    NO MINVALUE
    NO MAXVALUE
    CACHE 1;


--
-- Name: attachment_id_seq; Type: SEQUENCE OWNED BY; Schema: public; Owner: -
--

ALTER SEQUENCE public.attachment_id_seq OWNED BY public.attachment.id;


--
-- Name: availability_zone; Type: TABLE; Schema: public; Owner: -
--

CREATE TABLE public.availability_zone (
    id integer NOT NULL,
    name text NOT NULL,
    region_id integer NOT NULL,
    maas_zone_name text NOT NULL
);


--
-- Name: availability_zone_id_seq; Type: SEQUENCE; Schema: public; Owner: -
--

CREATE SEQUENCE public.availability_zone_id_seq
    START WITH 1
    INCREMENT BY 1
    NO MINVALUE
    NO MAXVALUE
    CACHE 1;


--
-- Name: availability_zone_id_seq; Type: SEQUENCE OWNED BY; Schema: public; Owner: -
--

ALTER SEQUENCE public.availability_zone_id_seq OWNED BY public.availability_zone.id;


--
-- Name: change_package_profile_request; Type: TABLE; Schema: public; Owner: -
--

CREATE TABLE public.change_package_profile_request (
    activity_id integer NOT NULL,
    package_profile_id integer,
    package_profile_name text,
    changes integer[] DEFAULT '{}'::integer[] NOT NULL
);


--
-- Name: change_package_request; Type: TABLE; Schema: public; Owner: -
--

CREATE TABLE public.change_package_request (
    activity_id integer NOT NULL,
    changes integer[] DEFAULT '{}'::integer[] NOT NULL
);


--
-- Name: change_upgrade_profile_request; Type: TABLE; Schema: public; Owner: -
--

CREATE TABLE public.change_upgrade_profile_request (
    activity_id integer NOT NULL,
    upgrade_profile_id integer,
    changes integer[] DEFAULT '{}'::integer[] NOT NULL
);


--
-- Name: cloud; Type: TABLE; Schema: public; Owner: -
--

CREATE TABLE public.cloud (
    id integer NOT NULL,
    name text NOT NULL,
    account_id integer NOT NULL,
    creation_time timestamp without time zone DEFAULT now() NOT NULL,
    logs_collected boolean DEFAULT false NOT NULL
);


--
-- Name: cloud_id_seq; Type: SEQUENCE; Schema: public; Owner: -
--

CREATE SEQUENCE public.cloud_id_seq
    START WITH 1
    INCREMENT BY 1
    NO MINVALUE
    NO MAXVALUE
    CACHE 1;


--
-- Name: cloud_id_seq; Type: SEQUENCE OWNED BY; Schema: public; Owner: -
--

ALTER SEQUENCE public.cloud_id_seq OWNED BY public.cloud.id;


--
-- Name: computer_group; Type: TABLE; Schema: public; Owner: -
--

CREATE TABLE public.computer_group (
    id integer NOT NULL,
    account_id integer NOT NULL,
    all_computers boolean DEFAULT false NOT NULL,
    info_type integer NOT NULL
);


--
-- Name: computer_group_id_seq; Type: SEQUENCE; Schema: public; Owner: -
--

CREATE SEQUENCE public.computer_group_id_seq
    START WITH 1
    INCREMENT BY 1
    NO MINVALUE
    NO MAXVALUE
    CACHE 1;


--
-- Name: computer_group_id_seq; Type: SEQUENCE OWNED BY; Schema: public; Owner: -
--

ALTER SEQUENCE public.computer_group_id_seq OWNED BY public.computer_group.id;


--
-- Name: computer_group_item; Type: TABLE; Schema: public; Owner: -
--

CREATE TABLE public.computer_group_item (
    computer_group_id integer NOT NULL,
    computer_id integer NOT NULL
);


--
-- Name: computer_group_tag; Type: TABLE; Schema: public; Owner: -
--

CREATE TABLE public.computer_group_tag (
    tag_id integer NOT NULL,
    computer_group_id integer NOT NULL
);


--
-- Name: computer_twin; Type: TABLE; Schema: public; Owner: -
--

CREATE TABLE public.computer_twin (
    id integer NOT NULL,
    data_id integer NOT NULL
);


--
-- Name: configure_availability_zones_zone; Type: TABLE; Schema: public; Owner: -
--

CREATE TABLE public.configure_availability_zones_zone (
    id integer NOT NULL,
    name text NOT NULL,
    activity_id integer NOT NULL,
    maas_zone_name text NOT NULL
);


--
-- Name: configure_availability_zones_zone_id_seq; Type: SEQUENCE; Schema: public; Owner: -
--

CREATE SEQUENCE public.configure_availability_zones_zone_id_seq
    START WITH 1
    INCREMENT BY 1
    NO MINVALUE
    NO MAXVALUE
    CACHE 1;


--
-- Name: configure_availability_zones_zone_id_seq; Type: SEQUENCE OWNED BY; Schema: public; Owner: -
--

ALTER SEQUENCE public.configure_availability_zones_zone_id_seq OWNED BY public.configure_availability_zones_zone.id;


--
-- Name: configure_availability_zones_zone_machine; Type: TABLE; Schema: public; Owner: -
--

CREATE TABLE public.configure_availability_zones_zone_machine (
    configure_availability_zones_zone_id integer NOT NULL,
    maas_name text NOT NULL
);


--
-- Name: configure_vip_request; Type: TABLE; Schema: public; Owner: -
--

CREATE TABLE public.configure_vip_request (
    activity_id integer NOT NULL,
    maas_server_id integer NOT NULL,
    network text
);


--
-- Name: create_glance_image_request; Type: TABLE; Schema: public; Owner: -
--

CREATE TABLE public.create_glance_image_request (
    activity_id integer NOT NULL,
    image_url text NOT NULL,
    public boolean DEFAULT false NOT NULL,
    min_disk integer
);


--
-- Name: create_group_request; Type: TABLE; Schema: public; Owner: -
--

CREATE TABLE public.create_group_request (
    activity_id integer NOT NULL,
    groupname text NOT NULL,
    system boolean DEFAULT false
);


--
-- Name: create_project_request; Type: TABLE; Schema: public; Owner: -
--

CREATE TABLE public.create_project_request (
    activity_id integer NOT NULL,
    username text,
    password text
);


--
-- Name: create_user_request; Type: TABLE; Schema: public; Owner: -
--

CREATE TABLE public.create_user_request (
    activity_id integer NOT NULL,
    username text NOT NULL,
    name text,
    passphrase text,
    require_passphrase_reset boolean,
    primary_groupname text,
    location text,
    home_phone text,
    work_phone text
);


--
-- Name: custom_graph; Type: TABLE; Schema: public; Owner: -
--

CREATE TABLE public.custom_graph (
    id integer NOT NULL,
    account_id integer NOT NULL,
    access_context_id integer NOT NULL,
    title text NOT NULL,
    y_axis_title text NOT NULL,
    interpreter text DEFAULT ''::text,
    code text DEFAULT ''::text,
    username text NOT NULL,
    script_hash bytea NOT NULL,
    computer_group_id integer NOT NULL
);


--
-- Name: custom_graph_id_seq; Type: SEQUENCE; Schema: public; Owner: -
--

CREATE SEQUENCE public.custom_graph_id_seq
    START WITH 1
    INCREMENT BY 1
    NO MINVALUE
    NO MAXVALUE
    CACHE 1;


--
-- Name: custom_graph_id_seq; Type: SEQUENCE OWNED BY; Schema: public; Owner: -
--

ALTER SEQUENCE public.custom_graph_id_seq OWNED BY public.custom_graph.id;


--
-- Name: delete_user_request; Type: TABLE; Schema: public; Owner: -
--

CREATE TABLE public.delete_user_request (
    activity_id integer NOT NULL,
    uid bigint,
    username text NOT NULL,
    delete_home boolean
);


--
-- Name: deploy_juju_service_request; Type: TABLE; Schema: public; Owner: -
--

CREATE TABLE public.deploy_juju_service_request (
    activity_id integer NOT NULL,
    service_name text NOT NULL,
    charm_url text NOT NULL,
    config json DEFAULT '{}'::json NOT NULL
);


--
-- Name: disable_nova_services_request; Type: TABLE; Schema: public; Owner: -
--

CREATE TABLE public.disable_nova_services_request (
    activity_id integer NOT NULL,
    hostname text NOT NULL,
    services text[] NOT NULL,
    reason text
);


--
-- Name: distribution; Type: TABLE; Schema: public; Owner: -
--

CREATE TABLE public.distribution (
    id integer NOT NULL,
    status integer DEFAULT 0 NOT NULL,
    data_id integer NOT NULL
);


--
-- Name: distribution_id_seq; Type: SEQUENCE; Schema: public; Owner: -
--

CREATE SEQUENCE public.distribution_id_seq
    START WITH 1
    INCREMENT BY 1
    NO MINVALUE
    NO MAXVALUE
    CACHE 1;


--
-- Name: distribution_id_seq; Type: SEQUENCE OWNED BY; Schema: public; Owner: -
--

ALTER SEQUENCE public.distribution_id_seq OWNED BY public.distribution.id;


--
-- Name: edit_user_request; Type: TABLE; Schema: public; Owner: -
--

CREATE TABLE public.edit_user_request (
    activity_id integer NOT NULL,
    uid bigint NOT NULL,
    username text NOT NULL,
    primary_groupname text,
    name text,
    passphrase text,
    location text,
    home_phone text,
    work_phone text
);


--
-- Name: enable_nova_services_request; Type: TABLE; Schema: public; Owner: -
--

CREATE TABLE public.enable_nova_services_request (
    activity_id integer NOT NULL,
    hostname text NOT NULL,
    services text[] NOT NULL
);


--
-- Name: event_log_entry; Type: TABLE; Schema: public; Owner: -
--

CREATE TABLE public.event_log_entry (
    id integer NOT NULL,
    account_id integer NOT NULL,
    creation_time timestamp without time zone DEFAULT timezone('UTC'::text, now()) NOT NULL,
    person_id integer,
    person_name text DEFAULT 'Landscape'::text NOT NULL,
    entity_type integer NOT NULL,
    entity_name text NOT NULL,
    entity_id integer,
    message text NOT NULL
);


--
-- Name: event_log_entry_id_seq; Type: SEQUENCE; Schema: public; Owner: -
--

CREATE SEQUENCE public.event_log_entry_id_seq
    START WITH 1
    INCREMENT BY 1
    NO MINVALUE
    NO MAXVALUE
    CACHE 1;


--
-- Name: event_log_entry_id_seq; Type: SEQUENCE OWNED BY; Schema: public; Owner: -
--

ALTER SEQUENCE public.event_log_entry_id_seq OWNED BY public.event_log_entry.id;


--
-- Name: execute_script_attachment; Type: TABLE; Schema: public; Owner: -
--

CREATE TABLE public.execute_script_attachment (
    activity_id integer NOT NULL,
    attachment_id integer NOT NULL
);


--
-- Name: execute_script_request; Type: TABLE; Schema: public; Owner: -
--

CREATE TABLE public.execute_script_request (
    activity_id integer NOT NULL,
    interpreter text NOT NULL,
    code text NOT NULL,
    username text NOT NULL,
    time_limit integer NOT NULL,
    title text
);


--
-- Name: gpg_key; Type: TABLE; Schema: public; Owner: -
--

CREATE TABLE public.gpg_key (
    id integer NOT NULL,
    account_id integer NOT NULL,
    name text NOT NULL,
    fingerprint text NOT NULL,
    material text NOT NULL,
    secret_material text
);


--
-- Name: gpg_key_id_seq; Type: SEQUENCE; Schema: public; Owner: -
--

CREATE SEQUENCE public.gpg_key_id_seq
    START WITH 1
    INCREMENT BY 1
    NO MINVALUE
    NO MAXVALUE
    CACHE 1;


--
-- Name: gpg_key_id_seq; Type: SEQUENCE OWNED BY; Schema: public; Owner: -
--

ALTER SEQUENCE public.gpg_key_id_seq OWNED BY public.gpg_key.id;


--
-- Name: incurred_cost; Type: TABLE; Schema: public; Owner: -
--

CREATE TABLE public.incurred_cost (
    id integer NOT NULL,
    payment_id integer,
    computer_type integer NOT NULL,
    hourly_cost integer NOT NULL,
    hours integer NOT NULL,
    period_start_date date NOT NULL,
    period_end_date date NOT NULL
);


--
-- Name: incurred_cost_id_seq; Type: SEQUENCE; Schema: public; Owner: -
--

CREATE SEQUENCE public.incurred_cost_id_seq
    START WITH 1
    INCREMENT BY 1
    NO MINVALUE
    NO MAXVALUE
    CACHE 1;


--
-- Name: incurred_cost_id_seq; Type: SEQUENCE OWNED BY; Schema: public; Owner: -
--

ALTER SEQUENCE public.incurred_cost_id_seq OWNED BY public.incurred_cost.id;


--
-- Name: juju_action; Type: TABLE; Schema: public; Owner: -
--

CREATE TABLE public.juju_action (
    id integer NOT NULL,
    juju_model_id integer NOT NULL,
    action_tag text NOT NULL,
    status text NOT NULL,
    message text NOT NULL,
    receiver text NOT NULL
);


--
-- Name: juju_action_id_seq; Type: SEQUENCE; Schema: public; Owner: -
--

CREATE SEQUENCE public.juju_action_id_seq
    START WITH 1
    INCREMENT BY 1
    NO MINVALUE
    NO MAXVALUE
    CACHE 1;


--
-- Name: juju_action_id_seq; Type: SEQUENCE OWNED BY; Schema: public; Owner: -
--

ALTER SEQUENCE public.juju_action_id_seq OWNED BY public.juju_action.id;


--
-- Name: juju_action_request; Type: TABLE; Schema: public; Owner: -
--

CREATE TABLE public.juju_action_request (
    activity_id integer NOT NULL,
    unit text NOT NULL,
    action text NOT NULL,
    params json DEFAULT '{}'::json NOT NULL,
    action_tag text
);


--
-- Name: juju_application; Type: TABLE; Schema: public; Owner: -
--

CREATE TABLE public.juju_application (
    id integer NOT NULL,
    juju_model_id integer NOT NULL,
    name text NOT NULL,
    charm_name text,
    charm_uri text
);


--
-- Name: juju_application_id_seq; Type: SEQUENCE; Schema: public; Owner: -
--

CREATE SEQUENCE public.juju_application_id_seq
    START WITH 1
    INCREMENT BY 1
    NO MINVALUE
    NO MAXVALUE
    CACHE 1;


--
-- Name: juju_application_id_seq; Type: SEQUENCE OWNED BY; Schema: public; Owner: -
--

ALTER SEQUENCE public.juju_application_id_seq OWNED BY public.juju_application.id;


--
-- Name: juju_bootstrap_request; Type: TABLE; Schema: public; Owner: -
--

CREATE TABLE public.juju_bootstrap_request (
    maas_server_id integer NOT NULL,
    activity_id integer NOT NULL,
    target_machine_id integer,
    ubuntu_series text NOT NULL
);


--
-- Name: juju_machine; Type: TABLE; Schema: public; Owner: -
--

CREATE TABLE public.juju_machine (
    id integer NOT NULL,
    juju_model_id integer NOT NULL,
    machine_id text NOT NULL,
    instance_id text,
    status text NOT NULL,
    jobs text[] DEFAULT '{}'::text[],
    has_vote boolean,
    wants_vote boolean,
    computer_id integer,
    address text,
    status_info text DEFAULT ''::text NOT NULL
);


--
-- Name: juju_machine_id_seq; Type: SEQUENCE; Schema: public; Owner: -
--

CREATE SEQUENCE public.juju_machine_id_seq
    START WITH 1
    INCREMENT BY 1
    NO MINVALUE
    NO MAXVALUE
    CACHE 1;


--
-- Name: juju_machine_id_seq; Type: SEQUENCE OWNED BY; Schema: public; Owner: -
--

ALTER SEQUENCE public.juju_machine_id_seq OWNED BY public.juju_machine.id;


--
-- Name: juju_model; Type: TABLE; Schema: public; Owner: -
--

CREATE TABLE public.juju_model (
    id integer NOT NULL,
    uuid text,
    endpoints text[] DEFAULT '{}'::text[] NOT NULL,
    username text,
    password text,
    config text,
    data_id integer NOT NULL,
    externally_managed boolean DEFAULT false NOT NULL,
    provider_type text,
    cloud_endpoint text,
    juju_name text
);


--
-- Name: juju_model_destroy_application_request; Type: TABLE; Schema: public; Owner: -
--

CREATE TABLE public.juju_model_destroy_application_request (
    activity_id integer NOT NULL,
    application_name text NOT NULL
);


--
-- Name: juju_model_id_seq; Type: SEQUENCE; Schema: public; Owner: -
--

CREATE SEQUENCE public.juju_model_id_seq
    START WITH 1
    INCREMENT BY 1
    NO MINVALUE
    NO MAXVALUE
    CACHE 1;


--
-- Name: juju_model_id_seq; Type: SEQUENCE OWNED BY; Schema: public; Owner: -
--

ALTER SEQUENCE public.juju_model_id_seq OWNED BY public.juju_model.id;


--
-- Name: juju_run_on_all_machines_request; Type: TABLE; Schema: public; Owner: -
--

CREATE TABLE public.juju_run_on_all_machines_request (
    activity_id integer NOT NULL,
    commands text NOT NULL,
    timeout interval NOT NULL,
    actions text[] DEFAULT '{}'::text[] NOT NULL
);


--
-- Name: juju_run_request; Type: TABLE; Schema: public; Owner: -
--

CREATE TABLE public.juju_run_request (
    activity_id integer NOT NULL,
    commands text NOT NULL,
    units text[] NOT NULL,
    timeout interval NOT NULL,
    actions text[] DEFAULT '{}'::text[] NOT NULL
);


--
-- Name: juju_service_set_request; Type: TABLE; Schema: public; Owner: -
--

CREATE TABLE public.juju_service_set_request (
    activity_id integer NOT NULL,
    service_name text NOT NULL,
    config json DEFAULT '{}'::json NOT NULL
);


--
-- Name: juju_unit; Type: TABLE; Schema: public; Owner: -
--

CREATE TABLE public.juju_unit (
    id integer NOT NULL,
    juju_application_id integer NOT NULL,
    juju_machine_id integer,
    name text NOT NULL,
    agent_status text,
    agent_status_info text,
    address text,
    workload_status text,
    workload_status_info text
);


--
-- Name: juju_unit_id_seq; Type: SEQUENCE; Schema: public; Owner: -
--

CREATE SEQUENCE public.juju_unit_id_seq
    START WITH 1
    INCREMENT BY 1
    NO MINVALUE
    NO MAXVALUE
    CACHE 1;


--
-- Name: juju_unit_id_seq; Type: SEQUENCE OWNED BY; Schema: public; Owner: -
--

ALTER SEQUENCE public.juju_unit_id_seq OWNED BY public.juju_unit.id;


--
-- Name: lock_user_request; Type: TABLE; Schema: public; Owner: -
--

CREATE TABLE public.lock_user_request (
    activity_id integer NOT NULL,
    uid bigint NOT NULL,
    username text NOT NULL
);


--
-- Name: maas_server; Type: TABLE; Schema: public; Owner: -
--

CREATE TABLE public.maas_server (
    id integer NOT NULL,
    account_id integer NOT NULL,
    name text NOT NULL,
    title text NOT NULL,
    endpoint text NOT NULL,
    credentials text NOT NULL,
    creation_time timestamp without time zone DEFAULT timezone('UTC'::text, now()) NOT NULL
);


--
-- Name: maas_server_id_seq; Type: SEQUENCE; Schema: public; Owner: -
--

CREATE SEQUENCE public.maas_server_id_seq
    START WITH 1
    INCREMENT BY 1
    NO MINVALUE
    NO MAXVALUE
    CACHE 1;


--
-- Name: maas_server_id_seq; Type: SEQUENCE OWNED BY; Schema: public; Owner: -
--

ALTER SEQUENCE public.maas_server_id_seq OWNED BY public.maas_server.id;


--
-- Name: maas_target_machine; Type: TABLE; Schema: public; Owner: -
--

CREATE TABLE public.maas_target_machine (
    id integer NOT NULL,
    maas_name text NOT NULL,
    juju_model_id integer NOT NULL,
    juju_machine_id text
);


--
-- Name: maas_target_machine_id_seq; Type: SEQUENCE; Schema: public; Owner: -
--

CREATE SEQUENCE public.maas_target_machine_id_seq
    START WITH 1
    INCREMENT BY 1
    NO MINVALUE
    NO MAXVALUE
    CACHE 1;


--
-- Name: maas_target_machine_id_seq; Type: SEQUENCE OWNED BY; Schema: public; Owner: -
--

ALTER SEQUENCE public.maas_target_machine_id_seq OWNED BY public.maas_target_machine.id;


--
-- Name: node_maintenance_request; Type: TABLE; Schema: public; Owner: -
--

CREATE TABLE public.node_maintenance_request (
    activity_id integer NOT NULL,
    target_machine_id integer NOT NULL
);


--
-- Name: openstack_region_request; Type: TABLE; Schema: public; Owner: -
--

CREATE TABLE public.openstack_region_request (
    activity_id integer NOT NULL,
    logs_token text
);


--
-- Name: openstack_token; Type: TABLE; Schema: public; Owner: -
--

CREATE TABLE public.openstack_token (
    openstack_endpoints_id integer NOT NULL,
    landscape_token text
);


--
-- Name: package_profile; Type: TABLE; Schema: public; Owner: -
--

CREATE TABLE public.package_profile (
    id integer NOT NULL,
    account_id integer NOT NULL,
    access_context_id integer NOT NULL,
    name text NOT NULL,
    title text NOT NULL,
    description text NOT NULL,
    version integer NOT NULL,
    package_id integer,
    computer_group_id integer NOT NULL,
    creation_time timestamp without time zone DEFAULT timezone('UTC'::text, now()) NOT NULL,
    modification_time timestamp without time zone DEFAULT timezone('UTC'::text, now()) NOT NULL
);


--
-- Name: package_profile_constraint; Type: TABLE; Schema: public; Owner: -
--

CREATE TABLE public.package_profile_constraint (
    id integer NOT NULL,
    package_profile_id integer NOT NULL,
    type integer NOT NULL,
    value text NOT NULL
);


--
-- Name: package_profile_constraint_id_seq; Type: SEQUENCE; Schema: public; Owner: -
--

CREATE SEQUENCE public.package_profile_constraint_id_seq
    START WITH 1
    INCREMENT BY 1
    NO MINVALUE
    NO MAXVALUE
    CACHE 1;


--
-- Name: package_profile_constraint_id_seq; Type: SEQUENCE OWNED BY; Schema: public; Owner: -
--

ALTER SEQUENCE public.package_profile_constraint_id_seq OWNED BY public.package_profile_constraint.id;


--
-- Name: package_profile_id_seq; Type: SEQUENCE; Schema: public; Owner: -
--

CREATE SEQUENCE public.package_profile_id_seq
    START WITH 1
    INCREMENT BY 1
    NO MINVALUE
    NO MAXVALUE
    CACHE 1;


--
-- Name: package_profile_id_seq; Type: SEQUENCE OWNED BY; Schema: public; Owner: -
--

ALTER SEQUENCE public.package_profile_id_seq OWNED BY public.package_profile.id;


--
-- Name: payment; Type: TABLE; Schema: public; Owner: -
--

CREATE TABLE public.payment (
    id integer NOT NULL,
    creation_time timestamp without time zone DEFAULT now() NOT NULL,
    credit_discount integer NOT NULL,
    vat integer NOT NULL,
    status integer NOT NULL,
    data_id integer NOT NULL,
    stripe_charge_id text,
    stripe_error_code text,
    stripe_error_message text,
    payment_date timestamp without time zone,
    stripe_charge_idempotency_key text,
    period_start_date date NOT NULL,
    period_end_date date NOT NULL,
    receipt_uri text,
    first_failure timestamp without time zone,
    num_attempts integer DEFAULT 0 NOT NULL,
    last_failure timestamp without time zone,
    stripe_next_action text
);


--
-- Name: payment_id_seq; Type: SEQUENCE; Schema: public; Owner: -
--

CREATE SEQUENCE public.payment_id_seq
    START WITH 1
    INCREMENT BY 1
    NO MINVALUE
    NO MAXVALUE
    CACHE 1;


--
-- Name: payment_id_seq; Type: SEQUENCE OWNED BY; Schema: public; Owner: -
--

ALTER SEQUENCE public.payment_id_seq OWNED BY public.payment.id;


--
-- Name: pocket; Type: TABLE; Schema: public; Owner: -
--

CREATE TABLE public.pocket (
    id integer NOT NULL,
    series_id integer NOT NULL,
    name text NOT NULL,
    mode integer,
    gpg_key_id integer,
    mirror_uri text,
    mirror_suite text,
    mirror_gpg_key_id integer,
    pull_pocket_id integer,
    upload_allow_unsigned boolean,
    components text[],
    archs text[],
    include_udeb boolean DEFAULT false NOT NULL,
    filter_type integer,
    filters text[],
    creation_time timestamp without time zone DEFAULT timezone('UTC'::text, now()) NOT NULL
);


--
-- Name: pocket_id_seq; Type: SEQUENCE; Schema: public; Owner: -
--

CREATE SEQUENCE public.pocket_id_seq
    START WITH 1
    INCREMENT BY 1
    NO MINVALUE
    NO MAXVALUE
    CACHE 1;


--
-- Name: pocket_id_seq; Type: SEQUENCE OWNED BY; Schema: public; Owner: -
--

ALTER SEQUENCE public.pocket_id_seq OWNED BY public.pocket.id;


--
-- Name: pocket_upload_gpg_key; Type: TABLE; Schema: public; Owner: -
--

CREATE TABLE public.pocket_upload_gpg_key (
    pocket_id integer NOT NULL,
    gpg_key_id integer NOT NULL
);


--
-- Name: region; Type: TABLE; Schema: public; Owner: -
--

CREATE TABLE public.region (
    id integer NOT NULL,
    cloud_id integer NOT NULL,
    maas_server_id integer NOT NULL,
    juju_model_id integer NOT NULL,
    network text NOT NULL,
    object_storage text NOT NULL,
    block_storage text NOT NULL,
    network_options json DEFAULT '{}'::json NOT NULL,
    admin_password text NOT NULL,
    admin_token text NOT NULL,
    ha_enabled boolean DEFAULT false NOT NULL,
    services_vip json DEFAULT '{}'::json NOT NULL,
    landscape_user_password text NOT NULL,
    monitoring text,
    monitoring_options json DEFAULT '{}'::json,
    data_id integer NOT NULL,
    floating_ip_range_maas_id integer
);


--
-- Name: region_hypervisor; Type: TABLE; Schema: public; Owner: -
--

CREATE TABLE public.region_hypervisor (
    region_id integer NOT NULL,
    name text NOT NULL,
    percentage integer NOT NULL,
    CONSTRAINT region_hypervisor_percentage_check CHECK (((percentage > 0) AND (percentage <= 100)))
);


--
-- Name: region_id_seq; Type: SEQUENCE; Schema: public; Owner: -
--

CREATE SEQUENCE public.region_id_seq
    START WITH 1
    INCREMENT BY 1
    NO MINVALUE
    NO MAXVALUE
    CACHE 1;


--
-- Name: region_id_seq; Type: SEQUENCE OWNED BY; Schema: public; Owner: -
--

ALTER SEQUENCE public.region_id_seq OWNED BY public.region.id;


--
-- Name: region_log; Type: TABLE; Schema: public; Owner: -
--

CREATE TABLE public.region_log (
    region_id integer NOT NULL,
    logfile bytea NOT NULL
);


--
-- Name: region_machine; Type: TABLE; Schema: public; Owner: -
--

CREATE TABLE public.region_machine (
    id integer NOT NULL,
    region_id integer NOT NULL,
    name text NOT NULL,
    roles text[] DEFAULT '{}'::text[] NOT NULL,
    availability_zone_id integer
);


--
-- Name: region_machine_id_seq; Type: SEQUENCE; Schema: public; Owner: -
--

CREATE SEQUENCE public.region_machine_id_seq
    START WITH 1
    INCREMENT BY 1
    NO MINVALUE
    NO MAXVALUE
    CACHE 1;


--
-- Name: region_machine_id_seq; Type: SEQUENCE OWNED BY; Schema: public; Owner: -
--

ALTER SEQUENCE public.region_machine_id_seq OWNED BY public.region_machine.id;


--
-- Name: region_request_data; Type: TABLE; Schema: public; Owner: -
--

CREATE TABLE public.region_request_data (
    activity_id integer NOT NULL,
    region_id integer NOT NULL
);


--
-- Name: registration_otp; Type: TABLE; Schema: public; Owner: -
--

CREATE TABLE public.registration_otp (
    otp bytea NOT NULL,
    account_id integer NOT NULL
);


--
-- Name: release_upgrade_request; Type: TABLE; Schema: public; Owner: -
--

CREATE TABLE public.release_upgrade_request (
    activity_id integer NOT NULL,
    from_code_name text NOT NULL,
    to_code_name text NOT NULL,
    upgrade_tool_tarball_url text NOT NULL,
    upgrade_tool_signature_url text NOT NULL
);


--
-- Name: removal_profile; Type: TABLE; Schema: public; Owner: -
--

CREATE TABLE public.removal_profile (
    id integer NOT NULL,
    account_id integer NOT NULL,
    access_context_id integer NOT NULL,
    computer_group_id integer NOT NULL,
    name text NOT NULL,
    title text NOT NULL,
    days_without_exchange integer NOT NULL,
    cascade_to_children boolean DEFAULT false
);


--
-- Name: removal_profile_id_seq; Type: SEQUENCE; Schema: public; Owner: -
--

CREATE SEQUENCE public.removal_profile_id_seq
    START WITH 1
    INCREMENT BY 1
    NO MINVALUE
    NO MAXVALUE
    CACHE 1;


--
-- Name: removal_profile_id_seq; Type: SEQUENCE OWNED BY; Schema: public; Owner: -
--

ALTER SEQUENCE public.removal_profile_id_seq OWNED BY public.removal_profile.id;


--
-- Name: remove_group_member_request; Type: TABLE; Schema: public; Owner: -
--

CREATE TABLE public.remove_group_member_request (
    activity_id integer NOT NULL,
    username text NOT NULL,
    groupname text NOT NULL,
    uid bigint NOT NULL,
    gid bigint NOT NULL
);


--
-- Name: repository_profile; Type: TABLE; Schema: public; Owner: -
--

CREATE TABLE public.repository_profile (
    id integer NOT NULL,
    account_id integer NOT NULL,
    access_context_id integer NOT NULL,
    name text NOT NULL,
    title text NOT NULL,
    description text NOT NULL,
    computer_group_id integer NOT NULL,
    creation_time timestamp without time zone DEFAULT timezone('UTC'::text, now()) NOT NULL,
    modification_time timestamp without time zone DEFAULT timezone('UTC'::text, now()) NOT NULL
);


--
-- Name: repository_profile_apt_source; Type: TABLE; Schema: public; Owner: -
--

CREATE TABLE public.repository_profile_apt_source (
    profile_id integer NOT NULL,
    apt_source_id integer NOT NULL
);


--
-- Name: repository_profile_id_seq; Type: SEQUENCE; Schema: public; Owner: -
--

CREATE SEQUENCE public.repository_profile_id_seq
    START WITH 1
    INCREMENT BY 1
    NO MINVALUE
    NO MAXVALUE
    CACHE 1;


--
-- Name: repository_profile_id_seq; Type: SEQUENCE OWNED BY; Schema: public; Owner: -
--

ALTER SEQUENCE public.repository_profile_id_seq OWNED BY public.repository_profile.id;


--
-- Name: repository_profile_pocket; Type: TABLE; Schema: public; Owner: -
--

CREATE TABLE public.repository_profile_pocket (
    profile_id integer NOT NULL,
    pocket_id integer NOT NULL
);


--
-- Name: resynchronize_request; Type: TABLE; Schema: public; Owner: -
--

CREATE TABLE public.resynchronize_request (
    activity_id integer NOT NULL,
    scopes text[]
);


--
-- Name: rule; Type: TABLE; Schema: public; Owner: -
--

CREATE TABLE public.rule (
    id integer NOT NULL,
    account_id integer NOT NULL,
    access_context_id integer,
    info_type integer NOT NULL,
    next_notification_time timestamp without time zone,
    computer_group_id integer
);


--
-- Name: rule_id_seq; Type: SEQUENCE; Schema: public; Owner: -
--

CREATE SEQUENCE public.rule_id_seq
    START WITH 1
    INCREMENT BY 1
    NO MINVALUE
    NO MAXVALUE
    CACHE 1;


--
-- Name: rule_id_seq; Type: SEQUENCE OWNED BY; Schema: public; Owner: -
--

ALTER SEQUENCE public.rule_id_seq OWNED BY public.rule.id;


--
-- Name: rule_state; Type: TABLE; Schema: public; Owner: -
--

CREATE TABLE public.rule_state (
    id integer NOT NULL,
    computer_id integer,
    rule_id integer NOT NULL,
    activation_time timestamp without time zone,
    dismissed boolean DEFAULT false NOT NULL,
    data bytea
);


--
-- Name: rule_state_id_seq; Type: SEQUENCE; Schema: public; Owner: -
--

CREATE SEQUENCE public.rule_state_id_seq
    START WITH 1
    INCREMENT BY 1
    NO MINVALUE
    NO MAXVALUE
    CACHE 1;


--
-- Name: rule_state_id_seq; Type: SEQUENCE OWNED BY; Schema: public; Owner: -
--

ALTER SEQUENCE public.rule_state_id_seq OWNED BY public.rule_state.id;


--
-- Name: rule_state_notification; Type: TABLE; Schema: public; Owner: -
--

CREATE TABLE public.rule_state_notification (
    rule_state_id integer NOT NULL,
    notification_time timestamp without time zone
);


--
-- Name: rule_subscription; Type: TABLE; Schema: public; Owner: -
--

CREATE TABLE public.rule_subscription (
    rule_id integer NOT NULL,
    person_id integer NOT NULL
);


--
-- Name: sample_account_rule; Type: TABLE; Schema: public; Owner: -
--

CREATE TABLE public.sample_account_rule (
    rule_id integer NOT NULL,
    data text
);


--
-- Name: sample_computer_rule; Type: TABLE; Schema: public; Owner: -
--

CREATE TABLE public.sample_computer_rule (
    rule_id integer NOT NULL,
    data text
);


--
-- Name: saved_search; Type: TABLE; Schema: public; Owner: -
--

CREATE TABLE public.saved_search (
    id integer NOT NULL,
    account_id integer NOT NULL,
    name text NOT NULL,
    title text NOT NULL,
    search text NOT NULL
);


--
-- Name: saved_search_id_seq; Type: SEQUENCE; Schema: public; Owner: -
--

CREATE SEQUENCE public.saved_search_id_seq
    START WITH 1
    INCREMENT BY 1
    NO MINVALUE
    NO MAXVALUE
    CACHE 1;


--
-- Name: saved_search_id_seq; Type: SEQUENCE OWNED BY; Schema: public; Owner: -
--

ALTER SEQUENCE public.saved_search_id_seq OWNED BY public.saved_search.id;


--
-- Name: script; Type: TABLE; Schema: public; Owner: -
--

CREATE TABLE public.script (
    id integer NOT NULL,
    account_id integer NOT NULL,
    interpreter text NOT NULL,
    code text NOT NULL,
    title text NOT NULL,
    username text,
    time_limit integer NOT NULL,
    creator_id integer NOT NULL,
    access_context_id integer NOT NULL
);


--
-- Name: script_attachment; Type: TABLE; Schema: public; Owner: -
--

CREATE TABLE public.script_attachment (
    script_id integer NOT NULL,
    attachment_id integer NOT NULL
);


--
-- Name: script_id_seq; Type: SEQUENCE; Schema: public; Owner: -
--

CREATE SEQUENCE public.script_id_seq
    START WITH 1
    INCREMENT BY 1
    NO MINVALUE
    NO MAXVALUE
    CACHE 1;


--
-- Name: script_id_seq; Type: SEQUENCE OWNED BY; Schema: public; Owner: -
--

ALTER SEQUENCE public.script_id_seq OWNED BY public.script.id;


--
-- Name: series; Type: TABLE; Schema: public; Owner: -
--

CREATE TABLE public.series (
    id integer NOT NULL,
    distribution_id integer NOT NULL,
    name text NOT NULL,
    creation_time timestamp without time zone DEFAULT timezone('UTC'::text, now()) NOT NULL
);


--
-- Name: series_id_seq; Type: SEQUENCE; Schema: public; Owner: -
--

CREATE SEQUENCE public.series_id_seq
    START WITH 1
    INCREMENT BY 1
    NO MINVALUE
    NO MAXVALUE
    CACHE 1;


--
-- Name: series_id_seq; Type: SEQUENCE OWNED BY; Schema: public; Owner: -
--

ALTER SEQUENCE public.series_id_seq OWNED BY public.series.id;


--
-- Name: signal_process_request; Type: TABLE; Schema: public; Owner: -
--

CREATE TABLE public.signal_process_request (
    activity_id integer NOT NULL,
    signal text NOT NULL,
    name text NOT NULL,
    pid integer NOT NULL,
    start_time timestamp without time zone NOT NULL
);


--
-- Name: stored_stub_request; Type: TABLE; Schema: public; Owner: -
--

CREATE TABLE public.stored_stub_request (
    activity_id integer NOT NULL,
    message text
);


--
-- Name: sync_pocket_request; Type: TABLE; Schema: public; Owner: -
--

CREATE TABLE public.sync_pocket_request (
    activity_id integer NOT NULL,
    pocket_id integer NOT NULL
);


--
-- Name: tenant_network_setup_request; Type: TABLE; Schema: public; Owner: -
--

CREATE TABLE public.tenant_network_setup_request (
    activity_id integer NOT NULL,
    tenant text,
    cidr text NOT NULL,
    gateway text NOT NULL
);


--
-- Name: unlock_user_request; Type: TABLE; Schema: public; Owner: -
--

CREATE TABLE public.unlock_user_request (
    activity_id integer NOT NULL,
    uid bigint NOT NULL,
    username text NOT NULL
);


--
-- Name: upgrade_profile; Type: TABLE; Schema: public; Owner: -
--

CREATE TABLE public.upgrade_profile (
    id integer NOT NULL,
    account_id integer NOT NULL,
    access_context_id integer NOT NULL,
    name text NOT NULL,
    title text NOT NULL,
    upgrade_type integer NOT NULL,
    schedule text NOT NULL,
    computer_group_id integer NOT NULL,
    creation_time timestamp without time zone DEFAULT timezone('UTC'::text, now()) NOT NULL,
    modification_time timestamp without time zone DEFAULT timezone('UTC'::text, now()) NOT NULL,
    next_run_time timestamp without time zone,
    run_window_length integer,
    deliver_after_window integer DEFAULT 0,
    timezone text NOT NULL,
    autoremove boolean DEFAULT false NOT NULL
);


--
-- Name: upgrade_profile_id_seq; Type: SEQUENCE; Schema: public; Owner: -
--

CREATE SEQUENCE public.upgrade_profile_id_seq
    START WITH 1
    INCREMENT BY 1
    NO MINVALUE
    NO MAXVALUE
    CACHE 1;


--
-- Name: upgrade_profile_id_seq; Type: SEQUENCE OWNED BY; Schema: public; Owner: -
--

ALTER SEQUENCE public.upgrade_profile_id_seq OWNED BY public.upgrade_profile.id;


--
-- Name: upload; Type: TABLE; Schema: public; Owner: -
--

CREATE TABLE public.upload (
    id integer NOT NULL,
    distribution_id integer NOT NULL,
    pocket_id integer NOT NULL,
    changes text NOT NULL,
    creation_time timestamp without time zone DEFAULT timezone('UTC'::text, now()) NOT NULL
);


--
-- Name: upload_id_seq; Type: SEQUENCE; Schema: public; Owner: -
--

CREATE SEQUENCE public.upload_id_seq
    START WITH 1
    INCREMENT BY 1
    NO MINVALUE
    NO MAXVALUE
    CACHE 1;


--
-- Name: upload_id_seq; Type: SEQUENCE OWNED BY; Schema: public; Owner: -
--

ALTER SEQUENCE public.upload_id_seq OWNED BY public.upload.id;


--
-- Name: account_entity_data id; Type: DEFAULT; Schema: public; Owner: -
--

ALTER TABLE ONLY public.account_entity_data ALTER COLUMN id SET DEFAULT nextval('public.account_entity_data_id_seq'::regclass);


--
-- Name: activity id; Type: DEFAULT; Schema: public; Owner: -
--

ALTER TABLE ONLY public.activity ALTER COLUMN id SET DEFAULT nextval('public.activity_id_seq'::regclass);


--
-- Name: activity_child_event id; Type: DEFAULT; Schema: public; Owner: -
--

ALTER TABLE ONLY public.activity_child_event ALTER COLUMN id SET DEFAULT nextval('public.activity_child_event_id_seq'::regclass);


--
-- Name: apt_source id; Type: DEFAULT; Schema: public; Owner: -
--

ALTER TABLE ONLY public.apt_source ALTER COLUMN id SET DEFAULT nextval('public.apt_source_id_seq'::regclass);


--
-- Name: attachment id; Type: DEFAULT; Schema: public; Owner: -
--

ALTER TABLE ONLY public.attachment ALTER COLUMN id SET DEFAULT nextval('public.attachment_id_seq'::regclass);


--
-- Name: availability_zone id; Type: DEFAULT; Schema: public; Owner: -
--

ALTER TABLE ONLY public.availability_zone ALTER COLUMN id SET DEFAULT nextval('public.availability_zone_id_seq'::regclass);


--
-- Name: cloud id; Type: DEFAULT; Schema: public; Owner: -
--

ALTER TABLE ONLY public.cloud ALTER COLUMN id SET DEFAULT nextval('public.cloud_id_seq'::regclass);


--
-- Name: computer_group id; Type: DEFAULT; Schema: public; Owner: -
--

ALTER TABLE ONLY public.computer_group ALTER COLUMN id SET DEFAULT nextval('public.computer_group_id_seq'::regclass);


--
-- Name: configure_availability_zones_zone id; Type: DEFAULT; Schema: public; Owner: -
--

ALTER TABLE ONLY public.configure_availability_zones_zone ALTER COLUMN id SET DEFAULT nextval('public.configure_availability_zones_zone_id_seq'::regclass);


--
-- Name: custom_graph id; Type: DEFAULT; Schema: public; Owner: -
--

ALTER TABLE ONLY public.custom_graph ALTER COLUMN id SET DEFAULT nextval('public.custom_graph_id_seq'::regclass);


--
-- Name: distribution id; Type: DEFAULT; Schema: public; Owner: -
--

ALTER TABLE ONLY public.distribution ALTER COLUMN id SET DEFAULT nextval('public.distribution_id_seq'::regclass);


--
-- Name: event_log_entry id; Type: DEFAULT; Schema: public; Owner: -
--

ALTER TABLE ONLY public.event_log_entry ALTER COLUMN id SET DEFAULT nextval('public.event_log_entry_id_seq'::regclass);


--
-- Name: gpg_key id; Type: DEFAULT; Schema: public; Owner: -
--

ALTER TABLE ONLY public.gpg_key ALTER COLUMN id SET DEFAULT nextval('public.gpg_key_id_seq'::regclass);


--
-- Name: incurred_cost id; Type: DEFAULT; Schema: public; Owner: -
--

ALTER TABLE ONLY public.incurred_cost ALTER COLUMN id SET DEFAULT nextval('public.incurred_cost_id_seq'::regclass);


--
-- Name: juju_action id; Type: DEFAULT; Schema: public; Owner: -
--

ALTER TABLE ONLY public.juju_action ALTER COLUMN id SET DEFAULT nextval('public.juju_action_id_seq'::regclass);


--
-- Name: juju_application id; Type: DEFAULT; Schema: public; Owner: -
--

ALTER TABLE ONLY public.juju_application ALTER COLUMN id SET DEFAULT nextval('public.juju_application_id_seq'::regclass);


--
-- Name: juju_machine id; Type: DEFAULT; Schema: public; Owner: -
--

ALTER TABLE ONLY public.juju_machine ALTER COLUMN id SET DEFAULT nextval('public.juju_machine_id_seq'::regclass);


--
-- Name: juju_model id; Type: DEFAULT; Schema: public; Owner: -
--

ALTER TABLE ONLY public.juju_model ALTER COLUMN id SET DEFAULT nextval('public.juju_model_id_seq'::regclass);


--
-- Name: juju_unit id; Type: DEFAULT; Schema: public; Owner: -
--

ALTER TABLE ONLY public.juju_unit ALTER COLUMN id SET DEFAULT nextval('public.juju_unit_id_seq'::regclass);


--
-- Name: maas_server id; Type: DEFAULT; Schema: public; Owner: -
--

ALTER TABLE ONLY public.maas_server ALTER COLUMN id SET DEFAULT nextval('public.maas_server_id_seq'::regclass);


--
-- Name: maas_target_machine id; Type: DEFAULT; Schema: public; Owner: -
--

ALTER TABLE ONLY public.maas_target_machine ALTER COLUMN id SET DEFAULT nextval('public.maas_target_machine_id_seq'::regclass);


--
-- Name: package_profile id; Type: DEFAULT; Schema: public; Owner: -
--

ALTER TABLE ONLY public.package_profile ALTER COLUMN id SET DEFAULT nextval('public.package_profile_id_seq'::regclass);


--
-- Name: package_profile_constraint id; Type: DEFAULT; Schema: public; Owner: -
--

ALTER TABLE ONLY public.package_profile_constraint ALTER COLUMN id SET DEFAULT nextval('public.package_profile_constraint_id_seq'::regclass);


--
-- Name: payment id; Type: DEFAULT; Schema: public; Owner: -
--

ALTER TABLE ONLY public.payment ALTER COLUMN id SET DEFAULT nextval('public.payment_id_seq'::regclass);


--
-- Name: pocket id; Type: DEFAULT; Schema: public; Owner: -
--

ALTER TABLE ONLY public.pocket ALTER COLUMN id SET DEFAULT nextval('public.pocket_id_seq'::regclass);


--
-- Name: region id; Type: DEFAULT; Schema: public; Owner: -
--

ALTER TABLE ONLY public.region ALTER COLUMN id SET DEFAULT nextval('public.region_id_seq'::regclass);


--
-- Name: region_machine id; Type: DEFAULT; Schema: public; Owner: -
--

ALTER TABLE ONLY public.region_machine ALTER COLUMN id SET DEFAULT nextval('public.region_machine_id_seq'::regclass);


--
-- Name: removal_profile id; Type: DEFAULT; Schema: public; Owner: -
--

ALTER TABLE ONLY public.removal_profile ALTER COLUMN id SET DEFAULT nextval('public.removal_profile_id_seq'::regclass);


--
-- Name: repository_profile id; Type: DEFAULT; Schema: public; Owner: -
--

ALTER TABLE ONLY public.repository_profile ALTER COLUMN id SET DEFAULT nextval('public.repository_profile_id_seq'::regclass);


--
-- Name: rule id; Type: DEFAULT; Schema: public; Owner: -
--

ALTER TABLE ONLY public.rule ALTER COLUMN id SET DEFAULT nextval('public.rule_id_seq'::regclass);


--
-- Name: rule_state id; Type: DEFAULT; Schema: public; Owner: -
--

ALTER TABLE ONLY public.rule_state ALTER COLUMN id SET DEFAULT nextval('public.rule_state_id_seq'::regclass);


--
-- Name: saved_search id; Type: DEFAULT; Schema: public; Owner: -
--

ALTER TABLE ONLY public.saved_search ALTER COLUMN id SET DEFAULT nextval('public.saved_search_id_seq'::regclass);


--
-- Name: script id; Type: DEFAULT; Schema: public; Owner: -
--

ALTER TABLE ONLY public.script ALTER COLUMN id SET DEFAULT nextval('public.script_id_seq'::regclass);


--
-- Name: series id; Type: DEFAULT; Schema: public; Owner: -
--

ALTER TABLE ONLY public.series ALTER COLUMN id SET DEFAULT nextval('public.series_id_seq'::regclass);


--
-- Name: upgrade_profile id; Type: DEFAULT; Schema: public; Owner: -
--

ALTER TABLE ONLY public.upgrade_profile ALTER COLUMN id SET DEFAULT nextval('public.upgrade_profile_id_seq'::regclass);


--
-- Name: upload id; Type: DEFAULT; Schema: public; Owner: -
--

ALTER TABLE ONLY public.upload ALTER COLUMN id SET DEFAULT nextval('public.upload_id_seq'::regclass);


--
-- Name: account_entity_data account_entity_data_pkey; Type: CONSTRAINT; Schema: public; Owner: -
--

ALTER TABLE ONLY public.account_entity_data
    ADD CONSTRAINT account_entity_data_pkey PRIMARY KEY (id);


--
-- Name: account_twin account_twin_pkey; Type: CONSTRAINT; Schema: public; Owner: -
--

ALTER TABLE ONLY public.account_twin
    ADD CONSTRAINT account_twin_pkey PRIMARY KEY (id);


--
-- Name: activity_child_event activity_child_event_activity_id_event_type_timestamp_key; Type: CONSTRAINT; Schema: public; Owner: -
--

ALTER TABLE ONLY public.activity_child_event
    ADD CONSTRAINT activity_child_event_activity_id_event_type_timestamp_key UNIQUE (activity_id, event_type, "timestamp");


--
-- Name: activity_child_event activity_child_event_pkey; Type: CONSTRAINT; Schema: public; Owner: -
--

ALTER TABLE ONLY public.activity_child_event
    ADD CONSTRAINT activity_child_event_pkey PRIMARY KEY (id);


--
-- Name: activity_group activity_group_pkey; Type: CONSTRAINT; Schema: public; Owner: -
--

ALTER TABLE ONLY public.activity_group
    ADD CONSTRAINT activity_group_pkey PRIMARY KEY (activity_id);


--
-- Name: activity_info activity_info_pkey; Type: CONSTRAINT; Schema: public; Owner: -
--

ALTER TABLE ONLY public.activity_info
    ADD CONSTRAINT activity_info_pkey PRIMARY KEY (activity_id);


--
-- Name: activity_ordering activity_ordering_pkey; Type: CONSTRAINT; Schema: public; Owner: -
--

ALTER TABLE ONLY public.activity_ordering
    ADD CONSTRAINT activity_ordering_pkey PRIMARY KEY (activity_id, preceeding_activity_id);


--
-- Name: activity_parent_access activity_parent_access_parent_id_entity_type_access_context_key; Type: CONSTRAINT; Schema: public; Owner: -
--

ALTER TABLE ONLY public.activity_parent_access
    ADD CONSTRAINT activity_parent_access_parent_id_entity_type_access_context_key UNIQUE (parent_id, entity_type, access_context_id);


--
-- Name: activity_parent activity_parent_pkey; Type: CONSTRAINT; Schema: public; Owner: -
--

ALTER TABLE ONLY public.activity_parent
    ADD CONSTRAINT activity_parent_pkey PRIMARY KEY (id);


--
-- Name: activity activity_pkey; Type: CONSTRAINT; Schema: public; Owner: -
--

ALTER TABLE ONLY public.activity
    ADD CONSTRAINT activity_pkey PRIMARY KEY (id);


--
-- Name: add_group_member_request add_group_member_request_pkey; Type: CONSTRAINT; Schema: public; Owner: -
--

ALTER TABLE ONLY public.add_group_member_request
    ADD CONSTRAINT add_group_member_request_pkey PRIMARY KEY (activity_id);


--
-- Name: add_juju_charm_request add_juju_charm_request_pkey; Type: CONSTRAINT; Schema: public; Owner: -
--

ALTER TABLE ONLY public.add_juju_charm_request
    ADD CONSTRAINT add_juju_charm_request_pkey PRIMARY KEY (activity_id);


--
-- Name: add_juju_machine_request add_juju_machine_request_pkey; Type: CONSTRAINT; Schema: public; Owner: -
--

ALTER TABLE ONLY public.add_juju_machine_request
    ADD CONSTRAINT add_juju_machine_request_pkey PRIMARY KEY (activity_id);


--
-- Name: add_juju_relation_request add_juju_relation_request_pkey; Type: CONSTRAINT; Schema: public; Owner: -
--

ALTER TABLE ONLY public.add_juju_relation_request
    ADD CONSTRAINT add_juju_relation_request_pkey PRIMARY KEY (activity_id);


--
-- Name: add_juju_unit_request add_juju_unit_request_pkey; Type: CONSTRAINT; Schema: public; Owner: -
--

ALTER TABLE ONLY public.add_juju_unit_request
    ADD CONSTRAINT add_juju_unit_request_pkey PRIMARY KEY (activity_id);


--
-- Name: apt_source apt_source_account_id_name_key; Type: CONSTRAINT; Schema: public; Owner: -
--

ALTER TABLE ONLY public.apt_source
    ADD CONSTRAINT apt_source_account_id_name_key UNIQUE (account_id, name);


--
-- Name: apt_source_gpg_key apt_source_gpg_key_pkey; Type: CONSTRAINT; Schema: public; Owner: -
--

ALTER TABLE ONLY public.apt_source_gpg_key
    ADD CONSTRAINT apt_source_gpg_key_pkey PRIMARY KEY (apt_source_id, gpg_key_id);


--
-- Name: apt_source apt_source_pkey; Type: CONSTRAINT; Schema: public; Owner: -
--

ALTER TABLE ONLY public.apt_source
    ADD CONSTRAINT apt_source_pkey PRIMARY KEY (id);


--
-- Name: attachment attachment_pkey; Type: CONSTRAINT; Schema: public; Owner: -
--

ALTER TABLE ONLY public.attachment
    ADD CONSTRAINT attachment_pkey PRIMARY KEY (id);


--
-- Name: availability_zone availability_zone_name_region_id_key; Type: CONSTRAINT; Schema: public; Owner: -
--

ALTER TABLE ONLY public.availability_zone
    ADD CONSTRAINT availability_zone_name_region_id_key UNIQUE (name, region_id);


--
-- Name: availability_zone availability_zone_pkey; Type: CONSTRAINT; Schema: public; Owner: -
--

ALTER TABLE ONLY public.availability_zone
    ADD CONSTRAINT availability_zone_pkey PRIMARY KEY (id);


--
-- Name: availability_zone availability_zone_region_id_maas_zone_name_key; Type: CONSTRAINT; Schema: public; Owner: -
--

ALTER TABLE ONLY public.availability_zone
    ADD CONSTRAINT availability_zone_region_id_maas_zone_name_key UNIQUE (region_id, maas_zone_name);


--
-- Name: change_package_profile_request change_package_profile_request_pkey; Type: CONSTRAINT; Schema: public; Owner: -
--

ALTER TABLE ONLY public.change_package_profile_request
    ADD CONSTRAINT change_package_profile_request_pkey PRIMARY KEY (activity_id);


--
-- Name: change_package_request change_package_request_pkey; Type: CONSTRAINT; Schema: public; Owner: -
--

ALTER TABLE ONLY public.change_package_request
    ADD CONSTRAINT change_package_request_pkey PRIMARY KEY (activity_id);


--
-- Name: change_upgrade_profile_request change_upgrade_profile_request_pkey; Type: CONSTRAINT; Schema: public; Owner: -
--

ALTER TABLE ONLY public.change_upgrade_profile_request
    ADD CONSTRAINT change_upgrade_profile_request_pkey PRIMARY KEY (activity_id);


--
-- Name: cloud cloud_account_id_name_key; Type: CONSTRAINT; Schema: public; Owner: -
--

ALTER TABLE ONLY public.cloud
    ADD CONSTRAINT cloud_account_id_name_key UNIQUE (account_id, name);


--
-- Name: cloud cloud_pkey; Type: CONSTRAINT; Schema: public; Owner: -
--

ALTER TABLE ONLY public.cloud
    ADD CONSTRAINT cloud_pkey PRIMARY KEY (id);


--
-- Name: computer_group_item computer_group_item_pkey; Type: CONSTRAINT; Schema: public; Owner: -
--

ALTER TABLE ONLY public.computer_group_item
    ADD CONSTRAINT computer_group_item_pkey PRIMARY KEY (computer_group_id, computer_id);


--
-- Name: computer_group computer_group_pkey; Type: CONSTRAINT; Schema: public; Owner: -
--

ALTER TABLE ONLY public.computer_group
    ADD CONSTRAINT computer_group_pkey PRIMARY KEY (id);


--
-- Name: computer_group_tag computer_group_tag_pkey; Type: CONSTRAINT; Schema: public; Owner: -
--

ALTER TABLE ONLY public.computer_group_tag
    ADD CONSTRAINT computer_group_tag_pkey PRIMARY KEY (tag_id, computer_group_id);


--
-- Name: computer_twin computer_twin_pkey; Type: CONSTRAINT; Schema: public; Owner: -
--

ALTER TABLE ONLY public.computer_twin
    ADD CONSTRAINT computer_twin_pkey PRIMARY KEY (id);


--
-- Name: configure_availability_zones_zone configure_availability_zones_zon_activity_id_maas_zone_name_key; Type: CONSTRAINT; Schema: public; Owner: -
--

ALTER TABLE ONLY public.configure_availability_zones_zone
    ADD CONSTRAINT configure_availability_zones_zon_activity_id_maas_zone_name_key UNIQUE (activity_id, maas_zone_name);


--
-- Name: configure_availability_zones_zone_machine configure_availability_zones_zone_machine_pkey; Type: CONSTRAINT; Schema: public; Owner: -
--

ALTER TABLE ONLY public.configure_availability_zones_zone_machine
    ADD CONSTRAINT configure_availability_zones_zone_machine_pkey PRIMARY KEY (configure_availability_zones_zone_id, maas_name);


--
-- Name: configure_availability_zones_zone configure_availability_zones_zone_name_activity_id_key; Type: CONSTRAINT; Schema: public; Owner: -
--

ALTER TABLE ONLY public.configure_availability_zones_zone
    ADD CONSTRAINT configure_availability_zones_zone_name_activity_id_key UNIQUE (name, activity_id);


--
-- Name: configure_availability_zones_zone configure_availability_zones_zone_pkey; Type: CONSTRAINT; Schema: public; Owner: -
--

ALTER TABLE ONLY public.configure_availability_zones_zone
    ADD CONSTRAINT configure_availability_zones_zone_pkey PRIMARY KEY (id);


--
-- Name: configure_vip_request configure_vip_request_pkey; Type: CONSTRAINT; Schema: public; Owner: -
--

ALTER TABLE ONLY public.configure_vip_request
    ADD CONSTRAINT configure_vip_request_pkey PRIMARY KEY (activity_id);


--
-- Name: create_glance_image_request create_glance_image_request_pkey; Type: CONSTRAINT; Schema: public; Owner: -
--

ALTER TABLE ONLY public.create_glance_image_request
    ADD CONSTRAINT create_glance_image_request_pkey PRIMARY KEY (activity_id);


--
-- Name: create_group_request create_group_request_pkey; Type: CONSTRAINT; Schema: public; Owner: -
--

ALTER TABLE ONLY public.create_group_request
    ADD CONSTRAINT create_group_request_pkey PRIMARY KEY (activity_id);


--
-- Name: create_project_request create_project_request_pkey; Type: CONSTRAINT; Schema: public; Owner: -
--

ALTER TABLE ONLY public.create_project_request
    ADD CONSTRAINT create_project_request_pkey PRIMARY KEY (activity_id);


--
-- Name: create_user_request create_user_request_pkey; Type: CONSTRAINT; Schema: public; Owner: -
--

ALTER TABLE ONLY public.create_user_request
    ADD CONSTRAINT create_user_request_pkey PRIMARY KEY (activity_id);


--
-- Name: custom_graph custom_graph_account_id_title_key; Type: CONSTRAINT; Schema: public; Owner: -
--

ALTER TABLE ONLY public.custom_graph
    ADD CONSTRAINT custom_graph_account_id_title_key UNIQUE (account_id, title);


--
-- Name: custom_graph custom_graph_pkey; Type: CONSTRAINT; Schema: public; Owner: -
--

ALTER TABLE ONLY public.custom_graph
    ADD CONSTRAINT custom_graph_pkey PRIMARY KEY (id);


--
-- Name: delete_user_request delete_user_request_pkey; Type: CONSTRAINT; Schema: public; Owner: -
--

ALTER TABLE ONLY public.delete_user_request
    ADD CONSTRAINT delete_user_request_pkey PRIMARY KEY (activity_id);


--
-- Name: deploy_juju_service_request deploy_juju_service_request_pkey; Type: CONSTRAINT; Schema: public; Owner: -
--

ALTER TABLE ONLY public.deploy_juju_service_request
    ADD CONSTRAINT deploy_juju_service_request_pkey PRIMARY KEY (activity_id);


--
-- Name: distribution distribution_pkey; Type: CONSTRAINT; Schema: public; Owner: -
--

ALTER TABLE ONLY public.distribution
    ADD CONSTRAINT distribution_pkey PRIMARY KEY (id);


--
-- Name: edit_user_request edit_user_request_pkey; Type: CONSTRAINT; Schema: public; Owner: -
--

ALTER TABLE ONLY public.edit_user_request
    ADD CONSTRAINT edit_user_request_pkey PRIMARY KEY (activity_id);


--
-- Name: event_log_entry event_log_entry_pkey; Type: CONSTRAINT; Schema: public; Owner: -
--

ALTER TABLE ONLY public.event_log_entry
    ADD CONSTRAINT event_log_entry_pkey PRIMARY KEY (id);


--
-- Name: execute_script_attachment execute_script_attachment_pkey; Type: CONSTRAINT; Schema: public; Owner: -
--

ALTER TABLE ONLY public.execute_script_attachment
    ADD CONSTRAINT execute_script_attachment_pkey PRIMARY KEY (activity_id, attachment_id);


--
-- Name: execute_script_request execute_script_request_pkey; Type: CONSTRAINT; Schema: public; Owner: -
--

ALTER TABLE ONLY public.execute_script_request
    ADD CONSTRAINT execute_script_request_pkey PRIMARY KEY (activity_id);


--
-- Name: gpg_key gpg_key_account_id_fingerprint_key; Type: CONSTRAINT; Schema: public; Owner: -
--

ALTER TABLE ONLY public.gpg_key
    ADD CONSTRAINT gpg_key_account_id_fingerprint_key UNIQUE (account_id, fingerprint);


--
-- Name: gpg_key gpg_key_account_id_name_key; Type: CONSTRAINT; Schema: public; Owner: -
--

ALTER TABLE ONLY public.gpg_key
    ADD CONSTRAINT gpg_key_account_id_name_key UNIQUE (account_id, name);


--
-- Name: gpg_key gpg_key_pkey; Type: CONSTRAINT; Schema: public; Owner: -
--

ALTER TABLE ONLY public.gpg_key
    ADD CONSTRAINT gpg_key_pkey PRIMARY KEY (id);


--
-- Name: incurred_cost incurred_cost_pkey; Type: CONSTRAINT; Schema: public; Owner: -
--

ALTER TABLE ONLY public.incurred_cost
    ADD CONSTRAINT incurred_cost_pkey PRIMARY KEY (id);


--
-- Name: juju_action juju_action_juju_model_id_action_tag_key; Type: CONSTRAINT; Schema: public; Owner: -
--

ALTER TABLE ONLY public.juju_action
    ADD CONSTRAINT juju_action_juju_model_id_action_tag_key UNIQUE (juju_model_id, action_tag);


--
-- Name: juju_action juju_action_pkey; Type: CONSTRAINT; Schema: public; Owner: -
--

ALTER TABLE ONLY public.juju_action
    ADD CONSTRAINT juju_action_pkey PRIMARY KEY (id);


--
-- Name: juju_action_request juju_action_request_pkey; Type: CONSTRAINT; Schema: public; Owner: -
--

ALTER TABLE ONLY public.juju_action_request
    ADD CONSTRAINT juju_action_request_pkey PRIMARY KEY (activity_id);


--
-- Name: juju_application juju_application_juju_model_id_name_key; Type: CONSTRAINT; Schema: public; Owner: -
--

ALTER TABLE ONLY public.juju_application
    ADD CONSTRAINT juju_application_juju_model_id_name_key UNIQUE (juju_model_id, name);


--
-- Name: juju_application juju_application_pkey; Type: CONSTRAINT; Schema: public; Owner: -
--

ALTER TABLE ONLY public.juju_application
    ADD CONSTRAINT juju_application_pkey PRIMARY KEY (id);


--
-- Name: juju_bootstrap_request juju_bootstrap_request_pkey; Type: CONSTRAINT; Schema: public; Owner: -
--

ALTER TABLE ONLY public.juju_bootstrap_request
    ADD CONSTRAINT juju_bootstrap_request_pkey PRIMARY KEY (activity_id);


--
-- Name: juju_machine juju_machine_juju_model_id_machine_id_key; Type: CONSTRAINT; Schema: public; Owner: -
--

ALTER TABLE ONLY public.juju_machine
    ADD CONSTRAINT juju_machine_juju_model_id_machine_id_key UNIQUE (juju_model_id, machine_id);


--
-- Name: juju_machine juju_machine_pkey; Type: CONSTRAINT; Schema: public; Owner: -
--

ALTER TABLE ONLY public.juju_machine
    ADD CONSTRAINT juju_machine_pkey PRIMARY KEY (id);


--
-- Name: juju_model_destroy_application_request juju_model_destroy_application_request_pkey; Type: CONSTRAINT; Schema: public; Owner: -
--

ALTER TABLE ONLY public.juju_model_destroy_application_request
    ADD CONSTRAINT juju_model_destroy_application_request_pkey PRIMARY KEY (activity_id);


--
-- Name: juju_model juju_model_pkey; Type: CONSTRAINT; Schema: public; Owner: -
--

ALTER TABLE ONLY public.juju_model
    ADD CONSTRAINT juju_model_pkey PRIMARY KEY (id);


--
-- Name: juju_model juju_model_uuid_key; Type: CONSTRAINT; Schema: public; Owner: -
--

ALTER TABLE ONLY public.juju_model
    ADD CONSTRAINT juju_model_uuid_key UNIQUE (uuid);


--
-- Name: juju_run_on_all_machines_request juju_run_on_all_machines_request_pkey; Type: CONSTRAINT; Schema: public; Owner: -
--

ALTER TABLE ONLY public.juju_run_on_all_machines_request
    ADD CONSTRAINT juju_run_on_all_machines_request_pkey PRIMARY KEY (activity_id);


--
-- Name: juju_run_request juju_run_request_pkey; Type: CONSTRAINT; Schema: public; Owner: -
--

ALTER TABLE ONLY public.juju_run_request
    ADD CONSTRAINT juju_run_request_pkey PRIMARY KEY (activity_id);


--
-- Name: juju_service_set_request juju_service_set_request_pkey; Type: CONSTRAINT; Schema: public; Owner: -
--

ALTER TABLE ONLY public.juju_service_set_request
    ADD CONSTRAINT juju_service_set_request_pkey PRIMARY KEY (activity_id);


--
-- Name: juju_unit juju_unit_juju_application_id_name_key; Type: CONSTRAINT; Schema: public; Owner: -
--

ALTER TABLE ONLY public.juju_unit
    ADD CONSTRAINT juju_unit_juju_application_id_name_key UNIQUE (juju_application_id, name);


--
-- Name: juju_unit juju_unit_pkey; Type: CONSTRAINT; Schema: public; Owner: -
--

ALTER TABLE ONLY public.juju_unit
    ADD CONSTRAINT juju_unit_pkey PRIMARY KEY (id);


--
-- Name: lock_user_request lock_user_request_pkey; Type: CONSTRAINT; Schema: public; Owner: -
--

ALTER TABLE ONLY public.lock_user_request
    ADD CONSTRAINT lock_user_request_pkey PRIMARY KEY (activity_id);


--
-- Name: maas_server maas_server_account_id_name_key; Type: CONSTRAINT; Schema: public; Owner: -
--

ALTER TABLE ONLY public.maas_server
    ADD CONSTRAINT maas_server_account_id_name_key UNIQUE (account_id, name);


--
-- Name: maas_server maas_server_account_id_title_key; Type: CONSTRAINT; Schema: public; Owner: -
--

ALTER TABLE ONLY public.maas_server
    ADD CONSTRAINT maas_server_account_id_title_key UNIQUE (account_id, title);


--
-- Name: maas_server maas_server_pkey; Type: CONSTRAINT; Schema: public; Owner: -
--

ALTER TABLE ONLY public.maas_server
    ADD CONSTRAINT maas_server_pkey PRIMARY KEY (id);


--
-- Name: maas_target_machine maas_target_machine_pkey; Type: CONSTRAINT; Schema: public; Owner: -
--

ALTER TABLE ONLY public.maas_target_machine
    ADD CONSTRAINT maas_target_machine_pkey PRIMARY KEY (id);


--
-- Name: openstack_region_request openstack_region_request_pkey; Type: CONSTRAINT; Schema: public; Owner: -
--

ALTER TABLE ONLY public.openstack_region_request
    ADD CONSTRAINT openstack_region_request_pkey PRIMARY KEY (activity_id);


--
-- Name: openstack_token openstack_token_pkey; Type: CONSTRAINT; Schema: public; Owner: -
--

ALTER TABLE ONLY public.openstack_token
    ADD CONSTRAINT openstack_token_pkey PRIMARY KEY (openstack_endpoints_id);


--
-- Name: package_profile package_profile_account_id_name_key; Type: CONSTRAINT; Schema: public; Owner: -
--

ALTER TABLE ONLY public.package_profile
    ADD CONSTRAINT package_profile_account_id_name_key UNIQUE (account_id, name);


--
-- Name: package_profile_constraint package_profile_constraint_package_profile_id_value_type_key; Type: CONSTRAINT; Schema: public; Owner: -
--

ALTER TABLE ONLY public.package_profile_constraint
    ADD CONSTRAINT package_profile_constraint_package_profile_id_value_type_key UNIQUE (package_profile_id, value, type);


--
-- Name: package_profile_constraint package_profile_constraint_pkey; Type: CONSTRAINT; Schema: public; Owner: -
--

ALTER TABLE ONLY public.package_profile_constraint
    ADD CONSTRAINT package_profile_constraint_pkey PRIMARY KEY (id);


--
-- Name: package_profile package_profile_pkey; Type: CONSTRAINT; Schema: public; Owner: -
--

ALTER TABLE ONLY public.package_profile
    ADD CONSTRAINT package_profile_pkey PRIMARY KEY (id);


--
-- Name: payment payment_pkey; Type: CONSTRAINT; Schema: public; Owner: -
--

ALTER TABLE ONLY public.payment
    ADD CONSTRAINT payment_pkey PRIMARY KEY (id);


--
-- Name: pocket pocket_pkey; Type: CONSTRAINT; Schema: public; Owner: -
--

ALTER TABLE ONLY public.pocket
    ADD CONSTRAINT pocket_pkey PRIMARY KEY (id);


--
-- Name: pocket pocket_series_id_name_key; Type: CONSTRAINT; Schema: public; Owner: -
--

ALTER TABLE ONLY public.pocket
    ADD CONSTRAINT pocket_series_id_name_key UNIQUE (series_id, name);


--
-- Name: pocket_upload_gpg_key pocket_upload_gpg_key_pkey; Type: CONSTRAINT; Schema: public; Owner: -
--

ALTER TABLE ONLY public.pocket_upload_gpg_key
    ADD CONSTRAINT pocket_upload_gpg_key_pkey PRIMARY KEY (pocket_id, gpg_key_id);


--
-- Name: region_hypervisor region_hypervisor_pkey; Type: CONSTRAINT; Schema: public; Owner: -
--

ALTER TABLE ONLY public.region_hypervisor
    ADD CONSTRAINT region_hypervisor_pkey PRIMARY KEY (region_id, name);


--
-- Name: region_log region_log_pkey; Type: CONSTRAINT; Schema: public; Owner: -
--

ALTER TABLE ONLY public.region_log
    ADD CONSTRAINT region_log_pkey PRIMARY KEY (region_id);


--
-- Name: region_machine region_machine_pkey; Type: CONSTRAINT; Schema: public; Owner: -
--

ALTER TABLE ONLY public.region_machine
    ADD CONSTRAINT region_machine_pkey PRIMARY KEY (id);


--
-- Name: region_machine region_machine_region_id_name_key; Type: CONSTRAINT; Schema: public; Owner: -
--

ALTER TABLE ONLY public.region_machine
    ADD CONSTRAINT region_machine_region_id_name_key UNIQUE (region_id, name);


--
-- Name: region region_pkey; Type: CONSTRAINT; Schema: public; Owner: -
--

ALTER TABLE ONLY public.region
    ADD CONSTRAINT region_pkey PRIMARY KEY (id);


--
-- Name: region_request_data region_request_data_pkey; Type: CONSTRAINT; Schema: public; Owner: -
--

ALTER TABLE ONLY public.region_request_data
    ADD CONSTRAINT region_request_data_pkey PRIMARY KEY (activity_id);


--
-- Name: registration_otp registration_otp_pkey; Type: CONSTRAINT; Schema: public; Owner: -
--

ALTER TABLE ONLY public.registration_otp
    ADD CONSTRAINT registration_otp_pkey PRIMARY KEY (otp);


--
-- Name: release_upgrade_request release_upgrade_request_pkey; Type: CONSTRAINT; Schema: public; Owner: -
--

ALTER TABLE ONLY public.release_upgrade_request
    ADD CONSTRAINT release_upgrade_request_pkey PRIMARY KEY (activity_id);


--
-- Name: removal_profile removal_profile_account_id_name_key; Type: CONSTRAINT; Schema: public; Owner: -
--

ALTER TABLE ONLY public.removal_profile
    ADD CONSTRAINT removal_profile_account_id_name_key UNIQUE (account_id, name);


--
-- Name: removal_profile removal_profile_pkey; Type: CONSTRAINT; Schema: public; Owner: -
--

ALTER TABLE ONLY public.removal_profile
    ADD CONSTRAINT removal_profile_pkey PRIMARY KEY (id);


--
-- Name: remove_group_member_request remove_group_member_request_pkey; Type: CONSTRAINT; Schema: public; Owner: -
--

ALTER TABLE ONLY public.remove_group_member_request
    ADD CONSTRAINT remove_group_member_request_pkey PRIMARY KEY (activity_id);


--
-- Name: repository_profile repository_profile_account_id_name_key; Type: CONSTRAINT; Schema: public; Owner: -
--

ALTER TABLE ONLY public.repository_profile
    ADD CONSTRAINT repository_profile_account_id_name_key UNIQUE (account_id, name);


--
-- Name: repository_profile_apt_source repository_profile_apt_source_pkey; Type: CONSTRAINT; Schema: public; Owner: -
--

ALTER TABLE ONLY public.repository_profile_apt_source
    ADD CONSTRAINT repository_profile_apt_source_pkey PRIMARY KEY (profile_id, apt_source_id);


--
-- Name: repository_profile repository_profile_pkey; Type: CONSTRAINT; Schema: public; Owner: -
--

ALTER TABLE ONLY public.repository_profile
    ADD CONSTRAINT repository_profile_pkey PRIMARY KEY (id);


--
-- Name: repository_profile_pocket repository_profile_pocket_pkey; Type: CONSTRAINT; Schema: public; Owner: -
--

ALTER TABLE ONLY public.repository_profile_pocket
    ADD CONSTRAINT repository_profile_pocket_pkey PRIMARY KEY (profile_id, pocket_id);


--
-- Name: resynchronize_request resynchronize_request_pkey; Type: CONSTRAINT; Schema: public; Owner: -
--

ALTER TABLE ONLY public.resynchronize_request
    ADD CONSTRAINT resynchronize_request_pkey PRIMARY KEY (activity_id);


--
-- Name: rule rule_pkey; Type: CONSTRAINT; Schema: public; Owner: -
--

ALTER TABLE ONLY public.rule
    ADD CONSTRAINT rule_pkey PRIMARY KEY (id);


--
-- Name: rule_state_notification rule_state_notification_pkey; Type: CONSTRAINT; Schema: public; Owner: -
--

ALTER TABLE ONLY public.rule_state_notification
    ADD CONSTRAINT rule_state_notification_pkey PRIMARY KEY (rule_state_id);


--
-- Name: rule_state rule_state_pkey; Type: CONSTRAINT; Schema: public; Owner: -
--

ALTER TABLE ONLY public.rule_state
    ADD CONSTRAINT rule_state_pkey PRIMARY KEY (id);


--
-- Name: rule_state rule_state_rule_id_computer_id_key; Type: CONSTRAINT; Schema: public; Owner: -
--

ALTER TABLE ONLY public.rule_state
    ADD CONSTRAINT rule_state_rule_id_computer_id_key UNIQUE (rule_id, computer_id);


--
-- Name: rule_subscription rule_subscription_pkey; Type: CONSTRAINT; Schema: public; Owner: -
--

ALTER TABLE ONLY public.rule_subscription
    ADD CONSTRAINT rule_subscription_pkey PRIMARY KEY (rule_id, person_id);


--
-- Name: sample_account_rule sample_account_rule_pkey; Type: CONSTRAINT; Schema: public; Owner: -
--

ALTER TABLE ONLY public.sample_account_rule
    ADD CONSTRAINT sample_account_rule_pkey PRIMARY KEY (rule_id);


--
-- Name: sample_computer_rule sample_computer_rule_pkey; Type: CONSTRAINT; Schema: public; Owner: -
--

ALTER TABLE ONLY public.sample_computer_rule
    ADD CONSTRAINT sample_computer_rule_pkey PRIMARY KEY (rule_id);


--
-- Name: saved_search saved_search_account_id_name_key; Type: CONSTRAINT; Schema: public; Owner: -
--

ALTER TABLE ONLY public.saved_search
    ADD CONSTRAINT saved_search_account_id_name_key UNIQUE (account_id, name);


--
-- Name: saved_search saved_search_account_id_title_key; Type: CONSTRAINT; Schema: public; Owner: -
--

ALTER TABLE ONLY public.saved_search
    ADD CONSTRAINT saved_search_account_id_title_key UNIQUE (account_id, title);


--
-- Name: saved_search saved_search_pkey; Type: CONSTRAINT; Schema: public; Owner: -
--

ALTER TABLE ONLY public.saved_search
    ADD CONSTRAINT saved_search_pkey PRIMARY KEY (id);


--
-- Name: script script_account_id_title_key; Type: CONSTRAINT; Schema: public; Owner: -
--

ALTER TABLE ONLY public.script
    ADD CONSTRAINT script_account_id_title_key UNIQUE (account_id, title);


--
-- Name: script_attachment script_attachment_pkey; Type: CONSTRAINT; Schema: public; Owner: -
--

ALTER TABLE ONLY public.script_attachment
    ADD CONSTRAINT script_attachment_pkey PRIMARY KEY (script_id, attachment_id);


--
-- Name: script script_pkey; Type: CONSTRAINT; Schema: public; Owner: -
--

ALTER TABLE ONLY public.script
    ADD CONSTRAINT script_pkey PRIMARY KEY (id);


--
-- Name: series series_distribution_id_name_key; Type: CONSTRAINT; Schema: public; Owner: -
--

ALTER TABLE ONLY public.series
    ADD CONSTRAINT series_distribution_id_name_key UNIQUE (distribution_id, name);


--
-- Name: series series_pkey; Type: CONSTRAINT; Schema: public; Owner: -
--

ALTER TABLE ONLY public.series
    ADD CONSTRAINT series_pkey PRIMARY KEY (id);


--
-- Name: signal_process_request signal_process_request_pkey; Type: CONSTRAINT; Schema: public; Owner: -
--

ALTER TABLE ONLY public.signal_process_request
    ADD CONSTRAINT signal_process_request_pkey PRIMARY KEY (activity_id);


--
-- Name: stored_stub_request stored_stub_request_pkey; Type: CONSTRAINT; Schema: public; Owner: -
--

ALTER TABLE ONLY public.stored_stub_request
    ADD CONSTRAINT stored_stub_request_pkey PRIMARY KEY (activity_id);


--
-- Name: sync_pocket_request sync_pocket_request_pkey; Type: CONSTRAINT; Schema: public; Owner: -
--

ALTER TABLE ONLY public.sync_pocket_request
    ADD CONSTRAINT sync_pocket_request_pkey PRIMARY KEY (activity_id);


--
-- Name: tenant_network_setup_request tenant_network_setup_request_pkey; Type: CONSTRAINT; Schema: public; Owner: -
--

ALTER TABLE ONLY public.tenant_network_setup_request
    ADD CONSTRAINT tenant_network_setup_request_pkey PRIMARY KEY (activity_id);


--
-- Name: unlock_user_request unlock_user_request_pkey; Type: CONSTRAINT; Schema: public; Owner: -
--

ALTER TABLE ONLY public.unlock_user_request
    ADD CONSTRAINT unlock_user_request_pkey PRIMARY KEY (activity_id);


--
-- Name: upgrade_profile upgrade_profile_account_id_name_key; Type: CONSTRAINT; Schema: public; Owner: -
--

ALTER TABLE ONLY public.upgrade_profile
    ADD CONSTRAINT upgrade_profile_account_id_name_key UNIQUE (account_id, name);


--
-- Name: upgrade_profile upgrade_profile_pkey; Type: CONSTRAINT; Schema: public; Owner: -
--

ALTER TABLE ONLY public.upgrade_profile
    ADD CONSTRAINT upgrade_profile_pkey PRIMARY KEY (id);


--
-- Name: upload upload_distribution_id_changes_key; Type: CONSTRAINT; Schema: public; Owner: -
--

ALTER TABLE ONLY public.upload
    ADD CONSTRAINT upload_distribution_id_changes_key UNIQUE (distribution_id, changes);


--
-- Name: upload upload_pkey; Type: CONSTRAINT; Schema: public; Owner: -
--

ALTER TABLE ONLY public.upload
    ADD CONSTRAINT upload_pkey PRIMARY KEY (id);


--
-- Name: account_entity_data_account_id_entity_type_name; Type: INDEX; Schema: public; Owner: -
--

CREATE INDEX account_entity_data_account_id_entity_type_name ON public.account_entity_data USING btree (account_id, entity_type, name);


--
-- Name: activity_account_id_creation_time_idx; Type: INDEX; Schema: public; Owner: -
--

CREATE INDEX activity_account_id_creation_time_idx ON public.activity USING btree (account_id, creation_time);


--
-- Name: activity_account_id_idx; Type: INDEX; Schema: public; Owner: -
--

CREATE INDEX activity_account_id_idx ON public.activity USING btree (account_id);


--
-- Name: activity_creation_time_idx; Type: INDEX; Schema: public; Owner: -
--

CREATE INDEX activity_creation_time_idx ON public.activity USING btree (creation_time);


--
-- Name: activity_creator_id_idx; Type: INDEX; Schema: public; Owner: -
--

CREATE INDEX activity_creator_id_idx ON public.activity USING btree (creator_id);


--
-- Name: activity_info_type_idx; Type: INDEX; Schema: public; Owner: -
--

CREATE INDEX activity_info_type_idx ON public.activity USING btree (info_type);


--
-- Name: activity_parent_account_id_creation_time_blocked_idx; Type: INDEX; Schema: public; Owner: -
--

CREATE INDEX activity_parent_account_id_creation_time_blocked_idx ON public.activity_parent USING btree (account_id, creation_time) WHERE (blocked_count > 0);


--
-- Name: activity_parent_account_id_creation_time_idx; Type: INDEX; Schema: public; Owner: -
--

CREATE INDEX activity_parent_account_id_creation_time_idx ON public.activity_parent USING btree (account_id, creation_time);


--
-- Name: activity_parent_account_id_creation_time_pending_idx; Type: INDEX; Schema: public; Owner: -
--

CREATE INDEX activity_parent_account_id_creation_time_pending_idx ON public.activity_parent USING btree (account_id, creation_time) WHERE ((scheduled_count > 0) OR (waiting_count > 0) OR (queued_count > 0) OR (inprogress_count > 0) OR (blocked_count > 0));


--
-- Name: activity_parent_account_id_idx; Type: INDEX; Schema: public; Owner: -
--

CREATE INDEX activity_parent_account_id_idx ON public.activity_parent USING btree (account_id);


--
-- Name: activity_parent_creation_time_idx; Type: INDEX; Schema: public; Owner: -
--

CREATE INDEX activity_parent_creation_time_idx ON public.activity_parent USING btree (creation_time);


--
-- Name: activity_parent_creator_id_idx; Type: INDEX; Schema: public; Owner: -
--

CREATE INDEX activity_parent_creator_id_idx ON public.activity_parent USING btree (creator_id);


--
-- Name: activity_parent_id_idx; Type: INDEX; Schema: public; Owner: -
--

CREATE INDEX activity_parent_id_idx ON public.activity USING btree (parent_id);


--
-- Name: activity_status_idx; Type: INDEX; Schema: public; Owner: -
--

CREATE INDEX activity_status_idx ON public.activity USING btree (status);


--
-- Name: custom_graph_account_id_idx; Type: INDEX; Schema: public; Owner: -
--

CREATE INDEX custom_graph_account_id_idx ON public.custom_graph USING btree (account_id);


--
-- Name: juju_action_request_action_id_idx; Type: INDEX; Schema: public; Owner: -
--

CREATE INDEX juju_action_request_action_id_idx ON public.juju_action_request USING btree (action_tag);


--
-- Name: rule_account_id_idx; Type: INDEX; Schema: public; Owner: -
--

CREATE INDEX rule_account_id_idx ON public.rule USING btree (account_id);


--
-- Name: rule_state_computer_id_idx; Type: INDEX; Schema: public; Owner: -
--

CREATE INDEX rule_state_computer_id_idx ON public.rule_state USING btree (computer_id);


--
-- Name: rule_state_rule_id_idx; Type: INDEX; Schema: public; Owner: -
--

CREATE INDEX rule_state_rule_id_idx ON public.rule_state USING btree (rule_id);


--
-- Name: upload_pocket_id_idx; Type: INDEX; Schema: public; Owner: -
--

CREATE INDEX upload_pocket_id_idx ON public.upload USING btree (pocket_id);


--
-- Name: account_entity_data account_entity_data_account_id_fkey; Type: FK CONSTRAINT; Schema: public; Owner: -
--

ALTER TABLE ONLY public.account_entity_data
    ADD CONSTRAINT account_entity_data_account_id_fkey FOREIGN KEY (account_id) REFERENCES public.account_twin(id) ON DELETE CASCADE;


--
-- Name: activity activity_account_id_fkey; Type: FK CONSTRAINT; Schema: public; Owner: -
--

ALTER TABLE ONLY public.activity
    ADD CONSTRAINT activity_account_id_fkey FOREIGN KEY (account_id) REFERENCES public.account_twin(id) ON DELETE CASCADE;


--
-- Name: activity_child_event activity_child_event_activity_id_fkey; Type: FK CONSTRAINT; Schema: public; Owner: -
--

ALTER TABLE ONLY public.activity_child_event
    ADD CONSTRAINT activity_child_event_activity_id_fkey FOREIGN KEY (activity_id) REFERENCES public.activity(id) ON DELETE CASCADE;


--
-- Name: activity activity_entity_data_id_fkey; Type: FK CONSTRAINT; Schema: public; Owner: -
--

ALTER TABLE ONLY public.activity
    ADD CONSTRAINT activity_entity_data_id_fkey FOREIGN KEY (entity_data_id) REFERENCES public.account_entity_data(id) ON DELETE CASCADE;


--
-- Name: activity_group activity_group_activity_id_fkey; Type: FK CONSTRAINT; Schema: public; Owner: -
--

ALTER TABLE ONLY public.activity_group
    ADD CONSTRAINT activity_group_activity_id_fkey FOREIGN KEY (activity_id) REFERENCES public.activity_parent(id) ON DELETE CASCADE;


--
-- Name: activity_info activity_info_activity_id_fkey; Type: FK CONSTRAINT; Schema: public; Owner: -
--

ALTER TABLE ONLY public.activity_info
    ADD CONSTRAINT activity_info_activity_id_fkey FOREIGN KEY (activity_id) REFERENCES public.activity(id) ON DELETE CASCADE;


--
-- Name: activity_ordering activity_ordering_activity_id_fkey; Type: FK CONSTRAINT; Schema: public; Owner: -
--

ALTER TABLE ONLY public.activity_ordering
    ADD CONSTRAINT activity_ordering_activity_id_fkey FOREIGN KEY (activity_id) REFERENCES public.activity(id) ON DELETE CASCADE;


--
-- Name: activity_ordering activity_ordering_preceeding_activity_id_fkey; Type: FK CONSTRAINT; Schema: public; Owner: -
--

ALTER TABLE ONLY public.activity_ordering
    ADD CONSTRAINT activity_ordering_preceeding_activity_id_fkey FOREIGN KEY (preceeding_activity_id) REFERENCES public.activity(id) ON DELETE CASCADE;


--
-- Name: activity_parent_access activity_parent_access_parent_id_fkey; Type: FK CONSTRAINT; Schema: public; Owner: -
--

ALTER TABLE ONLY public.activity_parent_access
    ADD CONSTRAINT activity_parent_access_parent_id_fkey FOREIGN KEY (parent_id) REFERENCES public.activity_parent(id) ON DELETE CASCADE;


--
-- Name: activity activity_parent_id_fkey; Type: FK CONSTRAINT; Schema: public; Owner: -
--

ALTER TABLE ONLY public.activity
    ADD CONSTRAINT activity_parent_id_fkey FOREIGN KEY (parent_id) REFERENCES public.activity_parent(id) ON DELETE CASCADE;


--
-- Name: add_group_member_request add_group_member_request_activity_id_fkey; Type: FK CONSTRAINT; Schema: public; Owner: -
--

ALTER TABLE ONLY public.add_group_member_request
    ADD CONSTRAINT add_group_member_request_activity_id_fkey FOREIGN KEY (activity_id) REFERENCES public.activity(id) ON DELETE CASCADE;


--
-- Name: add_juju_charm_request add_juju_charm_request_activity_id_fkey; Type: FK CONSTRAINT; Schema: public; Owner: -
--

ALTER TABLE ONLY public.add_juju_charm_request
    ADD CONSTRAINT add_juju_charm_request_activity_id_fkey FOREIGN KEY (activity_id) REFERENCES public.activity(id) ON DELETE CASCADE;


--
-- Name: add_juju_machine_request add_juju_machine_request_activity_id_fkey; Type: FK CONSTRAINT; Schema: public; Owner: -
--

ALTER TABLE ONLY public.add_juju_machine_request
    ADD CONSTRAINT add_juju_machine_request_activity_id_fkey FOREIGN KEY (activity_id) REFERENCES public.activity(id) ON DELETE CASCADE;


--
-- Name: add_juju_machine_request add_juju_machine_request_target_machine_id_fkey; Type: FK CONSTRAINT; Schema: public; Owner: -
--

ALTER TABLE ONLY public.add_juju_machine_request
    ADD CONSTRAINT add_juju_machine_request_target_machine_id_fkey FOREIGN KEY (target_machine_id) REFERENCES public.maas_target_machine(id) ON DELETE CASCADE;


--
-- Name: add_juju_relation_request add_juju_relation_request_activity_id_fkey; Type: FK CONSTRAINT; Schema: public; Owner: -
--

ALTER TABLE ONLY public.add_juju_relation_request
    ADD CONSTRAINT add_juju_relation_request_activity_id_fkey FOREIGN KEY (activity_id) REFERENCES public.activity(id) ON DELETE CASCADE;


--
-- Name: add_juju_unit_request add_juju_unit_request_activity_id_fkey; Type: FK CONSTRAINT; Schema: public; Owner: -
--

ALTER TABLE ONLY public.add_juju_unit_request
    ADD CONSTRAINT add_juju_unit_request_activity_id_fkey FOREIGN KEY (activity_id) REFERENCES public.activity(id) ON DELETE CASCADE;


--
-- Name: apt_source apt_source_account_id_fkey; Type: FK CONSTRAINT; Schema: public; Owner: -
--

ALTER TABLE ONLY public.apt_source
    ADD CONSTRAINT apt_source_account_id_fkey FOREIGN KEY (account_id) REFERENCES public.account_twin(id) ON DELETE CASCADE;


--
-- Name: apt_source_gpg_key apt_source_gpg_key_apt_source_id_fkey; Type: FK CONSTRAINT; Schema: public; Owner: -
--

ALTER TABLE ONLY public.apt_source_gpg_key
    ADD CONSTRAINT apt_source_gpg_key_apt_source_id_fkey FOREIGN KEY (apt_source_id) REFERENCES public.apt_source(id) ON DELETE CASCADE;


--
-- Name: apt_source_gpg_key apt_source_gpg_key_gpg_key_id_fkey; Type: FK CONSTRAINT; Schema: public; Owner: -
--

ALTER TABLE ONLY public.apt_source_gpg_key
    ADD CONSTRAINT apt_source_gpg_key_gpg_key_id_fkey FOREIGN KEY (gpg_key_id) REFERENCES public.gpg_key(id) ON DELETE CASCADE;


--
-- Name: apt_source apt_source_gpg_key_id_fkey; Type: FK CONSTRAINT; Schema: public; Owner: -
--

ALTER TABLE ONLY public.apt_source
    ADD CONSTRAINT apt_source_gpg_key_id_fkey FOREIGN KEY (gpg_key_id) REFERENCES public.gpg_key(id) ON DELETE CASCADE;


--
-- Name: attachment attachment_account_id_fkey; Type: FK CONSTRAINT; Schema: public; Owner: -
--

ALTER TABLE ONLY public.attachment
    ADD CONSTRAINT attachment_account_id_fkey FOREIGN KEY (account_id) REFERENCES public.account_twin(id) ON DELETE CASCADE;


--
-- Name: availability_zone availability_zone_region_id_fkey; Type: FK CONSTRAINT; Schema: public; Owner: -
--

ALTER TABLE ONLY public.availability_zone
    ADD CONSTRAINT availability_zone_region_id_fkey FOREIGN KEY (region_id) REFERENCES public.region(id) ON DELETE CASCADE;


--
-- Name: change_package_profile_request change_package_profile_request_activity_id_fkey; Type: FK CONSTRAINT; Schema: public; Owner: -
--

ALTER TABLE ONLY public.change_package_profile_request
    ADD CONSTRAINT change_package_profile_request_activity_id_fkey FOREIGN KEY (activity_id) REFERENCES public.activity(id) ON DELETE CASCADE;


--
-- Name: change_package_profile_request change_package_profile_request_package_profile_id_fkey; Type: FK CONSTRAINT; Schema: public; Owner: -
--

ALTER TABLE ONLY public.change_package_profile_request
    ADD CONSTRAINT change_package_profile_request_package_profile_id_fkey FOREIGN KEY (package_profile_id) REFERENCES public.package_profile(id) ON DELETE SET NULL;


--
-- Name: change_package_request change_package_request_activity_id_fkey; Type: FK CONSTRAINT; Schema: public; Owner: -
--

ALTER TABLE ONLY public.change_package_request
    ADD CONSTRAINT change_package_request_activity_id_fkey FOREIGN KEY (activity_id) REFERENCES public.activity(id) ON DELETE CASCADE;


--
-- Name: change_upgrade_profile_request change_upgrade_profile_request_activity_id_fkey; Type: FK CONSTRAINT; Schema: public; Owner: -
--

ALTER TABLE ONLY public.change_upgrade_profile_request
    ADD CONSTRAINT change_upgrade_profile_request_activity_id_fkey FOREIGN KEY (activity_id) REFERENCES public.activity(id) ON DELETE CASCADE;


--
-- Name: change_upgrade_profile_request change_upgrade_profile_request_upgrade_profile_id_fkey; Type: FK CONSTRAINT; Schema: public; Owner: -
--

ALTER TABLE ONLY public.change_upgrade_profile_request
    ADD CONSTRAINT change_upgrade_profile_request_upgrade_profile_id_fkey FOREIGN KEY (upgrade_profile_id) REFERENCES public.upgrade_profile(id) ON DELETE SET NULL;


--
-- Name: cloud cloud_account_id_fkey; Type: FK CONSTRAINT; Schema: public; Owner: -
--

ALTER TABLE ONLY public.cloud
    ADD CONSTRAINT cloud_account_id_fkey FOREIGN KEY (account_id) REFERENCES public.account_twin(id) ON DELETE CASCADE;


--
-- Name: computer_group computer_group_account_id_fkey; Type: FK CONSTRAINT; Schema: public; Owner: -
--

ALTER TABLE ONLY public.computer_group
    ADD CONSTRAINT computer_group_account_id_fkey FOREIGN KEY (account_id) REFERENCES public.account_twin(id) ON DELETE CASCADE;


--
-- Name: computer_group_item computer_group_item_computer_group_id_fkey; Type: FK CONSTRAINT; Schema: public; Owner: -
--

ALTER TABLE ONLY public.computer_group_item
    ADD CONSTRAINT computer_group_item_computer_group_id_fkey FOREIGN KEY (computer_group_id) REFERENCES public.computer_group(id) ON DELETE CASCADE;


--
-- Name: computer_group_item computer_group_item_computer_id_fkey; Type: FK CONSTRAINT; Schema: public; Owner: -
--

ALTER TABLE ONLY public.computer_group_item
    ADD CONSTRAINT computer_group_item_computer_id_fkey FOREIGN KEY (computer_id) REFERENCES public.computer_twin(id) ON DELETE CASCADE;


--
-- Name: computer_group_tag computer_group_tag_computer_group_id_fkey; Type: FK CONSTRAINT; Schema: public; Owner: -
--

ALTER TABLE ONLY public.computer_group_tag
    ADD CONSTRAINT computer_group_tag_computer_group_id_fkey FOREIGN KEY (computer_group_id) REFERENCES public.computer_group(id) ON DELETE CASCADE;


--
-- Name: computer_twin computer_twin_data_id_fkey; Type: FK CONSTRAINT; Schema: public; Owner: -
--

ALTER TABLE ONLY public.computer_twin
    ADD CONSTRAINT computer_twin_data_id_fkey FOREIGN KEY (data_id) REFERENCES public.account_entity_data(id) ON DELETE CASCADE;


--
-- Name: configure_availability_zones_zone_machine configure_availability_zones__configure_availability_zones_fkey; Type: FK CONSTRAINT; Schema: public; Owner: -
--

ALTER TABLE ONLY public.configure_availability_zones_zone_machine
    ADD CONSTRAINT configure_availability_zones__configure_availability_zones_fkey FOREIGN KEY (configure_availability_zones_zone_id) REFERENCES public.configure_availability_zones_zone(id) ON DELETE CASCADE;


--
-- Name: configure_availability_zones_zone configure_availability_zones_zone_activity_id_fkey; Type: FK CONSTRAINT; Schema: public; Owner: -
--

ALTER TABLE ONLY public.configure_availability_zones_zone
    ADD CONSTRAINT configure_availability_zones_zone_activity_id_fkey FOREIGN KEY (activity_id) REFERENCES public.activity(id) ON DELETE CASCADE;


--
-- Name: configure_vip_request configure_vip_request_activity_id_fkey; Type: FK CONSTRAINT; Schema: public; Owner: -
--

ALTER TABLE ONLY public.configure_vip_request
    ADD CONSTRAINT configure_vip_request_activity_id_fkey FOREIGN KEY (activity_id) REFERENCES public.activity(id) ON DELETE CASCADE;


--
-- Name: configure_vip_request configure_vip_request_maas_server_id_fkey; Type: FK CONSTRAINT; Schema: public; Owner: -
--

ALTER TABLE ONLY public.configure_vip_request
    ADD CONSTRAINT configure_vip_request_maas_server_id_fkey FOREIGN KEY (maas_server_id) REFERENCES public.maas_server(id) ON DELETE CASCADE;


--
-- Name: create_glance_image_request create_glance_image_request_activity_id_fkey; Type: FK CONSTRAINT; Schema: public; Owner: -
--

ALTER TABLE ONLY public.create_glance_image_request
    ADD CONSTRAINT create_glance_image_request_activity_id_fkey FOREIGN KEY (activity_id) REFERENCES public.activity(id) ON DELETE CASCADE;


--
-- Name: create_group_request create_group_request_activity_id_fkey; Type: FK CONSTRAINT; Schema: public; Owner: -
--

ALTER TABLE ONLY public.create_group_request
    ADD CONSTRAINT create_group_request_activity_id_fkey FOREIGN KEY (activity_id) REFERENCES public.activity(id) ON DELETE CASCADE;


--
-- Name: create_project_request create_project_request_activity_id_fkey; Type: FK CONSTRAINT; Schema: public; Owner: -
--

ALTER TABLE ONLY public.create_project_request
    ADD CONSTRAINT create_project_request_activity_id_fkey FOREIGN KEY (activity_id) REFERENCES public.activity(id) ON DELETE CASCADE;


--
-- Name: create_user_request create_user_request_activity_id_fkey; Type: FK CONSTRAINT; Schema: public; Owner: -
--

ALTER TABLE ONLY public.create_user_request
    ADD CONSTRAINT create_user_request_activity_id_fkey FOREIGN KEY (activity_id) REFERENCES public.activity(id) ON DELETE CASCADE;


--
-- Name: custom_graph custom_graph_account_id_fkey; Type: FK CONSTRAINT; Schema: public; Owner: -
--

ALTER TABLE ONLY public.custom_graph
    ADD CONSTRAINT custom_graph_account_id_fkey FOREIGN KEY (account_id) REFERENCES public.account_twin(id) ON DELETE CASCADE;


--
-- Name: custom_graph custom_graph_computer_group_id_fkey; Type: FK CONSTRAINT; Schema: public; Owner: -
--

ALTER TABLE ONLY public.custom_graph
    ADD CONSTRAINT custom_graph_computer_group_id_fkey FOREIGN KEY (computer_group_id) REFERENCES public.computer_group(id) ON DELETE CASCADE;


--
-- Name: delete_user_request delete_user_request_activity_id_fkey; Type: FK CONSTRAINT; Schema: public; Owner: -
--

ALTER TABLE ONLY public.delete_user_request
    ADD CONSTRAINT delete_user_request_activity_id_fkey FOREIGN KEY (activity_id) REFERENCES public.activity(id) ON DELETE CASCADE;


--
-- Name: deploy_juju_service_request deploy_juju_service_request_activity_id_fkey; Type: FK CONSTRAINT; Schema: public; Owner: -
--

ALTER TABLE ONLY public.deploy_juju_service_request
    ADD CONSTRAINT deploy_juju_service_request_activity_id_fkey FOREIGN KEY (activity_id) REFERENCES public.activity(id) ON DELETE CASCADE;


--
-- Name: distribution distribution_data_id_fkey; Type: FK CONSTRAINT; Schema: public; Owner: -
--

ALTER TABLE ONLY public.distribution
    ADD CONSTRAINT distribution_data_id_fkey FOREIGN KEY (data_id) REFERENCES public.account_entity_data(id) ON DELETE CASCADE;


--
-- Name: edit_user_request edit_user_request_activity_id_fkey; Type: FK CONSTRAINT; Schema: public; Owner: -
--

ALTER TABLE ONLY public.edit_user_request
    ADD CONSTRAINT edit_user_request_activity_id_fkey FOREIGN KEY (activity_id) REFERENCES public.activity(id) ON DELETE CASCADE;


--
-- Name: event_log_entry event_log_entry_account_id_fkey; Type: FK CONSTRAINT; Schema: public; Owner: -
--

ALTER TABLE ONLY public.event_log_entry
    ADD CONSTRAINT event_log_entry_account_id_fkey FOREIGN KEY (account_id) REFERENCES public.account_twin(id) ON DELETE CASCADE;


--
-- Name: execute_script_attachment execute_script_attachment_activity_id_fkey; Type: FK CONSTRAINT; Schema: public; Owner: -
--

ALTER TABLE ONLY public.execute_script_attachment
    ADD CONSTRAINT execute_script_attachment_activity_id_fkey FOREIGN KEY (activity_id) REFERENCES public.activity_parent(id) ON DELETE CASCADE;


--
-- Name: execute_script_attachment execute_script_attachment_attachment_id_fkey; Type: FK CONSTRAINT; Schema: public; Owner: -
--

ALTER TABLE ONLY public.execute_script_attachment
    ADD CONSTRAINT execute_script_attachment_attachment_id_fkey FOREIGN KEY (attachment_id) REFERENCES public.attachment(id) ON DELETE CASCADE;


--
-- Name: execute_script_request execute_script_request_activity_id_fkey; Type: FK CONSTRAINT; Schema: public; Owner: -
--

ALTER TABLE ONLY public.execute_script_request
    ADD CONSTRAINT execute_script_request_activity_id_fkey FOREIGN KEY (activity_id) REFERENCES public.activity(id) ON DELETE CASCADE;


--
-- Name: gpg_key gpg_key_account_id_fkey; Type: FK CONSTRAINT; Schema: public; Owner: -
--

ALTER TABLE ONLY public.gpg_key
    ADD CONSTRAINT gpg_key_account_id_fkey FOREIGN KEY (account_id) REFERENCES public.account_twin(id) ON DELETE CASCADE;


--
-- Name: incurred_cost incurred_cost_payment_id_fkey; Type: FK CONSTRAINT; Schema: public; Owner: -
--

ALTER TABLE ONLY public.incurred_cost
    ADD CONSTRAINT incurred_cost_payment_id_fkey FOREIGN KEY (payment_id) REFERENCES public.payment(id) ON DELETE CASCADE;


--
-- Name: juju_action juju_action_juju_model_id_fkey; Type: FK CONSTRAINT; Schema: public; Owner: -
--

ALTER TABLE ONLY public.juju_action
    ADD CONSTRAINT juju_action_juju_model_id_fkey FOREIGN KEY (juju_model_id) REFERENCES public.juju_model(id) ON DELETE CASCADE;


--
-- Name: juju_action_request juju_action_request_activity_id_fkey; Type: FK CONSTRAINT; Schema: public; Owner: -
--

ALTER TABLE ONLY public.juju_action_request
    ADD CONSTRAINT juju_action_request_activity_id_fkey FOREIGN KEY (activity_id) REFERENCES public.activity(id) ON DELETE CASCADE;


--
-- Name: juju_application juju_application_juju_model_id_fkey; Type: FK CONSTRAINT; Schema: public; Owner: -
--

ALTER TABLE ONLY public.juju_application
    ADD CONSTRAINT juju_application_juju_model_id_fkey FOREIGN KEY (juju_model_id) REFERENCES public.juju_model(id) ON DELETE CASCADE;


--
-- Name: juju_bootstrap_request juju_bootstrap_request_activity_id_fkey; Type: FK CONSTRAINT; Schema: public; Owner: -
--

ALTER TABLE ONLY public.juju_bootstrap_request
    ADD CONSTRAINT juju_bootstrap_request_activity_id_fkey FOREIGN KEY (activity_id) REFERENCES public.activity(id) ON DELETE CASCADE;


--
-- Name: juju_bootstrap_request juju_bootstrap_request_maas_server_id_fkey; Type: FK CONSTRAINT; Schema: public; Owner: -
--

ALTER TABLE ONLY public.juju_bootstrap_request
    ADD CONSTRAINT juju_bootstrap_request_maas_server_id_fkey FOREIGN KEY (maas_server_id) REFERENCES public.maas_server(id) ON DELETE CASCADE;


--
-- Name: juju_bootstrap_request juju_bootstrap_request_target_machine_id_fkey; Type: FK CONSTRAINT; Schema: public; Owner: -
--

ALTER TABLE ONLY public.juju_bootstrap_request
    ADD CONSTRAINT juju_bootstrap_request_target_machine_id_fkey FOREIGN KEY (target_machine_id) REFERENCES public.maas_target_machine(id) ON DELETE CASCADE;


--
-- Name: juju_machine juju_machine_computer_id_fkey; Type: FK CONSTRAINT; Schema: public; Owner: -
--

ALTER TABLE ONLY public.juju_machine
    ADD CONSTRAINT juju_machine_computer_id_fkey FOREIGN KEY (computer_id) REFERENCES public.computer_twin(id) ON DELETE SET NULL;


--
-- Name: juju_machine juju_machine_juju_model_id_fkey; Type: FK CONSTRAINT; Schema: public; Owner: -
--

ALTER TABLE ONLY public.juju_machine
    ADD CONSTRAINT juju_machine_juju_model_id_fkey FOREIGN KEY (juju_model_id) REFERENCES public.juju_model(id) ON DELETE CASCADE;


--
-- Name: juju_model juju_model_data_id_fkey; Type: FK CONSTRAINT; Schema: public; Owner: -
--

ALTER TABLE ONLY public.juju_model
    ADD CONSTRAINT juju_model_data_id_fkey FOREIGN KEY (data_id) REFERENCES public.account_entity_data(id) ON DELETE CASCADE;


--
-- Name: juju_model_destroy_application_request juju_model_destroy_application_request_activity_id_fkey; Type: FK CONSTRAINT; Schema: public; Owner: -
--

ALTER TABLE ONLY public.juju_model_destroy_application_request
    ADD CONSTRAINT juju_model_destroy_application_request_activity_id_fkey FOREIGN KEY (activity_id) REFERENCES public.activity(id) ON DELETE CASCADE;


--
-- Name: juju_run_on_all_machines_request juju_run_on_all_machines_request_activity_id_fkey; Type: FK CONSTRAINT; Schema: public; Owner: -
--

ALTER TABLE ONLY public.juju_run_on_all_machines_request
    ADD CONSTRAINT juju_run_on_all_machines_request_activity_id_fkey FOREIGN KEY (activity_id) REFERENCES public.activity(id) ON DELETE CASCADE;


--
-- Name: juju_run_request juju_run_request_activity_id_fkey; Type: FK CONSTRAINT; Schema: public; Owner: -
--

ALTER TABLE ONLY public.juju_run_request
    ADD CONSTRAINT juju_run_request_activity_id_fkey FOREIGN KEY (activity_id) REFERENCES public.activity(id) ON DELETE CASCADE;


--
-- Name: juju_service_set_request juju_service_set_request_activity_id_fkey; Type: FK CONSTRAINT; Schema: public; Owner: -
--

ALTER TABLE ONLY public.juju_service_set_request
    ADD CONSTRAINT juju_service_set_request_activity_id_fkey FOREIGN KEY (activity_id) REFERENCES public.activity(id) ON DELETE CASCADE;


--
-- Name: juju_unit juju_unit_juju_application_id_fkey; Type: FK CONSTRAINT; Schema: public; Owner: -
--

ALTER TABLE ONLY public.juju_unit
    ADD CONSTRAINT juju_unit_juju_application_id_fkey FOREIGN KEY (juju_application_id) REFERENCES public.juju_application(id) ON DELETE CASCADE;


--
-- Name: juju_unit juju_unit_juju_machine_id_fkey; Type: FK CONSTRAINT; Schema: public; Owner: -
--

ALTER TABLE ONLY public.juju_unit
    ADD CONSTRAINT juju_unit_juju_machine_id_fkey FOREIGN KEY (juju_machine_id) REFERENCES public.juju_machine(id) ON DELETE CASCADE;


--
-- Name: lock_user_request lock_user_request_activity_id_fkey; Type: FK CONSTRAINT; Schema: public; Owner: -
--

ALTER TABLE ONLY public.lock_user_request
    ADD CONSTRAINT lock_user_request_activity_id_fkey FOREIGN KEY (activity_id) REFERENCES public.activity(id) ON DELETE CASCADE;


--
-- Name: maas_server maas_server_account_id_fkey; Type: FK CONSTRAINT; Schema: public; Owner: -
--

ALTER TABLE ONLY public.maas_server
    ADD CONSTRAINT maas_server_account_id_fkey FOREIGN KEY (account_id) REFERENCES public.account_twin(id) ON DELETE CASCADE;


--
-- Name: maas_target_machine maas_target_machine_juju_model_id_fkey; Type: FK CONSTRAINT; Schema: public; Owner: -
--

ALTER TABLE ONLY public.maas_target_machine
    ADD CONSTRAINT maas_target_machine_juju_model_id_fkey FOREIGN KEY (juju_model_id) REFERENCES public.juju_model(id) ON DELETE CASCADE;


--
-- Name: node_maintenance_request node_maintenance_request_activity_id_fkey; Type: FK CONSTRAINT; Schema: public; Owner: -
--

ALTER TABLE ONLY public.node_maintenance_request
    ADD CONSTRAINT node_maintenance_request_activity_id_fkey FOREIGN KEY (activity_id) REFERENCES public.activity_parent(id) ON DELETE CASCADE;


--
-- Name: node_maintenance_request node_maintenance_request_target_machine_id_fkey; Type: FK CONSTRAINT; Schema: public; Owner: -
--

ALTER TABLE ONLY public.node_maintenance_request
    ADD CONSTRAINT node_maintenance_request_target_machine_id_fkey FOREIGN KEY (target_machine_id) REFERENCES public.maas_target_machine(id) ON DELETE CASCADE;


--
-- Name: openstack_region_request openstack_region_request_activity_id_fkey; Type: FK CONSTRAINT; Schema: public; Owner: -
--

ALTER TABLE ONLY public.openstack_region_request
    ADD CONSTRAINT openstack_region_request_activity_id_fkey FOREIGN KEY (activity_id) REFERENCES public.activity_parent(id) ON DELETE CASCADE;


--
-- Name: package_profile package_profile_account_id_fkey; Type: FK CONSTRAINT; Schema: public; Owner: -
--

ALTER TABLE ONLY public.package_profile
    ADD CONSTRAINT package_profile_account_id_fkey FOREIGN KEY (account_id) REFERENCES public.account_twin(id) ON DELETE CASCADE;


--
-- Name: package_profile package_profile_computer_group_id_fkey; Type: FK CONSTRAINT; Schema: public; Owner: -
--

ALTER TABLE ONLY public.package_profile
    ADD CONSTRAINT package_profile_computer_group_id_fkey FOREIGN KEY (computer_group_id) REFERENCES public.computer_group(id) ON DELETE CASCADE;


--
-- Name: package_profile_constraint package_profile_constraint_package_profile_id_fkey; Type: FK CONSTRAINT; Schema: public; Owner: -
--

ALTER TABLE ONLY public.package_profile_constraint
    ADD CONSTRAINT package_profile_constraint_package_profile_id_fkey FOREIGN KEY (package_profile_id) REFERENCES public.package_profile(id) ON DELETE CASCADE;


--
-- Name: payment payment_data_id_fkey; Type: FK CONSTRAINT; Schema: public; Owner: -
--

ALTER TABLE ONLY public.payment
    ADD CONSTRAINT payment_data_id_fkey FOREIGN KEY (data_id) REFERENCES public.account_entity_data(id) ON DELETE CASCADE;


--
-- Name: pocket pocket_gpg_key_id_fkey; Type: FK CONSTRAINT; Schema: public; Owner: -
--

ALTER TABLE ONLY public.pocket
    ADD CONSTRAINT pocket_gpg_key_id_fkey FOREIGN KEY (gpg_key_id) REFERENCES public.gpg_key(id) ON DELETE CASCADE;


--
-- Name: pocket pocket_mirror_gpg_key_id_fkey; Type: FK CONSTRAINT; Schema: public; Owner: -
--

ALTER TABLE ONLY public.pocket
    ADD CONSTRAINT pocket_mirror_gpg_key_id_fkey FOREIGN KEY (mirror_gpg_key_id) REFERENCES public.gpg_key(id) ON DELETE CASCADE;


--
-- Name: pocket pocket_pull_pocket_id_fkey; Type: FK CONSTRAINT; Schema: public; Owner: -
--

ALTER TABLE ONLY public.pocket
    ADD CONSTRAINT pocket_pull_pocket_id_fkey FOREIGN KEY (pull_pocket_id) REFERENCES public.pocket(id) ON DELETE CASCADE;


--
-- Name: pocket pocket_series_id_fkey; Type: FK CONSTRAINT; Schema: public; Owner: -
--

ALTER TABLE ONLY public.pocket
    ADD CONSTRAINT pocket_series_id_fkey FOREIGN KEY (series_id) REFERENCES public.series(id) ON DELETE CASCADE;


--
-- Name: pocket_upload_gpg_key pocket_upload_gpg_key_gpg_key_id_fkey; Type: FK CONSTRAINT; Schema: public; Owner: -
--

ALTER TABLE ONLY public.pocket_upload_gpg_key
    ADD CONSTRAINT pocket_upload_gpg_key_gpg_key_id_fkey FOREIGN KEY (gpg_key_id) REFERENCES public.gpg_key(id) ON DELETE CASCADE;


--
-- Name: pocket_upload_gpg_key pocket_upload_gpg_key_pocket_id_fkey; Type: FK CONSTRAINT; Schema: public; Owner: -
--

ALTER TABLE ONLY public.pocket_upload_gpg_key
    ADD CONSTRAINT pocket_upload_gpg_key_pocket_id_fkey FOREIGN KEY (pocket_id) REFERENCES public.pocket(id) ON DELETE CASCADE;


--
-- Name: region region_cloud_id_fkey; Type: FK CONSTRAINT; Schema: public; Owner: -
--

ALTER TABLE ONLY public.region
    ADD CONSTRAINT region_cloud_id_fkey FOREIGN KEY (cloud_id) REFERENCES public.cloud(id) ON DELETE CASCADE;


--
-- Name: region region_data_id_fkey; Type: FK CONSTRAINT; Schema: public; Owner: -
--

ALTER TABLE ONLY public.region
    ADD CONSTRAINT region_data_id_fkey FOREIGN KEY (data_id) REFERENCES public.account_entity_data(id) ON DELETE CASCADE;


--
-- Name: region_hypervisor region_hypervisor_region_id_fkey; Type: FK CONSTRAINT; Schema: public; Owner: -
--

ALTER TABLE ONLY public.region_hypervisor
    ADD CONSTRAINT region_hypervisor_region_id_fkey FOREIGN KEY (region_id) REFERENCES public.region(id) ON DELETE CASCADE;


--
-- Name: region region_juju_model_id_fkey; Type: FK CONSTRAINT; Schema: public; Owner: -
--

ALTER TABLE ONLY public.region
    ADD CONSTRAINT region_juju_model_id_fkey FOREIGN KEY (juju_model_id) REFERENCES public.juju_model(id) ON DELETE CASCADE;


--
-- Name: region_log region_log_region_id_fkey; Type: FK CONSTRAINT; Schema: public; Owner: -
--

ALTER TABLE ONLY public.region_log
    ADD CONSTRAINT region_log_region_id_fkey FOREIGN KEY (region_id) REFERENCES public.region(id) ON DELETE CASCADE;


--
-- Name: region region_maas_server_id_fkey; Type: FK CONSTRAINT; Schema: public; Owner: -
--

ALTER TABLE ONLY public.region
    ADD CONSTRAINT region_maas_server_id_fkey FOREIGN KEY (maas_server_id) REFERENCES public.maas_server(id) ON DELETE CASCADE;


--
-- Name: region_machine region_machine_availability_zone_id_fkey; Type: FK CONSTRAINT; Schema: public; Owner: -
--

ALTER TABLE ONLY public.region_machine
    ADD CONSTRAINT region_machine_availability_zone_id_fkey FOREIGN KEY (availability_zone_id) REFERENCES public.availability_zone(id);


--
-- Name: region_machine region_machine_region_id_fkey; Type: FK CONSTRAINT; Schema: public; Owner: -
--

ALTER TABLE ONLY public.region_machine
    ADD CONSTRAINT region_machine_region_id_fkey FOREIGN KEY (region_id) REFERENCES public.region(id) ON DELETE CASCADE;


--
-- Name: region_request_data region_request_data_activity_id_fkey; Type: FK CONSTRAINT; Schema: public; Owner: -
--

ALTER TABLE ONLY public.region_request_data
    ADD CONSTRAINT region_request_data_activity_id_fkey FOREIGN KEY (activity_id) REFERENCES public.activity_parent(id) ON DELETE CASCADE;


--
-- Name: region_request_data region_request_data_region_id_fkey; Type: FK CONSTRAINT; Schema: public; Owner: -
--

ALTER TABLE ONLY public.region_request_data
    ADD CONSTRAINT region_request_data_region_id_fkey FOREIGN KEY (region_id) REFERENCES public.region(id) ON DELETE CASCADE;


--
-- Name: registration_otp registration_otp_account_id_fkey; Type: FK CONSTRAINT; Schema: public; Owner: -
--

ALTER TABLE ONLY public.registration_otp
    ADD CONSTRAINT registration_otp_account_id_fkey FOREIGN KEY (account_id) REFERENCES public.account_twin(id) ON DELETE CASCADE;


--
-- Name: release_upgrade_request release_upgrade_request_activity_id_fkey; Type: FK CONSTRAINT; Schema: public; Owner: -
--

ALTER TABLE ONLY public.release_upgrade_request
    ADD CONSTRAINT release_upgrade_request_activity_id_fkey FOREIGN KEY (activity_id) REFERENCES public.activity(id) ON DELETE CASCADE;


--
-- Name: removal_profile removal_profile_account_id_fkey; Type: FK CONSTRAINT; Schema: public; Owner: -
--

ALTER TABLE ONLY public.removal_profile
    ADD CONSTRAINT removal_profile_account_id_fkey FOREIGN KEY (account_id) REFERENCES public.account_twin(id) ON DELETE CASCADE;


--
-- Name: removal_profile removal_profile_computer_group_id_fkey; Type: FK CONSTRAINT; Schema: public; Owner: -
--

ALTER TABLE ONLY public.removal_profile
    ADD CONSTRAINT removal_profile_computer_group_id_fkey FOREIGN KEY (computer_group_id) REFERENCES public.computer_group(id) ON DELETE CASCADE;


--
-- Name: remove_group_member_request remove_group_member_request_activity_id_fkey; Type: FK CONSTRAINT; Schema: public; Owner: -
--

ALTER TABLE ONLY public.remove_group_member_request
    ADD CONSTRAINT remove_group_member_request_activity_id_fkey FOREIGN KEY (activity_id) REFERENCES public.activity(id) ON DELETE CASCADE;


--
-- Name: repository_profile repository_profile_account_id_fkey; Type: FK CONSTRAINT; Schema: public; Owner: -
--

ALTER TABLE ONLY public.repository_profile
    ADD CONSTRAINT repository_profile_account_id_fkey FOREIGN KEY (account_id) REFERENCES public.account_twin(id) ON DELETE CASCADE;


--
-- Name: repository_profile_apt_source repository_profile_apt_source_apt_source_id_fkey; Type: FK CONSTRAINT; Schema: public; Owner: -
--

ALTER TABLE ONLY public.repository_profile_apt_source
    ADD CONSTRAINT repository_profile_apt_source_apt_source_id_fkey FOREIGN KEY (apt_source_id) REFERENCES public.apt_source(id) ON DELETE CASCADE;


--
-- Name: repository_profile_apt_source repository_profile_apt_source_profile_id_fkey; Type: FK CONSTRAINT; Schema: public; Owner: -
--

ALTER TABLE ONLY public.repository_profile_apt_source
    ADD CONSTRAINT repository_profile_apt_source_profile_id_fkey FOREIGN KEY (profile_id) REFERENCES public.repository_profile(id) ON DELETE CASCADE;


--
-- Name: repository_profile repository_profile_computer_group_id_fkey; Type: FK CONSTRAINT; Schema: public; Owner: -
--

ALTER TABLE ONLY public.repository_profile
    ADD CONSTRAINT repository_profile_computer_group_id_fkey FOREIGN KEY (computer_group_id) REFERENCES public.computer_group(id) ON DELETE CASCADE;


--
-- Name: repository_profile_pocket repository_profile_pocket_pocket_id_fkey; Type: FK CONSTRAINT; Schema: public; Owner: -
--

ALTER TABLE ONLY public.repository_profile_pocket
    ADD CONSTRAINT repository_profile_pocket_pocket_id_fkey FOREIGN KEY (pocket_id) REFERENCES public.pocket(id) ON DELETE CASCADE;


--
-- Name: repository_profile_pocket repository_profile_pocket_profile_id_fkey; Type: FK CONSTRAINT; Schema: public; Owner: -
--

ALTER TABLE ONLY public.repository_profile_pocket
    ADD CONSTRAINT repository_profile_pocket_profile_id_fkey FOREIGN KEY (profile_id) REFERENCES public.repository_profile(id) ON DELETE CASCADE;


--
-- Name: resynchronize_request resynchronize_request_activity_id_fkey; Type: FK CONSTRAINT; Schema: public; Owner: -
--

ALTER TABLE ONLY public.resynchronize_request
    ADD CONSTRAINT resynchronize_request_activity_id_fkey FOREIGN KEY (activity_id) REFERENCES public.activity(id) ON DELETE CASCADE;


--
-- Name: rule rule_account_id_fkey; Type: FK CONSTRAINT; Schema: public; Owner: -
--

ALTER TABLE ONLY public.rule
    ADD CONSTRAINT rule_account_id_fkey FOREIGN KEY (account_id) REFERENCES public.account_twin(id) ON DELETE CASCADE;


--
-- Name: rule rule_computer_group_id_fkey; Type: FK CONSTRAINT; Schema: public; Owner: -
--

ALTER TABLE ONLY public.rule
    ADD CONSTRAINT rule_computer_group_id_fkey FOREIGN KEY (computer_group_id) REFERENCES public.computer_group(id) ON DELETE CASCADE;


--
-- Name: rule_state rule_state_computer_id_fkey; Type: FK CONSTRAINT; Schema: public; Owner: -
--

ALTER TABLE ONLY public.rule_state
    ADD CONSTRAINT rule_state_computer_id_fkey FOREIGN KEY (computer_id) REFERENCES public.computer_twin(id) ON DELETE CASCADE;


--
-- Name: rule_state_notification rule_state_notification_rule_state_id_fkey; Type: FK CONSTRAINT; Schema: public; Owner: -
--

ALTER TABLE ONLY public.rule_state_notification
    ADD CONSTRAINT rule_state_notification_rule_state_id_fkey FOREIGN KEY (rule_state_id) REFERENCES public.rule_state(id) ON DELETE CASCADE;


--
-- Name: rule_state rule_state_rule_id_fkey; Type: FK CONSTRAINT; Schema: public; Owner: -
--

ALTER TABLE ONLY public.rule_state
    ADD CONSTRAINT rule_state_rule_id_fkey FOREIGN KEY (rule_id) REFERENCES public.rule(id) ON DELETE CASCADE;


--
-- Name: rule_subscription rule_subscription_rule_id_fkey; Type: FK CONSTRAINT; Schema: public; Owner: -
--

ALTER TABLE ONLY public.rule_subscription
    ADD CONSTRAINT rule_subscription_rule_id_fkey FOREIGN KEY (rule_id) REFERENCES public.rule(id) ON DELETE CASCADE;


--
-- Name: sample_account_rule sample_account_rule_rule_id_fkey; Type: FK CONSTRAINT; Schema: public; Owner: -
--

ALTER TABLE ONLY public.sample_account_rule
    ADD CONSTRAINT sample_account_rule_rule_id_fkey FOREIGN KEY (rule_id) REFERENCES public.rule(id) ON DELETE CASCADE;


--
-- Name: sample_computer_rule sample_computer_rule_rule_id_fkey; Type: FK CONSTRAINT; Schema: public; Owner: -
--

ALTER TABLE ONLY public.sample_computer_rule
    ADD CONSTRAINT sample_computer_rule_rule_id_fkey FOREIGN KEY (rule_id) REFERENCES public.rule(id) ON DELETE CASCADE;


--
-- Name: saved_search saved_search_account_id_fkey; Type: FK CONSTRAINT; Schema: public; Owner: -
--

ALTER TABLE ONLY public.saved_search
    ADD CONSTRAINT saved_search_account_id_fkey FOREIGN KEY (account_id) REFERENCES public.account_twin(id) ON DELETE CASCADE;


--
-- Name: script script_account_id_fkey; Type: FK CONSTRAINT; Schema: public; Owner: -
--

ALTER TABLE ONLY public.script
    ADD CONSTRAINT script_account_id_fkey FOREIGN KEY (account_id) REFERENCES public.account_twin(id) ON DELETE CASCADE;


--
-- Name: script_attachment script_attachment_attachment_id_fkey; Type: FK CONSTRAINT; Schema: public; Owner: -
--

ALTER TABLE ONLY public.script_attachment
    ADD CONSTRAINT script_attachment_attachment_id_fkey FOREIGN KEY (attachment_id) REFERENCES public.attachment(id) ON DELETE CASCADE;


--
-- Name: script_attachment script_attachment_script_id_fkey; Type: FK CONSTRAINT; Schema: public; Owner: -
--

ALTER TABLE ONLY public.script_attachment
    ADD CONSTRAINT script_attachment_script_id_fkey FOREIGN KEY (script_id) REFERENCES public.script(id) ON DELETE CASCADE;


--
-- Name: series series_distribution_id_fkey; Type: FK CONSTRAINT; Schema: public; Owner: -
--

ALTER TABLE ONLY public.series
    ADD CONSTRAINT series_distribution_id_fkey FOREIGN KEY (distribution_id) REFERENCES public.distribution(id) ON DELETE CASCADE;


--
-- Name: signal_process_request signal_process_request_activity_id_fkey; Type: FK CONSTRAINT; Schema: public; Owner: -
--

ALTER TABLE ONLY public.signal_process_request
    ADD CONSTRAINT signal_process_request_activity_id_fkey FOREIGN KEY (activity_id) REFERENCES public.activity(id) ON DELETE CASCADE;


--
-- Name: stored_stub_request stored_stub_request_activity_id_fkey; Type: FK CONSTRAINT; Schema: public; Owner: -
--

ALTER TABLE ONLY public.stored_stub_request
    ADD CONSTRAINT stored_stub_request_activity_id_fkey FOREIGN KEY (activity_id) REFERENCES public.activity(id) ON DELETE CASCADE;


--
-- Name: sync_pocket_request sync_pocket_request_activity_id_fkey; Type: FK CONSTRAINT; Schema: public; Owner: -
--

ALTER TABLE ONLY public.sync_pocket_request
    ADD CONSTRAINT sync_pocket_request_activity_id_fkey FOREIGN KEY (activity_id) REFERENCES public.activity(id) ON DELETE CASCADE;


--
-- Name: sync_pocket_request sync_pocket_request_pocket_id_fkey; Type: FK CONSTRAINT; Schema: public; Owner: -
--

ALTER TABLE ONLY public.sync_pocket_request
    ADD CONSTRAINT sync_pocket_request_pocket_id_fkey FOREIGN KEY (pocket_id) REFERENCES public.pocket(id) ON DELETE CASCADE;


--
-- Name: tenant_network_setup_request tenant_network_setup_request_activity_id_fkey; Type: FK CONSTRAINT; Schema: public; Owner: -
--

ALTER TABLE ONLY public.tenant_network_setup_request
    ADD CONSTRAINT tenant_network_setup_request_activity_id_fkey FOREIGN KEY (activity_id) REFERENCES public.activity(id) ON DELETE CASCADE;


--
-- Name: unlock_user_request unlock_user_request_activity_id_fkey; Type: FK CONSTRAINT; Schema: public; Owner: -
--

ALTER TABLE ONLY public.unlock_user_request
    ADD CONSTRAINT unlock_user_request_activity_id_fkey FOREIGN KEY (activity_id) REFERENCES public.activity(id) ON DELETE CASCADE;


--
-- Name: upgrade_profile upgrade_profile_account_id_fkey; Type: FK CONSTRAINT; Schema: public; Owner: -
--

ALTER TABLE ONLY public.upgrade_profile
    ADD CONSTRAINT upgrade_profile_account_id_fkey FOREIGN KEY (account_id) REFERENCES public.account_twin(id) ON DELETE CASCADE;


--
-- Name: upgrade_profile upgrade_profile_computer_group_id_fkey; Type: FK CONSTRAINT; Schema: public; Owner: -
--

ALTER TABLE ONLY public.upgrade_profile
    ADD CONSTRAINT upgrade_profile_computer_group_id_fkey FOREIGN KEY (computer_group_id) REFERENCES public.computer_group(id) ON DELETE CASCADE;


--
-- Name: upload upload_distribution_id_fkey; Type: FK CONSTRAINT; Schema: public; Owner: -
--

ALTER TABLE ONLY public.upload
    ADD CONSTRAINT upload_distribution_id_fkey FOREIGN KEY (distribution_id) REFERENCES public.distribution(id) ON DELETE CASCADE;


--
-- Name: upload upload_pocket_id_fkey; Type: FK CONSTRAINT; Schema: public; Owner: -
--

ALTER TABLE ONLY public.upload
    ADD CONSTRAINT upload_pocket_id_fkey FOREIGN KEY (pocket_id) REFERENCES public.pocket(id) ON DELETE CASCADE;


--
-- Name: TABLE account_entity_data; Type: ACL; Schema: public; Owner: -
--

GRANT SELECT,INSERT,DELETE,UPDATE ON TABLE public.account_entity_data TO landscape;


--
-- Name: SEQUENCE account_entity_data_id_seq; Type: ACL; Schema: public; Owner: -
--

GRANT SELECT,UPDATE ON SEQUENCE public.account_entity_data_id_seq TO landscape;


--
-- Name: TABLE account_twin; Type: ACL; Schema: public; Owner: -
--

GRANT SELECT,INSERT,DELETE,UPDATE ON TABLE public.account_twin TO landscape;


--
-- Name: TABLE activity; Type: ACL; Schema: public; Owner: -
--

GRANT SELECT,INSERT,DELETE,UPDATE ON TABLE public.activity TO landscape;


--
-- Name: TABLE activity_child_event; Type: ACL; Schema: public; Owner: -
--

GRANT SELECT,INSERT,DELETE,UPDATE ON TABLE public.activity_child_event TO landscape;


--
-- Name: SEQUENCE activity_child_event_id_seq; Type: ACL; Schema: public; Owner: -
--

GRANT SELECT,UPDATE ON SEQUENCE public.activity_child_event_id_seq TO landscape;


--
-- Name: TABLE activity_group; Type: ACL; Schema: public; Owner: -
--

GRANT SELECT,INSERT,DELETE,UPDATE ON TABLE public.activity_group TO landscape;


--
-- Name: SEQUENCE activity_id_seq; Type: ACL; Schema: public; Owner: -
--

GRANT SELECT,UPDATE ON SEQUENCE public.activity_id_seq TO landscape;


--
-- Name: TABLE activity_info; Type: ACL; Schema: public; Owner: -
--

GRANT SELECT,INSERT,DELETE,UPDATE ON TABLE public.activity_info TO landscape;


--
-- Name: TABLE activity_ordering; Type: ACL; Schema: public; Owner: -
--

GRANT SELECT,INSERT,DELETE,UPDATE ON TABLE public.activity_ordering TO landscape;


--
-- Name: TABLE activity_parent; Type: ACL; Schema: public; Owner: -
--

GRANT SELECT,INSERT,DELETE,UPDATE ON TABLE public.activity_parent TO landscape;


--
-- Name: TABLE activity_parent_access; Type: ACL; Schema: public; Owner: -
--

GRANT SELECT,INSERT,DELETE,UPDATE ON TABLE public.activity_parent_access TO landscape;


--
-- Name: TABLE add_group_member_request; Type: ACL; Schema: public; Owner: -
--

GRANT SELECT,INSERT,DELETE,UPDATE ON TABLE public.add_group_member_request TO landscape;


--
-- Name: TABLE add_juju_charm_request; Type: ACL; Schema: public; Owner: -
--

GRANT SELECT,INSERT,DELETE,UPDATE ON TABLE public.add_juju_charm_request TO landscape;


--
-- Name: TABLE add_juju_machine_request; Type: ACL; Schema: public; Owner: -
--

GRANT SELECT,INSERT,DELETE,UPDATE ON TABLE public.add_juju_machine_request TO landscape;


--
-- Name: TABLE add_juju_relation_request; Type: ACL; Schema: public; Owner: -
--

GRANT SELECT,INSERT,DELETE,UPDATE ON TABLE public.add_juju_relation_request TO landscape;


--
-- Name: TABLE add_juju_unit_request; Type: ACL; Schema: public; Owner: -
--

GRANT SELECT,INSERT,DELETE,UPDATE ON TABLE public.add_juju_unit_request TO landscape;


--
-- Name: TABLE apt_source; Type: ACL; Schema: public; Owner: -
--

GRANT SELECT,INSERT,DELETE,UPDATE ON TABLE public.apt_source TO landscape;


--
-- Name: TABLE apt_source_gpg_key; Type: ACL; Schema: public; Owner: -
--

GRANT SELECT,INSERT,DELETE,UPDATE ON TABLE public.apt_source_gpg_key TO landscape;


--
-- Name: SEQUENCE apt_source_id_seq; Type: ACL; Schema: public; Owner: -
--

GRANT SELECT,UPDATE ON SEQUENCE public.apt_source_id_seq TO landscape;


--
-- Name: TABLE attachment; Type: ACL; Schema: public; Owner: -
--

GRANT SELECT,INSERT,DELETE,UPDATE ON TABLE public.attachment TO landscape;


--
-- Name: SEQUENCE attachment_id_seq; Type: ACL; Schema: public; Owner: -
--

GRANT SELECT,UPDATE ON SEQUENCE public.attachment_id_seq TO landscape;


--
-- Name: TABLE availability_zone; Type: ACL; Schema: public; Owner: -
--

GRANT SELECT,INSERT,DELETE,UPDATE ON TABLE public.availability_zone TO landscape;


--
-- Name: SEQUENCE availability_zone_id_seq; Type: ACL; Schema: public; Owner: -
--

GRANT SELECT,UPDATE ON SEQUENCE public.availability_zone_id_seq TO landscape;


--
-- Name: TABLE change_package_profile_request; Type: ACL; Schema: public; Owner: -
--

GRANT SELECT,INSERT,DELETE,UPDATE ON TABLE public.change_package_profile_request TO landscape;


--
-- Name: TABLE change_package_request; Type: ACL; Schema: public; Owner: -
--

GRANT SELECT,INSERT,DELETE,UPDATE ON TABLE public.change_package_request TO landscape;


--
-- Name: TABLE change_upgrade_profile_request; Type: ACL; Schema: public; Owner: -
--

GRANT SELECT,INSERT,DELETE,UPDATE ON TABLE public.change_upgrade_profile_request TO landscape;


--
-- Name: TABLE cloud; Type: ACL; Schema: public; Owner: -
--

GRANT SELECT,INSERT,DELETE,UPDATE ON TABLE public.cloud TO landscape;


--
-- Name: SEQUENCE cloud_id_seq; Type: ACL; Schema: public; Owner: -
--

GRANT SELECT,UPDATE ON SEQUENCE public.cloud_id_seq TO landscape;


--
-- Name: TABLE computer_group; Type: ACL; Schema: public; Owner: -
--

GRANT SELECT,INSERT,DELETE,UPDATE ON TABLE public.computer_group TO landscape;


--
-- Name: SEQUENCE computer_group_id_seq; Type: ACL; Schema: public; Owner: -
--

GRANT SELECT,UPDATE ON SEQUENCE public.computer_group_id_seq TO landscape;


--
-- Name: TABLE computer_group_item; Type: ACL; Schema: public; Owner: -
--

GRANT SELECT,INSERT,DELETE ON TABLE public.computer_group_item TO landscape;


--
-- Name: TABLE computer_group_tag; Type: ACL; Schema: public; Owner: -
--

GRANT SELECT,INSERT,DELETE ON TABLE public.computer_group_tag TO landscape;


--
-- Name: TABLE computer_twin; Type: ACL; Schema: public; Owner: -
--

GRANT SELECT,INSERT,DELETE,UPDATE ON TABLE public.computer_twin TO landscape;


--
-- Name: TABLE configure_availability_zones_zone; Type: ACL; Schema: public; Owner: -
--

GRANT SELECT,INSERT,DELETE,UPDATE ON TABLE public.configure_availability_zones_zone TO landscape;


--
-- Name: SEQUENCE configure_availability_zones_zone_id_seq; Type: ACL; Schema: public; Owner: -
--

GRANT SELECT,UPDATE ON SEQUENCE public.configure_availability_zones_zone_id_seq TO landscape;


--
-- Name: TABLE configure_availability_zones_zone_machine; Type: ACL; Schema: public; Owner: -
--

GRANT SELECT,INSERT,DELETE,UPDATE ON TABLE public.configure_availability_zones_zone_machine TO landscape;


--
-- Name: TABLE configure_vip_request; Type: ACL; Schema: public; Owner: -
--

GRANT SELECT,INSERT,DELETE,UPDATE ON TABLE public.configure_vip_request TO landscape;


--
-- Name: TABLE create_glance_image_request; Type: ACL; Schema: public; Owner: -
--

GRANT SELECT,INSERT,DELETE,UPDATE ON TABLE public.create_glance_image_request TO landscape;


--
-- Name: TABLE create_group_request; Type: ACL; Schema: public; Owner: -
--

GRANT SELECT,INSERT,DELETE,UPDATE ON TABLE public.create_group_request TO landscape;


--
-- Name: TABLE create_project_request; Type: ACL; Schema: public; Owner: -
--

GRANT SELECT,INSERT,DELETE,UPDATE ON TABLE public.create_project_request TO landscape;


--
-- Name: TABLE create_user_request; Type: ACL; Schema: public; Owner: -
--

GRANT SELECT,INSERT,DELETE,UPDATE ON TABLE public.create_user_request TO landscape;


--
-- Name: TABLE custom_graph; Type: ACL; Schema: public; Owner: -
--

GRANT SELECT,INSERT,DELETE,UPDATE ON TABLE public.custom_graph TO landscape;


--
-- Name: SEQUENCE custom_graph_id_seq; Type: ACL; Schema: public; Owner: -
--

GRANT SELECT,UPDATE ON SEQUENCE public.custom_graph_id_seq TO landscape;


--
-- Name: TABLE delete_user_request; Type: ACL; Schema: public; Owner: -
--

GRANT SELECT,INSERT,DELETE,UPDATE ON TABLE public.delete_user_request TO landscape;


--
-- Name: TABLE deploy_juju_service_request; Type: ACL; Schema: public; Owner: -
--

GRANT SELECT,INSERT,DELETE,UPDATE ON TABLE public.deploy_juju_service_request TO landscape;


--
-- Name: TABLE disable_nova_services_request; Type: ACL; Schema: public; Owner: -
--

GRANT SELECT,INSERT,DELETE,UPDATE ON TABLE public.disable_nova_services_request TO landscape;


--
-- Name: TABLE distribution; Type: ACL; Schema: public; Owner: -
--

GRANT SELECT,INSERT,DELETE,UPDATE ON TABLE public.distribution TO landscape;


--
-- Name: SEQUENCE distribution_id_seq; Type: ACL; Schema: public; Owner: -
--

GRANT SELECT,UPDATE ON SEQUENCE public.distribution_id_seq TO landscape;


--
-- Name: TABLE edit_user_request; Type: ACL; Schema: public; Owner: -
--

GRANT SELECT,INSERT,DELETE,UPDATE ON TABLE public.edit_user_request TO landscape;


--
-- Name: TABLE enable_nova_services_request; Type: ACL; Schema: public; Owner: -
--

GRANT SELECT,INSERT,DELETE,UPDATE ON TABLE public.enable_nova_services_request TO landscape;


--
-- Name: TABLE event_log_entry; Type: ACL; Schema: public; Owner: -
--

GRANT SELECT,INSERT,DELETE,UPDATE ON TABLE public.event_log_entry TO landscape;


--
-- Name: SEQUENCE event_log_entry_id_seq; Type: ACL; Schema: public; Owner: -
--

GRANT SELECT,UPDATE ON SEQUENCE public.event_log_entry_id_seq TO landscape;


--
-- Name: TABLE execute_script_attachment; Type: ACL; Schema: public; Owner: -
--

GRANT SELECT,INSERT,DELETE ON TABLE public.execute_script_attachment TO landscape;


--
-- Name: TABLE execute_script_request; Type: ACL; Schema: public; Owner: -
--

GRANT SELECT,INSERT,DELETE,UPDATE ON TABLE public.execute_script_request TO landscape;


--
-- Name: TABLE gpg_key; Type: ACL; Schema: public; Owner: -
--

GRANT SELECT,INSERT,DELETE,UPDATE ON TABLE public.gpg_key TO landscape;


--
-- Name: SEQUENCE gpg_key_id_seq; Type: ACL; Schema: public; Owner: -
--

GRANT SELECT,UPDATE ON SEQUENCE public.gpg_key_id_seq TO landscape;


--
-- Name: TABLE incurred_cost; Type: ACL; Schema: public; Owner: -
--

GRANT SELECT,INSERT,DELETE,UPDATE ON TABLE public.incurred_cost TO landscape;


--
-- Name: SEQUENCE incurred_cost_id_seq; Type: ACL; Schema: public; Owner: -
--

GRANT SELECT,UPDATE ON SEQUENCE public.incurred_cost_id_seq TO landscape;


--
-- Name: TABLE juju_action; Type: ACL; Schema: public; Owner: -
--

GRANT SELECT,INSERT,DELETE,UPDATE ON TABLE public.juju_action TO landscape;


--
-- Name: SEQUENCE juju_action_id_seq; Type: ACL; Schema: public; Owner: -
--

GRANT SELECT,UPDATE ON SEQUENCE public.juju_action_id_seq TO landscape;


--
-- Name: TABLE juju_action_request; Type: ACL; Schema: public; Owner: -
--

GRANT SELECT,INSERT,DELETE,UPDATE ON TABLE public.juju_action_request TO landscape;


--
-- Name: TABLE juju_application; Type: ACL; Schema: public; Owner: -
--

GRANT SELECT,INSERT,DELETE,UPDATE ON TABLE public.juju_application TO landscape;


--
-- Name: SEQUENCE juju_application_id_seq; Type: ACL; Schema: public; Owner: -
--

GRANT SELECT,UPDATE ON SEQUENCE public.juju_application_id_seq TO landscape;


--
-- Name: TABLE juju_bootstrap_request; Type: ACL; Schema: public; Owner: -
--

GRANT SELECT,INSERT,DELETE,UPDATE ON TABLE public.juju_bootstrap_request TO landscape;


--
-- Name: TABLE juju_machine; Type: ACL; Schema: public; Owner: -
--

GRANT SELECT,INSERT,DELETE,UPDATE ON TABLE public.juju_machine TO landscape;


--
-- Name: SEQUENCE juju_machine_id_seq; Type: ACL; Schema: public; Owner: -
--

GRANT SELECT,UPDATE ON SEQUENCE public.juju_machine_id_seq TO landscape;


--
-- Name: TABLE juju_model; Type: ACL; Schema: public; Owner: -
--

GRANT SELECT,INSERT,DELETE,UPDATE ON TABLE public.juju_model TO landscape;


--
-- Name: TABLE juju_model_destroy_application_request; Type: ACL; Schema: public; Owner: -
--

GRANT SELECT,INSERT,DELETE,UPDATE ON TABLE public.juju_model_destroy_application_request TO landscape;


--
-- Name: SEQUENCE juju_model_id_seq; Type: ACL; Schema: public; Owner: -
--

GRANT SELECT,UPDATE ON SEQUENCE public.juju_model_id_seq TO landscape;


--
-- Name: TABLE juju_run_on_all_machines_request; Type: ACL; Schema: public; Owner: -
--

GRANT SELECT,INSERT,DELETE,UPDATE ON TABLE public.juju_run_on_all_machines_request TO landscape;


--
-- Name: TABLE juju_run_request; Type: ACL; Schema: public; Owner: -
--

GRANT SELECT,INSERT,DELETE,UPDATE ON TABLE public.juju_run_request TO landscape;


--
-- Name: TABLE juju_service_set_request; Type: ACL; Schema: public; Owner: -
--

GRANT SELECT,INSERT,DELETE,UPDATE ON TABLE public.juju_service_set_request TO landscape;


--
-- Name: TABLE juju_unit; Type: ACL; Schema: public; Owner: -
--

GRANT SELECT,INSERT,DELETE,UPDATE ON TABLE public.juju_unit TO landscape;


--
-- Name: SEQUENCE juju_unit_id_seq; Type: ACL; Schema: public; Owner: -
--

GRANT SELECT,UPDATE ON SEQUENCE public.juju_unit_id_seq TO landscape;


--
-- Name: TABLE lock_user_request; Type: ACL; Schema: public; Owner: -
--

GRANT SELECT,INSERT,DELETE,UPDATE ON TABLE public.lock_user_request TO landscape;


--
-- Name: TABLE maas_server; Type: ACL; Schema: public; Owner: -
--

GRANT SELECT,INSERT,DELETE,UPDATE ON TABLE public.maas_server TO landscape;


--
-- Name: SEQUENCE maas_server_id_seq; Type: ACL; Schema: public; Owner: -
--

GRANT SELECT,UPDATE ON SEQUENCE public.maas_server_id_seq TO landscape;


--
-- Name: TABLE maas_target_machine; Type: ACL; Schema: public; Owner: -
--

GRANT SELECT,INSERT,DELETE,UPDATE ON TABLE public.maas_target_machine TO landscape;


--
-- Name: SEQUENCE maas_target_machine_id_seq; Type: ACL; Schema: public; Owner: -
--

GRANT SELECT,UPDATE ON SEQUENCE public.maas_target_machine_id_seq TO landscape;


--
-- Name: TABLE node_maintenance_request; Type: ACL; Schema: public; Owner: -
--

GRANT SELECT,INSERT,DELETE,UPDATE ON TABLE public.node_maintenance_request TO landscape;


--
-- Name: TABLE openstack_region_request; Type: ACL; Schema: public; Owner: -
--

GRANT SELECT,INSERT,DELETE,UPDATE ON TABLE public.openstack_region_request TO landscape;


--
-- Name: TABLE openstack_token; Type: ACL; Schema: public; Owner: -
--

GRANT SELECT,INSERT,DELETE,UPDATE ON TABLE public.openstack_token TO landscape;


--
-- Name: TABLE package_profile; Type: ACL; Schema: public; Owner: -
--

GRANT SELECT,INSERT,DELETE,UPDATE ON TABLE public.package_profile TO landscape;


--
-- Name: TABLE package_profile_constraint; Type: ACL; Schema: public; Owner: -
--

GRANT SELECT,INSERT,DELETE,UPDATE ON TABLE public.package_profile_constraint TO landscape;


--
-- Name: SEQUENCE package_profile_constraint_id_seq; Type: ACL; Schema: public; Owner: -
--

GRANT SELECT,UPDATE ON SEQUENCE public.package_profile_constraint_id_seq TO landscape;


--
-- Name: SEQUENCE package_profile_id_seq; Type: ACL; Schema: public; Owner: -
--

GRANT SELECT,UPDATE ON SEQUENCE public.package_profile_id_seq TO landscape;


--
-- Name: TABLE payment; Type: ACL; Schema: public; Owner: -
--

GRANT SELECT,INSERT,DELETE,UPDATE ON TABLE public.payment TO landscape;


--
-- Name: SEQUENCE payment_id_seq; Type: ACL; Schema: public; Owner: -
--

GRANT SELECT,UPDATE ON SEQUENCE public.payment_id_seq TO landscape;


--
-- Name: TABLE pocket; Type: ACL; Schema: public; Owner: -
--

GRANT SELECT,INSERT,DELETE,UPDATE ON TABLE public.pocket TO landscape;


--
-- Name: SEQUENCE pocket_id_seq; Type: ACL; Schema: public; Owner: -
--

GRANT SELECT,UPDATE ON SEQUENCE public.pocket_id_seq TO landscape;


--
-- Name: TABLE pocket_upload_gpg_key; Type: ACL; Schema: public; Owner: -
--

GRANT SELECT,INSERT,DELETE,UPDATE ON TABLE public.pocket_upload_gpg_key TO landscape;


--
-- Name: TABLE region; Type: ACL; Schema: public; Owner: -
--

GRANT SELECT,INSERT,DELETE,UPDATE ON TABLE public.region TO landscape;


--
-- Name: TABLE region_hypervisor; Type: ACL; Schema: public; Owner: -
--

GRANT SELECT,INSERT,DELETE,UPDATE ON TABLE public.region_hypervisor TO landscape;


--
-- Name: SEQUENCE region_id_seq; Type: ACL; Schema: public; Owner: -
--

GRANT SELECT,UPDATE ON SEQUENCE public.region_id_seq TO landscape;


--
-- Name: TABLE region_log; Type: ACL; Schema: public; Owner: -
--

GRANT SELECT,INSERT,DELETE,UPDATE ON TABLE public.region_log TO landscape;


--
-- Name: TABLE region_machine; Type: ACL; Schema: public; Owner: -
--

GRANT SELECT,INSERT,DELETE,UPDATE ON TABLE public.region_machine TO landscape;


--
-- Name: SEQUENCE region_machine_id_seq; Type: ACL; Schema: public; Owner: -
--

GRANT SELECT,UPDATE ON SEQUENCE public.region_machine_id_seq TO landscape;


--
-- Name: TABLE region_request_data; Type: ACL; Schema: public; Owner: -
--

GRANT SELECT,INSERT,DELETE,UPDATE ON TABLE public.region_request_data TO landscape;


--
-- Name: TABLE registration_otp; Type: ACL; Schema: public; Owner: -
--

GRANT SELECT,INSERT,DELETE ON TABLE public.registration_otp TO landscape;


--
-- Name: TABLE release_upgrade_request; Type: ACL; Schema: public; Owner: -
--

GRANT SELECT,INSERT,DELETE,UPDATE ON TABLE public.release_upgrade_request TO landscape;


--
-- Name: TABLE removal_profile; Type: ACL; Schema: public; Owner: -
--

GRANT SELECT,INSERT,DELETE,UPDATE ON TABLE public.removal_profile TO landscape;


--
-- Name: SEQUENCE removal_profile_id_seq; Type: ACL; Schema: public; Owner: -
--

GRANT SELECT,UPDATE ON SEQUENCE public.removal_profile_id_seq TO landscape;


--
-- Name: TABLE remove_group_member_request; Type: ACL; Schema: public; Owner: -
--

GRANT SELECT,INSERT,DELETE,UPDATE ON TABLE public.remove_group_member_request TO landscape;


--
-- Name: TABLE repository_profile; Type: ACL; Schema: public; Owner: -
--

GRANT SELECT,INSERT,DELETE,UPDATE ON TABLE public.repository_profile TO landscape;


--
-- Name: TABLE repository_profile_apt_source; Type: ACL; Schema: public; Owner: -
--

GRANT SELECT,INSERT,DELETE,UPDATE ON TABLE public.repository_profile_apt_source TO landscape;


--
-- Name: SEQUENCE repository_profile_id_seq; Type: ACL; Schema: public; Owner: -
--

GRANT SELECT,UPDATE ON SEQUENCE public.repository_profile_id_seq TO landscape;


--
-- Name: TABLE repository_profile_pocket; Type: ACL; Schema: public; Owner: -
--

GRANT SELECT,INSERT,DELETE,UPDATE ON TABLE public.repository_profile_pocket TO landscape;


--
-- Name: TABLE resynchronize_request; Type: ACL; Schema: public; Owner: -
--

GRANT SELECT,INSERT,DELETE,UPDATE ON TABLE public.resynchronize_request TO landscape;


--
-- Name: TABLE rule; Type: ACL; Schema: public; Owner: -
--

GRANT SELECT,INSERT,DELETE,UPDATE ON TABLE public.rule TO landscape;


--
-- Name: SEQUENCE rule_id_seq; Type: ACL; Schema: public; Owner: -
--

GRANT SELECT,UPDATE ON SEQUENCE public.rule_id_seq TO landscape;


--
-- Name: TABLE rule_state; Type: ACL; Schema: public; Owner: -
--

GRANT SELECT,INSERT,DELETE,UPDATE ON TABLE public.rule_state TO landscape;


--
-- Name: SEQUENCE rule_state_id_seq; Type: ACL; Schema: public; Owner: -
--

GRANT SELECT,UPDATE ON SEQUENCE public.rule_state_id_seq TO landscape;


--
-- Name: TABLE rule_state_notification; Type: ACL; Schema: public; Owner: -
--

GRANT SELECT,INSERT,DELETE,UPDATE ON TABLE public.rule_state_notification TO landscape;


--
-- Name: TABLE rule_subscription; Type: ACL; Schema: public; Owner: -
--

GRANT SELECT,INSERT,DELETE,UPDATE ON TABLE public.rule_subscription TO landscape;


--
-- Name: TABLE sample_account_rule; Type: ACL; Schema: public; Owner: -
--

GRANT SELECT,INSERT,DELETE,UPDATE ON TABLE public.sample_account_rule TO landscape;


--
-- Name: TABLE sample_computer_rule; Type: ACL; Schema: public; Owner: -
--

GRANT SELECT,INSERT,DELETE,UPDATE ON TABLE public.sample_computer_rule TO landscape;


--
-- Name: TABLE saved_search; Type: ACL; Schema: public; Owner: -
--

GRANT SELECT,INSERT,DELETE,UPDATE ON TABLE public.saved_search TO landscape;


--
-- Name: SEQUENCE saved_search_id_seq; Type: ACL; Schema: public; Owner: -
--

GRANT SELECT,UPDATE ON SEQUENCE public.saved_search_id_seq TO landscape;


--
-- Name: TABLE script; Type: ACL; Schema: public; Owner: -
--

GRANT SELECT,INSERT,DELETE,UPDATE ON TABLE public.script TO landscape;


--
-- Name: TABLE script_attachment; Type: ACL; Schema: public; Owner: -
--

GRANT SELECT,INSERT,DELETE ON TABLE public.script_attachment TO landscape;


--
-- Name: SEQUENCE script_id_seq; Type: ACL; Schema: public; Owner: -
--

GRANT SELECT,UPDATE ON SEQUENCE public.script_id_seq TO landscape;


--
-- Name: TABLE series; Type: ACL; Schema: public; Owner: -
--

GRANT SELECT,INSERT,DELETE,UPDATE ON TABLE public.series TO landscape;


--
-- Name: SEQUENCE series_id_seq; Type: ACL; Schema: public; Owner: -
--

GRANT SELECT,UPDATE ON SEQUENCE public.series_id_seq TO landscape;


--
-- Name: TABLE signal_process_request; Type: ACL; Schema: public; Owner: -
--

GRANT SELECT,INSERT,DELETE,UPDATE ON TABLE public.signal_process_request TO landscape;


--
-- Name: TABLE stored_stub_request; Type: ACL; Schema: public; Owner: -
--

GRANT SELECT,INSERT,DELETE,UPDATE ON TABLE public.stored_stub_request TO landscape;


--
-- Name: TABLE sync_pocket_request; Type: ACL; Schema: public; Owner: -
--

GRANT SELECT,INSERT,DELETE,UPDATE ON TABLE public.sync_pocket_request TO landscape;


--
-- Name: TABLE tenant_network_setup_request; Type: ACL; Schema: public; Owner: -
--

GRANT SELECT,INSERT,DELETE,UPDATE ON TABLE public.tenant_network_setup_request TO landscape;


--
-- Name: TABLE unlock_user_request; Type: ACL; Schema: public; Owner: -
--

GRANT SELECT,INSERT,DELETE,UPDATE ON TABLE public.unlock_user_request TO landscape;


--
-- Name: TABLE upgrade_profile; Type: ACL; Schema: public; Owner: -
--

GRANT SELECT,INSERT,DELETE,UPDATE ON TABLE public.upgrade_profile TO landscape;


--
-- Name: SEQUENCE upgrade_profile_id_seq; Type: ACL; Schema: public; Owner: -
--

GRANT SELECT,UPDATE ON SEQUENCE public.upgrade_profile_id_seq TO landscape;


--
-- Name: TABLE upload; Type: ACL; Schema: public; Owner: -
--

GRANT SELECT,INSERT,DELETE,UPDATE ON TABLE public.upload TO landscape;


--
-- Name: SEQUENCE upload_id_seq; Type: ACL; Schema: public; Owner: -
--

GRANT SELECT,UPDATE ON SEQUENCE public.upload_id_seq TO landscape;


--
-- PostgreSQL database dump complete
--

