# Copyright 2005-2013 Canonical Limited.  All rights reserved.

from storm.schema.patch import PatchSet
from storm.zope.schema import ZSchema


__all__ = ["create_schema"]


def create_schema():
    from canonical.landscape import schema

    create = schema.get_sql("knowledge")
    return ZSchema(create, DROP, DELETE, PatchSet(schema, sub_level="knowledge"))


DROP = [
    """
DROP SCHEMA public CASCADE
""",
    """
CREATE SCHEMA public
""",
    """
GRANT USAGE, CREATE ON SCHEMA public TO PUBLIC
""",
]


DELETE = [
    "DELETE FROM article_view",
    "DELETE FROM article_vote",
    "DELETE FROM article_category",
    "DELETE FROM category",
    "DELETE FROM attachment",
    "DELETE FROM article",
]
