# Copyright 2005-2013 Canonical Limited.  All rights reserved.
from storm.schema.patch import PatchSet
from storm.zope.schema import ZSchema

__all__ = ["create_schema"]


def create_schema():
    from canonical.landscape import schema

    create = schema.get_sql("main")
    return ZSchema(create, DROP, DELETE, PatchSet(schema, sub_level="main"))


DROP = [
    """
DROP SCHEMA public CASCADE
""",
    """
CREATE SCHEMA public
""",
    """
GRANT USAGE ON SCHEMA public TO PUBLIC
""",
]

DELETE = [
    "DELETE FROM lds_script_execution_log",
    "DELETE FROM lds_available_release",
    "DELETE FROM lds_release",
    "DELETE FROM license_lds_license",
    "DELETE FROM removed_account_name",
    "DELETE FROM trial_account",
    "DELETE FROM api_credentials",
    "DELETE FROM salesforce_activated_asset",
    "DELETE FROM system_configuration",
    "DELETE FROM salesforce_user",
    "DELETE FROM computer_license",
    "DELETE FROM tag",
    "DELETE FROM pending_computer",
    "DELETE FROM license",
    "DELETE FROM person_account",
    "DELETE FROM account_invitation",
    "DELETE FROM computer_tag",
    "DELETE FROM ping_server",
    "DELETE FROM computer_message_type",
    "DELETE FROM message_type",
    "DELETE FROM computer",
    "DELETE FROM distribution",
    "DELETE FROM account",
    "DELETE FROM person_access",
    "DELETE FROM password_recovery",
    "DELETE FROM person",
    "DELETE FROM access_context",
    "DELETE FROM server_identity",
    "DELETE FROM meta_release",
    "DELETE FROM computer_status",
    "DELETE FROM computer_selection_data",
    "DELETE FROM role",
    "DELETE FROM role_permission",
    "DELETE FROM role_access_context",
    "DELETE FROM invitation_role",
    "DELETE FROM distributed_lock",
    "DELETE FROM enabled_feature",
    "DELETE FROM utility_cost",
    "DELETE FROM vat_rate",
]
