# Copyright 2005-2013 Canonical Limited.  All rights reserved.

from storm.schema.patch import PatchSet
from storm.zope.schema import ZSchema


__all__ = ["create_schema"]


def create_schema():
    from canonical.landscape import schema

    create = schema.get_sql("package")
    return ZSchema(create, DROP, DELETE, PatchSet(schema, sub_level="package"))


DROP = [
    """
DROP SCHEMA public CASCADE
""",
    """
CREATE SCHEMA public
""",
    """
GRANT USAGE, CREATE ON SCHEMA public TO PUBLIC
""",
    """
DROP LANGUAGE plpythonu
""",
]

DELETE = [
    "DELETE FROM name",
    "DELETE FROM package",
    "DELETE FROM usn",
    "DELETE FROM package_lock",
    "DELETE FROM package_binary",
]
