# Copyright 2005-2013 Canonical Limited.  All rights reserved.

"""
Create L{AccountTwin} instances for all pre-existing L{Account}s in
the main database.
"""
from canonical.landscape.model.account.twin import AccountTwin, ComputerTwin
from canonical.landscape.model.main import Computer, get_main_store, get_all_accounts


def apply(store):
    for account in get_all_accounts():
        store.add(AccountTwin(account))

    # Flush account twins so that we can get computer twins to refer to them.
    store.flush()

    for computer in get_main_store().find(Computer):
        store.add(ComputerTwin(computer))
