# Copyright 2005-2013 Canonical Limited.  All rights reserved.

"""Create the retired_package table and related indexes."""
from __future__ import print_function


STATEMENTS = [
    """
CREATE TABLE retired_package (
    id INTEGER NOT NULL PRIMARY KEY,
    hash BYTEA NOT NULL UNIQUE,
    type INTEGER NOT NULL,
    name TEXT NOT NULL,
    version TEXT NOT NULL,
    section TEXT,
    summary TEXT,
    description TEXT,
    size INTEGER,
    installed_size INTEGER,
    usn_id INTEGER REFERENCES usn (id),
    relations BYTEA
    )
""",
    """
GRANT SELECT, DELETE
    ON TABLE retired_package TO landscape
""",
    """
GRANT SELECT, INSERT, DELETE
    ON TABLE retired_package TO landscape_maintenance
""",
    """
GRANT DELETE
    ON TABLE package TO landscape_maintenance
""",
    """
GRANT DELETE
    ON TABLE relation TO landscape_maintenance
""",
    """
GRANT INSERT
    ON TABLE relation_id_seq TO landscape_maintenance
""",
]


def apply(store):
    print(__doc__)
    for statement in STATEMENTS:
        store.execute(statement)
