# Copyright 2005-2013 Canonical Limited.  All rights reserved.

"""
GRANTZ! Granting permissions to 'landscape' user.
"""
from __future__ import print_function


def apply(store):
    print(__doc__)
    for statement in GRANTS:
        store.execute(statement)


GRANTS = [
    """
GRANT SELECT
    ON TABLE patch TO landscape
""",
    """
GRANT SELECT, INSERT, DELETE
    ON TABLE computer TO landscape
""",
    """
GRANT SELECT, INSERT, DELETE
    ON TABLE message TO landscape
""",
    """
GRANT SELECT, UPDATE
    ON TABLE message_id_seq TO landscape
""",
    """
GRANT SELECT, INSERT, UPDATE
    ON TABLE message_info TO landscape
""",
    """
GRANT SELECT, INSERT
    ON TABLE memory_info TO landscape
""",
    """
GRANT SELECT, UPDATE
    ON TABLE memory_info_id_seq TO landscape
""",
    """
GRANT SELECT, INSERT, DELETE
    ON TABLE active_process TO landscape
""",
    """
GRANT SELECT, UPDATE
    ON TABLE active_process_id_seq TO landscape
""",
    """
GRANT SELECT, INSERT, DELETE
    ON TABLE historic_process TO landscape
""",
    """
GRANT SELECT, UPDATE
    ON TABLE historic_process_id_seq TO landscape
""",
    """
GRANT SELECT, INSERT
    ON TABLE load_average TO landscape
""",
    """
GRANT SELECT, UPDATE
    ON TABLE load_average_id_seq TO landscape
""",
    """
GRANT SELECT, INSERT, UPDATE, DELETE
    ON TABLE processor TO landscape
""",
    """
GRANT SELECT, UPDATE
    ON TABLE processor_id_seq TO landscape
""",
    """
GRANT SELECT, INSERT, DELETE
    ON TABLE thermal_zone TO landscape
""",
    """
GRANT SELECT, UPDATE
    ON TABLE thermal_zone_id_seq TO landscape
""",
    """
GRANT SELECT, INSERT
    ON TABLE temperature TO landscape
""",
    """
GRANT SELECT, UPDATE
    ON TABLE temperature_id_seq TO landscape
""",
    """
GRANT SELECT, INSERT
    ON TABLE client_uptime TO landscape
""",
    """
GRANT SELECT, UPDATE
    ON TABLE client_uptime_id_seq TO landscape
""",
    """
GRANT SELECT, INSERT
    ON TABLE client_uptime_component TO landscape
""",
    """
GRANT SELECT, UPDATE
    ON TABLE client_uptime_component_id_seq TO landscape
""",
    """
GRANT SELECT, INSERT
    ON TABLE mount_info TO landscape
""",
    """
GRANT SELECT, UPDATE
    ON TABLE mount_info_id_seq TO landscape
""",
    """
GRANT SELECT, INSERT
    ON TABLE mount_activity TO landscape
""",
    """
GRANT SELECT, UPDATE
    ON TABLE mount_activity_id_seq TO landscape
""",
    """
GRANT SELECT, INSERT
    ON TABLE free_space TO landscape
""",
    """
GRANT SELECT, UPDATE
    ON TABLE free_space_id_seq TO landscape
""",
    """
GRANT SELECT, INSERT
    ON TABLE computer_uptime TO landscape
""",
    """
GRANT SELECT, UPDATE
    ON TABLE computer_uptime_id_seq TO landscape
""",
    """
GRANT SELECT, INSERT, UPDATE, DELETE
    ON TABLE computer_user TO landscape
""",
    """
GRANT SELECT, UPDATE
    ON TABLE computer_user_id_seq TO landscape
""",
    """
GRANT SELECT, INSERT, UPDATE, DELETE
    ON TABLE computer_group TO landscape
""",
    """
GRANT SELECT, UPDATE
    ON TABLE computer_group_id_seq TO landscape
""",
    """
GRANT SELECT, INSERT, UPDATE, DELETE
    ON TABLE computer_user_group TO landscape
""",
    """
GRANT SELECT, INSERT, UPDATE, DELETE
    ON TABLE device TO landscape
""",
    """
GRANT SELECT, UPDATE
    ON TABLE device_id_seq TO landscape
""",
    """
GRANT SELECT, INSERT, UPDATE, DELETE
    ON TABLE device_property TO landscape
""",
    """
GRANT SELECT, UPDATE
    ON TABLE device_property_id_seq TO landscape
""",
    """
GRANT SELECT, INSERT, UPDATE
    ON TABLE operation TO landscape
""",
    """
GRANT SELECT, UPDATE
    ON TABLE operation_id_seq TO landscape
""",
    """
GRANT SELECT, INSERT, UPDATE, DELETE
    ON TABLE generic_user_opinfo TO landscape
""",
    """
GRANT SELECT, INSERT, UPDATE
    ON TABLE delete_user_opinfo TO landscape
""",
    """
GRANT SELECT, INSERT
    ON TABLE edit_user_opinfo TO landscape
""",
    """
GRANT SELECT, INSERT
    ON TABLE add_user_opinfo TO landscape
""",
    """
GRANT SELECT, INSERT
    ON TABLE add_group_member_opinfo TO landscape
""",
    """
GRANT SELECT, INSERT
    ON TABLE remove_group_member_opinfo TO landscape
""",
    """
GRANT SELECT, INSERT
    ON TABLE create_group_opinfo TO landscape
""",
    """
GRANT SELECT, INSERT
    ON TABLE signal_process_opinfo TO landscape
""",
    """
GRANT SELECT, INSERT
    ON TABLE change_package_opinfo TO landscape
""",
    """
GRANT EXECUTE
    ON FUNCTION change_array(INT[], INT[], INT[]) TO landscape
""",
    """
GRANT SELECT, INSERT, UPDATE
    ON TABLE computer_packages TO landscape
""",
]
