# Copyright 2005-2013 Canonical Limited.  All rights reserved.

"""Add cobbler_server key table."""
from __future__ import print_function


STATEMENTS = [
    """
CREATE TABLE cobbler_server (
    id SERIAL NOT NULL PRIMARY KEY,
    account_id INTEGER NOT NULL REFERENCES account_twin ON DELETE CASCADE,
    endpoint TEXT NOT NULL,
    name TEXT NOT NULL,
    title TEXT NOT NULL,
    creation_time TIMESTAMP NOT NULL DEFAULT (now() AT TIME ZONE 'UTC'),
    UNIQUE (account_id, name),
    UNIQUE (account_id, title))
""",
    """
GRANT SELECT, INSERT, UPDATE, DELETE
    ON TABLE cobbler_server TO landscape, landscape_maintenance
""",
    """
GRANT SELECT, UPDATE
    ON TABLE cobbler_server_id_seq TO landscape, landscape_maintenance
""",
]


def apply(store):
    print(__doc__)
    for statement in STATEMENTS:
        store.execute(statement)
