# Copyright 2005-2013 Canonical Limited.  All rights reserved.

"""Change the account.name column from TEXT to VARCHAR[60]."""
from __future__ import print_function


STATEMENTS = [
    """
ALTER TABLE account ADD COLUMN new_name VARCHAR(60)
""",
    """
UPDATE account SET new_name = name
""",
    """
ALTER TABLE account DROP COLUMN name
""",
    """
ALTER TABLE account RENAME new_name TO name
""",
    """
ALTER TABLE account ALTER COLUMN name SET NOT NULL
""",
    """
CREATE UNIQUE INDEX account_name_key ON account (name)
""",
]


def apply(store):
    print(__doc__)
    for statement in STATEMENTS:
        store.execute(statement)
