# Copyright 2005-2013 Canonical Limited.  All rights reserved.

"""Create ceph_usage table"""
from __future__ import print_function


STATEMENTS = [
    """
CREATE TABLE ceph_usage (
    id SERIAL NOT NULL PRIMARY KEY,
    computer_id INTEGER NOT NULL REFERENCES computer_twin ON DELETE CASCADE,
    timestamp TIMESTAMP NOT NULL,
    ceph_usage FLOAT(10) NOT NULL,
    ring_uuid TEXT NOT NULL)
""",
    """
CREATE INDEX ceph_usage_computer_id_idx ON ceph_usage (computer_id)
""",
    """
CREATE INDEX ceph_usage_ring_uuid_idx ON ceph_usage (ring_uuid)
""",
    """
GRANT SELECT, INSERT, DELETE
    ON TABLE ceph_usage TO landscape, landscape_maintenance
""",
    """
GRANT SELECT, UPDATE
    ON TABLE ceph_usage_id_seq TO landscape, landscape_maintenance
""",
]


def apply(store):
    print(__doc__)
    for statement in STATEMENTS:
        store.execute(statement)
