# Copyright 2005-2013 Canonical Limited.  All rights reserved.

"""
Create the swift_device table used to indicate that a mount info is used by
Swift.
"""
from __future__ import print_function


STATEMENTS = [
    """
CREATE TABLE swift_device (
    id SERIAL NOT NULL PRIMARY KEY,
    mount_info_id INTEGER NOT NULL REFERENCES mount_info ON DELETE CASCADE,
    mounted BOOLEAN NOT NULL)
""",
    """
GRANT SELECT, UPDATE, INSERT, DELETE
    ON TABLE swift_device TO landscape, landscape_maintenance
""",
    """
GRANT SELECT, UPDATE
    ON TABLE swift_device_id_seq TO landscape, landscape_maintenance
""",
]


def apply(store):
    print(__doc__)
    for statement in STATEMENTS:
        store.execute(statement)
