# Copyright 2005-2013 Canonical Limited.  All rights reserved.

"""Convert attachment data to large objects."""
from __future__ import print_function


from builtins import str


def apply(store):
    print(__doc__)

    store.execute("ALTER TABLE attachment ADD COLUMN data_oid OID")

    for result in store.execute("SELECT id, data FROM attachment"):

        id = result[0]
        data = str(result[1])

        data_oid = store.execute("SELECT lo_creat(-1)").get_one()[0]
        fd = store.execute(
            "SELECT lo_open(?, CAST(x'20000' | x'40000' " "AS integer))", (data_oid,)
        ).get_one()[0]
        store.execute("SELECT lowrite(?, ?)", (fd, data))
        store.execute("SELECT lo_close(?)", (fd,))

        store.execute("UPDATE attachment SET data_oid=? WHERE id=?", (data_oid, id))

        # Free up memory
        del data

    store.execute("ALTER TABLE attachment ALTER COLUMN data_oid SET NOT NULL")
    store.execute("ALTER TABLE attachment DROP COLUMN data")
