# Copyright 2005-2013 Canonical Limited.  All rights reserved.

"""Sync computer_twin.removed column with one in the main database"""
from __future__ import print_function

from zope.component import getUtility

from storm.zope.interfaces import IZStorm


def apply(store):
    print(__doc__)
    main_store = getUtility(IZStorm).get("main")
    result = main_store.execute("SELECT id FROM computer WHERE removed")
    computer_ids = [row[0] for row in result]
    for computer_id in computer_ids:
        store.execute(
            "UPDATE computer_twin SET removed=true WHERE id=?", (computer_id,)
        )
