# Copyright 2005-2013 Canonical Limited.  All rights reserved.

"""Create keystone_token table"""
from __future__ import print_function


STATEMENTS = [
    """
CREATE TABLE keystone_token (
    computer_id INTEGER PRIMARY KEY REFERENCES computer_twin ON DELETE CASCADE,
    token BYTEA NOT NULL)
""",
    """
GRANT SELECT, UPDATE, INSERT, DELETE
    ON TABLE keystone_token TO landscape, landscape_maintenance
""",
]


def apply(store):
    print(__doc__)
    for statement in STATEMENTS:
        store.execute(statement)
