# Copyright 2005-2013 Canonical Limited.  All rights reserved.

"""Add tables for APT sources."""
from __future__ import print_function

STATEMENTS = [
    """
CREATE TABLE apt_source (
    id SERIAL NOT NULL PRIMARY KEY,
    account_id INTEGER NOT NULL REFERENCES account_twin ON DELETE CASCADE,
    name TEXT NOT NULL,
    line TEXT NOT NULL,
    creation_time TIMESTAMP NOT NULL DEFAULT (now() AT TIME ZONE 'UTC'),
    UNIQUE (account_id, name))
""",
    """
GRANT SELECT, INSERT, UPDATE, DELETE
    ON TABLE apt_source TO landscape, landscape_maintenance
""",
    """
GRANT SELECT, UPDATE
    ON TABLE apt_source_id_seq TO landscape, landscape_maintenance
""",
    """
CREATE TABLE apt_source_gpg_key (
    apt_source_id INTEGER NOT NULL REFERENCES apt_source
        ON DELETE CASCADE,
    gpg_key_id INTEGER NOT NULL REFERENCES gpg_key
        ON DELETE CASCADE,
    PRIMARY KEY (apt_source_id, gpg_key_id))
""",
    """
GRANT SELECT, INSERT, UPDATE, DELETE
    ON TABLE apt_source_gpg_key
    TO landscape, landscape_maintenance
""",
]


def apply(store):
    print(__doc__)
    for statement in STATEMENTS:
        store.execute(statement)
