# Copyright 2005-2013 Canonical Limited.  All rights reserved.

"""
Adds a new removed_account_name table to store the names of removed accounts.
"""
from __future__ import print_function

statements = [
    """
ALTER TABLE trial_account DROP CONSTRAINT trial_account_pkey
""",
    """
ALTER TABLE trial_account ALTER COLUMN account_id DROP NOT NULL
""",
    """
CREATE UNIQUE INDEX trial_account_account_id_idx
    ON trial_account (account_id)
""",
    """
CREATE TABLE removed_account_name (
    id SERIAL NOT NULL PRIMARY KEY,
    name VARCHAR(60) NOT NULL UNIQUE,
    creation_time TIMESTAMP NOT NULL DEFAULT (now() AT TIME ZONE 'UTC'))
""",
    """
GRANT SELECT
    ON TABLE removed_account_name TO landscape, landscape_maintenance
""",
    """
GRANT INSERT
    ON TABLE removed_account_name TO landscape_maintenance
""",
    """
GRANT SELECT, UPDATE
    ON TABLE removed_account_name_id_seq TO landscape, landscape_maintenance
""",
]


def apply(store):
    print(__doc__)
    for statement in statements:
        store.execute(statement)
