# Copyright 2005-2013 Canonical Limited.  All rights reserved.

"""Add provisioning_registration_otp table."""
from __future__ import print_function


STATEMENTS = [
    """
CREATE TABLE provisioning_registration_otp (
    otp BYTEA PRIMARY KEY,
    computer_id INTEGER NOT NULL
        REFERENCES computer_twin ON DELETE CASCADE)
""",
    """
GRANT SELECT, INSERT, DELETE
    ON TABLE provisioning_registration_otp TO landscape, landscape_maintenance
""",
]


def apply(store):
    print(__doc__)
    for statement in STATEMENTS:
        store.execute(statement)
