# Copyright 2005-2013 Canonical Limited.  All rights reserved.

"""Link APT sources to repository profiles."""
from __future__ import print_function

STATEMENTS = [
    """
CREATE TABLE repository_profile_apt_source (
    profile_id INTEGER NOT NULL REFERENCES repository_profile
        ON DELETE CASCADE,
    apt_source_id INTEGER NOT NULL REFERENCES apt_source
        ON DELETE CASCADE,
    PRIMARY KEY (profile_id, apt_source_id))
""",
    """
GRANT SELECT, INSERT, UPDATE, DELETE
    ON TABLE repository_profile_apt_source TO landscape, landscape_maintenance
""",
]


def apply(store):
    print(__doc__)
    for statement in STATEMENTS:
        store.execute(statement)
