# Copyright 2005-2013 Canonical Limited.  All rights reserved.

"""Replace the trigger on the free_space table if present."""
from __future__ import print_function


def apply(store):
    print(__doc__)

    trigger_name = "free_space_insert_trigger_after"

    result = store.execute("SELECT 1 FROM pg_trigger WHERE tgname = ?", [trigger_name])
    if result.get_one() is not None:
        store.execute(
            """
         CREATE OR REPLACE FUNCTION %s()
           RETURNS TRIGGER AS $$
           BEGIN
             DELETE FROM ONLY free_space
               WHERE mount_info_id = NEW.mount_info_id
               AND timestamp = NEW.timestamp;
             RETURN NULL;
           END;
           $$
           LANGUAGE plpgsql"""
            % trigger_name
        )
