# Copyright 2005-2013 Canonical Limited.  All rights reserved.

"""Add cobbler system table and provisioning_otp table."""
from __future__ import print_function

STATEMENTS = [
    """
CREATE TABLE cobbler_system (
    id SERIAL NOT NULL PRIMARY KEY,
    computer_id INTEGER NOT NULL UNIQUE
        REFERENCES computer_twin ON DELETE CASCADE,
    cobbler_server_id INTEGER NOT NULL
        REFERENCES cobbler_server ON DELETE CASCADE,
    cobbler_system_id TEXT,
    UNIQUE (cobbler_server_id, cobbler_system_id))
""",
    """
GRANT SELECT, INSERT, DELETE, UPDATE
    ON TABLE cobbler_system TO landscape, landscape_maintenance
""",
    """
GRANT SELECT, UPDATE
    ON TABLE cobbler_system_id_seq TO landscape, landscape_maintenance
""",
    """
ALTER TABLE provisioning_registration_otp
    ADD COLUMN cobbler_system_id INTEGER NOT NULL
    REFERENCES cobbler_system ON DELETE CASCADE
""",
    """
ALTER TABLE provisioning_registration_otp DROP COLUMN computer_id CASCADE
""",
]


def apply(store):
    print(__doc__)
    for statement in STATEMENTS:
        store.execute(statement)
