# Copyright 2005-2013 Canonical Limited.  All rights reserved.

"""
Add a UNIQUE index to computer_rule_state, create pending-computers-available
rules and update their check state.
"""
from __future__ import print_function

from canonical.landscape.model.account import PendingComputersAlert
from canonical.landscape.model.main import get_all_accounts


def apply(store):
    print(__doc__)
    store.execute(
        """
ALTER TABLE computer_rule_state
    ADD CONSTRAINT computer_rule_state_rule_id_key
    UNIQUE (rule_id, computer_id)
"""
    )

    for account in get_all_accounts():
        rule = account.create_rule(PendingComputersAlert)
        rule.info.check()
