# Copyright 2005-2013 Canonical Limited.  All rights reserved.

"""Add package_lock table."""
from __future__ import print_function

STATEMENTS = [
    """
CREATE TABLE package_lock (
    id SERIAL NOT NULL PRIMARY KEY,
    name TEXT NOT NULL,
    relation TEXT NOT NULL DEFAULT '',
    version TEXT NOT NULL DEFAULT '',
    UNIQUE (name, relation, version))
""",
    """
GRANT SELECT, INSERT, DELETE
    ON TABLE package_lock TO landscape, landscape_maintenance
""",
    """
GRANT SELECT, UPDATE
    ON TABLE package_lock_id_seq TO landscape, landscape_maintenance
""",
]


def apply(store):
    print(__doc__)
    for statement in STATEMENTS:
        store.execute(statement)
