# Copyright 2005-2013 Canonical Limited.  All rights reserved.

"""Add the insecure_id column to the computer column.
"""
from __future__ import print_function

new_column = """
ALTER TABLE computer ADD COLUMN insecure_id SERIAL
"""
computer_grant = """
GRANT UPDATE ON TABLE computer TO landscape
"""
insecure_id_grant = """
GRANT SELECT, UPDATE ON TABLE computer_insecure_id_seq TO landscape
"""


def apply(store):
    print("Adding the insecure_id column to computer")
    store.execute(new_column)
    print("Adding UPDATE permission on computer")
    store.execute(computer_grant)
    print("Adding permissions for computer_insecure_id_seq")
    store.execute(insecure_id_grant)
