# Copyright 2005-2013 Canonical Limited.  All rights reserved.

"""Add provision_system_request table."""
from __future__ import print_function


STATEMENTS = [
    """
CREATE TABLE provision_system_request (
    activity_id INTEGER PRIMARY KEY REFERENCES activity ON DELETE CASCADE,
    cobbler_server_id INTEGER NOT NULL REFERENCES cobbler_server
        ON DELETE CASCADE,
    cobbler_system_id INTEGER NOT NULL REFERENCES cobbler_system
        ON DELETE CASCADE,
    progress INTEGER NOT NULL DEFAULT 0)
""",
    """
GRANT SELECT, INSERT, UPDATE, DELETE
    ON TABLE provision_system_request TO landscape, landscape_maintenance
""",
]


def apply(store):
    print(__doc__)
    for statement in STATEMENTS:
        store.execute(statement)
