# Copyright 2005-2013 Canonical Limited.  All rights reserved.

"""Add the lds_license table."""


STATEMENTS = [
    """
CREATE TABLE lds_license (
    id SERIAL NOT NULL PRIMARY KEY,
    account_id INTEGER NOT NULL REFERENCES account ON DELETE CASCADE UNIQUE,
    expiration_date TIMESTAMP NOT NULL,
    seats INTEGER NOT NULL,
    apt_key TEXT NOT NULL,
    contents TEXT NOT NULL)
""",
    """
GRANT SELECT, INSERT, UPDATE, DELETE
    ON TABLE lds_license TO landscape
""",
    """
GRANT SELECT, UPDATE
    ON TABLE lds_license_id_seq TO landscape
""",
    """
GRANT SELECT, INSERT, UPDATE, DELETE
    ON TABLE lds_license TO landscape_maintenance
""",
    """
GRANT SELECT, UPDATE
    ON TABLE lds_license_id_seq TO landscape_maintenance
""",
    """
CREATE INDEX lds_license_account_id_idx ON lds_license (account_id)
""",
]


def apply(store):
    for statement in STATEMENTS:
        store.execute(statement)
