# Copyright 2005-2013 Canonical Limited.  All rights reserved.

"""Add metadata table to track any additional custom computer information."""
from __future__ import print_function


STATEMENTS = [
    """
    CREATE TABLE metadata (
        id SERIAL NOT NULL PRIMARY KEY,
        computer_id INTEGER NOT NULL REFERENCES computer_twin
            ON DELETE CASCADE,
        key TEXT NOT NULL,
        value TEXT
    )
    """,
    """
    GRANT SELECT, UPDATE, INSERT, DELETE
        ON TABLE metadata TO landscape, landscape_maintenance
    """,
    """
    GRANT SELECT, UPDATE
        ON TABLE metadata_id_seq TO landscape, landscape_maintenance
    """,
]


def apply(store):
    print(__doc__)
    for statement in STATEMENTS:
        store.execute(statement)
