# Copyright 2005-2013 Canonical Limited.  All rights reserved.

"""Add public_provider field to cloud table.  0 == 'other', 1 == 'amazon'."""
from __future__ import print_function


STATEMENTS = [
    """
ALTER TABLE cloud
    ADD COLUMN public_provider INTEGER DEFAULT NULL
""",
    """
UPDATE cloud SET public_provider = 0 WHERE
    controller_id IS NULL AND
    public_endpoint NOT LIKE '%amazonaws.com'
""",
    """
UPDATE cloud SET public_provider = 1 WHERE
    controller_id IS NULL AND
    public_endpoint LIKE '%amazonaws.com'
""",
]


def apply(store):
    print(__doc__)
    for statement in STATEMENTS:
        store.execute(statement)
