# Copyright 2005-2013 Canonical Limited.  All rights reserved.

"""Rename cobbler_system to provisioned_system."""
from __future__ import print_function

STATEMENTS = [
    """
ALTER TABLE cobbler_system RENAME TO provisioned_system
""",
    """
ALTER TABLE provisioned_system
    RENAME COLUMN cobbler_system_id TO external_system_id
""",
    """
ALTER TABLE provisioned_system RENAME COLUMN cobbler_server_id TO server_id
""",
    """
ALTER TABLE provisioning_registration_otp
    RENAME COLUMN cobbler_system_id to provisioned_system_id
""",
    """
ALTER TABLE provision_system_request
    RENAME COLUMN cobbler_system_id to provisioned_system_id
""",
]


def apply(store):
    print(__doc__)
    for statement in STATEMENTS:
        store.execute(statement)
