# Copyright 2005-2013 Canonical Limited.  All rights reserved.

"""
Create cloud_instance_metadata to track any computer instance metadata
discovered
."""
from __future__ import print_function


STATEMENTS = [
    """
    CREATE TABLE cloud_instance_metadata (
        id SERIAL NOT NULL PRIMARY KEY,
        computer_id INTEGER NOT NULL REFERENCES computer_twin
            ON DELETE CASCADE,
        key TEXT NOT NULL,
        value TEXT
    )
    """,
    """
    GRANT SELECT, UPDATE, INSERT, DELETE
        ON TABLE cloud_instance_metadata TO landscape, landscape_maintenance
    """,
    """
    GRANT SELECT, UPDATE
        ON TABLE cloud_instance_metadata_id_seq
        TO landscape, landscape_maintenance
    """,
]


def apply(store):
    print(__doc__)
    for statement in STATEMENTS:
        store.execute(statement)
