# Copyright 2005-2013 Canonical Limited.  All rights reserved.

"""
Create cloud_instance_metadata to track computer all instance metadata
for instance_id, instance_type and ami_id attributes.
."""
from __future__ import print_function


STATEMENTS = [
    """
    DROP TABLE cloud_instance_metadata
    """,
    """
    CREATE TABLE cloud_instance_metadata (
        computer_id INTEGER PRIMARY KEY REFERENCES computer_twin
            ON DELETE CASCADE,
        ami_id TEXT NOT NULL,
        instance_id TEXT NOT NULL,
        instance_type TEXT NOT NULL
    )
    """,
    """
    GRANT SELECT, UPDATE, INSERT, DELETE
        ON TABLE cloud_instance_metadata TO landscape, landscape_maintenance
    """,
]


def apply(store):
    print(__doc__)
    for statement in STATEMENTS:
        store.execute(statement)
