# Copyright 2005-2013 Canonical Limited.  All rights reserved.

"""Merge lds_license bits into the license table."""
from __future__ import print_function


def apply(store):
    print(__doc__)
    licenses = store.execute(
        "SELECT lds_license.id, account_id, seats, expiration_date, "
        "access_context_id FROM lds_license, account "
        "WHERE lds_license.account_id = account.id"
    ).get_all()

    store.execute(
        "ALTER TABLE lds_license ADD COLUMN license_id INTEGER "
        "REFERENCES license ON DELETE CASCADE"
    )

    for license in licenses:
        license_ids = store.execute(
            "INSERT INTO license (account_id, access_context_id, "
            "expiration_date, role_key, seats) VALUES "
            "(?, ?, ?, ?, ?) RETURNING id",
            (license[1], license[4], license[3], 10002, license[2]),
        )
        license_id = license_ids.get_one()[0]
        store.execute(
            "UPDATE lds_license SET license_id = ? WHERE id = ?",
            (license_id, license[0]),
        )
    store.execute("ALTER TABLE lds_license DROP COLUMN seats")
    store.execute("ALTER TABLE lds_license DROP COLUMN expiration_date")
    store.execute("ALTER TABLE lds_license ALTER COLUMN license_id SET " "NOT NULL")
