# Copyright 2005-2013 Canonical Limited.  All rights reserved.

"""Add terminate_system_request table."""
from __future__ import print_function


STATEMENTS = [
    """
CREATE TABLE terminate_system_request (
    activity_id INTEGER PRIMARY KEY REFERENCES activity ON DELETE CASCADE,
    provisioning_server_id INTEGER NOT NULL REFERENCES provisioning_server
        ON DELETE CASCADE,
    provisioned_system_id INTEGER NOT NULL REFERENCES provisioned_system
        ON DELETE CASCADE,
    progress INTEGER NOT NULL DEFAULT 0)
""",
    """
GRANT SELECT, INSERT, UPDATE, DELETE
    ON TABLE terminate_system_request TO landscape, landscape_maintenance
""",
]


def apply(store):
    print(__doc__)
    for statement in STATEMENTS:
        store.execute(statement)
