# Copyright 2005-2013 Canonical Limited.  All rights reserved.

"""Delete computer_twin entries which don't exist in main"""
from __future__ import print_function

from canonical.landscape.model.main.store import get_main_store


def apply(store):
    print(__doc__)
    # Make sure that computers removed in main before the removed flag
    # was introduced don't end up left in computer_twin (in case the
    # maintenance script hasn't yet run and there are dangling
    # computer_twin rows in the resource store)
    main_store = get_main_store()
    result = main_store.execute("SELECT id FROM computer")
    ids = tuple(row[0] for row in result)
    if ids:
        store.execute("DELETE FROM computer_twin WHERE id NOT IN ?", [ids])
    else:
        store.execute("DELETE FROM computer_twin")
