# Copyright 2005-2013 Canonical Limited.  All rights reserved.


"""Create upgrade profile table."""
from __future__ import print_function

STATEMENTS = [
    """
CREATE TABLE upgrade_profile (
    id SERIAL NOT NULL PRIMARY KEY,
    account_id INTEGER NOT NULL REFERENCES account_twin ON DELETE CASCADE,
    name TEXT NOT NULL,
    upgrade_type INTEGER NOT NULL,
    schedule TEXT NOT NULL,
    computer_group_id INTEGER NOT NULL REFERENCES computer_group
        ON DELETE CASCADE,
    creation_time TIMESTAMP NOT NULL DEFAULT (now() AT TIME ZONE 'UTC'),
    modification_time TIMESTAMP NOT NULL DEFAULT (now() AT TIME ZONE 'UTC'),
    next_run_time TIMESTAMP,
    UNIQUE (account_id, name))
""",
    """
GRANT SELECT, INSERT, UPDATE, DELETE
    ON TABLE upgrade_profile TO landscape, landscape_maintenance
""",
    """
GRANT SELECT, UPDATE
    ON TABLE upgrade_profile_id_seq TO landscape, landscape_maintenance
""",
]


def apply(store):
    print(__doc__)
    for statement in STATEMENTS:
        store.execute(statement)
