# Copyright 2005-2013 Canonical Limited.  All rights reserved.
# landscape-lint: noqa

"""Create package reporter error rules for all accounts."""
from __future__ import print_function

import transaction

from canonical.landscape.model.main.account import get_all_accounts
from canonical.landscape.model.package.alerts import PackageReporterAlert


def apply(store):
    print(__doc__)
    # Commit the patch no matter what
    transaction.commit()
    try:
        for account in get_all_accounts():
            rule = account.create_rule(PackageReporterAlert)
            rule.enable_for_all_computers()
    except Exception as e:
        print("Ignoring exception while enabling PackageReporterAlert: " "'%s'" % e)
        transaction.abort()
    else:
        transaction.commit()
