# Copyright 2005-2013 Canonical Limited.  All rights reserved.

"""Create the tables for the custom graphing code."""
from __future__ import print_function

changes = [
    """
CREATE TABLE custom_graph (
    id SERIAL NOT NULL PRIMARY KEY,
    account_id INTEGER NOT NULL REFERENCES account_twin ON DELETE CASCADE,
    title TEXT NOT NULL,
    y_axis_title TEXT NOT NULL DEFAULT '',
    interpreter TEXT DEFAULT '',
    code TEXT DEFAULT '',
    username TEXT DEFAULT '')
""",
    """
GRANT SELECT, INSERT, UPDATE, DELETE
    ON TABLE custom_graph TO landscape, landscape_maintenance
""",
    """
GRANT SELECT, UPDATE
    ON TABLE custom_graph_id_seq TO landscape, landscape_maintenance
""",
    """
CREATE INDEX custom_graph_account_id_idx ON custom_graph (account_id)
""",
    """
CREATE TABLE custom_graph_computer (
    computer_id INTEGER NOT NULL REFERENCES computer_twin ON DELETE CASCADE,
    custom_graph_id INTEGER NOT NULL REFERENCES custom_graph ON DELETE CASCADE,
    PRIMARY KEY (computer_id, custom_graph_id))
""",
    """
GRANT SELECT, INSERT, DELETE
    ON TABLE custom_graph_computer TO landscape, landscape_maintenance
""",
]


def apply(store):
    print(__doc__)

    for statement in changes:
        store.execute(statement)
