# Copyright 2005-2013 Canonical Limited.  All rights reserved.

"""Add missing foreign keys."""
from __future__ import print_function


def apply(store):
    print("Adding foreign key constraint to access_context.access_context_id.")
    store.execute(
        """
    ALTER TABLE access_context
        ADD CONSTRAINT access_context_access_context_id_fkey
        FOREIGN KEY (access_context_id) REFERENCES access_context
        ON DELETE CASCADE
    """
    )

    print("Adding ON DELETE CASCADE to person_access.person_id.")
    store.execute(
        """
    ALTER TABLE person_access
        DROP CONSTRAINT person_access_person_id_fkey
    """
    )
    store.execute(
        """
    ALTER TABLE person_access
        ADD CONSTRAINT person_access_person_id_fkey
        FOREIGN KEY (person_id) REFERENCES person
        ON DELETE CASCADE
    """
    )

    print("Adding ON DELETE CASCADE to person_access.access_context_id.")
    store.execute(
        """
    ALTER TABLE person_access
        DROP CONSTRAINT person_access_access_context_id_fkey
    """
    )
    store.execute(
        """
    ALTER TABLE person_access
        ADD CONSTRAINT person_access_access_context_id_fkey
        FOREIGN KEY (access_context_id) REFERENCES access_context
        ON DELETE CASCADE
    """
    )

    print("Adding ON DELETE CASCADE to person_account.person_id.")
    store.execute(
        """
    ALTER TABLE person_account
        DROP CONSTRAINT person_account_person_id_fkey
    """
    )
    store.execute(
        """
    ALTER TABLE person_account
        ADD CONSTRAINT person_account_person_id_fkey
        FOREIGN KEY (person_id) REFERENCES person
        ON DELETE CASCADE
    """
    )

    print("Adding ON DELETE CASCADE to person_account.account_id.")
    store.execute(
        """
    ALTER TABLE person_account
        DROP CONSTRAINT person_account_account_id_fkey
    """
    )
    store.execute(
        """
    ALTER TABLE person_account
        ADD CONSTRAINT person_account_account_id_fkey
        FOREIGN KEY (account_id) REFERENCES account
        ON DELETE CASCADE
    """
    )

    print("Adding ON DELETE CASCADE to account_invitation.account_id.")
    store.execute(
        """
    ALTER TABLE account_invitation
        DROP CONSTRAINT account_invitation_account_id_fkey
    """
    )
    store.execute(
        """
    ALTER TABLE account_invitation
        ADD CONSTRAINT account_invitation_account_id_fkey
        FOREIGN KEY (account_id) REFERENCES account
        ON DELETE CASCADE
    """
    )

    print("Adding foreign key constraint to computer_tag.computer_id.")
    store.execute(
        """
    ALTER TABLE computer_tag
        ADD CONSTRAINT computer_tag_computer_id_fkey
        FOREIGN KEY (computer_id) REFERENCES computer
        ON DELETE CASCADE
    """
    )

    print("Adding foreign key constraint to computer_tag.tag_id.")
    store.execute(
        """
    ALTER TABLE computer_tag
        ADD CONSTRAINT computer_tag_tag_id_fkey
        FOREIGN KEY (tag_id) REFERENCES tag
        ON DELETE CASCADE
    """
    )

    print("Adding ON DELETE CASCADE to pending_computer.account_id.")
    store.execute(
        """
    ALTER TABLE pending_computer
        DROP CONSTRAINT pending_computer_account_id_fkey
    """
    )
    store.execute(
        """
    ALTER TABLE pending_computer
        ADD CONSTRAINT pending_computer_account_id_fkey
        FOREIGN KEY (account_id) REFERENCES account
        ON DELETE CASCADE
    """
    )

    print("Adding ON DELETE CASCADE to computer_license.computer_id.")
    store.execute(
        """
    ALTER TABLE computer_license
        DROP CONSTRAINT computer_license_computer_id_fkey
    """
    )
    store.execute(
        """
    ALTER TABLE computer_license
        ADD CONSTRAINT computer_license_computer_id_fkey
        FOREIGN KEY (computer_id) REFERENCES computer
        ON DELETE CASCADE
    """
    )

    print("Adding ON DELETE CASCADE to computer_license.license_id.")
    store.execute(
        """
    ALTER TABLE computer_license
        DROP CONSTRAINT computer_license_license_id_fkey
    """
    )
    store.execute(
        """
    ALTER TABLE computer_license
        ADD CONSTRAINT computer_license_license_id_fkey
        FOREIGN KEY (license_id) REFERENCES license
        ON DELETE CASCADE
    """
    )

    print("Adding ON DELETE CASCADE to command.account_id.")
    store.execute(
        """
    ALTER TABLE command
        DROP CONSTRAINT command_account_id_fkey
    """
    )
    store.execute(
        """
    ALTER TABLE command
        ADD CONSTRAINT command_account_id_fkey
        FOREIGN KEY (account_id) REFERENCES account
        ON DELETE CASCADE
    """
    )

    print("Adding ON DELETE CASCADE to action_info.command_id.")
    store.execute(
        """
    ALTER TABLE action_info
        DROP CONSTRAINT action_info_command_id_fkey
    """
    )
    store.execute(
        """
    ALTER TABLE action_info
        ADD CONSTRAINT action_info_command_id_fkey
        FOREIGN KEY (command_id) REFERENCES command
        ON DELETE CASCADE
    """
    )

    print("Adding ON DELETE CASCADE to action_info.computer_id.")
    store.execute(
        """
    ALTER TABLE action_info
        DROP CONSTRAINT action_info_computer_id_fkey
    """
    )
    store.execute(
        """
    ALTER TABLE action_info
        ADD CONSTRAINT action_info_computer_id_fkey
        FOREIGN KEY (computer_id) REFERENCES computer
        ON DELETE CASCADE
    """
    )
