# Copyright 2005-2014 Canonical Limited.  All rights reserved.

"""
Add total, available, used fields to ceph_usage
"""
from __future__ import print_function

STATEMENTS = [
    """
DELETE FROM ceph_usage
""",
    """
ALTER TABLE ceph_usage
  DROP COLUMN ceph_usage,
  ADD COLUMN total BIGINT NOT NULL,
  ADD COLUMN used BIGINT NOT NULL,
  ADD COLUMN available BIGINT NOT NULL
""",
]


def apply(store):
    print(__doc__)

    for statement in STATEMENTS:
        store.execute(statement)
