# Copyright 2005-2013 Canonical Limited.  All rights reserved.

"""Fix the ownership of the large objects created by the migration."""
from __future__ import print_function


def apply(store):
    print(__doc__)

    check = store.execute(
        "SELECT 1 FROM information_schema.tables WHERE "
        "table_name = 'pg_largeobject_metadata'"
    )
    if not check.get_all():
        # Large objects are world readable on Postgres 8, this is not needed
        return

    result = store.execute(
        "SELECT pg_largeobject_metadata.oid FROM pg_largeobject_metadata, "
        "pg_roles WHERE pg_roles.oid = pg_largeobject_metadata.lomowner "
        "AND rolname != 'landscape'"
    )

    for (oid,) in result.get_all():
        store.execute("ALTER LARGE OBJECT ? OWNER TO landscape", (oid,))
