# Copyright 2005-2014 Canonical Limited.  All rights reserved.

"""
Add swift_usage table.
"""
from __future__ import print_function

STATEMENTS = [
    """
CREATE TABLE swift_usage (
    computer_id INTEGER NOT NULL REFERENCES computer_twin ON DELETE CASCADE,
    timestamp TIMESTAMP NOT NULL,
    device TEXT NOT NULL,
    total BIGINT NOT NULL,
    used BIGINT NOT NULL,
    available BIGINT NOT NULL,
    PRIMARY KEY (computer_id, timestamp, device))
""",
    """
GRANT SELECT, INSERT, DELETE
    ON TABLE swift_usage TO landscape
""",
]


def apply(store):
    print(__doc__)

    for statement in STATEMENTS:
        store.execute(statement)
