# Copyright 2005-2013 Canonical Limited.  All rights reserved.

"""Add hypervisor type to EC2 Current Images."""
from __future__ import print_function
import transaction
import psycopg2


def apply(store):
    print(__doc__)

    store.execute(
        "ALTER TABLE ec2_current_image ADD COLUMN "
        "hypervisor TEXT NOT NULL DEFAULT ''"
    )
    transaction.commit()
    try:
        store.execute("DROP INDEX ec2_current_image_ubuntu_release_name_key")
    except psycopg2.InternalError:
        transaction.abort()
        store.execute(
            "ALTER TABLE ec2_current_image DROP CONSTRAINT "
            "ec2_current_image_ubuntu_release_name_key"
        )

    store.execute(
        "CREATE UNIQUE INDEX "
        "ec2_current_image_ubuntu_release_name_key ON "
        "ec2_current_image (ubuntu_release_name, bits, region, "
        "image_type, hypervisor)"
    )
    transaction.commit()
