# Copyright 2005-2014 Canonical Limited.  All rights reserved.

"""
Add ring_uuid to ceph_usage primary key.
"""
from __future__ import print_function


def apply(store):
    print(__doc__)

    pkey_name = store.execute(
        "SELECT constraint_name FROM information_schema.constraint_table_usage"
        "    WHERE table_name='ceph_usage'"
    ).get_one()[0]
    store.execute(
        "ALTER TABLE ceph_usage"
        "    DROP constraint %s,"
        "    ADD PRIMARY KEY (computer_id, timestamp, ring_uuid)" % pkey_name
    )
