# Copyright 2005-2014 Canonical Limited.  All rights reserved.

"""
Add computer_package_buffer table.
"""
from __future__ import print_function

STATEMENTS = [
    """
CREATE TABLE computer_packages_buffer (
    computer_id INTEGER PRIMARY KEY REFERENCES computer_twin
        ON DELETE CASCADE,
    last_changed TIMESTAMP NOT NULL DEFAULT NOW(),
    available INT[] NOT NULL DEFAULT '{}',
    not_available INT[] NOT NULL DEFAULT '{}',
    available_upgrades INT[] NOT NULL DEFAULT '{}',
    not_available_upgrades INT[] NOT NULL DEFAULT '{}',
    installed INT[] NOT NULL DEFAULT '{}',
    not_installed INT[] NOT NULL DEFAULT '{}',
    held INT[] NOT NULL DEFAULT '{}',
    not_held INT[] NOT NULL DEFAULT '{}')
""",
    """
GRANT SELECT, INSERT, UPDATE, DELETE
    ON TABLE computer_packages_buffer TO landscape
""",
]


def apply(store):
    print(__doc__)

    for statement in STATEMENTS:
        store.execute(statement)
