# Copyright 2005-2013 Canonical Limited.  All rights reserved.

"""Create ec2_instance_type table and fill it with the current know types."""
from __future__ import print_function

STATEMENTS = [
    """
CREATE TABLE ec2_instance_type (
    name TEXT NOT NULL PRIMARY KEY,
    bits INTEGER NOT NULL,
    title TEXT NOT NULL,
    requires_ebs BOOLEAN DEFAULT FALSE,
    requires_hvm BOOLEAN DEFAULT FALSE
)
""",
    """
GRANT SELECT, INSERT, DELETE, UPDATE
    ON TABLE ec2_instance_type TO landscape, landscape_maintenance
""",
    """
INSERT INTO ec2_instance_type VALUES
('t1.micro.32', 32, 'Micro 32-bit (t1.micro, 32-bit)', true, false),
('t1.micro.64', 64, 'Micro 64-bit (t1.micro, 64-bit)', true, false),
('m1.small.32', 32, 'Small 32-bit (m1.small, 32-bit)', false, false),
('m1.small.64', 64, 'Small 64-bit (m1.small, 64-bit)', false, false),
('m1.medium.32', 32, 'Medium 32-bit (m1.medium, 32-bit)', false, false),
('m1.medium.64', 64, 'Medium 64-bit (m1.medium, 64-bit)', false, false),
('m1.large', 64, 'Large (m1.large, 64-bit)', false, false),
('m1.xlarge', 64, 'Extra Large (m1.xlarge, 64-bit)', false, false),
('c1.medium.32', 32,
    'High-CPU Medium 32-bit (c1.medium, 32-bit)', false, false),
('c1.medium.64', 64,
    'High-CPU Medium 64-bit (c1.medium, 64-bit)', false, false),
('c1.xlarge', 64, 'High-CPU Extra Large (c1.xlarge, 64-bit)', false, false),
('m2.xlarge', 64, 'High-Memory Extra Large (m2.xlarge, 64-bit)', false, false),
('m2.2xlarge', 64,
    'High-Memory Double Extra Large (m2.2xlarge, 64-bit)', false, false),
('m2.4xlarge', 64,
    'High-Memory Quadruple Extra Large (m2.4xlarge, 64-bit)', false, false),
('cc1.4xlarge', 64,
    'Cluster Compute Quadruple Extra Large (cc1.4xlarge, 64-bit)', true, true)
""",
]


def apply(store):
    print(__doc__)

    for statement in STATEMENTS:
        store.execute(statement)
