# Copyright 2005-2013 Canonical Limited.  All rights reserved.

"""Create script_attachment table."""
from __future__ import print_function

statements = [
    """
CREATE TABLE attachment (
    id SERIAL PRIMARY KEY,
    account_id INTEGER NOT NULL REFERENCES account_twin ON DELETE CASCADE,
    filename TEXT NOT NULL,
    data BYTEA)
""",
    """
GRANT SELECT, INSERT, UPDATE, DELETE
    ON TABLE attachment TO landscape, landscape_maintenance
""",
    """
GRANT SELECT, UPDATE
    ON TABLE attachment_id_seq TO landscape, landscape_maintenance
""",
    """
CREATE TABLE script_attachment (
    script_id INTEGER NOT NULL REFERENCES script ON DELETE CASCADE,
    attachment_id INTEGER NOT NULL REFERENCES attachment ON DELETE CASCADE,
    PRIMARY KEY (script_id, attachment_id))
""",
    """
GRANT SELECT, INSERT, DELETE
    ON TABLE script_attachment TO landscape, landscape_maintenance
""",
    """
CREATE TABLE execute_script_attachment (
    activity_id INTEGER NOT NULL REFERENCES activity ON DELETE CASCADE,
    attachment_id INTEGER NOT NULL REFERENCES attachment ON DELETE CASCADE,
    PRIMARY KEY (activity_id, attachment_id))
""",
    """
GRANT SELECT, INSERT, DELETE
    ON TABLE execute_script_attachment TO landscape, landscape_maintenance
""",
]


def apply(store):
    print(__doc__)
    for statement in statements:
        store.execute(statement)
