# Copyright 2005-2013 Canonical Limited.  All rights reserved.

"""Update relation_name.relation_id foreign key to cascade on delete."""
from __future__ import print_function


statements = [
    """
ALTER TABLE relation_name
    DROP CONSTRAINT relation_name_relation_id_fkey
""",
    """
ALTER TABLE relation_name
    ADD CONSTRAINT relation_name_relation_id_fkey
        FOREIGN KEY (relation_id) REFERENCES relation(id)
        ON DELETE CASCADE
""",
]


def apply(store):
    print(__doc__)
    for statement in statements:
        store.execute(statement)
