# Copyright 2005-2013 Canonical Limited.  All rights reserved.

"""Add a table to store the LDS releases associated to accounts."""
from __future__ import print_function


STATEMENTS = [
    """
CREATE TABLE lds_release (
    account_id INTEGER PRIMARY KEY REFERENCES account(id)
    ON DELETE CASCADE,
    release TEXT)
""",
    """
GRANT SELECT, INSERT, UPDATE
    ON TABLE lds_release TO landscape
""",
]


def apply(store):
    print(__doc__)

    for statement in STATEMENTS:
        store.execute(statement)

    result = store.execute("SELECT DISTINCT account_id FROM lds_license")

    for data in result.get_all():
        store.execute("INSERT INTO lds_release VALUES (?, '11.07')", (data[0],))
