# Copyright 2005-2013 Canonical Limited.  All rights reserved.


"""Add change_upgrade_profile_request table."""
from __future__ import print_function


STATEMENTS = [
    """
CREATE TABLE change_upgrade_profile_request (
    activity_id INTEGER PRIMARY KEY REFERENCES activity ON DELETE CASCADE,
    upgrade_profile_id INTEGER REFERENCES upgrade_profile ON DELETE SET NULL,
    changes INT[][] NOT NULL DEFAULT '{}')
""",
    """
GRANT SELECT, INSERT, UPDATE, DELETE
    ON TABLE change_upgrade_profile_request TO landscape, landscape_maintenance
""",
]


def apply(store):
    print(__doc__)
    for statement in STATEMENTS:
        store.execute(statement)
