# Copyright 2005-2013 Canonical Limited.  All rights reserved.

"""Add info_type to computer_group."""
from __future__ import print_function


def apply(store):
    print(__doc__)
    store.execute("ALTER TABLE computer_group ADD COLUMN info_type INTEGER")
    info_types = (
        (1, "rule"),
        (2, "custom_graph"),
        (3, "package_profile"),
        (4, "upgrade_profile"),
        (5, "repository_profile"),
    )
    for info_type, table in info_types:
        store.execute(
            "UPDATE computer_group SET info_type = %d FROM %s "
            "WHERE computer_group.id = %s.computer_group_id" % (info_type, table, table)
        )
    store.execute("DELETE FROM computer_group WHERE info_type IS NULL")
    store.execute("ALTER TABLE computer_group ALTER COLUMN info_type SET NOT NULL")
