# Copyright 2005-2013 Canonical Limited.  All rights reserved.

"""Create stock roles for accounts."""
from __future__ import print_function

from canonical.landscape.model.main.account import Account
from canonical.landscape.model.access.stockroles import StockRoleManager


STATEMENTS = [
    """
    GRANT SELECT, INSERT
    ON TABLE role TO landscape_maintenance
    """,
    """
    GRANT SELECT, UPDATE
    ON TABLE role_id_seq TO landscape_maintenance
    """,
    """
    GRANT SELECT, INSERT
    ON TABLE role_permission TO landscape_maintenance
    """,
]


def apply(store):
    print(__doc__)

    for statement in STATEMENTS:
        store.execute(statement)

    stock_role_manager = StockRoleManager()
    for account in store.find(Account):
        stock_role_manager.create_stock_roles(account)
