# Copyright 2005-2013 Canonical Limited.  All rights reserved.

"""Add access_context_id to repository table"""
from __future__ import print_function

from canonical.landscape.model.main.store import get_main_store


def apply(store):
    print(__doc__)
    store.execute("ALTER TABLE distribution ADD COLUMN " "access_context_id INTEGER")
    main_store = get_main_store()
    result = main_store.execute("SELECT id, access_context_id FROM account")
    account_to_access_context = dict(result.get_all())
    result = store.execute("SELECT id, account_id FROM distribution")
    for distribution, account in result.get_all():
        store.execute(
            "UPDATE distribution SET access_context_id = ? " "WHERE id = ?",
            (account_to_access_context[account], distribution),
        )
    store.execute(
        "ALTER TABLE distribution ALTER COLUMN access_context_id " "SET NOT NULL"
    )
