# Copyright 2005-2013 Canonical Limited.  All rights reserved.

"""Collapse first_name and last_name into a name column."""
from __future__ import print_function


def apply(store):
    print(__doc__)

    # Add the name column to the trial_account TABLE
    store.execute("ALTER TABLE trial_account ADD COLUMN name TEXT")
    # Make the new name column a concatenation of first_name and last_name
    store.execute("UPDATE trial_account SET name = first_name || ' ' || last_name")

    # Remove the now useless columns
    store.execute("ALTER TABLE trial_account DROP COLUMN first_name")
    store.execute("ALTER TABLE trial_account DROP COLUMN last_name")
