# Copyright 2005-2013 Canonical Limited.  All rights reserved.

"""Changes needed for global role support."""
from __future__ import print_function


def apply(store):
    print("allow NULL values in person_access for global roles")
    print("dropping primary key on person_access...")
    store.execute("ALTER TABLE person_access " "DROP CONSTRAINT person_access_pkey")
    print("dropping NOT NULL on access_context_id...")
    store.execute("ALTER TABLE person_access " "ALTER access_context_id DROP NOT NULL")
    print("adding UNIQUE constraint on (person_id, role_key, " "access_context_id)...")
    store.execute(
        "ALTER TABLE person_access "
        "ADD CONSTRAINT person_access_person_id_key "
        "UNIQUE (person_id, role_key, access_context_id)"
    )
    print("Done with patch 14!")
