# Copyright 2005-2013 Canonical Limited.  All rights reserved.

"""Add package_binary table."""
from __future__ import print_function

STATEMENTS = [
    """
CREATE TABLE package_binary (
    package_id INTEGER NOT NULL PRIMARY KEY REFERENCES package
        ON DELETE CASCADE,
    data BYTEA NOT NULL)
""",
    """
GRANT SELECT, INSERT, DELETE
    ON TABLE package_binary TO landscape, landscape_maintenance
""",
]


def apply(store):
    print(__doc__)
    for statement in STATEMENTS:
        store.execute(statement)
