# Copyright 2005-2013 Canonical Limited.  All rights reserved.

"""Granting permissions to 'landscape_maintenance' in resource schema."""
from __future__ import print_function


def apply(store):
    print(__doc__)
    for statement in GRANTS:
        store.execute(statement)


GRANTS = [
    """
GRANT SELECT, INSERT, UPDATE, DELETE
    ON TABLE computer TO landscape, landscape_maintenance
""",
    """
GRANT SELECT, UPDATE
    ON TABLE computer_insecure_id_seq TO landscape_maintenance
""",
    """
GRANT SELECT, INSERT, DELETE
    ON TABLE memory_info TO landscape_maintenance
""",
    """
GRANT SELECT, UPDATE
    ON TABLE memory_info_id_seq TO landscape_maintenance
""",
    """
GRANT SELECT, UPDATE, INSERT, DELETE
    ON TABLE load_average TO landscape_maintenance
""",
    """
GRANT SELECT, UPDATE
    ON TABLE load_average_id_seq TO landscape_maintenance
""",
    """
GRANT SELECT, INSERT, DELETE
    ON TABLE client_uptime TO landscape_maintenance
""",
    """
GRANT SELECT, UPDATE
    ON TABLE client_uptime_id_seq TO landscape_maintenance
""",
    """
GRANT SELECT, INSERT, DELETE
    ON TABLE mount_info TO landscape_maintenance
""",
    """
 GRANT SELECT, UPDATE
    ON TABLE mount_info_id_seq TO landscape_maintenance
""",
    """
GRANT SELECT, INSERT, DELETE
    ON TABLE computer_uptime TO landscape_maintenance
""",
    """
GRANT SELECT, UPDATE
    ON TABLE computer_uptime_id_seq TO landscape_maintenance
""",
    """
GRANT SELECT, INSERT, DELETE
    ON TABLE temperature TO landscape_maintenance
""",
    """
GRANT SELECT, UPDATE
    ON TABLE temperature_id_seq TO landscape_maintenance
""",
    """
GRANT SELECT, INSERT, DELETE
    ON TABLE thermal_zone TO landscape_maintenance
""",
    """
GRANT SELECT, UPDATE
    ON TABLE thermal_zone_id_seq TO landscape_maintenance
""",
]
