# Copyright 2005-2013 Canonical Limited.  All rights reserved.

"""
Drop provisioning_server_id field in provisioning activity tables
and make server_id optional.
"""
from __future__ import print_function

STATEMENTS = [
    """
ALTER TABLE provision_system_request DROP COLUMN provisioning_server_id
""",
    """
ALTER TABLE terminate_system_request DROP COLUMN provisioning_server_id
""",
    """
ALTER TABLE provisioned_system ALTER COLUMN server_id DROP NOT NULL
""",
]


def apply(store):
    print(__doc__)
    for statement in STATEMENTS:
        store.execute(statement)
