# Copyright 2005-2013 Canonical Limited.  All rights reserved.

"""Drop the non NULL constraint on registration_otp.instance_id."""
from __future__ import print_function

STATEMENTS = [
    """
ALTER TABLE registration_otp ALTER instance_id DROP NOT NULL
""",
    """
ALTER TABLE registration_otp ADD COLUMN
    account_id INTEGER REFERENCES account_twin ON DELETE CASCADE
""",
]


def apply(store):
    print(__doc__)
    for statement in STATEMENTS:
        store.execute(statement)
