# Copyright 2005-2013 Canonical Limited.  All rights reserved.

"""Drop the instance_id column of registration_otp."""
from __future__ import print_function

STATEMENTS = [
    """
DELETE FROM registration_otp WHERE instance_id IS NOT NULL
""",
    """
ALTER TABLE registration_otp DROP COLUMN instance_id
""",
    """
ALTER TABLE registration_otp ALTER account_id SET NOT NULL
""",
]


def apply(store):
    print(__doc__)
    for statement in STATEMENTS:
        store.execute(statement)
