# Copyright 2005-2013 Canonical Limited.  All rights reserved.

"""Drop cloud users"""
from __future__ import print_function


def apply(store):
    print(__doc__)

    # Delete pending cloud invitations
    store.execute("DELETE FROM account_invitation WHERE role_key = 11")

    # Delete all CloudUser (key 11) grants. If the associated persons have
    # no other role in the account, they'll delete from the account.
    result = store.execute(
        "DELETE FROM person_access "
        "WHERE role_key = 11 "
        "RETURNING person_id, access_context_id"
    )
    for row in result.get_all():
        person_id, access_context_id = row
        result = store.execute(
            "SELECT COUNT(*) FROM person_access "
            "WHERE person_id = ? AND access_context_id = ?",
            (person_id, access_context_id),
        )
        if result.get_one()[0] == 0:  # no other roles in the account
            store.execute(
                "DELETE FROM person_account "
                "WHERE person_id = ? AND "
                "      account_id = (SELECT id FROM account "
                "                    WHERE access_context_id = ?)",
                (person_id, access_context_id),
            )
