# Copyright 2005-2013 Canonical Limited.  All rights reserved.

"""
Move invitation role information to invitation_role table.
"""
from __future__ import print_function

STATEMENTS = [
    """
ALTER TABLE account_invitation DROP CONSTRAINT account_invitation_pkey
""",
    """
ALTER TABLE account_invitation ADD COLUMN id SERIAL NOT NULL PRIMARY KEY
""",
    """
GRANT SELECT, UPDATE
    ON TABLE account_invitation_id_seq TO landscape
""",
    """
CREATE TABLE invitation_role (
    invitation_id INTEGER NOT NULL
        REFERENCES account_invitation ON DELETE CASCADE,
    role_key INTEGER NOT NULL,
    UNIQUE(invitation_id, role_key))
""",
    """
UPDATE account_invitation SET role_key = 1 WHERE role_key IS NULL
""",
    """
INSERT INTO invitation_role (invitation_id, role_key)
    SELECT id, role_key FROM account_invitation;
""",
    """
GRANT SELECT, INSERT, UPDATE, DELETE
    ON TABLE invitation_role TO landscape
""",
    """
ALTER TABLE account_invitation DROP COLUMN role_key
""",
    """
ALTER TABLE account_invitation
    ADD CONSTRAINT account_invitation_secure_id_key
    UNIQUE (secure_id)
""",
]


def apply(store):
    print(__doc__)
    for statement in STATEMENTS:
        store.execute(statement)
