# Copyright 2005-2013 Canonical Limited.  All rights reserved.

"""Populate the company_name column of old trial_account rows."""
from __future__ import print_function


def apply(store):
    print(__doc__)
    for row in store.execute(
        "SELECT id, account_id FROM trial_account" "    WHERE company_name IS NULL"
    ):
        trial_id, account_id = row
        if account_id is not None:
            result = store.execute(
                "SELECT title FROM account WHERE id = ?", (account_id,)
            )
            account_title = result.get_one()[0]
        else:
            account_title = "Expired trial"

        store.execute(
            "UPDATE trial_account SET company_name=? WHERE id=?",
            (account_title, trial_id),
        )
    store.execute(
        "ALTER TABLE trial_account " "    ALTER COLUMN company_name SET NOT NULL"
    )
