# Copyright 2005-2013 Canonical Limited.  All rights reserved.

"""Add index on package_relations, and grant maintenance access to patch"""
from __future__ import print_function

STATEMENTS = [
    """
CREATE INDEX package_relation_relation_id_idx on package_relation(relation_id)
""",
    """
GRANT SELECT on patch to landscape_maintenance
""",
]


def apply(store):
    print(__doc__)
    for statement in STATEMENTS:
        store.execute(statement)
