# Copyright 2005-2013 Canonical Limited.  All rights reserved.

"""Add new opinfo tables for L{EditGroup} and L{DeleteGroup} operations."""
from __future__ import print_function


def apply(store):
    print(__doc__)
    queries = [
        """
CREATE TABLE edit_group_opinfo (
    operation_id INTEGER PRIMARY KEY REFERENCES operation ON DELETE CASCADE,
    gid INTEGER NOT NULL,
    groupname TEXT NOT NULL)
""",
        """
GRANT SELECT, INSERT
    ON TABLE edit_group_opinfo TO landscape
""",
        """
CREATE TABLE delete_group_opinfo (
    operation_id INTEGER PRIMARY KEY REFERENCES operation ON DELETE CASCADE,
    gid INTEGER NOT NULL,
    groupname TEXT NOT NULL)
""",
        """
GRANT SELECT, INSERT
    ON TABLE delete_group_opinfo TO landscape
""",
    ]
    for query in queries:
        store.execute(query)
