# Copyright 2005-2013 Canonical Limited.  All rights reserved.

"""Add access_context_id to apt_source table"""
from __future__ import print_function

from canonical.landscape.model.main.store import get_main_store


def apply(store):
    print(__doc__)
    store.execute("ALTER TABLE apt_source ADD COLUMN " "access_context_id INTEGER")
    main_store = get_main_store()
    result = main_store.execute("SELECT id, access_context_id FROM account")
    for account_id, access_context_id in result:
        store.execute(
            "UPDATE apt_source SET access_context_id = ? " "WHERE account_id = ?",
            (access_context_id, account_id),
        )
    store.execute(
        "ALTER TABLE apt_source ALTER COLUMN access_context_id " "SET NOT NULL"
    )
