# Copyright 2005-2013 Canonical Limited.  All rights reserved.

"""Remove API credentials for disabled account members."""
from __future__ import print_function


def apply(store):
    print(__doc__)

    query = (
        "SELECT person_access.person_id, account.id "
        "FROM person_access JOIN account USING (access_context_id) "
        "WHERE person_access.role_key = 4"
    )  # RetiredMember

    for row in store.execute(query):
        store.execute(
            "DELETE FROM api_credentials WHERE person_id = ? " "AND account_id = ?", row
        )
