# Copyright 2005-2013 Canonical Limited.  All rights reserved.

"""
Add the tags_changed_activity table.
"""
from __future__ import print_function

STATEMENTS = [
    """
CREATE TABLE tags_changed_activity (
    activity_id INTEGER PRIMARY KEY REFERENCES activity ON DELETE CASCADE,
    tags_added TEXT,
    tags_removed TEXT)
""",
    """
GRANT SELECT, INSERT, UPDATE, DELETE
    ON TABLE tags_changed_activity TO landscape, landscape_maintenance
""",
]


def apply(store):
    print(__doc__)
    for statement in STATEMENTS:
        store.execute(statement)
