# Copyright 2005-2013 Canonical Limited.  All rights reserved.

"""
Add the role_changed_activity table.
"""
from __future__ import print_function

STATEMENTS = [
    """
CREATE TABLE role_changed_activity (
    activity_id INTEGER PRIMARY KEY REFERENCES activity ON DELETE CASCADE,
    access_contexts_added TEXT[],
    access_contexts_removed TEXT[],
    permissions_added TEXT[],
    permissions_removed TEXT[])
""",
    """
GRANT SELECT, INSERT, UPDATE, DELETE
    ON TABLE role_changed_activity TO landscape, landscape_maintenance
""",
]


def apply(store):
    print(__doc__)
    for statement in STATEMENTS:
        store.execute(statement)
