# Copyright 2005-2013 Canonical Limited.  All rights reserved.

"""
Add lds_script_execution_log table.
"""
from __future__ import print_function

STATEMENTS = [
    """
CREATE TABLE lds_script_execution_log (
    id SERIAL PRIMARY KEY,
    name TEXT NOT NULL UNIQUE,
    start_time TIMESTAMP WITHOUT TIME ZONE,
    end_time TIMESTAMP WITHOUT TIME ZONE,
    success BOOLEAN)
""",
    """
GRANT SELECT, INSERT, UPDATE, DELETE
    ON TABLE lds_script_execution_log TO landscape, landscape_maintenance
""",
    """
GRANT SELECT, UPDATE
    ON TABLE lds_script_execution_log_id_seq
    TO landscape, landscape_maintenance
""",
]


def apply(store):
    print(__doc__)
    for statement in STATEMENTS:
        store.execute(statement)
