# Copyright 2005-2013 Canonical Limited.  All rights reserved.

"""
Add the administrator_invited_notice, administrator_accepted_invite_notice,
and administrator_removed_notice tables.
"""
from __future__ import print_function

STATEMENTS = [
    """
CREATE TABLE administrator_accepted_invite_notice (
    activity_id INTEGER PRIMARY KEY REFERENCES activity ON DELETE CASCADE,
    invited_name TEXT NOT NULL,
    invited_email TEXT NOT NULL)
""",
    """
GRANT SELECT, INSERT, UPDATE, DELETE
    ON TABLE administrator_accepted_invite_notice
    TO landscape, landscape_maintenance
""",
    """
CREATE TABLE administrator_invited_notice (
    activity_id INTEGER PRIMARY KEY REFERENCES activity ON DELETE CASCADE,
    name TEXT NOT NULL,
    email TEXT NOT NULL,
    roles TEXT[] NOT NULL)
""",
    """
GRANT SELECT, INSERT, UPDATE, DELETE
    ON TABLE administrator_invited_notice TO landscape, landscape_maintenance
""",
    """
CREATE TABLE administrator_removed_notice (
    activity_id INTEGER PRIMARY KEY REFERENCES activity ON DELETE CASCADE,
    person_id INTEGER NOT NULL NOT NULL)
""",
    """
GRANT SELECT, INSERT, UPDATE, DELETE
    ON TABLE administrator_removed_notice TO landscape, landscape_maintenance
""",
]


def apply(store):
    print(__doc__)
    for statement in STATEMENTS:
        store.execute(statement)
