# Copyright 2005-2013 Canonical Limited.  All rights reserved.

"""
Add the role_removed_activity table.
"""
from __future__ import print_function

STATEMENTS = [
    """
CREATE TABLE role_removed_activity (
    activity_id INTEGER PRIMARY KEY REFERENCES activity ON DELETE CASCADE,
    role_name TEXT)
""",
    """
GRANT SELECT, INSERT, UPDATE, DELETE
    ON TABLE role_removed_activity TO landscape, landscape_maintenance
""",
]


def apply(store):
    print(__doc__)
    for statement in STATEMENTS:
        store.execute(statement)
