# Copyright 2005-2013 Canonical Limited.  All rights reserved.

"""Merge the various columns of the package_lock table."""
from __future__ import print_function

STATEMENTS = [
    """
ALTER TABLE package_lock DROP COLUMN name
""",
    """
ALTER TABLE package_lock DROP COLUMN relation
""",
    """
ALTER TABLE package_lock DROP COLUMN version
""",
    """
ALTER TABLE package_lock ADD COLUMN value TEXT UNIQUE
""",
]


def apply(store):
    print(__doc__)

    select = "SELECT id, name, relation, version FROM package_lock"
    rows = list(store.execute(select))

    for statement in STATEMENTS:
        store.execute(statement)

    for id, name, relation, version in rows:
        update = "UPDATE package_lock SET value=%s WHERE id=%s"
        if not relation:
            value = name
        else:
            value = "%s %s %s" % (name, relation, version)
        params = (value, id)
        store.execute(update, params)

    alter = "ALTER TABLE package_lock ALTER COLUMN value SET NOT NULL"
    store.execute(alter)
