# Copyright 2005-2013 Canonical Limited.  All rights reserved.

"""
Create role_membership_changed table.
"""
from __future__ import print_function

statements = [
    """
CREATE TABLE role_membership_changed (
    activity_id INTEGER PRIMARY KEY REFERENCES activity ON DELETE CASCADE,
    role_name TEXT,
    persons_added TEXT[],
    persons_removed TEXT[])
""",
    """
GRANT SELECT, INSERT, UPDATE, DELETE
    ON TABLE role_membership_changed TO landscape, landscape_maintenance
""",
]


def apply(store):
    print(__doc__)
    for statement in statements:
        store.execute(statement)
