# Copyright 2005-2013 Canonical Limited.  All rights reserved.

"""Add audit log tables for script-related events."""
from __future__ import print_function

statements = [
    """
CREATE TABLE script_changed_activity (
    activity_id INTEGER PRIMARY KEY REFERENCES activity ON DELETE CASCADE,
    script_title TEXT,
    title TEXT,
    interpreter TEXT,
    time_limit INTEGER,
    username TEXT)
""",
    """
GRANT SELECT, INSERT, UPDATE, DELETE
    ON TABLE script_changed_activity TO landscape, landscape_maintenance
""",
    """
CREATE TABLE script_created_activity (
    activity_id INTEGER PRIMARY KEY REFERENCES activity ON DELETE CASCADE,
    title TEXT,
    interpreter TEXT,
    time_limit INTEGER,
    username TEXT)
""",
    """
GRANT SELECT, INSERT, UPDATE, DELETE
    ON TABLE script_created_activity TO landscape, landscape_maintenance
""",
    """
CREATE TABLE script_removed_activity (
    activity_id INTEGER PRIMARY KEY REFERENCES activity ON DELETE CASCADE,
    script_title TEXT)
""",
    """
GRANT SELECT, INSERT, UPDATE, DELETE
    ON TABLE script_removed_activity TO landscape, landscape_maintenance
""",
    """
CREATE TABLE script_attachment_created_activity (
    activity_id INTEGER PRIMARY KEY REFERENCES activity ON DELETE CASCADE,
    script_title TEXT,
    filename TEXT)
""",
    """
GRANT SELECT, INSERT, UPDATE, DELETE
    ON TABLE script_attachment_created_activity TO
    landscape, landscape_maintenance
""",
    """
CREATE TABLE script_attachment_removed_activity (
    activity_id INTEGER PRIMARY KEY REFERENCES activity ON DELETE CASCADE,
    script_title TEXT,
    filename TEXT)
""",
    """
GRANT SELECT, INSERT, UPDATE, DELETE
    ON TABLE script_attachment_removed_activity TO
    landscape, landscape_maintenance
""",
]


def apply(store):
    print(__doc__)
    for statement in statements:
        store.execute(statement)
