# Copyright 2005-2013 Canonical Limited.  All rights reserved.

"""
Add message exchange metrics to the computer_status table.
"""
from __future__ import print_function

STATEMENTS = [
    """
    ALTER TABLE computer_status
        ADD COLUMN last_exchange_duration FLOAT(10) NOT NULL DEFAULT 0,
        ADD COLUMN last_exchange_size FLOAT(10) NOT NULL DEFAULT 0,
        ADD COLUMN ignored_count INTEGER NOT NULL DEFAULT 0,
        ADD COLUMN processed_count INTEGER NOT NULL DEFAULT 0,
        ADD COLUMN dropped_count INTEGER NOT NULL DEFAULT 0,
        ADD COLUMN remaining_count INTEGER NOT NULL DEFAULT 0
    """,
]


def apply(store):
    print(__doc__)
    for statement in STATEMENTS:
        store.execute(statement)
