# Copyright 2005-2013 Canonical Limited.  All rights reserved.

"""
Rename all role related audit log type info tables to use the _notice
 standard.
"""
from __future__ import print_function

statements = [
    """
ALTER TABLE role_changed_activity RENAME TO role_changed_notice
""",
    """
GRANT SELECT, INSERT, UPDATE, DELETE
    ON TABLE role_changed_notice TO landscape, landscape_maintenance
""",
    """
ALTER TABLE role_changed_notice ADD COLUMN role_name TEXT
""",
    """
ALTER TABLE role_added_activity RENAME TO role_added_notice
""",
    """
GRANT SELECT, INSERT, UPDATE, DELETE
    ON TABLE role_added_notice TO landscape, landscape_maintenance
""",
    """
ALTER TABLE role_removed_activity RENAME TO role_removed_notice
""",
    """
GRANT SELECT, INSERT, UPDATE, DELETE
    ON TABLE role_removed_notice TO landscape, landscape_maintenance
""",
    """
ALTER TABLE role_membership_changed RENAME TO role_membership_changed_notice
""",
    """
GRANT SELECT, INSERT, UPDATE, DELETE
    ON TABLE role_membership_changed_notice TO landscape, landscape_maintenance
""",
]


def apply(store):
    print(__doc__)
    for statement in statements:
        store.execute(statement)
