# Copyright 2005-2013 Canonical Limited.  All rights reserved.

"""
Track how many hours computers are managed by Landscape.
"""
from __future__ import print_function

STATEMENTS = [
    """
    ALTER TABLE computer_status
        ADD COLUMN managed_hours INTEGER DEFAULT 0 NOT NULL,
        ADD COLUMN next_managed_hour_time TIMESTAMP WITHOUT TIME ZONE
            NOT NULL DEFAULT (now() AT TIME ZONE 'UTC')
    """,
    """
    ALTER TABLE account
        ADD COLUMN managed_hours_start_time TIMESTAMP
            NOT NULL DEFAULT (now() AT TIME ZONE 'UTC')
    """,
]


def apply(store):
    print(__doc__)
    for statement in STATEMENTS:
        store.execute(statement)
