# Copyright 2005-2013 Canonical Limited.  All rights reserved.

"""
Add distributed_lock table to allow shared mutex for distributed services
"""
from __future__ import print_function

STATEMENTS = [
    """
CREATE TABLE distributed_lock (
    id SERIAL PRIMARY KEY,
    name TEXT NOT NULL UNIQUE,
    hostname TEXT NOT NULL,
    creation_time TIMESTAMP NOT NULL DEFAULT (now() AT TIME ZONE 'UTC'))
""",
    """
GRANT SELECT, INSERT, UPDATE, DELETE
    ON TABLE distributed_lock TO landscape, landscape_maintenance
""",
    """
GRANT SELECT, UPDATE
    ON TABLE distributed_lock_id_seq TO landscape, landscape_maintenance
""",
]


def apply(store):
    print(__doc__)
    for statement in STATEMENTS:
        store.execute(statement)
