# Copyright 2005-2013 Canonical Limited.  All rights reserved.

"""
Rename audit log activity tables to _notice instead of _activity.
"""
from __future__ import print_function


# A list of prefixes of table names that will be renamed from prefix +
# _activity to prefix + _notice.

BAD_TABLE_NAME_PREFIXES = [
    "tags_changed",
    "script_changed",
    "script_created",
    "script_removed",
    "script_attachment_created",
    "script_attachment_removed",
]


def apply(store):
    print(__doc__)
    for table_prefix in BAD_TABLE_NAME_PREFIXES:
        statement = "ALTER TABLE %s_activity RENAME TO %s_notice" % (
            table_prefix,
            table_prefix,
        )
        store.execute(statement)
