# Copyright 2005-2013 Canonical Limited.  All rights reserved.

"""
Granting permissions to 'landscape' user.
"""
from __future__ import print_function


def apply(store):
    print(__doc__)
    for statement in GRANTS:
        store.execute(statement)


GRANTS = [
    """
GRANT SELECT
    ON TABLE patch TO landscape
""",
    """
GRANT SELECT, INSERT, UPDATE, DELETE
    ON TABLE access_context TO landscape
""",
    """
GRANT SELECT, UPDATE
    ON TABLE access_context_id_seq TO landscape
""",
    """
GRANT SELECT, INSERT, UPDATE
    ON TABLE person TO landscape
""",
    """
GRANT SELECT, UPDATE
    ON TABLE person_id_seq TO landscape
""",
    """
GRANT SELECT, INSERT, DELETE
    ON TABLE password_recovery TO landscape
""",
    """
GRANT SELECT, INSERT, DELETE
    ON TABLE person_access TO landscape
""",
    """
GRANT SELECT, INSERT, UPDATE
    ON TABLE account TO landscape
""",
    """
GRANT SELECT, UPDATE
    ON TABLE account_id_seq TO landscape
""",
    """
GRANT SELECT, INSERT, DELETE
    ON TABLE person_account TO landscape
""",
    """
GRANT SELECT, INSERT, DELETE
    ON TABLE account_invitation TO landscape
""",
    """
GRANT SELECT, INSERT, UPDATE, DELETE
    ON TABLE license TO landscape
""",
    """
GRANT SELECT, UPDATE
    ON TABLE license_id_seq TO landscape
""",
    """
GRANT SELECT, INSERT, UPDATE, DELETE
    ON TABLE resource_database TO landscape
""",
    """
GRANT SELECT, UPDATE
    ON TABLE resource_database_id_seq TO landscape
""",
    """
GRANT SELECT, INSERT
    ON TABLE tag TO landscape
""",
    """
GRANT SELECT, UPDATE
    ON TABLE tag_id_seq TO landscape
""",
    """
GRANT SELECT, INSERT
    ON TABLE distribution TO landscape
""",
    """
GRANT SELECT, UPDATE
    ON TABLE distribution_id_seq TO landscape
""",
    """
GRANT SELECT, INSERT, UPDATE, DELETE
    ON TABLE computer TO landscape
""",
    """
GRANT SELECT, UPDATE
    ON TABLE computer_id_seq TO landscape
""",
    """
GRANT SELECT, INSERT, DELETE
    ON TABLE computer_tag TO landscape
""",
    """
GRANT SELECT, INSERT, UPDATE, DELETE
    ON TABLE pending_computer TO landscape
""",
    """
GRANT SELECT, UPDATE
    ON TABLE pending_computer_id_seq TO landscape
""",
    """
GRANT SELECT, INSERT, DELETE
    ON TABLE computer_license TO landscape
""",
    """
GRANT SELECT, INSERT, UPDATE
    ON TABLE command TO landscape
""",
    """
GRANT SELECT, UPDATE
    ON TABLE command_id_seq TO landscape
""",
    """
GRANT EXECUTE
    ON FUNCTION get_tag(TEXT) TO landscape
""",
]
