# Copyright 2005-2013 Canonical Limited.  All rights reserved.

"""
Create the savedsearch_changed_notice table.
"""
from __future__ import print_function


statements = [
    """
CREATE TABLE savedsearch_changed_notice (
    activity_id INTEGER PRIMARY KEY REFERENCES activity ON DELETE CASCADE,
    name TEXT NOT NULL,
    title TEXT,
    search TEXT)
""",
    """
GRANT SELECT, INSERT, UPDATE, DELETE
    ON TABLE savedsearch_changed_notice TO landscape, landscape_maintenance
""",
]


def apply(store):
    print(__doc__)
    for statement in statements:
        store.execute(statement)
