# Copyright 2005-2013 Canonical Limited.  All rights reserved.

"""
Rename access_context's title column to description
"""
from __future__ import print_function

STATEMENTS = [
    """
    ALTER TABLE access_context RENAME COLUMN title TO description
    """,
    """
    ALTER TABLE access_context ALTER COLUMN description DROP NOT NULL
    """,
    """
    ALTER TABLE access_context
      DROP CONSTRAINT IF EXISTS access_context_root_access_context_id_title_key
    """,
    """
    ALTER TABLE access_context
      DROP CONSTRAINT IF EXISTS access_context_root_id_title_key
    """,
    """
    ALTER TABLE access_context ALTER COLUMN root_id
        SET DEFAULT currval('access_context_id_seq')
    """,
    """
    ALTER TABLE access_context ALTER COLUMN root_id SET NOT NULL
    """,
]


def apply(store):
    print(__doc__)
    for statement in STATEMENTS:
        store.execute(statement)
