# Copyright 2005-2013 Canonical Limited.  All rights reserved.

"""
Create provisioningserver_created_notice table.
"""
from __future__ import print_function


statements = [
    """
CREATE TABLE provisioningserver_created_notice (
    activity_id INTEGER PRIMARY KEY REFERENCES activity ON DELETE CASCADE,
    name TEXT NOT NULL,
    title TEXT NOT NULL,
    endpoint TEXT NOT NULL)
""",
    """
GRANT SELECT, INSERT, UPDATE, DELETE
    ON TABLE provisioningserver_created_notice TO landscape,
    landscape_maintenance
""",
]


def apply(store):
    print(__doc__)
    for statement in statements:
        store.execute(statement)
