# Copyright 2005-2013 Canonical Limited.  All rights reserved.

"""
Create provisioning_server_changed_notice table.
"""
from __future__ import print_function


statements = [
    """
ALTER TABLE provisioningserver_created_notice RENAME TO
    provisioning_server_created_notice
""",
    """
ALTER TABLE provisioningserver_removed_notice RENAME TO
    provisioning_server_removed_notice
""",
    """
CREATE TABLE provisioning_server_changed_notice (
    activity_id INTEGER PRIMARY KEY REFERENCES activity ON DELETE CASCADE,
    name TEXT NOT NULL,
    new_name TEXT,
    title TEXT,
    endpoint TEXT,
    credentials_changed BOOL NOT NULL DEFAULT FALSE)
""",
    """
GRANT SELECT, INSERT, UPDATE, DELETE
    ON TABLE provisioning_server_created_notice TO landscape,
    landscape_maintenance
""",
    """
GRANT SELECT, INSERT, UPDATE, DELETE
    ON TABLE provisioning_server_removed_notice TO landscape,
    landscape_maintenance
""",
    """
GRANT SELECT, INSERT, UPDATE, DELETE
    ON TABLE provisioning_server_changed_notice TO landscape,
    landscape_maintenance
""",
]


def apply(store):
    print(__doc__)
    for statement in statements:
        store.execute(statement)
