# Copyright 2005-2013 Canonical Limited.  All rights reserved.

"""
Constraint of license.license_key modified to allow unique license per account.
"""
from __future__ import print_function

STATEMENTS = [
    """
ALTER TABLE license DROP CONSTRAINT license_license_key_key
""",
    """
ALTER TABLE license
    ADD CONSTRAINT license_account_id_license_key_key
    UNIQUE(account_id, license_key)
""",
]


def apply(store):
    print(__doc__)
    for statement in STATEMENTS:
        store.execute(statement)
