# Copyright 2005-2013 Canonical Limited.  All rights reserved.

"""Add audit log tables for upgrade profile events."""
from __future__ import print_function

statements = [
    """
ALTER TABLE package_profile_changed_notice
    ADD COLUMN former_name TEXT
""",
    """
ALTER TABLE package_profile_changed_notice
    ADD COLUMN former_description TEXT
""",
    """
CREATE TABLE upgrade_profile_created_notice (
    activity_id INTEGER PRIMARY KEY REFERENCES activity ON DELETE CASCADE,
    profile_name TEXT,
    security_only BOOL NOT NULL DEFAULT false,
    schedule TEXT NOT NULL,
    access_context TEXT)
""",
    """
GRANT SELECT, INSERT, UPDATE, DELETE
    ON TABLE upgrade_profile_created_notice TO landscape, landscape_maintenance
""",
    """
CREATE TABLE upgrade_profile_removed_notice (
    activity_id INTEGER PRIMARY KEY REFERENCES activity ON DELETE CASCADE,
    profile_name TEXT)
""",
    """
GRANT SELECT, INSERT, UPDATE, DELETE
    ON TABLE upgrade_profile_removed_notice TO landscape, landscape_maintenance
""",
    """
CREATE TABLE upgrade_profile_changed_notice (
    activity_id INTEGER PRIMARY KEY REFERENCES activity ON DELETE CASCADE,
    profile_name TEXT,
    former_name TEXT,
    former_description TEXT,
    changed_schedule TEXT,
    tags_added TEXT[],
    tags_removed TEXT[],
    activated_security_only BOOL NOT NULL DEFAULT false,
    deactivated_security_only BOOL NOT NULL DEFAULT false,
    associate_all_computers BOOL NOT NULL DEFAULT false,
    disassociate_all_computers BOOL NOT NULL DEFAULT false)
""",
    """
GRANT SELECT, INSERT, UPDATE, DELETE
    ON TABLE upgrade_profile_changed_notice
    TO landscape, landscape_maintenance
""",
]


def apply(store):
    print(__doc__)
    for statement in statements:
        store.execute(statement)
