# Copyright 2005-2013 Canonical Limited.  All rights reserved.

"""
Move managed_hours and next_managed_hour_time to a separate table
"""
from __future__ import print_function

statements = [
    """
CREATE TABLE computer_utilisation (
    computer_id INTEGER NOT NULL PRIMARY KEY REFERENCES computer (id)
        ON DELETE CASCADE,
    managed_hours INTEGER DEFAULT 0 NOT NULL,
    next_managed_hour_time TIMESTAMP WITHOUT TIME ZONE
        NOT NULL DEFAULT (now() AT TIME ZONE 'UTC')
    )
""",
    """
GRANT SELECT, INSERT, UPDATE, DELETE
    ON TABLE computer_utilisation TO landscape
""",
    """
INSERT INTO computer_utilisation (
    computer_id, managed_hours, next_managed_hour_time)
    SELECT computer_id, managed_hours, next_managed_hour_time
    FROM computer_status
""",
    """
ALTER TABLE computer_status DROP COLUMN managed_hours
""",
    """
ALTER TABLE computer_status DROP COLUMN next_managed_hour_time
""",
]


def apply(store):
    print(__doc__)
    for statement in statements:
        store.execute(statement)
