# Copyright 2005-2013 Canonical Limited.  All rights reserved.

"""Add audit log tables for juju environment events."""
from __future__ import print_function


statements = [
    """
CREATE TABLE juju_environment_created_notice (
    activity_id INTEGER PRIMARY KEY REFERENCES activity ON DELETE CASCADE,
    name TEXT NOT NULL,
    endpoint TEXT NOT NULL)
""",
    """
GRANT SELECT, INSERT, UPDATE, DELETE
    ON TABLE juju_environment_created_notice TO landscape,
    landscape_maintenance
""",
    """
CREATE TABLE juju_environment_removed_notice (
    activity_id INTEGER PRIMARY KEY REFERENCES activity ON DELETE CASCADE,
    name TEXT NOT NULL)
""",
    """
GRANT SELECT, INSERT, UPDATE, DELETE
    ON TABLE juju_environment_removed_notice TO landscape,
    landscape_maintenance
""",
    """
CREATE TABLE juju_environment_changed_notice (
    activity_id INTEGER PRIMARY KEY REFERENCES activity ON DELETE CASCADE,
    name TEXT NOT NULL,
    new_name TEXT,
    uuid TEXT,
    endpoint TEXT,
    credentials_changed BOOL NOT NULL DEFAULT FALSE)
""",
    """
GRANT SELECT, INSERT, UPDATE, DELETE
    ON TABLE juju_environment_changed_notice TO landscape,
    landscape_maintenance
""",
]


def apply(store):
    print(__doc__)
    for statement in statements:
        store.execute(statement)
