# Copyright 2005-2014 Canonical Ltd. All rights reserved.

"""
Add juju info columns to the computer table.
"""
from __future__ import print_function


STATEMENTS = [
    """
ALTER TABLE pending_computer ADD COLUMN juju_environment_uuid TEXT
""",
    """
ALTER TABLE pending_computer ADD COLUMN juju_machine_id TEXT
""",
    """
ALTER TABLE pending_computer
    ADD CONSTRAINT juju_environment_uuid_and_machine_id
    CHECK (
        (juju_environment_uuid IS NULL AND juju_machine_id IS NULL) OR
        (juju_environment_uuid IS NOT NULL AND juju_machine_id IS NOT NULL))
""",
    """
ALTER TABLE computer ADD COLUMN juju_environment_uuid TEXT
""",
    """
ALTER TABLE computer ADD COLUMN juju_machine_id TEXT
""",
    """
ALTER TABLE computer ADD CONSTRAINT juju_environment_uuid_and_machine_id
    CHECK (
        (juju_environment_uuid IS NULL AND juju_machine_id IS NULL) OR
        (juju_environment_uuid IS NOT NULL AND juju_machine_id IS NOT NULL))
""",
]


def apply(store):
    print(__doc__)
    for statement in STATEMENTS:
        store.execute(statement)
