# Copyright 2005-2013 Canonical Limited.  All rights reserved.

"""Add license_order table."""
from __future__ import print_function

STATEMENTS = [
    """
CREATE TABLE license_order (
    id SERIAL PRIMARY KEY,
    account_id INTEGER NOT NULL REFERENCES account,
    person_id INTEGER NOT NULL REFERENCES person,
    role_key INTEGER NOT NULL,
    license_key BYTEA NOT NULL,
    seats INTEGER NOT NULL,
    duration INTEGER NOT NULL,
    payment_id TEXT UNIQUE NOT NULL,
    status TEXT NOT NULL,
    UNIQUE(account_id, license_key))
""",
    """
GRANT SELECT, INSERT, DELETE
    ON TABLE license_order TO landscape
""",
    """
GRANT SELECT, UPDATE
    ON TABLE license_order_id_seq TO landscape
""",
    """
CREATE INDEX license_order_payment_id_idx ON license_order (payment_id)
""",
]


def apply(store):
    print(__doc__)
    for statement in STATEMENTS:
        store.execute(statement)
