# Copyright 2005-2013 Canonical Limited.  All rights reserved.

"""Add a separate field to store charm name, rename 'charm' to 'charm_uri'."""
from __future__ import print_function

statements = [
    """
ALTER TABLE juju_service
    RENAME COLUMN charm TO charm_uri
""",
    """
ALTER TABLE juju_service
    ADD COLUMN charm_name TEXT
""",
    """
UPDATE juju_service
    SET charm_name = substring(charm_uri, '.*/(.*)-[0-9]+')
""",
]


def apply(store):
    print(__doc__)
    for statement in statements:
        store.execute(statement)
