# Copyright 2005-2013 Canonical Limited.  All rights reserved.

"""
Create openstack_maintenance_batch and openstack_maintenance_batch_item.
"""
from __future__ import print_function

STATEMENTS = [
    """
CREATE TABLE openstack_maintenance_batch (
    id SERIAL NOT NULL PRIMARY KEY,
    parent_activity_id INTEGER REFERENCES activity,
    service TEXT NOT NULL,
    status INTEGER
)
""",
    """
CREATE INDEX openstack_maintenance_batch_parent_activity_id_idx
    ON openstack_maintenance_batch (parent_activity_id)
""",
    """
GRANT SELECT, INSERT, UPDATE, DELETE
    ON TABLE openstack_maintenance_batch TO landscape, landscape_maintenance
""",
    """
GRANT SELECT, UPDATE
    ON TABLE openstack_maintenance_batch_id_seq
    TO landscape, landscape_maintenance
""",
    """
CREATE TABLE openstack_maintenance_batch_item (
    activity_id INTEGER NOT NULL PRIMARY KEY REFERENCES activity,
    batch_id INTEGER REFERENCES openstack_maintenance_batch,
    next_activity_id INTEGER REFERENCES activity,
    status INTEGER,
    starter BOOLEAN NOT NULL
)
""",
    """
CREATE INDEX openstack_maintenance_batch_item_batch_id_idx
    ON openstack_maintenance_batch_item (batch_id)
""",
    """
GRANT SELECT, INSERT, UPDATE, DELETE
    ON TABLE openstack_maintenance_batch_item
    TO landscape, landscape_maintenance
""",
]


def apply(store):
    print(__doc__)
    for statement in STATEMENTS:
        store.execute(statement)
