# Copyright 2005-2013 Canonical Limited.  All rights reserved.

"""Add support for the HAClusterChangeRequest activity/message."""
from __future__ import print_function

statements = [
    """
CREATE TABLE ha_cluster_change_request (
    activity_id INTEGER PRIMARY KEY REFERENCES activity ON DELETE CASCADE,
    service_name TEXT NOT NULL,
    unit_name TEXT NOT NULL,
    service_state TEXT NOT NULL)
""",
    """
GRANT SELECT, INSERT, UPDATE, DELETE
    ON TABLE ha_cluster_change_request TO landscape, landscape_maintenance
""",
]


def apply(store):
    print(__doc__)
    for statement in statements:
        store.execute(statement)
