# Copyright 2005-2013 Canonical Limited.  All rights reserved.

"""
Add openstack_endpoints.juju_environment_id
"""
from __future__ import print_function

STATEMENTS = [
    """
ALTER TABLE openstack_endpoints ADD COLUMN juju_environment_id INTEGER
    REFERENCES juju_environment ON DELETE CASCADE
""",
    """
CREATE INDEX openstack_endpoints_juju_environment_id_idx
    ON openstack_endpoints (juju_environment_id)
""",
]


def apply(store):
    print(__doc__)
    for statement in STATEMENTS:
        store.execute(statement)
