# Copyright 2005-2013 Canonical Limited.  All rights reserved.

"""Create LDS cron script alert for standalone account."""
from __future__ import print_function


from canonical.landscape.model.account.alerts import StandaloneScriptAlert
from canonical.landscape.model.main.account import (
    get_account_by_name,
    DEFAULT_STANDALONE_ACCOUNT_NAME,
)
from canonical.landscape.application import is_standalone


def apply(store):
    print(__doc__)
    if is_standalone():
        account = get_account_by_name(DEFAULT_STANDALONE_ACCOUNT_NAME)
        account.create_rule(StandaloneScriptAlert)
