# Copyright 2005-2013 Canonical Limited.  All rights reserved.

"""
Add a separate writable title field and store the unique generated slug as
profile.name.
"""
from __future__ import print_function


def apply(store):
    print(__doc__)

    store.execute("ALTER TABLE upgrade_profile ADD COLUMN title TEXT")
    result = store.execute("SELECT id, name FROM upgrade_profile")
    for profile_id, name in result.get_all():
        store.execute(
            "UPDATE upgrade_profile SET title = %s " "WHERE id = %s", (name, profile_id)
        )
    store.execute("ALTER TABLE upgrade_profile ALTER COLUMN title SET NOT NULL")
    store.execute(
        "ALTER TABLE upgrade_profile_changed_notice " "ADD COLUMN former_title TEXT"
    )
    store.execute(
        "ALTER TABLE upgrade_profile_changed_notice " "ADD COLUMN profile_title TEXT"
    )
