# Copyright 2005-2013 Canonical Limited.  All rights reserved.

"""
Create removal_profile table.
"""
from __future__ import print_function

statements = [
    """
CREATE TABLE removal_profile (
    id SERIAL NOT NULL PRIMARY KEY,
    account_id INTEGER NOT NULL REFERENCES account_twin ON DELETE CASCADE,
    computer_group_id INTEGER NOT NULL REFERENCES computer_group
        ON DELETE CASCADE,
    name TEXT NOT NULL,
    title TEXT NOT NULL,
    days_without_exchange INTEGER NOT NULL,
    UNIQUE (account_id, name))
""",
    """
GRANT SELECT, INSERT, UPDATE, DELETE
    ON TABLE removal_profile TO landscape, landscape_maintenance
""",
    """
GRANT SELECT, UPDATE
    ON TABLE removal_profile_id_seq TO landscape, landscape_maintenance
""",
]


def apply(store):
    print(__doc__)
    for statement in statements:
        store.execute(statement)
