# Copyright 2005-2013 Canonical Limited.  All rights reserved.

"""
Create the removal_profile_created_notice table.
"""
from __future__ import print_function

STATEMENTS = [
    """
CREATE TABLE removal_profile_created_notice (
    activity_id INTEGER PRIMARY KEY REFERENCES activity ON DELETE CASCADE,
    title TEXT,
    days_without_exchange INTEGER,
    access_context TEXT)
""",
    """
GRANT SELECT, INSERT, UPDATE, DELETE
    ON TABLE removal_profile_created_notice TO landscape, landscape_maintenance
""",
]


def apply(store):
    print(__doc__)
    for statement in STATEMENTS:
        store.execute(statement)
