# Copyright 2005-2013 Canonical Limited.  All rights reserved.

"""Create alert-related tables."""
from __future__ import print_function


statements = [
    """
CREATE TABLE rule (
    id SERIAL PRIMARY KEY,
    account_id INTEGER NOT NULL REFERENCES account_twin ON DELETE CASCADE,
    info_type INTEGER NOT NULL)
""",
    """
GRANT SELECT, INSERT, UPDATE, DELETE
    ON TABLE rule TO landscape, landscape_maintenance
""",
    """
GRANT SELECT, UPDATE
    ON TABLE rule_id_seq TO landscape, landscape_maintenance
""",
    """
CREATE TABLE rule_subscription (
    rule_id INTEGER NOT NULL REFERENCES rule ON DELETE CASCADE,
    person_id INTEGER NOT NULL,
    PRIMARY KEY (rule_id, person_id))
""",
    """
GRANT SELECT, INSERT, UPDATE, DELETE
    ON TABLE rule_subscription TO landscape, landscape_maintenance
""",
    """
CREATE TABLE computer_rule_state (
    id SERIAL PRIMARY KEY,
    computer_id INTEGER NOT NULL REFERENCES computer_twin ON DELETE CASCADE,
    rule_id INTEGER NOT NULL REFERENCES rule ON DELETE CASCADE,
    active BOOL,
    dismissed BOOL)
""",
    """
GRANT SELECT, INSERT, UPDATE, DELETE
    ON TABLE computer_rule_state TO landscape, landscape_maintenance
""",
    """
GRANT SELECT, UPDATE, DELETE
    ON TABLE computer_rule_state_id_seq TO landscape, landscape_maintenance
""",
    """
CREATE TABLE sample_rule (
    rule_id INTEGER PRIMARY KEY REFERENCES rule ON DELETE CASCADE,
    data TEXT)
""",
    """
GRANT SELECT, INSERT, UPDATE, DELETE
    ON TABLE sample_rule TO landscape, landscape_maintenance
""",
]


def apply(store):
    print(__doc__)
    for statement in statements:
        store.execute(statement)
