# Copyright 2005-2013 Canonical Limited.  All rights reserved.

"""
Remove article_attachment table and store directly the link into attachment.
"""
from __future__ import print_function

statements = [
    """
DROP TABLE article_attachment
""",
    """
ALTER TABLE attachment ADD article_id INTEGER NOT NULL REFERENCES article
""",
    """
CREATE INDEX attachment_article_id_idx ON attachment (article_id)
""",
]


def apply(store):
    print(__doc__)
    for statement in statements:
        store.execute(statement)
