# Copyright 2005-2013 Canonical Limited.  All rights reserved.

"""
Support for USNs in the package database.
"""
from __future__ import print_function


def apply(store):
    print(__doc__)
    for statement in STATEMENTS:
        store.execute(statement)


STATEMENTS = [
    """
CREATE TABLE usn (
    id INTEGER NOT NULL PRIMARY KEY,
    summary TEXT NOT NULL)
""",
    """
GRANT SELECT
    ON TABLE usn TO landscape
""",
    """
GRANT SELECT, INSERT, UPDATE
    ON TABLE usn TO landscape_maintenance
""",
    """
ALTER TABLE package ADD COLUMN usn_id INTEGER REFERENCES usn (id);
""",
    """
GRANT SELECT, INSERT, UPDATE
    ON TABLE package TO landscape_maintenance
""",
    """
GRANT SELECT, UPDATE
    ON TABLE package_id_seq TO landscape_maintenance
""",
    """
CREATE INDEX package_name_version_idx ON package (name, version)
""",
    """
GRANT SELECT, INSERT
    ON TABLE relation TO landscape_maintenance
""",
    """
GRANT SELECT, UPDATE
    ON TABLE relation_id_seq TO landscape_maintenance
""",
    """
GRANT SELECT, INSERT
    ON TABLE package_relation TO landscape_maintenance
""",
    """
GRANT SELECT, INSERT
    ON TABLE provides_relation TO landscape_maintenance
""",
    """
GRANT SELECT, INSERT
    ON TABLE name TO landscape_maintenance
""",
    """
GRANT SELECT, UPDATE
    ON TABLE name_id_seq TO landscape_maintenance
""",
    """
GRANT SELECT, INSERT
    ON TABLE relation_name TO landscape_maintenance
""",
    """
GRANT EXECUTE
    ON FUNCTION add_package_relation(INT, INT, TEXT) TO landscape_maintenance
""",
]
