# Copyright 2005-2013 Canonical Limited.  All rights reserved.

"""
Add OpenID store-related tables.
"""
from __future__ import print_function

tables = [
    """
CREATE TABLE openid_nonce (
    server_url BYTEA NOT NULL,
    timestamp INTEGER NOT NULL,
    salt BYTEA NOT NULL,
    PRIMARY KEY (server_url, timestamp, salt));
""",
    """
GRANT SELECT, INSERT, UPDATE, DELETE
    ON TABLE openid_nonce TO landscape, landscape_maintenance
""",
    """
CREATE TABLE openid_association
(
    server_url BYTEA NOT NULL,
    handle BYTEA NOT NULL,
    secret BYTEA NOT NULL,
    issued INTEGER NOT NULL,
    lifetime INTEGER NOT NULL,
    association_type BYTEA NOT NULL,
    PRIMARY KEY (server_url, handle));
""",
    """
GRANT SELECT, INSERT, UPDATE, DELETE
    ON TABLE openid_association TO landscape, landscape_maintenance
""",
]


def apply(store):
    print(__doc__)
    for table in tables:
        store.execute(table)
