# Copyright 2005-2013 Canonical Limited.  All rights reserved.

"""MAIN DATABASE: landscape_maintenance permissions."""
from __future__ import print_function


def apply(store):
    print("\nGranting permissions to 'landscape_maintenance' in main schema.")
    for statement in GRANTS:
        store.execute(statement)


GRANTS = [
    """
GRANT SELECT, UPDATE
      ON TABLE access_context_id_seq TO landscape_maintenance
""",
    """
GRANT SELECT, INSERT, DELETE, UPDATE
      ON TABLE access_context TO landscape_maintenance
""",
    """
GRANT SELECT, INSERT, DELETE
    ON TABLE person TO landscape_maintenance
""",
    """
GRANT SELECT, UPDATE
    ON TABLE person_id_seq TO landscape_maintenance
""",
    """
GRANT SELECT, INSERT, DELETE
    ON TABLE person_access TO landscape_maintenance
""",
    """
GRANT SELECT, INSERT, DELETE
    ON TABLE account TO landscape_maintenance
""",
    """
GRANT SELECT, UPDATE
    ON TABLE account_id_seq TO landscape_maintenance
""",
    """
GRANT INSERT, DELETE
    ON TABLE person_account TO landscape_maintenance
""",
    """
GRANT SELECT, INSERT, UPDATE, DELETE
    ON TABLE license TO landscape_maintenance
""",
    """
 GRANT SELECT, UPDATE
    ON TABLE license_id_seq TO landscape_maintenance
""",
    """
GRANT SELECT, INSERT, DELETE
    ON TABLE computer_license TO landscape_maintenance
""",
    """
GRANT SELECT, INSERT, UPDATE, DELETE
    ON TABLE computer TO landscape, landscape_maintenance
""",
    """
GRANT SELECT, UPDATE
    ON TABLE computer_id_seq TO landscape_maintenance
""",
]
