# Copyright 2005-2013 Canonical Limited.  All rights reserved.

"""
Create removal_profile_removed_notice table.
"""
from __future__ import print_function

STATEMENTS = [
    """
CREATE TABLE removal_profile_removed_notice (
    activity_id INTEGER PRIMARY KEY REFERENCES activity ON DELETE CASCADE,
    profile_title TEXT NOT NULL)
""",
    """
GRANT SELECT, INSERT, UPDATE, DELETE
    ON TABLE removal_profile_removed_notice TO landscape, landscape_maintenance
""",
]


def apply(store):
    print(__doc__)
    for statement in STATEMENTS:
        store.execute(statement)
