"""
Create the removal_profile_changed_notice table.
"""
from __future__ import print_function

STATEMENTS = [
    """
CREATE TABLE removal_profile_changed_notice (
    activity_id INTEGER PRIMARY KEY REFERENCES activity ON DELETE CASCADE,
    profile_title TEXT,
    former_title TEXT,
    days_without_exchange INTEGER,
    former_days_without_exchange INTEGER,
    former_name TEXT,
    tags_added TEXT[],
    tags_removed TEXT[])
""",
    """
GRANT SELECT, INSERT, UPDATE, DELETE
    ON TABLE removal_profile_changed_notice
    TO landscape, landscape_maintenance
""",
]


def apply(store):
    print(__doc__)
    for statement in STATEMENTS:
        store.execute(statement)
