# Copyright 2005-2013 Canonical Limited.  All rights reserved.

"""
Align removal_profile_created_notice and removal_profile_changed_notice and
removal_profile_removed_notice with other profile audits.
"""
from __future__ import print_function


def apply(store):
    print(__doc__)

    store.execute(
        "ALTER TABLE removal_profile_changed_notice " "ADD COLUMN profile_name TEXT"
    )
    store.execute(
        "ALTER TABLE removal_profile_changed_notice "
        "ADD COLUMN former_description TEXT"
    )
    store.execute(
        "ALTER TABLE removal_profile_changed_notice "
        "ADD COLUMN associate_all_computers BOOL NOT NULL DEFAULT false"
    )
    store.execute(
        "ALTER TABLE removal_profile_changed_notice "
        "ADD COLUMN disassociate_all_computers BOOL NOT NULL DEFAULT false"
    )
    # Move profile_title -> profile_name
    store.execute(
        "ALTER TABLE removal_profile_removed_notice " "ADD COLUMN profile_name TEXT"
    )
    result = store.execute(
        "SELECT activity_id, profile_title FROM " "removal_profile_removed_notice"
    )
    for activity_id, title in result.get_all():
        store.execute(
            "UPDATE removal_profile_removed_notice SET profile_name = %s "
            "WHERE activity_id = %s",
            (title, activity_id),
        )
    store.execute(
        "ALTER TABLE removal_profile_removed_notice " "DROP COLUMN profile_title"
    )
    # Move title -> profile_name
    store.execute(
        "ALTER TABLE removal_profile_created_notice " "ADD COLUMN profile_name TEXT"
    )
    result = store.execute(
        "SELECT activity_id, title FROM removal_profile_created_notice"
    )
    for activity_id, title in result.get_all():
        store.execute(
            "UPDATE removal_profile_created_notice SET profile_name = %s "
            "WHERE activity_id = %s",
            (title, activity_id),
        )
    store.execute("ALTER TABLE removal_profile_created_notice " "DROP COLUMN title")
