"""
Add title column to the repository_profile and copy existing names to it.
"""
from __future__ import print_function

STATEMENTS = [
    """
ALTER TABLE repository_profile
    ADD COLUMN title TEXT NOT NULL DEFAULT ''
""",
    """
UPDATE repository_profile SET title = name
""",
    """
ALTER TABLE repository_profile
    ALTER COLUMN title DROP DEFAULT
""",
]


def apply(store):
    print(__doc__)
    for statement in STATEMENTS:
        store.execute(statement)
