# Copyright 2005-2013 Canonical Limited.  All rights reserved.

"""Change column type for package size and installed size to bigint.
WARNING: This could take several minutes."""
from __future__ import print_function


STATEMENTS = [
    """
        ALTER TABLE retired_package
            ALTER COLUMN size TYPE BIGINT,
            ALTER COLUMN installed_size TYPE BIGINT;
        """,
    """
        ALTER TABLE package
            ALTER COLUMN size TYPE BIGINT,
            ALTER COLUMN installed_size TYPE BIGINT;
        """,
]


def apply(store):
    print(__doc__)

    for statement in STATEMENTS:
        store.execute(statement)
