"""
Create the metadata_created_notice table.
"""
from __future__ import print_function

STATEMENTS = [
    """
CREATE TABLE metadata_created_notice (
    activity_id INTEGER PRIMARY KEY REFERENCES activity ON DELETE CASCADE,
    computer_title TEXT NOT NULL,
    keys TEXT[] NOT NULL)
""",
    """
GRANT SELECT, INSERT, UPDATE, DELETE
    ON TABLE metadata_created_notice
    TO landscape, landscape_maintenance
""",
]


def apply(store):
    print(__doc__)
    for statement in STATEMENTS:
        store.execute(statement)
