# Copyright 2005-2013 Canonical Limited.  All rights reserved.

"""Add access_context_id to juju_environment table"""
from __future__ import print_function

from canonical.landscape.model.main.store import get_main_store


def apply(store):
    print(__doc__)
    store.execute(
        "ALTER TABLE juju_environment ADD COLUMN " "access_context_id INTEGER"
    )
    main_store = get_main_store()
    result = main_store.execute("SELECT id, access_context_id FROM account")
    account_to_access_context = dict(result.get_all())
    result = store.execute("SELECT id, account_id FROM juju_environment")
    for juju_environment, account in result.get_all():
        store.execute(
            "UPDATE juju_environment SET access_context_id = ? " "WHERE id = ?",
            (account_to_access_context[account], juju_environment),
        )
    store.execute(
        "ALTER TABLE juju_environment ALTER COLUMN access_context_id" " SET NOT NULL"
    )
