# Copyright 2005-2013 Canonical Limited.  All rights reserved.

"""Patches to store the user's primary_groupname id"""
from __future__ import print_function


def apply(store):
    print("""Adding primary_gid to 'computer_user' table""")
    store.execute(
        """ALTER TABLE computer_user
                     ADD COLUMN primary_gid INTEGER"""
    )
    print(
        """Adding primary_groupname and primary_gid to
             'add_user_opinfo' table"""
    )
    store.execute(
        """ALTER TABLE add_user_opinfo
                     ADD COLUMN primary_groupname TEXT"""
    )
    store.execute(
        """ALTER TABLE add_user_opinfo
                     ADD COLUMN primary_gid INTEGER"""
    )
    print(
        """Adding primary_groupname and primary_gid to
             'edit_user_opinfo' table"""
    )
    store.execute(
        """ALTER TABLE edit_user_opinfo
                     ADD COLUMN primary_groupname TEXT"""
    )
    store.execute(
        """ALTER TABLE edit_user_opinfo
                     ADD COLUMN primary_gid INTEGER"""
    )
    print(
        """Adding permissions to the maintenance user to remove
             operations."""
    )
    store.execute(
        """GRANT SELECT, INSERT, UPDATE, DELETE ON TABLE operation TO
    landscape_maintenance"""
    )
