"""
Create basic Cloud and Region tables in the account.
"""
from __future__ import print_function

STATEMENTS = [
    """
CREATE TABLE cloud (
    id SERIAL PRIMARY KEY,
    name TEXT NOT NULL,
    account_id INTEGER NOT NULL REFERENCES account_twin ON DELETE CASCADE,
    creation_time TIMESTAMP NOT NULL DEFAULT now(),
    UNIQUE(account_id, name))
""",
    """
GRANT SELECT, INSERT, UPDATE, DELETE
    ON TABLE cloud TO landscape, landscape_maintenance
""",
    """
GRANT SELECT, UPDATE
    ON TABLE cloud_id_seq TO landscape, landscape_maintenance
""",
    """
CREATE TABLE region (
    id SERIAL PRIMARY KEY,
    name TEXT NOT NULL,
    cloud_id INTEGER NOT NULL REFERENCES cloud ON DELETE CASCADE,
    creation_time TIMESTAMP NOT NULL DEFAULT now(),
    UNIQUE (cloud_id, name))
""",
    """
GRANT SELECT, INSERT, UPDATE, DELETE
    ON TABLE region TO landscape, landscape_maintenance
""",
    """
GRANT SELECT, UPDATE
    ON TABLE region_id_seq TO landscape, landscape_maintenance
""",
]


def apply(store):
    print(__doc__)
    for statement in STATEMENTS:
        store.execute(statement)
