"""
Add deliver_after_window column to upgrade_profile_created_notice and
upgrade_profile_changed_notice tables.
"""
from __future__ import print_function


STATEMENTS = [
    """
ALTER TABLE upgrade_profile_created_notice
    ADD COLUMN deliver_after_window INTEGER DEFAULT 0
""",
    """
ALTER TABLE upgrade_profile_changed_notice
    ADD COLUMN former_deliver_after_window INTEGER DEFAULT 0
""",
    """
ALTER TABLE upgrade_profile_changed_notice
    ADD COLUMN deliver_after_window INTEGER DEFAULT 0
""",
]


def apply(store):
    print(__doc__)
    for statement in STATEMENTS:
        store.execute(statement)
