# Copyright 2005-2013 Canonical Limited.  All rights reserved.

"""
Create a deploy_openstack_region_request table to track deployment status of
Openstack regions.
"""
from __future__ import print_function


STATEMENTS = [
    """
CREATE TABLE deploy_openstack_region_request (
    activity_id INTEGER PRIMARY KEY REFERENCES activity ON DELETE CASCADE,
    region_id INTEGER NOT NULL REFERENCES region ON DELETE CASCADE,
    progress INTEGER NOT NULL DEFAULT 0)
""",
    """
GRANT SELECT, INSERT, UPDATE, DELETE
    ON TABLE deploy_openstack_region_request TO landscape
""",
]


def apply(store):
    print(__doc__)
    for statement in STATEMENTS:
        store.execute(statement)
