# Copyright 2005-2013 Canonical Limited.  All rights reserved.

"""Drop package retirement table.
WARNING: This could take several minutes."""
from __future__ import print_function


STATEMENTS = [
    """
    INSERT INTO package (id, hash, type, name, version, section, summary,
                         description, size, installed_size, usn_id)
    SELECT id, hash, type, name, version, section, summary, description,
           size, installed_size, usn_id FROM retired_package
    """,
    """
    DROP TABLE retired_package
    """,
]


def apply(store):
    print(__doc__)

    for statement in STATEMENTS:
        store.execute(statement)
