# Copyright 2005-2013 Canonical Limited.  All rights reserved.

"""
Patch to fix bug https://bugs.launchpad.net/bugs/154481.

This was updating an OpInfo record after it had been flushed, which was causing
a permission error.
"""
from __future__ import print_function


def apply(store):
    print("Granting permissions to 'landscape' on {add,edit}_user_opinfo")
    for statement in STATEMENTS:
        store.execute(statement)


STATEMENTS = [
    """
GRANT SELECT, INSERT, UPDATE
    ON TABLE add_user_opinfo TO landscape
""",
    """
GRANT SELECT, INSERT, UPDATE
    ON TABLE edit_user_opinfo TO landscape
""",
]
