# Copyright 2005-2013 Canonical Limited.  All rights reserved.

"""
- Drop the deploy_openstack_region_request table
- Create an openstack_region_request table to track Openstack region
  operations.
- Add a "progress" column on the activity table.
"""
from __future__ import print_function


STATEMENTS = [
    """
DROP TABLE deploy_openstack_region_request
""",
    """
CREATE TABLE openstack_region_request (
    activity_id INTEGER PRIMARY KEY REFERENCES activity ON DELETE CASCADE,
    region_id INTEGER NOT NULL REFERENCES region ON DELETE CASCADE)
""",
    """
GRANT SELECT, INSERT, UPDATE, DELETE
    ON TABLE openstack_region_request TO landscape
""",
    """
ALTER TABLE activity ADD COLUMN progress INTEGER DEFAULT 0
""",
]


def apply(store):
    print(__doc__)
    for statement in STATEMENTS:
        store.execute(statement)
