# Copyright 2005-2014 Canonical Limited.  All rights reserved.

"""
Add a deploy_juju_service_request and add_juju_relation_request
tables to track deployment and relation of Juju services.
"""
from __future__ import print_function


STATEMENTS = [
    """
CREATE TABLE deploy_juju_service_request (
    activity_id INTEGER PRIMARY KEY REFERENCES activity ON DELETE CASCADE,
    service_name TEXT NOT NULL,
    charm_url TEXT NOT NULL,
    config TEXT NOT NULL DEFAULT '{}',
    num_units INTEGER NOT NULL)
""",
    """
GRANT SELECT, INSERT, UPDATE, DELETE
    ON TABLE deploy_juju_service_request TO landscape
""",
    """
CREATE TABLE add_juju_relation_request (
    activity_id INTEGER PRIMARY KEY REFERENCES activity ON DELETE CASCADE,
    endpoint1 TEXT NOT NULL,
    endpoint2 TEXT NOT NULL)
""",
    """
GRANT SELECT, INSERT, UPDATE, DELETE
    ON TABLE add_juju_relation_request TO landscape
""",
]


def apply(store):
    print(__doc__)
    for statement in STATEMENTS:
        store.execute(statement)
