# Copyright 2005-2013 Canonical Limited.  All rights reserved.

"""
Add juju_bootstrap_request table.
"""
from __future__ import print_function

STATEMENTS = [
    """
CREATE TABLE juju_bootstrap_request (
    provisioning_server_id INTEGER NOT NULL REFERENCES provisioning_server
       ON DELETE CASCADE,
    activity_id INTEGER PRIMARY KEY REFERENCES activity ON DELETE CASCADE)
""",
    """
GRANT SELECT, INSERT, UPDATE, DELETE
    ON TABLE juju_bootstrap_request TO landscape
""",
]


def apply(store):
    print(__doc__)
    for statement in STATEMENTS:
        store.execute(statement)
