# Copyright 2005-2013 Canonical Limited.  All rights reserved.

"""
Correct any invalid upgrade_profile.deliver_after_windows greater than or equal
to upgrade_profile.run_window_length
"""
from __future__ import print_function


def apply(store):
    print(__doc__)
    result = store.execute(
        "UPDATE upgrade_profile "
        "SET deliver_after_window = run_window_length * 60 - 1 "
        "WHERE run_window_length * 60 <= deliver_after_window "
        "RETURNING id, deliver_after_window"
    )
    for profile_id, new_deliver_after in result.get_all():
        print(
            "Fixed profile %s, set deliver_after_window to %s"
            % (profile_id, new_deliver_after)
        )
