# Copyright 2005-2013 Canonical Limited.  All rights reserved.

"""Add custom_graph_tag to allow us to associate tags with custom graphs."""
from __future__ import print_function

changes = [
    """
CREATE TABLE custom_graph_tag (
    tag_id INTEGER NOT NULL,
    custom_graph_id INTEGER NOT NULL REFERENCES custom_graph ON DELETE CASCADE,
    PRIMARY KEY (tag_id, custom_graph_id))

""",
    """
GRANT SELECT, INSERT, DELETE
    ON TABLE custom_graph_tag TO landscape, landscape_maintenance
""",
]


def apply(store):
    print(__doc__)

    for statement in changes:
        store.execute(statement)
