# Copyright 2005-2014 Canonical Limited.  All rights reserved.

"""
Add activity_ordering table.
"""
from __future__ import print_function

STATEMENTS = [
    """
CREATE TABLE activity_ordering (
    activity_id INTEGER REFERENCES activity ON DELETE CASCADE,
    preceeding_activity_id INTEGER REFERENCES activity ON DELETE CASCADE,
    PRIMARY KEY (activity_id, preceeding_activity_id))
""",
    """
GRANT SELECT, INSERT, UPDATE, DELETE ON TABLE activity_ordering TO landscape
""",
]


def apply(store):
    print(__doc__)
    for statement in STATEMENTS:
        store.execute(statement)
