# Copyright 2005-2013 Canonical Limited.  All rights reserved.

"""
Add a maas_target_machine table.
"""
from __future__ import print_function


STATEMENTS = [
    """
CREATE TABLE maas_target_machine (
    id SERIAL NOT NULL PRIMARY KEY,
    maas_name TEXT NOT NULL,
    juju_machine_id INTEGER)
""",
    """
GRANT SELECT, INSERT, DELETE, UPDATE
    ON TABLE maas_target_machine TO landscape
""",
    """
GRANT SELECT, UPDATE
    ON TABLE maas_target_machine_id_seq TO landscape
""",
]


def apply(store):
    print(__doc__)
    for statement in STATEMENTS:
        store.execute(statement)
