# Copyright 2005-2013 Canonical Limited.  All rights reserved.

"""
Add a maas_target_id column to deploy_juju_service.
"""
from __future__ import print_function


STATEMENTS = [
    """
ALTER TABLE deploy_juju_service_request DROP COLUMN num_units
""",
    """
ALTER TABLE deploy_juju_service_request
    ADD COLUMN maas_target_id INTEGER
        REFERENCES maas_target_machine ON DELETE CASCADE;
""",
    """
ALTER TABLE deploy_juju_service_request
    ADD COLUMN lxc BOOLEAN NOT NULL DEFAULT FALSE
""",
]


def apply(store):
    print(__doc__)
    for statement in STATEMENTS:
        store.execute(statement)
