# Copyright 2005-2014 Canonical Limited.  All rights reserved.

"""
Add a add_juju_unit_request table.
"""
from __future__ import print_function


STATEMENTS = [
    """
CREATE TABLE add_juju_unit_request (
    activity_id INTEGER PRIMARY KEY REFERENCES activity ON DELETE CASCADE,
    service_name TEXT NOT NULL,
    target_machine_id INTEGER REFERENCES maas_target_machine ON DELETE CASCADE,
    lxc BOOLEAN NOT NULL)
""",
    """
GRANT SELECT, INSERT, DELETE, UPDATE
    ON TABLE add_juju_unit_request TO landscape
""",
]


def apply(store):
    print(__doc__)
    for statement in STATEMENTS:
        store.execute(statement)
