"""
Drop removed column on computer group holders and cascade on computer_group
deletion.
"""
from __future__ import print_function


TABLES = (
    "custom_graph",
    "package_profile",
    "upgrade_profile",
    "removal_profile",
    "repository_profile",
    "rule",
)

TEMPLATE = """
ALTER TABLE %s
    ALTER COLUMN computer_group_id SET NOT NULL,
    DROP CONSTRAINT %s_computer_group_id_fkey,
    ADD CONSTRAINT %s_computer_group_id_fkey
        FOREIGN KEY (computer_group_id)
            REFERENCES computer_group(id)
                ON DELETE CASCADE
"""


def apply(store):
    print(__doc__)
    for table in TABLES:
        store.execute("DELETE FROM %s WHERE removed" % table)
        store.execute("ALTER TABLE %s DROP COLUMN removed" % table)
        if table != "rule":
            store.execute(TEMPLATE % (table, table, table))
