# Copyright 2005-2013 Canonical Limited.  All rights reserved.

"""
Add a new account_invitation.salesforce_key column.
Add a new salesforce_user table.
Grant SELECT, INSERT and DELETE permissions on salesforce_user to the
landscape user.
Grant SELECT, UPDATE permissions on salesforce_user_id_seq to the
landscape user.
"""
from __future__ import print_function


def apply(store):
    print(__doc__)
    store.execute("ALTER TABLE account_invitation" "    ADD COLUMN salesforce_key TEXT")

    store.execute(
        "CREATE TABLE salesforce_user ("
        "    id SERIAL NOT NULL PRIMARY KEY,"
        "    account_id INTEGER NOT NULL"
        "        REFERENCES account ON DELETE CASCADE,"
        "    person_id INTEGER NOT NULL"
        "        REFERENCES person ON DELETE CASCADE,"
        "    salesforce_key TEXT)"
    )
    store.execute(
        "GRANT SELECT, INSERT, DELETE" "    ON TABLE salesforce_user TO landscape"
    )
    store.execute(
        "GRANT SELECT, UPDATE" "    ON TABLE salesforce_user_id_seq TO landscape"
    )
