# Copyright 2005-2013 Canonical Limited.  All rights reserved.

"""Add SET NULL cascade constraint on package.usn_id."""
from __future__ import print_function

STATEMENTS = [
    """
GRANT DELETE ON TABLE usn TO landscape_maintenance
""",
    """
ALTER TABLE package
    DROP CONSTRAINT package_usn_id_fkey,
    ADD CONSTRAINT package_usn_id_fkey
        FOREIGN KEY (usn_id) REFERENCES usn(id) ON DELETE SET NULL
""",
]


def apply(store):
    print(__doc__)

    for statement in STATEMENTS:
        store.execute(statement)
