# Copyright 2005-2013 Canonical Limited.  All rights reserved.

"""
Adding permissions for the landscape_maintenance user, in order to allow
deleting of account data.
"""
from __future__ import print_function

grants = [
    """
GRANT SELECT, INSERT, DELETE
   ON TABLE computer_user TO landscape_maintenance
""",
    """
GRANT SELECT, UPDATE
   ON TABLE computer_user_id_seq TO landscape_maintenance
""",
    """
GRANT SELECT, INSERT, UPDATE, DELETE
    ON TABLE computer_group TO landscape, landscape_maintenance
""",
    """
GRANT SELECT, UPDATE
   ON TABLE computer_group_id_seq TO landscape_maintenance
""",
    """
GRANT SELECT, INSERT, DELETE
   ON TABLE computer_user_group TO landscape_maintenance
""",
]


def apply(store):
    print(__doc__)
    for grant in grants:
        store.execute(grant)
