# Copyright 2005-2014 Canonical Limited.  All rights reserved.

"""
Add a minimum_progress column to activity_ordering.
"""
from __future__ import print_function


STATEMENTS = [
    """
ALTER TABLE activity_ordering ADD COLUMN minimum_progress INT DEFAULT 100
""",
    """
UPDATE activity_ordering SET minimum_progress = 100
""",
    """
ALTER TABLE activity_ordering ALTER COLUMN minimum_progress SET NOT NULL
""",
]


def apply(store):
    print(__doc__)
    for statement in STATEMENTS:
        store.execute(statement)
