# Copyright 2005-2014 Canonical Limited.  All rights reserved.

"""
Add region deploy configuration columns.
"""
from __future__ import print_function


STATEMENTS = [
    """
ALTER TABLE region
    ADD COLUMN hypervisor TEXT NOT NULL DEFAULT 'kvm'
""",
    """
ALTER TABLE region
    ALTER COLUMN hypervisor DROP DEFAULT
""",
    """
ALTER TABLE region
    ADD COLUMN network TEXT NOT NULL DEFAULT 'openvswitch'
""",
    """
ALTER TABLE region
    ALTER COLUMN network DROP DEFAULT
""",
    """
ALTER TABLE region
    ADD COLUMN object_storage TEXT NOT NULL DEFAULT 'swift-object'
""",
    """
ALTER TABLE region
    ALTER COLUMN object_storage DROP DEFAULT
""",
    """
ALTER TABLE region
    ADD COLUMN block_storage TEXT NOT NULL DEFAULT 'ceph-block'
""",
    """
ALTER TABLE region
    ALTER COLUMN block_storage DROP DEFAULT
""",
    """
ALTER TABLE region
    ADD COLUMN network_options TEXT NOT NULL DEFAULT '{}'
""",
]


def apply(store):
    print(__doc__)
    for statement in STATEMENTS:
        store.execute(statement)
