# Copyright 2005-2014 Canonical Limited.  All rights reserved.

"""
Add a result_code column to the activity table and re-order the status values.
WARNING: This could take several minutes.
"""
from __future__ import print_function

STATEMENTS = [
    """
ALTER TABLE activity ADD COLUMN result_code INTEGER
""",
    """
ALTER TABLE activity ADD CONSTRAINT percentage_progress
    CHECK (progress >= 0 AND progress <= 100)
""",
]


# List of status values conversions (old, new)
CONVERSIONS = [
    (1, 1001),
    (4, 1004),
    (5, 1005),
    (6, 1006),
    (3, 1),
    (8, 3),
    (7, 4),
    (9, 5),
]

TABLES = ["computer_request_data", "activity_group"]


def apply(store):
    print(__doc__)
    for statement in STATEMENTS:
        store.execute(statement)

    for table in TABLES:
        for old, new in CONVERSIONS:
            store.execute(
                "UPDATE %s SET status = ? WHERE status = ?" % (table), (new, old)
            )
