# Copyright 2005-2014 Canonical Limited.  All rights reserved.

"""
Add create_region_networks_request table.
"""
from __future__ import print_function


STATEMENTS = [
    """
CREATE TABLE create_region_networks_request (
    activity_id INTEGER PRIMARY KEY REFERENCES activity ON DELETE CASCADE,
    region_id INTEGER NOT NULL REFERENCES region(id) ON DELETE CASCADE)
""",
    """
GRANT SELECT, INSERT, DELETE, UPDATE
    ON TABLE create_region_networks_request TO landscape
""",
]


def apply(store):
    print(__doc__)
    for statement in STATEMENTS:
        store.execute(statement)
