# Copyright 2005-2014 Canonical Limited.  All rights reserved.

"""
Only allow a single registered MAAS server
"""
from __future__ import print_function


def apply(store):
    print(__doc__)

    result = store.execute(
        "SELECT account_id, id FROM provisioning_server " "ORDER BY account_id, id"
    )
    server_count = last_account_id = 0
    for account_id, provisioning_server_id in result.get_all():
        if account_id != last_account_id:
            server_count = 0
            last_account_id = account_id
        server_count += 1
        if server_count > 1:
            store.execute(
                "DELETE FROM provisioning_server WHERE id = %d" % provisioning_server_id
            )
