# Copyright 2005-2013 Canonical Limited.  All rights reserved.

"""
Convert rule_state.active boolean column to timestamp activation_time and add
notification_time timestamp column.
"""
from __future__ import print_function


def apply(store):
    print(__doc__)
    store.execute("ALTER TABLE rule_state" "    ADD COLUMN activation_time TIMESTAMP")
    store.execute("ALTER TABLE rule_state" "    ADD COLUMN notification_time TIMESTAMP")
    store.execute(
        "UPDATE rule_state"
        "    SET activation_time=NOW() AT TIME ZONE 'UTC',"
        "        notification_time=NOW() AT TIME ZONE 'UTC'"
        "    WHERE active"
    )
    store.execute("ALTER TABLE rule_state" "    DROP COLUMN active")
