# Copyright 2005-2014 Canonical Limited.  All rights reserved.

"""
Add availability_zone and availability_zone_machine tables.
"""
from __future__ import print_function

STATEMENTS = [
    """
CREATE TABLE availability_zone (
    id SERIAL NOT NULL PRIMARY KEY,
    name TEXT NOT NULL,
    region_id INTEGER NOT NULL REFERENCES region ON DELETE CASCADE)
""",
    """
GRANT SELECT, INSERT, UPDATE, DELETE
    ON TABLE availability_zone TO landscape
""",
    """
GRANT SELECT, UPDATE
    ON TABLE availability_zone_id_seq TO landscape
""",
    """
CREATE TABLE availability_zone_machine (
    availability_zone_id INTEGER NOT NULL REFERENCES availability_zone
         ON DELETE CASCADE,
    maas_name TEXT NOT NULL,
    PRIMARY KEY (availability_zone_id, maas_name))
""",
    """
GRANT SELECT, INSERT, UPDATE, DELETE
    ON TABLE availability_zone_machine TO landscape
""",
]


def apply(store):
    print(__doc__)
    for statement in STATEMENTS:
        store.execute(statement)
