# Copyright 2005-2014 Canonical Limited.  All rights reserved.

"""
Drop primary key constraint on pending_juju_units.secure_id and create a new
composite primary key instead.
"""
from __future__ import print_function


STATEMENTS = [
    """
ALTER TABLE pending_juju_unit DROP CONSTRAINT pending_juju_unit_pkey
""",
    """
ALTER TABLE pending_juju_unit ADD CONSTRAINT pending_juju_unit_pkey
    PRIMARY KEY (secure_id, name)
""",
]


def apply(store):
    print(__doc__)
    for statement in STATEMENTS:
        store.execute(statement)
