# Copyright 2005-2014 Canonical Limited.  All rights reserved.

"""
Add OpenStack credentials to the region table.
"""
from __future__ import print_function

STATEMENTS = [
    # We don't want a default for the columns, but we create them
    # with a default in order to set the value for existing region rows.
    """
ALTER TABLE region ADD COLUMN admin_username TEXT NOT NULL DEFAULT ''
""",
    """
ALTER TABLE region ADD COLUMN admin_tenant TEXT NOT NULL DEFAULT ''
""",
    """
ALTER TABLE region ADD COLUMN admin_password TEXT NOT NULL DEFAULT ''
""",
    """
ALTER TABLE region ALTER COLUMN admin_username DROP DEFAULT
""",
    """
ALTER TABLE region ALTER COLUMN admin_tenant DROP DEFAULT
""",
    """
ALTER TABLE region ALTER COLUMN admin_password DROP DEFAULT
""",
]


def apply(store):
    print(__doc__)
    for statement in STATEMENTS:
        store.execute(statement)
