# Copyright 2005-2014 Canonical Limited.  All rights reserved.
"""Add ON DELETE CASCADE for activity parents and juju operations."""
from __future__ import print_function


STATEMENTS = [
    """
ALTER TABLE activity
    DROP CONSTRAINT activity_parent_id_fkey,
    ADD CONSTRAINT activity_parent_id_fkey FOREIGN KEY (parent_id)
        REFERENCES activity(id) ON DELETE CASCADE
""",
    """
ALTER TABLE juju_operation
    DROP CONSTRAINT juju_operation_activity_id_fkey,
    ADD CONSTRAINT juju_operation_activity_id_fkey FOREIGN KEY (activity_id)
        REFERENCES activity(id) ON DELETE CASCADE
""",
]


def apply(store):
    print(__doc__)
    for statement in STATEMENTS:
        store.execute(statement)
