# Copyright 2005-2014 Canonical Limited.  All rights reserved.
"""Add juju_destroy_environment_request table."""
from __future__ import print_function


STATEMENTS = [
    """
CREATE TABLE juju_destroy_environment_request (
    environment_id INTEGER NOT NULL,
    activity_id INTEGER PRIMARY KEY REFERENCES activity ON DELETE CASCADE)
""",
    """
GRANT SELECT, INSERT, UPDATE, DELETE
    ON TABLE juju_destroy_environment_request TO landscape
""",
]


def apply(store):
    print(__doc__)
    for statement in STATEMENTS:
        store.execute(statement)
