# Copyright 2005-2013 Canonical Limited.  All rights reserved.

"""
Add consecutive_errors to computer and put an index on it
Add current_api to computer
"""
from __future__ import print_function


def apply(store):
    print(__doc__)
    # want to add a NOT NULL column, but since there's no way to
    # specify the *initial* default value (without setting a permanent
    # default value), we do some trickery.
    store.execute(
        """
        ALTER TABLE computer
            ADD COLUMN consecutive_errors INTEGER NOT NULL DEFAULT 0
        """
    )
    store.execute(
        """
        CREATE INDEX computer_consecutive_errors_idx
            ON computer (consecutive_errors)
        WHERE consecutive_errors >= 1
        """
    )
    store.execute("ALTER TABLE computer ADD COLUMN current_api BYTEA")
