# Copyright 2005-2014 Canonical Ltd. All rights reserved.

"""
Renumber Juju and OpenStack info types to be separate and contiguous.
"""
from __future__ import print_function


def apply(store):
    print(__doc__)
    new_info_types = {
        902: 950,  # DeployOpenstackRegionRequest
        903: 900,  # DeployJujuServiceRequest
        904: 901,  # AddJujuRelationRequest
        905: 902,  # JujuBootstrapRequest
        906: 903,  # AddJujuMachineRequest
        907: 904,  # AddJujuUnitRequest,
        908: 951,  # CreateGlanceImageRequest
        909: 952,  # OpenStackSetupRequest
        910: 953,  # GenerateRegionJujuMetadataRequest
        911: 954,  # CreateAvailabilityZonesRequest
        912: 905,  # JujuDestroyEnvironmentRequest
    }
    result = store.execute(
        "SELECT id, info_type FROM activity WHERE "
        "    info_type >= 902 AND info_type <= 912"
    )
    for activity_id, info_type in list(result):
        store.execute(
            "UPDATE activity SET info_type = ? WHERE id = ?",
            (new_info_types[info_type], activity_id),
        )
