# Copyright 2005-2014 Canonical Ltd. All rights reserved.

"""
Add juju machine table
"""
from __future__ import print_function


STATEMENTS = [
    """
CREATE TABLE juju_machine (
    id SERIAL NOT NULL PRIMARY KEY,
    juju_environment_id INTEGER NOT NULL REFERENCES juju_environment
        ON DELETE CASCADE,
    machine_id TEXT NOT NULL,
    instance_id TEXT,
    status TEXT NOT NULL,
    UNIQUE (juju_environment_id, machine_id))
""",
    """
GRANT SELECT, INSERT, UPDATE, DELETE
    ON TABLE juju_machine TO landscape
""",
    """
GRANT SELECT, UPDATE
    ON TABLE juju_machine_id_seq TO landscape
""",
    """
ALTER TABLE juju_unit
    ADD COLUMN juju_machine_id INTEGER
    REFERENCES juju_machine ON DELETE CASCADE;
""",
]


def apply(store):
    print(__doc__)
    for statement in STATEMENTS:
        store.execute(statement)
