# Copyright 2005-2014 Canonical Ltd. All rights reserved.

"""
Remove data and table related legacy OpenStack maintenance code.
"""
from __future__ import print_function


def apply(store):
    print(__doc__)

    # Delete activities related to the infocodes we nolonger support. Note,
    # this code was only ever used in demos, it's highly unlikely any such data
    # exists in production, but we do this for completeness.

    # Note, deletes from activity will cascade to activity_group,
    # activity_ordering and computer_request_data.
    #
    # 602 => HAClusterEnableRequest
    # 603 => HAClusterDisableRequest
    # 604 => DisableNovaComputeUnitRequest
    # 605 => EnableNovaComputeUnitRequest
    store.execute("DELETE FROM activity WHERE info_type IN (602, 603, 604, 605)")
    store.execute("DROP TABLE ha_cluster_change_request")
    store.execute("DROP TABLE openstack_maintenance_batch_item")
    store.execute("DROP TABLE openstack_maintenance_batch")
