# Copyright 2005-2014 Canonical Ltd. All rights reserved.

"""
Add historic_log table
"""
from __future__ import print_function


STATEMENTS = [
    """
CREATE TABLE historic_log (
    id SERIAL NOT NULL PRIMARY KEY,
    account_id INTEGER NOT NULL REFERENCES account_twin ON DELETE CASCADE,
    creation_time TIMESTAMP NOT NULL DEFAULT (now() AT TIME ZONE 'UTC'),
    person_id INTEGER,
    person_name TEXT NOT NULL DEFAULT 'Landscape',
    entity_type INTEGER NOT NULL,
    entity_name TEXT NOT NULL,
    entity_id INT NOT NULL,
    message TEXT NOT NULL)
""",
    """
GRANT SELECT, INSERT, UPDATE, DELETE ON TABLE historic_log TO landscape
""",
    """
GRANT SELECT, UPDATE
    ON TABLE historic_log_id_seq TO landscape
""",
]


def apply(store):
    print(__doc__)
    for statement in STATEMENTS:
        store.execute(statement)
