# Copyright 2005-2014 Canonical Ltd. All rights reserved.

"""
Migrate computer_request_data.status to activity.status and then drop that
field.
WARNING: This could take a long time.
"""
from __future__ import print_function

STATEMENTS = [
    """
UPDATE activity
  SET status = computer_request_data.status
  FROM computer_request_data
  WHERE activity.id = computer_request_data.activity_id
""",
    """
ALTER TABLE computer_request_data DROP COLUMN status
""",
]


def apply(store):
    print(__doc__)
    for statement in STATEMENTS:
        store.execute(statement)
