# Copyright 2005-2014 Canonical Ltd. All rights reserved.

"""
Drop computer_request_data.result_text, migrating content to
activity.result_text.
WARNING: This could take several minutes.
"""
from __future__ import print_function

STATEMENTS = [
    """UPDATE activity
     SET result_text = computer_request_data.result_text
     FROM computer_request_data
     WHERE activity.id = computer_request_data.activity_id
""",
    """
ALTER TABLE computer_request_data DROP COLUMN result_text
""",
]


def apply(store):
    print(__doc__)
    for statement in STATEMENTS:
        store.execute(statement)
