# Copyright 2005-2014 Canonical Ltd. All rights reserved.

"""
Drop computer_request_data.result_code, migrating content to
activity.result_code.
"""
from __future__ import print_function

STATEMENTS = [
    """UPDATE activity
     SET result_code = crd.result_code
     FROM computer_request_data AS crd
     WHERE activity.id = crd.activity_id
""",
    """
ALTER TABLE computer_request_data DROP COLUMN result_code
""",
]


def apply(store):
    print(__doc__)
    for statement in STATEMENTS:
        store.execute(statement)
