# Copyright 2005-2014 Canonical Ltd. All rights reserved.

"""
Drop sync_pocket_request.progess and .result, migrating content to
activity.progress and .result_code.
"""
from __future__ import print_function

STATEMENTS = [
    """
UPDATE activity
  SET result_text = spr.result,
      progress = spr.progress,
      result_code = 0
  FROM sync_pocket_request AS spr
  WHERE activity.id = spr.activity_id
""",
    # Update failed activities, which we previously tracked through progress = -1,
    # to use result_code instead. Since we don't have progress information, it gets
    # set to 0.
    """
UPDATE activity
  SET result_code = -1,
      progress = 0
  WHERE progress = -1
""",
    """
ALTER TABLE sync_pocket_request
  DROP COLUMN result,
  DROP COLUMN progress
""",
]


def apply(store):
    print(__doc__)
    for statement in STATEMENTS:
        store.execute(statement)
