# Copyright 2005-2014 Canonical Ltd. All rights reserved.

"""
Add computer_request_data.computer_id
"""
from __future__ import print_function

STATEMENTS = [
    """
ALTER TABLE computer_request_data
    ADD COLUMN computer_id INTEGER REFERENCES computer_twin ON DELETE CASCADE
""",
    """
CREATE INDEX computer_request_data_computer_id_idx
    ON computer_request_data (computer_id)
""",
]


def apply(store):
    print(__doc__)
    for statement in STATEMENTS:
        store.execute(statement)
