# Copyright 2005-2014 Canonical Ltd. All rights reserved.

"""
Copy activity.computer_id to computer_request_data.computer_id.
WARNING: This could take a long time.
"""
from __future__ import print_function

STATEMENTS = [
    """
UPDATE computer_request_data as crd
  SET computer_id = activity.computer_id
  FROM activity
  WHERE activity.id = crd.activity_id
""",
    """
ALTER TABLE computer_request_data ALTER computer_id SET NOT NULL
""",
]


def apply(store):
    print(__doc__)
    for statement in STATEMENTS:
        store.execute(statement)
