# Copyright 2005-2014 Canonical Ltd. All rights reserved.

"""
Create missing entries in computer_request_data for TextMessageNotice and
ResynchronizeNotice activities.
"""
from __future__ import print_function

STATEMENTS = [
    """
WITH missing AS (
  SELECT activity.id, activity.computer_id, activity.creation_time
    FROM activity
      LEFT JOIN computer_request_data
        ON activity.id = computer_request_data.activity_id
    WHERE activity.info_type IN (3, 400)
      AND activity.computer_id IS NOT NULL
      AND computer_request_data.activity_id IS NULL
)
INSERT INTO computer_request_data (activity_id, computer_id, modification_time)
  SELECT * from missing
""",
]


def apply(store):
    print(__doc__)
    for statement in STATEMENTS:
        store.execute(statement)
