# Copyright 2005-2013 Canonical Limited.  All rights reserved.

"""
Change person.password, account_invation.secure_id,
computer.secure_id, and pending_computer.secure_id from TEXT to BYTEA.
"""
from __future__ import print_function


def apply(store):
    print(__doc__)
    for table, column in [
        ("person", "password"),
        ("computer", "secure_id"),
        ("pending_computer", "secure_id"),
    ]:
        # ALTER TYPE leaves UNIQUE, NOT NULL etc constrains in place, so
        # we're only changing the types.
        store.execute(
            "ALTER TABLE %s ALTER COLUMN %s TYPE BYTEA "
            "USING DECODE(%s, 'escape')" % (table, column, column)
        )
