# Copyright 2005-2013 Canonical Limited.  All rights reserved.

"""
Patch to implement https://bugs.launchpad.net/bugs/158354

Pingserver now looks up computer by insecure id.
"""
from __future__ import print_function
from canonical.landscape.model.main import Computer, get_main_store
from canonical.landscape.model.resource import ComputerTwin


def apply(store):
    print("Adding insecure_id index to resource computer table.")
    for statement in STATEMENTS:
        store.execute(statement)

    print("Copying insecure_ids from resource to main.")
    main_store = get_main_store()
    for computer_twin in store.find(ComputerTwin):
        computer = main_store.get(Computer, computer_twin.id)
        computer.insecure_id = computer_twin.insecure_id
    main_store.commit()
    print("Done copying insecure_ids.")


STATEMENTS = [
    """
ALTER TABLE computer
    ADD CONSTRAINT computer_insecure_id_key UNIQUE (insecure_id)
""",
    """
DROP TABLE client_uptime CASCADE
""",
    """
DROP TABLE client_uptime_component
""",
]
