# Copyright 2005-2014 Canonical Ltd. All rights reserved.

"""
Rename the juju_operation table to juju_request_data
"""
from __future__ import print_function

STATEMENTS = [
    """
ALTER TABLE juju_operation RENAME TO juju_request_data
""",
    """
ALTER INDEX juju_operation_pkey RENAME TO juju_request_data_pkey
""",
    """
ALTER TABLE juju_request_data DROP CONSTRAINT juju_operation_activity_id_fkey
""",
    """
ALTER TABLE juju_request_data
    DROP CONSTRAINT juju_operation_juju_environment_id_fkey
""",
    """
ALTER TABLE juju_request_data
    ADD CONSTRAINT juju_request_data_activity_id_fkey
        FOREIGN KEY (activity_id) REFERENCES activity(id) ON DELETE CASCADE
""",
    """
ALTER TABLE juju_request_data
     ADD CONSTRAINT juju_request_data_juju_environment_id_fkey
          FOREIGN KEY (juju_environment_id)
          REFERENCES juju_environment(id) ON DELETE CASCADE
""",
]


def apply(store):
    print(__doc__)
    for statement in STATEMENTS:
        store.execute(statement)
