# Copyright 2005-2014 Canonical Ltd. All rights reserved.

"""
Rename historic_log table to event_log and DROP NOT NULL on entity_id.
"""
from __future__ import print_function


STATEMENTS = [
    """
ALTER TABLE historic_log RENAME TO event_log
""",
    """
ALTER SEQUENCE historic_log_id_seq RENAME TO event_log_id_seq
""",
    """
ALTER TABLE event_log ALTER entity_id DROP NOT NULL
""",
    """
ALTER TABLE event_log
    DROP CONSTRAINT historic_log_account_id_fkey
""",
    """
ALTER TABLE event_log ADD CONSTRAINT event_log_account_id_fkey
    FOREIGN KEY (account_id) REFERENCES account_twin(id) ON DELETE CASCADE
""",
    """
ALTER INDEX historic_log_pkey RENAME TO event_log_pkey
""",
]


def apply(store):
    print(__doc__)
    for statement in STATEMENTS:
        store.execute(statement)
