# Copyright 2005-2013 Canonical Limited.  All rights reserved.

"""Rename 'event_log' table to 'event_log_entry'."""
from __future__ import print_function

STATEMENTS = [
    """
ALTER TABLE event_log RENAME TO event_log_entry
""",
    """
ALTER SEQUENCE event_log_id_seq RENAME TO event_log_entry_id_seq
""",
    """
ALTER INDEX event_log_pkey RENAME TO event_log_entry_pkey
""",
    """
ALTER TABLE event_log_entry
    DROP CONSTRAINT event_log_account_id_fkey
""",
    """
ALTER TABLE event_log_entry ADD CONSTRAINT event_log_entry_account_id_fkey
    FOREIGN KEY (account_id) REFERENCES account_twin(id) ON DELETE CASCADE
""",
]


def apply(store):
    print(__doc__)
    for statement in STATEMENTS:
        store.execute(statement)
