# Copyright 2005-2014 Canonical Ltd. All rights reserved.

"""
Delete notice activities from the activity table and drop all _notice tables
"""
from __future__ import print_function

STATEMENTS = [
    """
DROP TABLE tags_changed_notice,role_changed_notice,role_added_notice,
    role_removed_notice,role_membership_changed_notice,
    administrator_accepted_invite_notice,administrator_removed_notice,
    administrator_invited_notice,script_changed_notice,script_created_notice,
    script_removed_notice,script_attachment_created_notice,
    script_attachment_removed_notice,savedsearch_changed_notice,
    savedsearch_created_notice,savedsearch_removed_notice,
    maas_server_created_notice,maas_server_changed_notice,
    maas_server_removed_notice,upgrade_profile_changed_notice,
    upgrade_profile_created_notice,upgrade_profile_removed_notice,
    repository_profile_changed_notice,repository_profile_created_notice,
    repository_profile_removed_notice,juju_environment_changed_notice,
    juju_environment_created_notice,juju_environment_removed_notice,
    package_profile_changed_notice,package_profile_created_notice,
    package_profile_removed_notice,removal_profile_created_notice,
    removal_profile_changed_notice,removal_profile_removed_notice,
    annotation_created_notice,annotation_removed_notice CASCADE
""",
    # All the dropped info_type definitions (1000-1036) from
    # canonical.landscape.model.activity.register
    """
DELETE FROM activity WHERE info_type IN (1000,1001,1002,1003,1004,1005,1006,
    1007,1008,1009,1010,1011,1012,1013,1014,1015,1016,1017,1018,1019,1020,1021,
    1022,1023,1024,1025,1026,1027,1028,1029,1030,1031,1032,1033,1034,1035,1036)
""",
]


def apply(store):
    print(__doc__)
    for statement in STATEMENTS:
        store.execute(statement)
