# Copyright 2005-2014 Canonical Ltd. All rights reserved.

"""Drop activity_group.status, migrate content to activity.status."""
from __future__ import print_function

STATEMENTS = [
    """
UPDATE activity
    SET status = activity_group.status
    FROM activity_group
    WHERE activity.id = activity_group.activity_id
        AND activity_group.status IS NOT NULL;
""",
    """
ALTER TABLE activity_group DROP COLUMN status
""",
]


def apply(store):
    print(__doc__)
    for statement in STATEMENTS:
        store.execute(statement)
