# Copyright 2005-2014 Canonical Ltd. All rights reserved.

"""
Drop computer_request_data.completion_time, migrating content to
activity.completion_time.
"""
from __future__ import print_function

STATEMENTS = [
    """
ALTER TABLE activity ADD COLUMN completion_time TIMESTAMP
""",
    """UPDATE activity
     SET completion_time = computer_request_data.completion_time
     FROM computer_request_data
     WHERE activity.id = computer_request_data.activity_id
""",
    """
ALTER TABLE computer_request_data DROP COLUMN completion_time
""",
]


def apply(store):
    print(__doc__)
    for statement in STATEMENTS:
        store.execute(statement)
