# Copyright 2005-2013 Canonical Limited.  All rights reserved.

"""
Add new 'command' and 'command_result' tables for action-info support.
"""

command_create = """
CREATE TABLE command (
    id SERIAL NOT NULL PRIMARY KEY,
    timestamp TIMESTAMP NOT NULL,
    account_id INTEGER NOT NULL REFERENCES account (id),
    kind BYTEA NOT NULL,
    parameters BYTEA)
"""

command_result_create = """
CREATE TABLE command_result (
    id SERIAL NOT NULL PRIMARY KEY,
    timestamp TIMESTAMP NOT NULL,
    command_id INTEGER NOT NULL REFERENCES command (id),
    computer_id INTEGER NOT NULL REFERENCES computer (id),
    success BOOL,
    summary TEXT)
"""


def apply(store):
    store.execute(command_create)
    store.execute(command_result_create)
