# Copyright 2005-2013 Canonical Limited.  All rights reserved.

"""
Creates remove_session_pkg_data function and trigger to remove session data
upon maintenance.
"""
from __future__ import print_function

statements = [
    """
CREATE FUNCTION remove_session_pkg_data() RETURNS TRIGGER AS
$$
BEGIN
    DELETE FROM session_pkg_data where client_id = OLD.client_id;
    RETURN OLD;
END;
$$
LANGUAGE plpgsql
""",
    """
GRANT EXECUTE ON FUNCTION remove_session_pkg_data()
    TO landscape, landscape_maintenance
""",
    """
CREATE TRIGGER remove_pkg_data
BEFORE DELETE on session_data
    FOR EACH ROW EXECUTE PROCEDURE remove_session_pkg_data();
""",
]


def apply(store):
    print(__doc__)
    for statement in statements:
        store.execute(statement)
