# Copyright 2005-2013 Canonical Limited.  All rights reserved.

"""Create table for upgrade/downgrade package requests."""
from __future__ import print_function

STATEMENTS = [
    """
CREATE TABLE upgrade_package_request (
    activity_id INTEGER PRIMARY KEY REFERENCES activity ON DELETE CASCADE,
    install_package_id INTEGER NOT NULL,
    remove_package_id INTEGER NOT NULL)
""",
    """
GRANT SELECT, INSERT, UPDATE, DELETE
    ON TABLE upgrade_package_request TO landscape, landscape_maintenance
""",
]


def apply(store):
    print(__doc__)
    for statement in STATEMENTS:
        store.execute(statement)
