# Copyright 2005-2015 Canonical Limited.  All rights reserved.

"""
Add maas_server_id column to region
"""
from __future__ import print_function

STATEMENTS = [
    """
ALTER TABLE region ADD COLUMN maas_server_id INTEGER
    REFERENCES maas_server ON DELETE CASCADE
""",
    """
UPDATE region SET maas_server_id = maas_server.id
    FROM maas_server, cloud
    WHERE cloud.account_id = maas_server.account_id
        AND region.cloud_id = cloud.id;
""",
    """
ALTER TABLE region ALTER COLUMN maas_server_id SET NOT NULL
""",
]


def apply(store):
    print(__doc__)
    for statement in STATEMENTS:
        store.execute(statement)
