from __future__ import print_function

# Copyright 2005-2015 Canonical Ltd. All rights reserved.

from canonical.landscape.schema.patch_310 import __doc__

STATEMENTS = [
    """
CREATE TABLE region_request_data (
    activity_id INTEGER PRIMARY KEY REFERENCES activity ON DELETE CASCADE,
    region_id INTEGER NOT NULL REFERENCES region ON DELETE CASCADE)
""",
    """
GRANT SELECT, INSERT, UPDATE, DELETE
    ON TABLE region_request_data TO landscape
""",
    ### Migrate existing activity data to region_request_data
    """
INSERT INTO region_request_data (activity_id, region_id)
    SELECT activity_id, region_id FROM openstack_region_request
""",
    """
INSERT INTO region_request_data (activity_id, region_id)
    SELECT activity_id, region_id FROM openstack_setup_request
""",
    """
INSERT INTO region_request_data (activity_id, region_id)
    SELECT activity_id, region_id FROM generate_region_juju_metadata_request
""",
    """
INSERT INTO region_request_data (activity_id, region_id)
    SELECT activity_id, region_id FROM create_availability_zones_request
""",
    """
INSERT INTO region_request_data (activity_id, region_id)
    SELECT configure_vip_request.activity_id, region_id FROM activity
        JOIN configure_vip_request ON
            activity.id = configure_vip_request.activity_id
        JOIN openstack_region_request ON
            openstack_region_request.activity_id = activity.parent_id
""",
    """
INSERT INTO region_request_data (activity_id, region_id)
    SELECT create_glance_image_request.activity_id, region_id FROM activity
        JOIN create_glance_image_request ON
            activity.id = create_glance_image_request.activity_id
        JOIN openstack_region_request ON
            openstack_region_request.activity_id = activity.parent_id
""",
    ### DROP deprecated tables and columns
    """
ALTER TABLE openstack_region_request
    DROP COLUMN region_id
""",
    """
DROP TABLE openstack_setup_request, generate_region_juju_metadata_request, \
create_availability_zones_request
""",
]


def apply(store):
    print(__doc__)
    for statement in STATEMENTS:
        store.execute(statement)
