from __future__ import print_function

# Copyright 2005-2015 Canonical Ltd. All rights reserved.

from canonical.landscape.schema.patch_314 import __doc__

STATEMENTS = [
    """
DELETE FROM ping_time WHERE computer_id NOT IN (
    SELECT id FROM computer)
""",
    """
ALTER TABLE ping_time DROP CONSTRAINT ping_time_pkey
""",
    """
ALTER TABLE ping_time
    ADD CONSTRAINT ping_time_computer_id_fkey
    FOREIGN KEY (computer_id) REFERENCES computer ON DELETE CASCADE
""",
    """
ALTER TABLE ping_time
    ADD CONSTRAINT ping_time_computer_id_key UNIQUE (computer_id)
""",
]


def apply(store):
    print(__doc__)
    for statement in STATEMENTS:
        store.execute(statement)
