from __future__ import print_function

# Copyright 2005-2015 Canonical Ltd. All rights reserved.

from canonical.landscape.schema.patch_317 import __doc__

NO_PARENTS = """
SELECT id FROM activity WHERE info_type = 300 and parent_id IS NULL
"""

INSERT_PARENT = """
INSERT INTO activity (info_type, creator_id, creation_time, completion_time,
                      account_id, progress, status)
(SELECT 6, creator_id, creation_time, completion_time, account_id, progress,
        status
    FROM activity WHERE id = ?) RETURNING id
"""

INSERT_PARENT_INFO = """
INSERT INTO activity_group (activity_id, basic_summary, summary, children_data)
VALUES (?, 6, 'Signalling processes', ?)
"""

UPDATE_PARENT = """
UPDATE activity SET parent_id = ? WHERE id = ?
"""

SELECT_COMPUTER_ID = """
SELECT computer_id from computer_request_data WHERE activity_id = ?
"""


def apply(store):
    print(__doc__)
    rows_with_no_parents = store.execute(NO_PARENTS)
    for row in rows_with_no_parents:
        child_id = row[0]
        parent_id = store.execute(INSERT_PARENT, [child_id]).get_one()[0]
        computer_id = store.execute(SELECT_COMPUTER_ID, [child_id]).get_one()[0]
        store.execute(UPDATE_PARENT, [parent_id, child_id])
        store.execute(INSERT_PARENT_INFO, [parent_id, [computer_id]])
