from __future__ import print_function

# Copyright 2005-2015 Canonical Ltd. All rights reserved.

from canonical.landscape.schema.patch_318 import __doc__

# AcceptComputerRequest activities may or may not have a parent. First
# we delete all activities having a parent and then the remaining ones
# that don't have a parent.
STATEMENTS = [
    """
DELETE FROM activity AS parent USING activity AS child
    WHERE parent.id = child.parent_id AND child.info_type = 701
""",
    """
DELETE FROM activity where info_type = 701
""",
]


def apply(store):
    print(__doc__)
    for statement in STATEMENTS:
        store.execute(statement)
