# Copyright 2005-2013 Canonical Limited.  All rights reserved.

"""
Add an last_exchange_time and last_ping_time columns to the computer
table.
"""
from __future__ import print_function


def apply(store):
    print("Adding last exchange and ping times to computer table.")
    for statement in STATEMENTS:
        store.execute(statement)


STATEMENTS = [
    """
ALTER TABLE computer ADD COLUMN last_exchange_time TIMESTAMP
""",
    """
ALTER TABLE computer ADD COLUMN last_ping_time TIMESTAMP
""",
    """
ALTER TABLE computer ADD COLUMN insecure_id
        INTEGER UNIQUE DEFAULT nextval('pending_computer_id_seq')
""",
    """
GRANT SELECT, UPDATE
    ON TABLE pending_computer_id_seq TO landscape_maintenance
""",
]
