# Copyright 2005-2013 Canonical Limited.  All rights reserved.

"""Remove mount points from 'canonical-usa' account."""
from __future__ import print_function

from canonical.landscape.model.main import Computer, Account, get_main_store
from canonical.landscape.model.resource import MountInfo, MountActivity, FreeSpace


def apply(store):
    print(__doc__)

    # Get computer IDs.
    main = get_main_store()
    account = main.find(Account, Account.name == "canonical-usa").one()
    if not account:
        return
    result = main.find(Computer, Computer.account_id == account.id)
    computer_ids = tuple(result.values(Computer.id))

    # Delete mount points.
    result = store.find(MountInfo, MountInfo.computer_id.is_in(computer_ids))
    mount_info_ids = tuple(result.values(MountInfo.id))
    store.find(
        MountActivity, MountActivity.mount_info_id.is_in(mount_info_ids)
    ).remove()
    store.find(FreeSpace, FreeSpace.mount_info_id.is_in(mount_info_ids)).remove()
    store.find(MountInfo, MountInfo.computer_id.is_in(computer_ids)).remove()
