from __future__ import print_function

# Copyright 2005-2015 Canonical Ltd. All rights reserved.

from canonical.landscape.schema.patch_323 import __doc__

STATEMENTS = [
    """
CREATE TABLE activity_parent (
    id SERIAL PRIMARY KEY,
    account_id INTEGER NOT NULL REFERENCES account_twin ON DELETE CASCADE,
    creator_id INTEGER,
    info_type INTEGER NOT NULL,
    creation_time TIMESTAMP NOT NULL DEFAULT now(),
    inprogress_count INTEGER NOT NULL DEFAULT 0,
    queued_count INTEGER NOT NULL DEFAULT 0,
    waiting_count INTEGER NOT NULL DEFAULT 0,
    blocked_count INTEGER NOT NULL DEFAULT 0,
    succeeded_count INTEGER NOT NULL DEFAULT 0,
    failed_count INTEGER NOT NULL DEFAULT 0,
    cancelled_count INTEGER NOT NULL DEFAULT 0)
""",
    """
CREATE INDEX activity_parent_activity_id_idx ON activity_parent (account_id)
""",
    """
CREATE INDEX activity_parent_creation_time_idx
    ON activity_parent (creation_time)
""",
    """
CREATE INDEX activity_parent_creator_id_idx ON activity_parent (creator_id)
""",
    """
GRANT SELECT, INSERT, UPDATE, DELETE
    ON TABLE activity_parent TO landscape
""",
    """
GRANT SELECT, UPDATE
    ON TABLE activity_parent_id_seq TO landscape
""",
]


def apply(store):
    print(__doc__)
    for statement in STATEMENTS:
        store.execute(statement)
