from __future__ import print_function

# Copyright 2005-2015 Canonical Ltd. All rights reserved.

from canonical.landscape.schema.patch_325 import __doc__


STATEMENTS = [
    """
ALTER TABLE availability_zone ADD COLUMN maas_zone_name TEXT
""",
    """
UPDATE availability_zone SET maas_zone_name = name || '-unknown'
""",
    """
ALTER TABLE availability_zone
    ALTER COLUMN maas_zone_name SET NOT NULL,
    ADD UNIQUE (region_id, maas_zone_name)
""",
]


def apply(store):
    print(__doc__)
    for statement in STATEMENTS:
        store.execute(statement)
