# Copyright 2005-2013 Canonical Limited.  All rights reserved.

"""
Patches to rename the user's primary_groupname column to primary_group_name
"""
from __future__ import print_function


def apply(store):
    print(
        """Renaming primary_groupname to primary_group_name in
             'add_user_opinfo' table"""
    )
    store.execute(
        """ALTER TABLE add_user_opinfo
                     RENAME COLUMN primary_groupname TO primary_group_name"""
    )
    print(
        """Renaming primary_groupname and primary_group_name in
             'edit_user_opinfo' table"""
    )
    store.execute(
        """ALTER TABLE edit_user_opinfo
                     RENAME COLUMN primary_groupname TO primary_group_name"""
    )
