from __future__ import print_function

# Copyright 2005-2015 Canonical Ltd. All rights reserved.

from canonical.landscape.schema.patch_333 import __doc__

STATEMENTS = [
    """
CREATE EXTENSION intarray
""",
    """
WITH extra_computers AS (
  SELECT activity_group.activity_id,
    activity_group.children_data - array_agg(computer_twin.id) AS unknown_ids
  FROM computer_twin, activity_group
  WHERE computer_twin.id = ANY(activity_group.children_data)
 GROUP BY activity_group.activity_id)
UPDATE activity_group
SET children_data = children_data - extra_computers.unknown_ids
FROM extra_computers
WHERE activity_group.activity_id = extra_computers.activity_id
""",
]


def apply(store):
    print(__doc__)
    for statement in STATEMENTS:
        store.execute(statement)
