# Copyright 2005-2013 Canonical Limited.  All rights reserved.

"""
Adding permissions for the landscape_maintenance user, in order to allow
deleting of account data.
"""
from __future__ import print_function

grants = [
    """
GRANT SELECT, INSERT, UPDATE, DELETE
    ON TABLE distribution TO landscape_maintenance
""",
    """
GRANT SELECT, UPDATE
    ON TABLE distribution_id_seq TO landscape_maintenance
""",
    """
GRANT SELECT, INSERT, DELETE
    ON TABLE person_account TO landscape_maintenance
""",
]


def apply(store):
    print(__doc__)

    for grant in grants:
        store.execute(grant)
