from __future__ import print_function

# Copyright 2005-2015 Canonical Ltd. All rights reserved.

from canonical.landscape.schema.patch_343 import __doc__

STATEMENTS = [
    """
ALTER TABLE maas_target_machine
ADD COLUMN juju_environment_id INTEGER
  REFERENCES juju_environment ON DELETE CASCADE
""",
    """
UPDATE maas_target_machine
SET juju_environment_id = region.juju_environment_id
FROM region
""",
    """
DELETE FROM maas_target_machine
WHERE juju_environment_id IS NULL
""",
    """
ALTER TABLE maas_target_machine
ALTER COLUMN juju_environment_id SET NOT NULL
""",
]


def apply(store):
    print(__doc__)
    for statement in STATEMENTS:
        store.execute(statement)
