from __future__ import print_function

# Copyright 2005-2015 Canonical Ltd. All rights reserved.

from canonical.landscape.schema.patch_345 import __doc__

STATEMENTS = [
    # Delete child activities and their parents, since
    # JujuDestroyEnvironmentRequest are the only children of their parents.
    """
WITH parent AS (
  DELETE FROM activity
  USING juju_destroy_environment_request
  WHERE id = juju_destroy_environment_request.activity_id
  RETURNING parent_id AS id)
DELETE FROM activity
WHERE id IN (SELECT * FROM parent)
""",
    """
DROP TABLE juju_destroy_environment_request
""",
]


def apply(store):
    print(__doc__)
    for statement in STATEMENTS:
        store.execute(statement)
