from __future__ import print_function

# Copyright 2005-2015 Canonical Ltd. All rights reserved.

from canonical.landscape.schema.patch_348 import __doc__

STATEMENTS = [
    """
CREATE TABLE configure_availability_zones_zone (
    id SERIAL NOT NULL PRIMARY KEY,
    name TEXT NOT NULL,
    activity_id INTEGER NOT NULL REFERENCES activity ON DELETE CASCADE,
    maas_zone_name TEXT NOT NULL,
    UNIQUE (name, activity_id),
    UNIQUE (activity_id, maas_zone_name))
""",
    """
GRANT SELECT, INSERT, UPDATE, DELETE
    ON TABLE configure_availability_zones_zone TO landscape
""",
    """
GRANT SELECT, UPDATE
    ON TABLE configure_availability_zones_zone_id_seq TO landscape
""",
    """
CREATE TABLE configure_availability_zones_zone_machine (
    configure_availability_zones_zone_id INTEGER NOT NULL
         REFERENCES configure_availability_zones_zone
         ON DELETE CASCADE,
    maas_name TEXT NOT NULL,
    PRIMARY KEY (configure_availability_zones_zone_id, maas_name))
""",
    """
GRANT SELECT, INSERT, UPDATE, DELETE
    ON TABLE configure_availability_zones_zone_machine TO landscape
""",
]


def apply(store):
    print(__doc__)
    for statement in STATEMENTS:
        store.execute(statement)
