from __future__ import print_function

# Copyright 2005-2015 Canonical Ltd. All rights reserved.

from canonical.landscape.schema.patch_355 import __doc__

STATEMENTS = [
    """
CREATE TABLE juju_action_request (
    activity_id INTEGER PRIMARY KEY REFERENCES activity ON DELETE CASCADE,
    unit TEXT NOT NULL,
    action TEXT NOT NULL,
    params TEXT NOT NULL DEFAULT '{}',
    action_id TEXT)
""",
    """
GRANT SELECT, INSERT, DELETE, UPDATE
    ON TABLE juju_action_request TO landscape
""",
    """
CREATE INDEX juju_action_request_action_id_idx
    ON juju_action_request (action_id)
""",
]


def apply(store):
    print(__doc__)
    for statement in STATEMENTS:
        store.execute(statement)
