from __future__ import print_function

# Copyright 2005-2015 Canonical Ltd. All rights reserved.

from canonical.landscape.schema.patch_363 import __doc__

STATEMENTS = [
    """
CREATE TABLE enable_nova_services_request (
    activity_id integer NOT NULL,
    hostname TEXT NOT NULL,
    services TEXT[] NOT NULL)
""",
    """
GRANT SELECT, INSERT, DELETE, UPDATE
    ON TABLE enable_nova_services_request TO landscape
""",
    """
CREATE TABLE disable_nova_services_request (
    activity_id integer NOT NULL,
    hostname TEXT NOT NULL,
    services TEXT[] NOT NULL,
    reason TEXT)
""",
    """
GRANT SELECT, INSERT, DELETE, UPDATE
    ON TABLE disable_nova_services_request TO landscape
""",
]


def apply(store):
    print(__doc__)
    for statement in STATEMENTS:
        store.execute(statement)
