from __future__ import print_function

# Copyright 2005-2015 Canonical Ltd. All rights reserved.

from canonical.landscape.schema.patch_368 import __doc__

STATEMENTS = [
    """
CREATE TABLE region_machine (
  id SERIAL PRIMARY KEY,
  region_id INTEGER NOT NULL REFERENCES region ON DELETE CASCADE,
  name TEXT NOT NULL,
  roles TEXT[] NOT NULL DEFAULT '{}'::TEXT[],
  UNIQUE (region_id, name)
)
""",
    """
GRANT SELECT, INSERT, DELETE, UPDATE
  ON TABLE region_machine TO landscape
""",
    """
GRANT SELECT, UPDATE ON SEQUENCE region_machine_id_seq TO landscape
""",
]


def apply(store):
    print(__doc__)
    for statement in STATEMENTS:
        store.execute(statement)
