from __future__ import print_function

# Copyright 2005-2015 Canonical Ltd. All rights reserved.

from canonical.landscape.schema.patch_370 import __doc__

STATEMENTS = [
    """
ALTER TABLE region_machine
  ADD COLUMN availability_zone_id INTEGER REFERENCES availability_zone
""",
    """
UPDATE region_machine
SET availability_zone_id = availability_zone.id
FROM availability_zone, availability_zone_machine
WHERE availability_zone.id = availability_zone_machine.availability_zone_id
  AND region_machine.region_id = availability_zone.region_id
  AND region_machine.name = availability_zone_machine.maas_name
""",
]


def apply(store):
    print(__doc__)
    for statement in STATEMENTS:
        store.execute(statement)
