from __future__ import print_function

# Copyright 2005-2015 Canonical Ltd. All rights reserved.

from canonical.landscape.schema.patch_372 import __doc__

STATEMENTS = [
    """
CREATE TABLE account_entity_data (
    id SERIAL NOT NULL PRIMARY KEY,
    account_id INTEGER NOT NULL REFERENCES account_twin(id) ON DELETE CASCADE,
    entity_type INTEGER NOT NULL,
    name TEXT NOT NULL,
    access_context_id INTEGER NOT NULL,
    creation_time  TIMESTAMP NOT NULL DEFAULT (now() AT TIME ZONE 'UTC'),
    UNIQUE(account_id, entity_type, name)
);
""",
    """
GRANT SELECT, UPDATE, INSERT, DELETE
    ON TABLE account_entity_data TO landscape
""",
    """
GRANT SELECT, UPDATE
    ON TABLE account_entity_data_id_seq TO landscape
""",
]


def apply(store):
    print(__doc__)
    for statement in STATEMENTS:
        store.execute(statement)
