from __future__ import print_function

# Copyright 2005-2015 Canonical Ltd. All rights reserved.

from canonical.landscape.schema.patch_376 import __doc__

# Temporary ID offset for renumbering
OFFSET = 100
# Tuples for new and old IDs for status
STATUS_IDS = ((1, 6), (2, 5), (4, 2), (5, 1), (6, 4), (7, 8), (8, 7))


def apply(store):
    print(__doc__)

    status_ids = [(new + OFFSET, old) for new, old in STATUS_IDS]
    # First, update each status to a new ID with an offset to avoid collisions.
    for pair in status_ids:
        store.execute("UPDATE activity SET status = ? WHERE status = ?", pair)

    # Remove offset.
    new_ids = tuple(pair[0] for pair in status_ids)
    store.execute(
        "UPDATE activity SET status = status - ? WHERE status IN ?", (OFFSET, new_ids)
    )
