from __future__ import print_function

# Copyright 2005-2015 Canonical Ltd. All rights reserved.

from canonical.landscape.schema.patch_377 import __doc__

STATEMENTS = [
    """
ALTER TABLE juju_action_request
    RENAME COLUMN action_id TO action_tag
""",
    """
CREATE TABLE juju_action (
    id SERIAL NOT NULL PRIMARY KEY,
    juju_environment_id INTEGER NOT NULL REFERENCES juju_environment
        ON DELETE CASCADE,
    action_tag TEXT NOT NULL,
    status TEXT NOT NULL,
    message TEXT NOT NULL,
    receiver TEXT NOT NULL,
    UNIQUE (juju_environment_id, action_tag))
""",
    """
GRANT SELECT, INSERT, UPDATE, DELETE
    ON TABLE juju_action TO landscape
""",
    """
GRANT SELECT, UPDATE
    ON TABLE juju_action_id_seq TO landscape
""",
]


def apply(store):
    print(__doc__)
    for statement in STATEMENTS:
        store.execute(statement)
