# Copyright 2005-2013 Canonical Limited.  All rights reserved.

"""
Add many indexes.
"""
from __future__ import print_function

indexes = [
    """CREATE INDEX password_recovery_person_id_idx
   ON password_recovery (person_id)""",
    "CREATE INDEX person_access_person_id_idx ON person_access (person_id)",
    """CREATE INDEX person_access_access_context_id_idx
   ON person_access (access_context_id)""",
    "CREATE INDEX account_access_context_id_idx ON account (access_context_id)",
    "CREATE INDEX person_account_account_id_idx ON person_account (account_id)",
    """CREATE INDEX account_invitation_account_id_idx
   ON account_invitation (account_id)""",
    "CREATE INDEX salesforce_user_person_id_idx ON salesforce_user (person_id)",
    "CREATE INDEX license_account_id_idx ON license (account_id)",
    "CREATE INDEX license_access_context_id_idx ON license (access_context_id)",
    """CREATE INDEX pending_computer_account_id_idx
   ON pending_computer (account_id)""",
    "CREATE INDEX computer_access_context_id_idx ON computer (access_context_id)",
    "CREATE INDEX computer_account_id_idx ON computer (account_id)",
    "CREATE INDEX command_account_id_idx ON command (account_id)",
    """ALTER TABLE pending_computer
   ADD CONSTRAINT pending_computer_secure_id_key UNIQUE (secure_id)""",
]


def apply(store):
    print(__doc__)
    for index in indexes:
        store.execute(index)
