# Copyright 2005-2013 Canonical Limited.  All rights reserved.

"""Create an index on operation (parent_id)."""
from __future__ import print_function


def apply(store):
    result = store.execute(
        "SELECT relname FROM pg_class WHERE " "relname='operation_parent_id_idx'"
    )
    if not result.get_one():
        print("Creating an index on operation (parent_id).")
        store.execute(
            "CREATE INDEX operation_parent_id_idx ON " "operation (parent_id)"
        )
    else:
        print("Index on operation (parent_id) is present. Skipping.")
