from __future__ import print_function

# Copyright 2005-2016 Canonical Ltd. All rights reserved.

from canonical.landscape.schema.patch_384 import __doc__

STATEMENTS = [
    """
UPDATE activity
SET entity_data_id = computer_twin.data_id
FROM computer_request_data, computer_twin
WHERE computer_request_data.activity_id = activity.id
  AND computer_request_data.computer_id = computer_twin.id
""",
    """
UPDATE activity
SET entity_data_id = distribution.data_id
FROM sync_pocket_request, pocket, series, distribution
WHERE sync_pocket_request.activity_id = activity.id
  AND sync_pocket_request.pocket_id = pocket.id
  AND pocket.series_id = series.id
  AND series.distribution_id = distribution.id
""",
]


def apply(store):
    print(__doc__)
    for statement in STATEMENTS:
        store.execute(statement)
