# Copyright 2005-2013 Canonical Limited.  All rights reserved.

"""Create release_upgrade_request table."""
from __future__ import print_function

STATEMENTS = (
    """
CREATE TABLE release_upgrade_request (
    activity_id INTEGER PRIMARY KEY REFERENCES activity ON DELETE CASCADE,
    from_code_name TEXT NOT NULL,
    to_code_name TEXT NOT NULL,
    upgrade_tool_tarball_url TEXT NOT NULL,
    upgrade_tool_signature_url TEXT NOT NULL)
""",
    """
GRANT SELECT, INSERT, UPDATE, DELETE
    ON TABLE release_upgrade_request TO landscape, landscape_maintenance
""",
)


def apply(store):

    print(__doc__)
    for statement in STATEMENTS:
        store.execute(statement)
