# Copyright 2005-2013 Canonical Limited.  All rights reserved.

"""
Move last_ping_time to a separate table
"""
from __future__ import print_function

statements = [
    """
CREATE TABLE ping_time (
    computer_id INTEGER PRIMARY KEY REFERENCES computer (id) ON DELETE CASCADE,
    last_ping_time TIMESTAMP)
""",
    """
GRANT SELECT, INSERT, UPDATE, DELETE
    ON TABLE ping_time TO landscape, landscape_maintenance
""",
    """
INSERT INTO ping_time (computer_id, last_ping_time) SELECT
 id AS computer_id, last_ping_time FROM computer
""",
    """
ALTER TABLE computer DROP COLUMN last_ping_time
""",
]


def apply(store):
    print(__doc__)
    for statement in statements:
        store.execute(statement)
