# Copyright 2005-2013 Canonical Limited.  All rights reserved.

"""Defer cascading on operation.parent_id."""
from __future__ import print_function


def apply(store):
    print(__doc__)
    for statement in STATEMENTS:
        store.execute(statement)


STATEMENTS = [
    """
ALTER TABLE operation
    DROP CONSTRAINT operation_parent_id_fkey
""",
    """
ALTER TABLE operation
    ADD CONSTRAINT operation_parent_id_fkey
        FOREIGN KEY (parent_id) REFERENCES operation (id)
        ON DELETE CASCADE DEFERRABLE INITIALLY DEFERRED;
""",
]
