from __future__ import print_function

# Copyright 2005-2016 Canonical Ltd. All rights reserved.

from canonical.landscape.schema.patch_393 import __doc__

STATEMENTS = [
    """
CREATE TABLE activity_child_event (
  id SERIAL PRIMARY KEY,
  activity_id INTEGER NOT NULL REFERENCES activity ON DELETE CASCADE,
  timestamp TIMESTAMP WITHOUT TIME ZONE NOT NULL DEFAULT now(),
  event_type INTEGER NOT NULL,
  data JSON NOT NULL DEFAULT '{}',
  UNIQUE (activity_id, event_type, timestamp))
""",
    """
GRANT SELECT, INSERT, UPDATE, DELETE ON activity_child_event TO landscape
""",
    """
GRANT SELECT, INSERT, UPDATE, DELETE ON activity_child_event_id_seq
TO landscape
""",
]


def apply(store):
    print(__doc__)
    for statement in STATEMENTS:
        store.execute(statement)
