from __future__ import print_function

# Copyright 2005-2016 Canonical Ltd. All rights reserved.

from . import __doc__

STATEMENTS = [
    """
ALTER TABLE activity
ADD COLUMN schedule_after_time TIMESTAMP WITHOUT TIME ZONE,
ADD COLUMN schedule_before_time TIMESTAMP WITHOUT TIME ZONE
""",
    """
UPDATE activity
SET schedule_after_time = deliver_after_time,
    schedule_before_time = deliver_before_time
FROM computer_request_data
WHERE computer_request_data.activity_id = activity.id
  AND (deliver_before_time IS NOT NULL OR deliver_after_time IS NOT NULL)
""",
]


def apply(store):
    print(__doc__)
    for statement in STATEMENTS:
        store.execute(statement)
