from __future__ import print_function

# Copyright 2005-2016 Canonical Ltd. All rights reserved.

from . import __doc__

STATEMENTS = [
    """
DELETE FROM region_log WHERE region_id NOT IN (SELECT id FROM region)
""",
    """
ALTER TABLE region_log
ADD CONSTRAINT region_log_region_id_fkey FOREIGN KEY (region_id)
   REFERENCES region(id) ON DELETE CASCADE
""",
]


def apply(store):
    print(__doc__)
    for statement in STATEMENTS:
        store.execute(statement)
