from __future__ import print_function

# Copyright 2005-2016 Canonical Ltd. All rights reserved.

from . import __doc__

STATEMENTS = [
    """
ALTER TABLE activity ADD COLUMN schedule_after_window INTEGER DEFAULT 0
""",
    """
UPDATE activity
SET schedule_after_window = deliver_after_window
FROM activity_group
WHERE activity.id = activity_group.activity_id
  AND deliver_after_window != 0
""",
    """
ALTER TABLE activity_group DROP COLUMN deliver_after_window
""",
]


def apply(store):
    print(__doc__)
    for statement in STATEMENTS:
        store.execute(statement)
