from __future__ import print_function

# Copyright 2005-2016 Canonical Ltd. All rights reserved.

from . import __doc__

STATEMENTS = [
    """
CREATE TABLE activity_parent_access (
    parent_id INT REFERENCES activity ON DELETE CASCADE NOT NULL,
    entity_type INT NOT NULL,
    access_context_id INT NOT NULL,
    UNIQUE(parent_id, entity_type, access_context_id))
""",
    """
GRANT SELECT,INSERT,DELETE,UPDATE ON TABLE activity_parent_access TO landscape
""",
    """
CREATE INDEX ON activity(account_id, creation_time) WHERE parent_id IS NULL
""",
    """
CREATE INDEX activity_account_id_creation_time_unapproved_idx
    ON activity(account_id, creation_time) WHERE parent_id IS NULL
        AND unapproved_count > 0
""",
    """
CREATE INDEX  activity_account_id_creation_time_pending_idx
    ON activity(account_id, creation_time) WHERE parent_id IS NULL
        AND (scheduled_count > 0 OR
             waiting_count > 0 OR
             queued_count > 0 OR
             inprogress_count > 0 OR
             blocked_count > 0)
""",
]


def apply(store):
    print(__doc__)
    for statement in STATEMENTS:
        store.execute(statement)
