from __future__ import print_function

# Copyright 2005-2016 Canonical Ltd. All rights reserved.

from . import __doc__

STATEMENTS = [
    """
ALTER TABLE region
  ALTER COLUMN network_options DROP DEFAULT,
  ALTER COLUMN network_options TYPE json USING network_options::json,
  ALTER COLUMN network_options SET DEFAULT '{}'::json,

  ALTER COLUMN services_vip DROP DEFAULT,
  ALTER COLUMN services_vip TYPE json USING services_vip::json,
  ALTER COLUMN services_vip SET DEFAULT '{}'::json,

  ALTER COLUMN monitoring_options DROP DEFAULT,
  ALTER COLUMN monitoring_options TYPE json USING monitoring_options::json,
  ALTER COLUMN monitoring_options SET DEFAULT '{}'::json
""",
    """
ALTER TABLE deploy_juju_service_request
  ALTER COLUMN config DROP DEFAULT,
  ALTER COLUMN config TYPE json USING config::json,
  ALTER COLUMN config SET DEFAULT '{}'::json
""",
    """
ALTER TABLE juju_action_request
  ALTER COLUMN params DROP DEFAULT,
  ALTER COLUMN params TYPE json USING params::json,
  ALTER COLUMN params SET DEFAULT '{}'::json
""",
    """
ALTER TABLE juju_service_set_request
  ALTER COLUMN config TYPE json USING config::json,
  ALTER COLUMN config SET DEFAULT '{}'::json
""",
]


def apply(store):
    print(__doc__)
    for statement in STATEMENTS:
        store.execute(statement)
