# Copyright 2005-2013 Canonical Limited.  All rights reserved.

"""
Add a new is_inconsistent column to computers.
"""
from __future__ import print_function
from canonical.landscape.model.main import Computer


def apply(store):
    print(__doc__)
    store.execute(
        "ALTER TABLE computer" "  ADD COLUMN is_inconsistent BOOLEAN DEFAULT FALSE"
    )

    # First of all, we set all computers to be not inconsistent
    result = store.find(Computer)
    result.set(is_inconsistent=False)

    # Now we can set a NOT NULL constraint
    store.execute("ALTER TABLE computer" "  ALTER COLUMN is_inconsistent SET NOT NULL")
