from __future__ import print_function

# Copyright 2005-2016 Canonical Ltd. All rights reserved.

from . import __doc__

STATEMENTS = [
    # Change UNAPPROVED to BLOCKED on child activities
    """
UPDATE activity
SET status = 6
WHERE status = 1001
  AND parent_id is NOT NULL
""",
    # Update parent counts
    """
UPDATE activity
SET blocked_count = blocked_count + unapproved_count
WHERE parent_id IS NULL
""",
    """
ALTER TABLE activity DROP COLUMN unapproved_count
""",
    # Recreate index that was previously set on unapproved counts
    """
CREATE INDEX activity_account_id_creation_time_blocked_idx
ON activity(account_id, creation_time)
WHERE parent_id IS NULL
  AND blocked_count > 0
""",
]


def apply(store):
    print(__doc__)
    for statement in STATEMENTS:
        store.execute(statement)
