from __future__ import print_function

# Copyright 2005-2016 Canonical Ltd. All rights reserved.

from . import __doc__

STATEMENTS = [
    """
CREATE TABLE computer_utilisation (
    computer_id integer NOT NULL PRIMARY KEY REFERENCES computer(id)
        ON DELETE CASCADE,
    managed_hours INTEGER DEFAULT 0 NOT NULL,
    next_managed_hour_time TIMESTAMP WITHOUT TIME ZONE
        NOT NULL DEFAULT (now() AT TIME ZONE 'UTC')
    )
""",
    """
GRANT SELECT, INSERT, DELETE, UPDATE
    ON TABLE computer_utilisation TO landscape
""",
    """
ALTER TABLE account ADD COLUMN managed_hours_start_time TIMESTAMP
NOT NULL DEFAULT (now() AT TIME ZONE 'UTC')
""",
]


def apply(store):
    print(__doc__)
    for statement in STATEMENTS:
        store.execute(statement)
