from __future__ import print_function

# Copyright 2005-2016 Canonical Ltd. All rights reserved.

from . import __doc__

AGGREGATE_ACTIONS_KEYS_IF_PRESENT = """
SELECT activity_id, ARRAY_AGG(json_object_keys) FROM (
    SELECT activity_id, JSON_OBJECT_KEYS(actions)
        FROM juju_run_on_all_machines_request) AS foo
GROUP BY activity_id
"""

DROP_ACTIONS_COLUMN = """
ALTER TABLE juju_run_on_all_machines_request DROP COLUMN actions
"""

CREATE_ACTIONS_COLUMN = """
ALTER TABLE juju_run_on_all_machines_request
    ADD COLUMN actions text[] DEFAULT '{}'::text[] NOT NULL
"""

UPDATE_ACTIONS_COLUMN = """
UPDATE juju_run_on_all_machines_request SET actions = ? WHERE activity_id = ?
"""


def apply(store):
    print(__doc__)
    actions_result = store.execute(AGGREGATE_ACTIONS_KEYS_IF_PRESENT)
    store.execute(DROP_ACTIONS_COLUMN)
    store.execute(CREATE_ACTIONS_COLUMN)
    for row in actions_result:
        (activity_id, action_ids) = row
        store.execute(UPDATE_ACTIONS_COLUMN, (action_ids, activity_id))
