# Copyright 2005-2013 Canonical Limited.  All rights reserved.

# NOTE: This is a merge of patch_40 into patch_42 to allow successful upgrades
# for LDS customers.

"""Add next_notification_time column to rule table.
Check and update the reboot alert for all computers in all accounts."""
from __future__ import print_function

import transaction

from canonical.landscape.model.main import Computer, get_all_accounts
from canonical.landscape.model.computer.alerts import ComputerRebootAlert


def apply(store):
    print(__doc__)
    store.execute("ALTER TABLE rule" "    ADD COLUMN next_notification_time TIMESTAMP")

    for account in get_all_accounts():
        result = account.get_computers()
        computer_ids = list(result.values(Computer.id))
        if computer_ids:
            account.check_rules([ComputerRebootAlert], computer_ids)
            transaction.commit()
