from __future__ import print_function

# Copyright 2005-2016 Canonical Ltd. All rights reserved.

from . import __doc__

STATEMENTS = [
    """
ALTER TABLE juju_action
    RENAME COLUMN juju_environment_id TO juju_model_id
""",
    """
ALTER TABLE juju_action
    DROP CONSTRAINT IF EXISTS juju_action_juju_environment_id_action_tag_key
""",
    """
ALTER TABLE juju_action
    ADD CONSTRAINT juju_action_juju_model_id_action_tag_key
        UNIQUE (juju_model_id, action_tag)
""",
    """
ALTER TABLE juju_machine
    RENAME COLUMN juju_environment_id TO juju_model_id
""",
    """
ALTER TABLE juju_machine
    DROP CONSTRAINT IF EXISTS juju_machine_juju_environment_id_machine_id_key
""",
    """
ALTER TABLE juju_machine
    ADD CONSTRAINT juju_machine_juju_model_id_machine_id_key
        UNIQUE (juju_model_id, machine_id)
""",
]


def apply(store):
    print(__doc__)
    for statement in STATEMENTS:
        store.execute(statement)
