from __future__ import print_function

# Copyright 2005-2016 Canonical Ltd. All rights reserved.

from . import __doc__

STATEMENTS = [
    """
ALTER TABLE maas_target_machine
    RENAME COLUMN juju_environment_id TO juju_model_id
""",
    """
ALTER TABLE maas_target_machine
    DROP CONSTRAINT IF EXISTS maas_target_machine_juju_environment_id_fkey
""",
    """
ALTER TABLE maas_target_machine
    ADD CONSTRAINT maas_target_machine_juju_model_id_fkey
        FOREIGN KEY (juju_model_id) REFERENCES juju_environment(id)
        ON DELETE CASCADE
""",
    """
ALTER TABLE juju_service RENAME TO juju_application
""",
    # Rename all constraints since we renamed the table
    """
ALTER SEQUENCE juju_service_id_seq RENAME TO juju_application_id_seq
""",
    """
ALTER TABLE juju_unit
    DROP CONSTRAINT IF EXISTS juju_unit_juju_service_id_fkey
""",
    """
ALTER TABLE juju_application
    DROP CONSTRAINT IF EXISTS juju_service_pkey
""",
    """
ALTER TABLE juju_application
    ADD CONSTRAINT juju_application_pkey PRIMARY KEY (id)
""",
    """
ALTER TABLE juju_application
    RENAME COLUMN juju_environment_id TO juju_model_id
""",
    """
ALTER TABLE juju_application
    DROP CONSTRAINT IF EXISTS juju_service_juju_environment_id_name_key
""",
    """
ALTER TABLE juju_application
    ADD CONSTRAINT juju_application_juju_model_id_name_key
        UNIQUE (juju_model_id, name)
""",
    """
ALTER TABLE juju_application
    DROP CONSTRAINT IF EXISTS juju_service_juju_environment_id_fkey
""",
    """
ALTER TABLE juju_application
    ADD CONSTRAINT juju_application_juju_model_id_fkey
        FOREIGN KEY (juju_model_id) REFERENCES juju_environment(id)
        ON DELETE CASCADE
""",
    """
ALTER TABLE juju_unit
    RENAME COLUMN juju_service_id TO juju_application_id
""",
    """
ALTER TABLE juju_unit
    ADD CONSTRAINT juju_unit_juju_application_id_fkey
        FOREIGN KEY (juju_application_id) REFERENCES juju_application(id)
        ON DELETE CASCADE
""",
    """
ALTER TABLE juju_unit
    DROP CONSTRAINT IF EXISTS juju_unit_juju_service_id_name_key
""",
    """
ALTER TABLE juju_unit
    ADD CONSTRAINT juju_unit_juju_application_id_name_key
        UNIQUE (juju_application_id, name)
""",
]


def apply(store):
    print(__doc__)
    for statement in STATEMENTS:
        store.execute(statement)
