from __future__ import print_function

# Copyright 2005-2016 Canonical Ltd. All rights reserved.

from . import __doc__

STATEMENTS = [
    """
CREATE TABLE utility_credit (
  id SERIAL PRIMARY KEY,
  account_id INTEGER NOT NULL REFERENCES account ON DELETE CASCADE,
  creation_date DATE NOT NULL DEFAULT CURRENT_DATE,
  amount INTEGER NOT NULL CHECK (amount > 0))
""",
    """
GRANT SELECT, INSERT, UPDATE, DELETE ON utility_credit TO landscape
""",
    """
GRANT SELECT, UPDATE ON SEQUENCE utility_credit_id_seq TO landscape
""",
]


def apply(store):
    print(__doc__)
    for statement in STATEMENTS:
        store.execute(statement)
