from __future__ import print_function

# Copyright 2005-2016 Canonical Ltd. All rights reserved.

from . import __doc__

STATEMENTS = [
    """
ALTER TABLE juju_environment RENAME TO juju_model
""",
    """
ALTER SEQUENCE juju_environment_id_seq RENAME TO juju_model_id_seq
""",
    """
ALTER TABLE juju_model
    RENAME CONSTRAINT juju_environment_pkey TO juju_model_pkey
""",
    """
ALTER TABLE juju_model
    RENAME CONSTRAINT juju_environment_data_id_fkey TO juju_model_data_id_fkey
""",
    """
ALTER TABLE juju_model
    RENAME CONSTRAINT juju_environment_uuid_key TO juju_model_uuid_key
""",
    """
ALTER TABLE juju_action
    RENAME CONSTRAINT juju_action_juju_environment_id_fkey
    TO juju_action_juju_model_id_fkey
""",
    """
ALTER TABLE juju_machine
    RENAME CONSTRAINT juju_machine_juju_environment_id_fkey
    TO juju_machine_juju_model_id_fkey
""",
    """
DROP TABLE IF EXISTS openstack_endpoints CASCADE
""",
    """
ALTER TABLE region
    RENAME CONSTRAINT region_juju_environment_id_fkey
    TO region_juju_model_id_fkey
""",
    """
ALTER TABLE region RENAME COLUMN juju_environment_id TO juju_model_id
""",
]


def apply(store):
    print(__doc__)
    for statement in STATEMENTS:
        store.execute(statement)
