from __future__ import print_function

# Copyright 2005-2016 Canonical Ltd. All rights reserved.

from . import __doc__

STATEMENTS = [
    """
CREATE TABLE utility_cost (
  id SERIAL PRIMARY KEY,
  computer_type INTEGER NOT NULL,
  valid_since DATE NOT NULL,
  hourly_cost INTEGER NOT NULL CHECK (hourly_cost > 0),
  UNIQUE (computer_type, valid_since))
""",
    """
GRANT SELECT, INSERT, UPDATE, DELETE ON utility_cost TO landscape
""",
    """
GRANT SELECT, UPDATE ON SEQUENCE utility_cost_id_seq TO landscape
""",
]


def apply(store):
    print(__doc__)
    for statement in STATEMENTS:
        store.execute(statement)
