from __future__ import print_function

# Copyright 2005-2016 Canonical Ltd. All rights reserved.

from . import __doc__

STATEMENTS = [
    """
CREATE TABLE vat_rate (
  id SERIAL PRIMARY KEY,
  country_code CHAR(2) UNIQUE NOT NULL,
  rate NUMERIC(5, 3) NOT NULL
)
""",
    """
CREATE INDEX vat_rate_country_code_idx ON vat_rate (country_code)
""",
    """
GRANT SELECT, INSERT, UPDATE, DELETE ON vat_rate TO landscape
""",
    """
GRANT SELECT, UPDATE ON SEQUENCE vat_rate_id_seq TO landscape
""",
]


def apply(store):
    print(__doc__)
    for statement in STATEMENTS:
        store.execute(statement)
