from __future__ import print_function

# Copyright 2005-2016 Canonical Ltd. All rights reserved.

from . import __doc__

STATEMENTS = [
    """
CREATE TABLE invoice (
  id SERIAL PRIMARY KEY,
  invoice_id TEXT UNIQUE NOT NULL,
  account_id INTEGER NOT NULL REFERENCES account,
  issue_date DATE NOT NULL DEFAULT current_date,
  period_start_date DATE NOT NULL,
  period_end_date DATE NOT NULL,
  total INTEGER NOT NULL,
  credit_discount INTEGER NOT NULL,
  vat INTEGER NOT NULL)
""",
    """
GRANT SELECT, INSERT, UPDATE, DELETE ON invoice TO landscape
""",
    """
GRANT SELECT, UPDATE ON SEQUENCE invoice_id_seq TO landscape
""",
]


def apply(store):
    print(__doc__)
    for statement in STATEMENTS:
        store.execute(statement)
