from __future__ import print_function

# Copyright 2005-2016 Canonical Ltd. All rights reserved.

from . import __doc__

STATEMENTS = [
    """
CREATE TABLE invoice_charge (
  id SERIAL PRIMARY KEY,
  invoice_id INTEGER NOT NULL REFERENCES invoice,
  computer_type INTEGER NOT NULL,
  hourly_cost INTEGER NOT NULL,
  amount INTEGER NOT NULL,
  UNIQUE (invoice_id, computer_type))
""",
    """
GRANT SELECT, INSERT, UPDATE, DELETE ON invoice_charge TO landscape
""",
    """
GRANT SELECT, UPDATE ON SEQUENCE invoice_charge_id_seq TO landscape
""",
    """
ALTER TABLE invoice DROP COLUMN total
""",
]


def apply(store):
    print(__doc__)
    for statement in STATEMENTS:
        store.execute(statement)
