# Copyright 2005-2013 Canonical Limited.  All rights reserved.

"""Invert index key order in the computer_group_item table."""
from __future__ import print_function

STATEMENTS = [
    """
ALTER TABLE computer_group_item ADD COLUMN new_computer_id
    INTEGER REFERENCES computer_twin ON DELETE CASCADE
""",
    """
UPDATE computer_group_item SET new_computer_id=computer_id
""",
    """
ALTER TABLE computer_group_item DROP COLUMN computer_id
""",
    """
ALTER TABLE computer_group_item RENAME COLUMN new_computer_id TO computer_id
""",
    """
ALTER TABLE computer_group_item ALTER COLUMN computer_id SET NOT NULL
""",
    """
ALTER TABLE computer_group_item
    ADD PRIMARY KEY (computer_group_id, computer_id)
""",
]


def apply(store):
    print(__doc__)
    for statement in STATEMENTS:
        store.execute(statement)
