from __future__ import print_function

# Copyright 2005-2016 Canonical Ltd. All rights reserved.

from . import __doc__

STATEMENTS = [
    """
ALTER TABLE invoice_charge
    DROP CONSTRAINT IF EXISTS invoice_charge_invoice_id_fkey
""",
    """
ALTER TABLE invoice_charge
    ADD CONSTRAINT invoice_charge_invoice_id_fkey
        FOREIGN KEY (invoice_id) REFERENCES invoice(id)
        ON DELETE CASCADE
""",
    """
ALTER TABLE invoice
    DROP CONSTRAINT IF EXISTS invoice_account_id_fkey
""",
    """
ALTER TABLE invoice
    ADD CONSTRAINT invoice_account_id_fkey
        FOREIGN KEY (account_id) REFERENCES account(id)
        ON DELETE CASCADE
""",
]


def apply(store):
    print(__doc__)
    for statement in STATEMENTS:
        store.execute(statement)
