from __future__ import print_function

# Copyright 2005-2016 Canonical Ltd. All rights reserved.

from . import __doc__

STATEMENTS = [
    """
CREATE TABLE invoice (
  id SERIAL PRIMARY KEY,
  invoice_id TEXT UNIQUE NOT NULL,
  account_id INTEGER NOT NULL REFERENCES account_twin ON DELETE CASCADE,
  issue_date DATE NOT NULL DEFAULT current_date,
  period_start_date DATE NOT NULL,
  period_end_date DATE NOT NULL,
  credit_discount INTEGER NOT NULL,
  vat INTEGER NOT NULL,
  payment_date DATE,
  status TEXT,
  charge_id TEXT,
  status_message TEXT
)
""",
    """
GRANT SELECT, INSERT, UPDATE, DELETE ON invoice TO landscape
""",
    """
GRANT SELECT, UPDATE ON SEQUENCE invoice_id_seq TO landscape
""",
    """
CREATE TABLE invoice_charge (
  id SERIAL PRIMARY KEY,
  invoice_id INTEGER NOT NULL REFERENCES invoice ON DELETE CASCADE,
  computer_type INTEGER NOT NULL,
  hourly_cost INTEGER NOT NULL,
  amount INTEGER NOT NULL,
  UNIQUE (invoice_id, computer_type))
""",
    """
GRANT SELECT, INSERT, UPDATE, DELETE ON invoice_charge TO landscape
""",
    """
GRANT SELECT, UPDATE ON SEQUENCE invoice_charge_id_seq TO landscape
""",
]


def apply(store):
    print(__doc__)
    for statement in STATEMENTS:
        store.execute(statement)
