from __future__ import print_function

# Copyright 2005-2016 Canonical Ltd. All rights reserved.

from . import __doc__


# We want the new column to be NOT NULL, and the existing ones having
# "trusty" as the values, since so far we've only deployed trusty. We
# don't want the column to have a default value, so we first create the
# column as allowing NULL, set the existing rows to have "trusty" as the
# value and then add the NOT NULL constraint.
STATEMENTS = [
    """
ALTER TABLE add_juju_machine_request ADD COLUMN ubuntu_series TEXT NULL
""",
    """
UPDATE add_juju_machine_request SET ubuntu_series = 'trusty'
""",
    """
ALTER TABLE add_juju_machine_request ALTER COLUMN ubuntu_series SET NOT NULL
""",
]


def apply(store):
    print(__doc__)
    for statement in STATEMENTS:
        store.execute(statement)
