from __future__ import print_function

# Copyright 2005-2016 Canonical Ltd. All rights reserved.

from . import __doc__

STATEMENTS = [
    """
ALTER TABLE juju_model ADD COLUMN juju_name text
""",
    # We must update all existing models to have a juju_name since
    # it is used in JujuModel.is_registered().  Since these models
    # must all be juju 1.x, we can use "id" which was already used
    # for the environment name.
    """
UPDATE juju_model SET juju_name = cast( id as text )
""",
]


def apply(store):
    print(__doc__)
    for statement in STATEMENTS:
        store.execute(statement)
