from __future__ import print_function

# Copyright 2005-2016 Canonical Ltd. All rights reserved.

from . import __doc__

STATEMENTS = [
    """
CREATE TABLE payment (
  id SERIAL PRIMARY KEY,
  creation_time TIMESTAMP NOT NULL DEFAULT NOW(),
  credit_discount INTEGER NOT NULL,
  vat INTEGER NOT NULL,
  status INTEGER NOT NULL,
  data_id INTEGER NOT NULL
    REFERENCES account_entity_data ON DELETE CASCADE)
""",
    """
GRANT SELECT, INSERT, UPDATE, DELETE ON payment TO landscape
""",
    """
GRANT SELECT, UPDATE ON SEQUENCE payment_id_seq TO landscape
""",
    """
CREATE TABLE incurred_cost (
  id SERIAL PRIMARY KEY,
  payment_id INTEGER REFERENCES payment ON DELETE CASCADE,
  computer_type INTEGER NOT NULL,
  hourly_cost INTEGER NOT NULL,
  hours INTEGER NOT NULL,
  period_start_date DATE NOT NULL,
  period_end_date DATE NOT NULL)
""",
    """
GRANT SELECT, INSERT, UPDATE, DELETE ON incurred_cost TO landscape
""",
    """
GRANT SELECT, UPDATE ON SEQUENCE incurred_cost_id_seq TO landscape
""",
    """
CREATE TABLE receipt (
  id SERIAL PRIMARY KEY,
  payment_id INTEGER NOT NULL REFERENCES payment ON DELETE CASCADE,
  issue_date TIMESTAMP NOT NULL,
  data_id INTEGER NOT NULL
    REFERENCES account_entity_data ON DELETE CASCADE)
""",
    """
GRANT SELECT, INSERT, UPDATE, DELETE ON receipt TO landscape
""",
    """
GRANT SELECT, UPDATE ON SEQUENCE receipt_id_seq TO landscape
""",
]


def apply(store):
    print(__doc__)
    for statement in STATEMENTS:
        store.execute(statement)
