from __future__ import print_function

# Copyright 2005-2016 Canonical Ltd. All rights reserved.

from . import __doc__


def apply(store):
    print(__doc__)
    # Remove leftover parent activities related to removed regions codes for
    # the the following info classes: DeployOpenstackRegionRequest,
    # ChangeOpenStackRegionRequest,EnterNodeMaintenanceRequest,
    # ExitNodeMaintenanceRequest.
    result = store.execute(
        """
        SELECT id
        FROM activity_parent LEFT JOIN region_request_data
        ON id = activity_id
        WHERE info_type IN (950, 957, 962, 963)
          AND region_id IS NULL
        """
    )
    activity_parent_ids = tuple(row[0] for row in result)
    if activity_parent_ids:
        store.execute(
            "DELETE FROM activity_parent WHERE id IN ?", [activity_parent_ids]
        )
