from __future__ import print_function

# Copyright 2017 Canonical Ltd. All rights reserved.

from . import __doc__


def apply(store):
    print(__doc__)

    # Add utility_credit.expiration_date and reset all existing.
    store.execute(
        """
        ALTER TABLE utility_credit
          ADD COLUMN expiration_date date NOT NULL
            DEFAULT ('now'::text)::date + interval '65' day
        """
    )
    store.execute(
        """
        UPDATE utility_credit
          SET expiration_date = creation_date + interval '65' day
        """
    )

    # Add utility_credit.initial_amount.
    store.execute(
        """
        ALTER TABLE utility_credit
          ADD COLUMN initial_amount INTEGER
        """
    )
    store.execute(
        """
        UPDATE utility_credit
          SET initial_amount = 1000000
        """
    )
    store.execute(
        """
        ALTER TABLE utility_credit
          ALTER COLUMN initial_amount
            SET NOT NULL
        """
    )
    store.execute(
        """
        ALTER TABLE utility_credit
          ADD CONSTRAINT utility_credit_intial_amount_check
            CHECK ((initial_amount >= amount))
        """
    )
