# Copyright 2005-2013 Canonical Limited.  All rights reserved.

"""Add package lock requests tables."""
from __future__ import print_function

STATEMENTS = [
    """
CREATE TABLE create_package_lock_request (
    activity_id INTEGER PRIMARY KEY REFERENCES activity ON DELETE CASCADE,
    package_lock_id INTEGER NOT NULL)
""",
    """
GRANT SELECT, INSERT, UPDATE, DELETE
    ON TABLE create_package_lock_request TO landscape, landscape_maintenance
""",
    """
CREATE TABLE remove_package_lock_request (
    activity_id INTEGER PRIMARY KEY REFERENCES activity ON DELETE CASCADE,
    package_lock_id INTEGER NOT NULL)
""",
    """
GRANT SELECT, INSERT, UPDATE, DELETE
    ON TABLE remove_package_lock_request TO landscape, landscape_maintenance
""",
]


def apply(store):
    print(__doc__)
    for statement in STATEMENTS:
        store.execute(statement)
