from __future__ import print_function

# Copyright 2005-2018 Canonical Ltd. All rights reserved.

from . import __doc__

FOREIGN_KEYS = [
    ("temperature", "temperature_thermal_zone_id_fkey"),
    ("memory_info", "memory_info_computer_id_fkey"),
    ("load_average", "load_average_computer_id_fkey"),
    ("free_space", "free_space_mount_info_id_fkey"),
    ("cpu_usage", "cpu_usage_computer_id_fkey"),
    ("ceph_usage", "ceph_usage_computer_id_fkey"),
    ("network_traffic", "network_traffic_computer_id_fkey"),
    # auto-generated name prior to patch_69
    ("network_traffic", "network_activity_computer_id_fkey"),
    ("swift_usage", "swift_usage_computer_id_fkey"),
]


def apply(store):
    print(__doc__)
    for table, fk in FOREIGN_KEYS:
        store.execute(
            "ALTER TABLE {table} "
            "DROP CONSTRAINT IF EXISTS {fk}".format(table=table, fk=fk)
        )
