# Copyright 2005-2013 Canonical Limited.  All rights reserved.

"""Fix RuleState data being empty."""
from __future__ import print_function


from canonical.landscape.model.alert.mail import get_active_notifiable_rules
from canonical.landscape.model.alert.computer import ComputerRuleInfo
from canonical.landscape.model.alert.rule import RuleState


def apply(store):
    print(__doc__)
    result = get_active_notifiable_rules(store)
    for rule in result:
        if isinstance(rule.info, ComputerRuleInfo):
            states = rule.info.get_states(active=True)
            computer_ids = list(states.values(RuleState.computer_id))
            rule.info.check(computer_ids)
