# Copyright 2005-2013 Canonical Limited.  All rights reserved.

"""
Remove Salesforce keys of retired members.
"""
from __future__ import print_function


def apply(store):
    print(__doc__)
    store.execute(
        "DELETE FROM salesforce_user WHERE NOT EXISTS "
        "  (SELECT 1 FROM person_account WHERE "
        "   person_account.account_id = salesforce_user.account_id AND "
        "   person_account.person_id = salesforce_user.person_id)"
    )
