# Copyright 2005-2013 Canonical Limited.  All rights reserved.

"""
Support for custom graph resource information.
"""
from __future__ import print_function

changes = [
    """
CREATE TABLE custom_graph_data (
    id SERIAL PRIMARY KEY,
    computer_id INTEGER NOT NULL,
    custom_graph_id INTEGER NOT NULL,
    error TEXT)
""",
    """
GRANT SELECT, INSERT, UPDATE, DELETE
    ON TABLE custom_graph_data TO landscape, landscape_maintenance
""",
    """
GRANT SELECT, UPDATE
    ON TABLE custom_graph_data_id_seq TO landscape, landscape_maintenance
""",
    """
CREATE TABLE custom_graph_data_point (
    id SERIAL NOT NULL PRIMARY KEY,
    custom_graph_data_id INTEGER NOT NULL REFERENCES custom_graph_data
        ON DELETE CASCADE,
    timestamp TIMESTAMP NOT NULL,
    value FLOAT NOT NULL)
""",
    """
GRANT SELECT, INSERT, UPDATE, DELETE
    ON TABLE custom_graph_data_point TO landscape,
landscape_maintenance
""",
    """
GRANT SELECT, UPDATE
    ON TABLE custom_graph_data_point_id_seq TO landscape,
landscape_maintenance
""",
]


def apply(store):
    print(__doc__)
    for statement in changes:
        store.execute(statement)
