from __future__ import print_function

# Copyright 2005-2022 Canonical Ltd. All rights reserved.

from . import __doc__

STATEMENTS = [
    """
ALTER TABLE computer
ADD COLUMN clone_id INTEGER
REFERENCES computer (id)
ON DELETE SET NULL
""",
    """
ALTER TABLE pending_computer
ADD COLUMN clone_id INTEGER
REFERENCES computer (id)
ON DELETE SET NULL
""",
    """
CREATE INDEX pending_computer_clone_id_idx
ON pending_computer (clone_id)
""",
    """
CREATE INDEX computer_clone_id_idx
ON computer (clone_id)
""",
]


def apply(store):
    print(__doc__)
    for statement in STATEMENTS:
        store.execute(statement)
