from __future__ import print_function

# Copyright 2005-2022 Canonical Ltd. All rights reserved.
# landscape-lint: noqa

from . import __doc__

import transaction

from canonical.landscape.model.main.computer import Computer
from canonical.landscape.model.main.account import get_all_accounts
from canonical.landscape.model.package.alerts import EsmDisabledAlert


def apply(store):
    print(__doc__)
    for account in get_all_accounts():
        account.create_rule(EsmDisabledAlert)
        result = account.get_computers()
        computer_ids = list(result.values(Computer.id))
        if computer_ids:
            account.check_rules([EsmDisabledAlert], computer_ids)
            transaction.commit()
