# Copyright 2005-2023 Canonical Ltd. ALl rights reserved.

from . import __doc__


STATEMENTS = [
    "CREATE EXTENSION ltree",
    """
CREATE TABLE computer_relationship (
    computer_id INT NOT NULL PRIMARY KEY,
    parent_id INT,
    tree LTREE NOT NULL,
    FOREIGN KEY (computer_id) REFERENCES computer(id) ON DELETE CASCADE,
    FOREIGN KEY (parent_id) REFERENCES computer(id) ON DELETE CASCADE
)
    """,
    "GRANT SELECT, INSERT, DELETE, UPDATE ON TABLE computer_relationship TO landscape",
]

REVERSE_STATEMENTS = [
    "DROP TABLE computer_relationship",
    "DROP EXTENSION ltree",
]


def apply(store):
    print(__doc__)

    for statement in STATEMENTS:
        store.execute(statement)


def reverse(store):
    print(f"Reversing patch: {__doc__}")

    for statement in REVERSE_STATEMENTS:
        store.execute(statement)
