# Copyright 2005-2023 Canonical Ltd. All rights reserved.

from . import __doc__

STATEMENTS = [
    """
CREATE TABLE snap_publisher
(id serial PRIMARY KEY,
 username text,
 validation text)
""",
    """
CREATE TABLE snap
(id text PRIMARY KEY,
 name text,
 confinement text,
 publisher_id integer REFERENCES snap_publisher ON DELETE CASCADE)
""",
    """
CREATE TABLE installed_snap
(computer_id integer REFERENCES computer ON DELETE CASCADE,
 snap_id text REFERENCES snap ON DELETE CASCADE,
 version text,
 revision text,
 tracking_channel text,
 PRIMARY KEY (computer_id, snap_id))
""",
    "GRANT SELECT,INSERT,DELETE,UPDATE ON TABLE snap_publisher TO landscape",
    "GRANT SELECT,INSERT,DELETE,UPDATE ON TABLE snap TO landscape",
    "GRANT SELECT,INSERT,DELETE,UPDATE ON TABLE installed_snap TO landscape",
    "GRANT SELECT,UPDATE ON SEQUENCE snap_publisher_id_seq TO landscape",
    "CREATE INDEX snap_name_idx ON snap (name)",
]

REVERSE_STATEMENTS = [
    "DROP TABLE installed_snap",
    "DROP TABLE snap",
    "DROP TABLE snap_publisher",
]


def apply(store):
    print(__doc__)
    for statement in STATEMENTS:
        store.execute(statement)


def reverse(store):
    print(f"Reversing patch: {__doc__}")
    for statement in REVERSE_STATEMENTS:
        store.execute(statement)
