from . import __doc__

STATEMENTS = [
    """
CREATE TABLE activity_info (
    activity_id integer PRIMARY KEY REFERENCES activity(id) ON DELETE CASCADE,
    data json
)
""",
    "GRANT SELECT,INSERT,DELETE,UPDATE ON TABLE activity_info TO landscape",
]

REVERSE_STATEMENTS = ["DROP TABLE activity_info"]


def apply(store):
    print(__doc__)
    for statement in STATEMENTS:
        store.execute(statement)


def reverse(store):
    print(f"Reversing patch: {__doc__}")
    for statement in REVERSE_STATEMENTS:
        store.execute(statement)
