from . import __doc__

STATEMENTS = [
    """
ALTER TABLE installed_snap
ADD COLUMN held_until timestamp
""",
    """
ALTER TABLE installed_snap
ADD COLUMN confinement text
""",
    """
UPDATE installed_snap
SET confinement = snap.confinement
FROM snap WHERE installed_snap.snap_id = snap.id
""",
    """
ALTER TABLE snap
ADD COLUMN summary text
""",
    """
ALTER TABLE snap
DROP column confinement
""",
]


REVERSE_STATEMENTS = [
    """
ALTER TABLE snap
ADD COLUMN confinement text
""",
    """
ALTER TABLE snap
DROP COLUMN summary
""",
    """
UPDATE snap
SET confinement = installed_snap.confinement
FROM installed_snap WHERE snap.id = installed_snap.snap_id
""",
    """
ALTER TABLE installed_snap
DROP COLUMN confinement
""",
    """
ALTER TABLE installed_snap
DROP COLUMN held_until
""",
]


def apply(store):
    print(__doc__)
    for statement in STATEMENTS:
        store.execute(statement)


def reverse(store):
    print(f"Reversing 'f{__doc__}'")
    for statement in REVERSE_STATEMENTS:
        store.execute(statement)
