# Copyright 2005-2013 Canonical Limited.  All rights reserved.

"""Create script table."""
from __future__ import print_function

statements = [
    """
CREATE TABLE script (
    id SERIAL PRIMARY KEY,
    account_id INTEGER NOT NULL REFERENCES account_twin ON DELETE CASCADE,
    interpreter TEXT NOT NULL,
    code TEXT NOT NULL,
    title TEXT NOT NULL,
    username TEXT,
    time_limit INTEGER NOT NULL)
""",
    """
CREATE INDEX script_account_id_idx ON script (account_id)
""",
    """
GRANT SELECT, INSERT, UPDATE, DELETE
    ON TABLE script TO landscape, landscape_maintenance
""",
    """
GRANT SELECT, UPDATE
    ON TABLE script_id_seq TO landscape, landscape_maintenance
""",
]


def apply(store):
    print(__doc__)
    for statement in statements:
        store.execute(statement)
