# Copyright 2005-2013 Canonical Limited.  All rights reserved.

"""Add article_vote table."""
from __future__ import print_function

statements = [
    """
CREATE TABLE article_vote (
    person_id INTEGER NOT NULL,
    article_id INTEGER NOT NULL REFERENCES article on DELETE CASCADE,
    helpful BOOL NOT NULL,
    vote_time TIMESTAMP NOT NULL,
    PRIMARY KEY (person_id, article_id)
    )
""",
    """
GRANT SELECT, INSERT, UPDATE, DELETE
    ON TABLE article_vote TO landscape, landscape_maintenance
""",
]


def apply(store):
    print(__doc__)
    for statement in statements:
        store.execute(statement)
