# Copyright 2005-2013 Canonical Limited.  All rights reserved.

"""Add tables to store information about hardware devices."""
from __future__ import print_function


def apply(store):
    print("Creating device table.")
    store.execute(
        """
CREATE TABLE device (
    id SERIAL NOT NULL PRIMARY KEY,
    parent_id INTEGER REFERENCES device CHECK (id != parent_id),
    computer_id INTEGER NOT NULL REFERENCES computer ON DELETE CASCADE,
    udi TEXT NOT NULL,
    name TEXT NOT NULL,
    category TEXT NOT NULL DEFAULT 'unknown',
    UNIQUE (computer_id, id, parent_id))
"""
    )

    print("Creating device_property table.")
    store.execute(
        """
CREATE TABLE device_property (
    id SERIAL NOT NULL PRIMARY KEY,
    device_id INTEGER NOT NULL REFERENCES device (id),
    key TEXT NOT NULL,
    int_value BIGINT,
    float_value DOUBLE PRECISION,
    str_value TEXT,
    strlist_value TEXT[],
    UNIQUE (device_id, key))
"""
    )
