# Copyright 2005-2013 Canonical Limited.  All rights reserved.

"""
Add a Cascade delete for custom graph data.
"""
from __future__ import print_function

changes = [
    """
ALTER TABLE custom_graph_data
   ADD CONSTRAINT custom_graph_data_computer_id_fkey
   FOREIGN KEY (computer_id) REFERENCES computer
   ON DELETE CASCADE
""",
]


def apply(store):
    print(__doc__)
    for statement in changes:
        store.execute(statement)
