# Copyright 2005-2013 Canonical Limited.  All rights reserved.

"""Change activity_group.data to be a list instead of pickle field."""
from __future__ import print_function

from future import standard_library

standard_library.install_aliases()
from builtins import str
import pickle


def apply(store):
    print(__doc__)
    store.execute(
        "ALTER TABLE activity_group ADD COLUMN data_new INT[] " "NOT NULL DEFAULT '{}'"
    )
    for activity_id, data in store.execute(
        "SELECT activity_id, data FROM activity_group WHERE data is not NULL"
    ):
        new_data = pickle.loads(str(data))
        new_data = ",".join(
            "{%d,%d}" % (computer_id, status_id) for computer_id, status_id in new_data
        )
        new_data = "'{%s}'" % new_data
        store.execute(
            "UPDATE activity_group SET data_new = %s WHERE activity_id = %d"
            % (new_data, activity_id)
        )
    store.execute("ALTER TABLE activity_group DROP COLUMN data")
    store.execute("ALTER TABLE activity_group RENAME COLUMN data_new to data")
