# Copyright 2005-2013 Canonical Limited.  All rights reserved.

"""
Update the activity info tables to store UIDs and GIDs in BIGINTs.
"""
from __future__ import print_function


STATEMENTS = [
    """
ALTER TABLE edit_user_request ALTER COLUMN uid TYPE BIGINT
""",
    """
ALTER TABLE delete_user_request ALTER COLUMN uid TYPE BIGINT
""",
    """
ALTER TABLE lock_user_request ALTER COLUMN uid TYPE BIGINT
""",
    """
ALTER TABLE unlock_user_request ALTER COLUMN uid TYPE BIGINT
""",
    """
ALTER TABLE add_group_member_request ALTER COLUMN uid TYPE BIGINT
""",
    """
ALTER TABLE add_group_member_request ALTER COLUMN gid TYPE BIGINT
""",
    """
ALTER TABLE remove_group_member_request ALTER COLUMN uid TYPE BIGINT
""",
    """
ALTER TABLE remove_group_member_request ALTER COLUMN gid TYPE BIGINT
""",
]


def apply(store):
    print(__doc__)
    for statement in STATEMENTS:
        store.execute(statement)
