# Copyright 2005-2013 Canonical Limited.  All rights reserved.

"""
New attributes were added to the PasswordRecovery class to track the creation
date for future expiry.
"""
from __future__ import print_function


def apply(store):
    print("Adding creation_time to password_recovery table")
    store.execute(
        "ALTER TABLE password_recovery"
        "    ADD COLUMN creation_time TIMESTAMP NOT NULL "
        "               DEFAULT (now() AT TIME ZONE 'UTC')"
    )
    print("Updating existing password_recovery entries to be now")
    store.execute("UPDATE password_recovery SET creation_time=now()")
    print("Granting permissions for the landscape_maintenance user")
    store.execute(
        "GRANT SELECT, INSERT, DELETE"
        "    ON TABLE password_recovery TO landscape_maintenance"
    )
