# Copyright 2005-2013 Canonical Limited.  All rights reserved.

"""
Add indexes to timestamp columns in the resource database (to improve
performance of the maintenance script).
"""
from __future__ import print_function


STATEMENTS = [
    """
CREATE INDEX load_average_timestamp_idx ON load_average (timestamp)
""",
    """
CREATE INDEX mount_info_timestamp_idx ON mount_info (timestamp)
""",
    """
CREATE INDEX mount_activity_timestamp_idx ON mount_activity (timestamp)
""",
    """
CREATE INDEX free_space_timestamp_idx ON free_space (timestamp)
""",
    """
CREATE INDEX computer_uptime_timestamp_idx ON computer_uptime (timestamp)
""",
    """
CREATE INDEX temperature_thermal_zone_id_idx ON temperature (thermal_zone_id)
""",
    """
CREATE INDEX temperature_timestamp_idx ON temperature (timestamp)
""",
    """
CREATE INDEX custom_graph_data_point_custom_graph_data_id_idx
    ON custom_graph_data_point (custom_graph_data_id)
""",
    """
CREATE INDEX custom_graph_data_point_timestamp_idx
    ON custom_graph_data_point (timestamp)
""",
    """
CREATE INDEX memory_info_timestamp_idx ON memory_info (timestamp)
""",
]


def apply(store):
    print(__doc__)
    for statement in STATEMENTS:
        store.execute(statement)
