# Copyright 2005-2013 Canonical Limited.  All rights reserved.

"""
Remove the ExchangeNotice parent from TextMessageNotice activities.
"""
from __future__ import print_function


def apply(store):
    print(__doc__)
    text_message_type = 400
    result = store.execute(
        "SELECT id, parent_id FROM activity " "WHERE info_type = ?",
        (text_message_type,),
    )
    text_message_ids = []
    exchange_notice_ids = []
    for id, parent_id in result:
        text_message_ids.append(id)
        exchange_notice_ids.append(parent_id)

    if not text_message_ids:
        return

    store.execute(
        "UPDATE activity SET parent_id = NULL, root_parent_id = NULL" " WHERE id IN ?",
        (tuple(text_message_ids),),
    )

    store.execute(
        "DELETE FROM activity " "WHERE id IN ?", (tuple(exchange_notice_ids),)
    )
