# Copyright 2005-2013 Canonical Limited.  All rights reserved.

"""
Remove indexes on timestamp columns in the resource database (to improve
performance of the maintenance script).
"""
from __future__ import print_function


STATEMENTS = [
    "DROP INDEX load_average_timestamp_idx",
    "DROP INDEX mount_info_timestamp_idx",
    "DROP INDEX mount_activity_timestamp_idx",
    "DROP INDEX free_space_timestamp_idx",
    "DROP INDEX computer_uptime_timestamp_idx",
    "DROP INDEX temperature_thermal_zone_id_idx",
    "DROP INDEX temperature_timestamp_idx",
    "DROP INDEX custom_graph_data_point_custom_graph_data_id_idx",
    "DROP INDEX custom_graph_data_point_timestamp_idx",
    "DROP INDEX memory_info_timestamp_idx",
]


def apply(store):
    print(__doc__)
    for statement in STATEMENTS:
        store.execute(statement)
