# Copyright 2005-2013 Canonical Limited.  All rights reserved.

"""Remove the ON DELETE CASCADE in change_package_profile_request."""
from __future__ import print_function


def apply(store):
    print(__doc__)
    store.execute(
        """
        ALTER TABLE change_package_profile_request ALTER COLUMN
        package_profile_id DROP NOT NULL
    """
    )
    store.execute(
        """
        ALTER TABLE change_package_profile_request DROP CONSTRAINT
        change_package_profile_request_package_profile_id_fkey
    """
    )
    store.execute(
        """
        ALTER TABLE change_package_profile_request ADD CONSTRAINT
        change_package_profile_request_package_profile_id_fkey
        FOREIGN KEY (package_profile_id) REFERENCES package_profile(id)
        ON DELETE SET NULL
    """
    )
