# Copyright 2005-2013 Canonical Limited.  All rights reserved.

"""Create ec2_access_info table."""
from __future__ import print_function

STATEMENTS = [
    """
CREATE TABLE ec2_access_info (
    id SERIAL PRIMARY KEY,
    account_id INTEGER NOT NULL REFERENCES account ON DELETE CASCADE,
    endpoint TEXT NOT NULL,
    title TEXT NOT NULL,
    access_key_id BYTEA NOT NULL,
    access_secret_key BYTEA NOT NULL,
    creation_time TIMESTAMP NOT NULL DEFAULT (now() AT TIME ZONE 'UTC'),
    UNIQUE (account_id, endpoint, access_key_id),
    UNIQUE (account_id, title))
""",
    """
GRANT SELECT, INSERT, DELETE, UPDATE
    ON TABLE ec2_access_info TO landscape, landscape_maintenance
""",
    """
GRANT SELECT, UPDATE
    ON TABLE ec2_access_info_id_seq TO landscape, landscape_maintenance
""",
]


def apply(store):
    print(__doc__)
    for statement in STATEMENTS:
        store.execute(statement)
