# Copyright 2005-2013 Canonical Limited.  All rights reserved.

"""Add computer_package_lock table and locked column to computer_packages."""
from __future__ import print_function


STATEMENTS = [
    """
ALTER TABLE computer_packages ADD COLUMN locked INT[] NOT NULL DEFAULT '{}'
""",
    """
CREATE TABLE computer_package_lock (
    computer_id INTEGER NOT NULL REFERENCES computer_twin ON DELETE CASCADE,
    package_lock_id INTEGER NOT NULL,
    UNIQUE (computer_id, package_lock_id))
""",
    """
GRANT SELECT, INSERT, UPDATE, DELETE
    ON TABLE computer_package_lock TO landscape, landscape_maintenance
""",
]


def apply(store):
    print(__doc__)
    for statement in STATEMENTS:
        store.execute(statement)
