# Copyright 2005-2013 Canonical Limited.  All rights reserved.

"""
Convert all non-empty RuleState data for package upgrade rules from
list_of_upgrades to (list_of_upgrades,[]).
"""
from __future__ import print_function


from canonical.landscape.model.alert.rule import Rule, RuleState


def apply(store):
    print(__doc__)

    result = store.find(
        RuleState, RuleState.rule_id == Rule.id, Rule.info_type.is_in([100, 101])
    )
    for stored_state in result:
        if stored_state.data is None:
            continue
        data = stored_state.data
        if isinstance(data, list):
            stored_state.data = (data, [])
