# Copyright 2005-2013 Canonical Limited.  All rights reserved.

"""Add computer_apt_preferences_file table."""
from __future__ import print_function


STATEMENTS = [
    """
CREATE TABLE computer_apt_preferences_file (
    computer_id INTEGER NOT NULL REFERENCES computer_twin ON DELETE CASCADE,
    filename TEXT NOT NULL,
    contents TEXT NOT NULL,
    UNIQUE (computer_id, filename))
""",
    """
GRANT SELECT, INSERT, UPDATE, DELETE
    ON TABLE computer_apt_preferences_file TO landscape, landscape_maintenance
""",
]


def apply(store):
    print(__doc__)
    for statement in STATEMENTS:
        store.execute(statement)
