# Copyright 2005-2013 Canonical Limited.  All rights reserved.

"""
Reference cloud_controller from cloud.
"""
from __future__ import print_function

STATEMENTS = [
    """
ALTER TABLE cloud_controller DROP CONSTRAINT cloud_controller_pkey
""",
    """
ALTER TABLE cloud_controller ADD COLUMN id SERIAL NOT NULL PRIMARY KEY
""",
    """
ALTER TABLE cloud_controller ADD UNIQUE(computer_id)
""",
    """ALTER TABLE cloud_controller DROP COLUMN cloud_id
""",
    """
ALTER TABLE cloud ADD COLUMN controller_id INTEGER
REFERENCES cloud_controller ON DELETE CASCADE
""",
    """
GRANT SELECT, UPDATE
    ON TABLE cloud_controller_id_seq TO landscape, landscape_maintenance
""",
]


def apply(store):
    print(__doc__)
    for statement in STATEMENTS:
        store.execute(statement)
