# Copyright 2005-2013 Canonical Limited.  All rights reserved.

"""Create PingTime objects for computers that don't have them"""
from __future__ import print_function

from storm.expr import Func, Select, Not
from canonical.landscape.model.main import PingTime, Computer

Exists = lambda *args: Func("EXISTS", *args)


def apply(store):
    print("Creating PingTime objects for any Computers which don't have them.")
    computers = store.execute(
        Select(
            Computer.id,
            Not(
                Exists(
                    Select(1, PingTime.computer_id == Computer.id, tables=[PingTime])
                )
            ),
        )
    )
    for (computer_id,) in computers:
        ping_time = PingTime()
        store.add(ping_time)
        ping_time.computer_id = computer_id
