# Copyright 2005-2013 Canonical Limited.  All rights reserved.

"""
Add a 'resource_group' table with a FK to 'cloud'.
"""
from __future__ import print_function

STATEMENTS = [
    """
CREATE TABLE resource_group (
    id SERIAL NOT NULL PRIMARY KEY,
    cloud_id INTEGER NOT NULL REFERENCES cloud ON DELETE CASCADE,
    name TEXT NOT NULL,
    title TEXT NOT NULL,
    UNIQUE (cloud_id, name),
    UNIQUE (cloud_id, title))
""",
    """
GRANT SELECT, INSERT, UPDATE, DELETE
    ON TABLE resource_group TO landscape, landscape_maintenance
""",
    """
GRANT SELECT, UPDATE
    ON TABLE resource_group_id_seq TO landscape, landscape_maintenance
""",
]


def apply(store):
    print(__doc__)
    for statement in STATEMENTS:
        store.execute(statement)
