# Copyright 2005-2013 Canonical Limited.  All rights reserved.

"""
Add image_id, keypair and security_groups to cloud_instance.
"""
from __future__ import print_function

STATEMENTS = [
    """
CREATE TABLE ec2_cloud_instance (
    cloud_instance_id INTEGER NOT NULL PRIMARY KEY
        REFERENCES cloud_instance ON DELETE CASCADE,
    instance_type TEXT NOT NULL,
    keypair TEXT,
    security_groups TEXT[])
""",
    """
GRANT SELECT, INSERT, DELETE, UPDATE
    ON TABLE ec2_cloud_instance TO landscape, landscape_maintenance
""",
    """
ALTER TABLE cloud_instance ADD COLUMN image_key TEXT NOT NULL
""",
]


def apply(store):
    print(__doc__)
    for statement in STATEMENTS:
        store.execute(statement)
