# Copyright 2005-2013 Canonical Limited.  All rights reserved.

"""
Drop access_key/secret_key columns from the cloud table
"""
from __future__ import print_function

STATEMENTS = [
    """
ALTER TABLE cloud DROP COLUMN endpoint
""",
    """
ALTER TABLE cloud DROP COLUMN access_key
""",
    """
ALTER TABLE cloud DROP COLUMN secret_key
""",
    """
ALTER TABLE cloud DROP COLUMN public
""",
    """
ALTER TABLE cloud ADD COLUMN name TEXT NOT NULL
""",
    """
ALTER TABLE cloud ADD UNIQUE (account_id, name)
""",
]


def apply(store):
    print(__doc__)
    for statement in STATEMENTS:
        store.execute(statement)
