# Copyright 2005-2013 Canonical Limited.  All rights reserved.

"""
Set NOT NULL and UNIQUE on cloud_instance.computer_id
"""
from __future__ import print_function

STATEMENTS = [
    """
ALTER TABLE cloud_instance ALTER COLUMN computer_id SET NOT NULL
""",
    """
ALTER TABLE cloud_instance ADD UNIQUE (computer_id)
""",
    """
DROP INDEX cloud_instance_computer_id_idx
""",
]


def apply(store):
    print(__doc__)
    for statement in STATEMENTS:
        store.execute(statement)
