# Copyright 2005-2013 Canonical Limited.  All rights reserved.

"""
Create table to store ping server information
"""
from __future__ import print_function

STATEMENTS = [
    """
CREATE TABLE ping_server (
    id SERIAL NOT NULL PRIMARY KEY,
    startup_time TIMESTAMP NOT NULL DEFAULT (now() AT TIME ZONE 'UTC'),
    last_update_time TIMESTAMP)
""",
    """
GRANT SELECT, INSERT, UPDATE, DELETE
    ON TABLE ping_server TO landscape, landscape_maintenance
""",
    """
GRANT SELECT, UPDATE
    ON TABLE ping_server_id_seq TO landscape, landscape_maintenance
""",
]


def apply(store):
    print(__doc__)
    for statement in STATEMENTS:
        store.execute(statement)
