# Copyright 2005-2013 Canonical Limited.  All rights reserved.

"""
Update the computer_user and computer_group tables to use BIGINT instead
of INTEGER to support 32bit UIDs and GIDs.
"""
from __future__ import print_function


STATEMENTS = [
    """
ALTER TABLE computer_group ALTER COLUMN gid TYPE BIGINT
""",
    """
ALTER TABLE computer_user ALTER COLUMN uid TYPE BIGINT
""",
    """
ALTER TABLE computer_user ALTER COLUMN primary_gid TYPE BIGINT
""",
]


def apply(store):
    print(__doc__)
    for statement in STATEMENTS:
        store.execute(statement)
