# Copyright 2005-2013 Canonical Limited.  All rights reserved.

"""Add managed_instance table."""
from __future__ import print_function


STATEMENTS = [
    """
CREATE TABLE managed_instance (
    id SERIAL NOT NULL PRIMARY KEY,
    computer_id INTEGER NOT NULL UNIQUE
        REFERENCES computer_twin ON DELETE CASCADE,
    group_id INTEGER NOT NULL
        REFERENCES resource_group ON DELETE CASCADE,
    instance_key BYTEA NOT NULL,
    creation_time TIMESTAMP NOT NULL DEFAULT (now() AT TIME ZONE 'UTC'),
    startup_scripts INTEGER[],
    UNIQUE (group_id, instance_key))
""",
    """
GRANT SELECT, INSERT, DELETE, UPDATE
    ON TABLE managed_instance TO landscape, landscape_maintenance
""",
    """
GRANT SELECT, UPDATE
    ON TABLE managed_instance_id_seq TO landscape, landscape_maintenance
""",
]


def apply(store):
    print(__doc__)
    for statement in STATEMENTS:
        store.execute(statement)
