# Copyright 2005-2013 Canonical Limited.  All rights reserved.

"""Create table for tracking the server UUID."""
from __future__ import print_function

STATEMENTS = [
    """
CREATE TABLE server_identity (
    uuid TEXT PRIMARY KEY)
""",
    """
GRANT SELECT, INSERT, DELETE
    ON TABLE server_identity TO landscape, landscape_maintenance
""",
]


def apply(store):
    print(__doc__)
    for statement in STATEMENTS:
        store.execute(statement)
    # We're not assigning the identity here.  The server must be able
    # to obtain an identity automatically the first time it's started
    # with identity support.
