# Copyright 2005-2013 Canonical Limited.  All rights reserved.

"""Create a new reboot_required_info table."""
from __future__ import print_function

STATEMENTS = [
    """
CREATE TABLE reboot_required_info (
    computer_id INTEGER PRIMARY KEY NOT NULL REFERENCES computer_twin
        ON DELETE CASCADE,
    packages TEXT[])
""",
    """
GRANT SELECT, INSERT, UPDATE, DELETE
    ON TABLE reboot_required_info TO landscape, landscape_maintenance
""",
]


def apply(store):
    print(__doc__)
    for statement in STATEMENTS:
        store.execute(statement)
