# Copyright 2005-2013 Canonical Limited.  All rights reserved.

"""Add availability_zone table."""


STATEMENTS = [
    """
CREATE TABLE availability_zone (
    id SERIAL NOT NULL PRIMARY KEY,
    cloud_controller_id INTEGER NOT NULL
        REFERENCES cloud_controller ON DELETE CASCADE,
    name TEXT NOT NULL,
    ip_address TEXT NOT NULL,
    capacity BYTEA,
    UNIQUE(cloud_controller_id, name))
""",
    """
CREATE INDEX availability_zone_cloud_controller_id_idx
    ON availability_zone (cloud_controller_id)
""",
    """
GRANT SELECT, INSERT, UPDATE, DELETE
    ON TABLE availability_zone TO landscape, landscape_maintenance
""",
    """
GRANT SELECT, UPDATE
    ON TABLE availability_zone_id_seq TO landscape, landscape_maintenance
""",
    """
ALTER TABLE cloud_controller DROP COLUMN capacity
""",
]


def apply(store):
    for statement in STATEMENTS:
        store.execute(statement)
