# Copyright 2005-2013 Canonical Limited.  All rights reserved.

"""Recreate table for tracking the server UUID."""
from __future__ import print_function

STATEMENTS = [
    """
DROP TABLE server_identity
""",
    """
CREATE TABLE server_identity (
    id INTEGER PRIMARY KEY DEFAULT 1,
    uuid TEXT NOT NULL)
""",
    """
GRANT SELECT, INSERT, DELETE
    ON TABLE server_identity TO landscape, landscape_maintenance
""",
]


def apply(store):
    print(__doc__)
    result = store.execute("SELECT uuid FROM server_identity LIMIT 1").get_one()
    if result:
        old_uuid = result[0]
    else:
        old_uuid = None

    for statement in STATEMENTS:
        store.execute(statement)

    if old_uuid:
        store.execute("INSERT INTO server_identity (uuid) VALUES (?)", (old_uuid,))
