# Copyright 2005-2013 Canonical Limited.  All rights reserved.

"""Add a table to store network device information."""
from __future__ import print_function


STATEMENTS = [
    """
CREATE TABLE network_device (
    id SERIAL NOT NULL PRIMARY KEY,
    computer_id INTEGER NOT NULL REFERENCES computer_twin ON DELETE CASCADE,
    interface BYTEA NOT NULL,
    ip_address BYTEA NOT NULL,
    mac_address BYTEA NOT NULL,
    broadcast_address BYTEA NOT NULL,
    netmask BYTEA NOT NULL,
    creation_time TIMESTAMP NOT NULL DEFAULT (now() AT TIME ZONE 'UTC'),
    UNIQUE (computer_id, interface))
""",
    """
GRANT SELECT, INSERT, UPDATE, DELETE
    ON TABLE network_device TO landscape, landscape_maintenance
""",
    """
GRANT SELECT, UPDATE
    ON TABLE network_device_id_seq TO landscape, landscape_maintenance
""",
]


def apply(store):
    print(__doc__)
    for statement in STATEMENTS:
        store.execute(statement)
