# Copyright 2005-2013 Canonical Limited.  All rights reserved.

"""Add a table that keeps the extra cloud user invitation data."""
from __future__ import print_function

STATEMENTS = [
    # NB: the 'account_invitation' table is in the main database. That's
    # why we cannot refer to it using a foreign key.
    """
CREATE TABLE cloud_invitation (
    invitation_secure_id TEXT NOT NULL,
    resource_group_id INTEGER NOT NULL
        REFERENCES resource_group ON DELETE CASCADE,
    creation_time TIMESTAMP NOT NULL DEFAULT (now() AT TIME ZONE 'UTC'),
    PRIMARY KEY(invitation_secure_id, resource_group_id))
""",
    """
GRANT SELECT, INSERT, DELETE
    ON TABLE cloud_invitation TO landscape, landscape_maintenance
""",
]


def apply(store):
    print(__doc__)
    for statement in STATEMENTS:
        store.execute(statement)
