# Copyright 2005-2013 Canonical Limited.  All rights reserved.

"""Add a copy of cloud_registration_otp for the new cloud model."""
from __future__ import print_function

STATEMENTS = [
    """
CREATE TABLE registration_otp (
    otp BYTEA PRIMARY KEY,
    instance_id INTEGER NOT NULL
        REFERENCES managed_instance ON DELETE CASCADE)
""",
    """
GRANT SELECT, INSERT, DELETE
    ON TABLE registration_otp TO landscape, landscape_maintenance
""",
]


def apply(store):
    print(__doc__)
    for statement in STATEMENTS:
        store.execute(statement)
