# Copyright 2005-2013 Canonical Limited.  All rights reserved.

"""Add a table to store network activity."""
from __future__ import print_function


STATEMENTS = [
    """
CREATE TABLE network_activity (
    id SERIAL NOT NULL PRIMARY KEY,
    computer_id INTEGER NOT NULL REFERENCES computer_twin ON DELETE CASCADE,
    interface BYTEA NOT NULL,
    timestamp TIMESTAMP NOT NULL,
    bytes_in INT NOT NULL,
    bytes_out INT NOT NULL)
""",
    """
GRANT SELECT, INSERT, UPDATE, DELETE
    ON TABLE network_activity TO landscape, landscape_maintenance
""",
    """
GRANT SELECT, UPDATE
    ON TABLE network_activity_id_seq TO landscape, landscape_maintenance
""",
]


def apply(store):
    print(__doc__)
    for statement in STATEMENTS:
        store.execute(statement)
