# Copyright 2005-2013 Canonical Limited.  All rights reserved.

"""Remove the text search trigger."""
from __future__ import print_function


def apply(store):
    print(__doc__)
    print("dropping the old text search trigger...")
    store.execute(
        """
        DROP TRIGGER text_search_update_trigger ON article
        """
    )
    print("renaming the text search vector columns...")
    store.execute(
        """
        ALTER TABLE article RENAME text_search TO text_search_vector
        """
    )
    print("renaming the text search vector index...")
    store.execute(
        """
        ALTER INDEX text_search_idx RENAME TO text_search_vector_idx
        """
    )
