# Copyright 2005-2013 Canonical Limited.  All rights reserved.

"""
Patch adds the distribution table and alters the computer table to
include distribution_id.
"""
from __future__ import print_function


distribution_create = """
CREATE TABLE distribution (
    id SERIAL NOT NULL PRIMARY KEY,
    description TEXT NOT NULL,
    distributor TEXT,
    release TEXT,
    code_name TEXT,
    UNIQUE(description, distributor, release, code_name))
"""


computer_alter = """
ALTER TABLE computer
    ADD COLUMN distribution_id INTEGER REFERENCES distribution (id)
"""


def apply(store):
    print("Adding distribution table.")
    store.execute(distribution_create)
    print("Adding distribution_id to computer table.")
    store.execute(computer_alter)
