# Copyright 2005-2013 Canonical Limited.  All rights reserved.

"""Added support for computer groups."""
from __future__ import print_function

create_computer_group = """
CREATE TABLE computer_group (
    id SERIAL NOT NULL PRIMARY KEY,
    computer_id INTEGER NOT NULL REFERENCES computer ON DELETE CASCADE,
    gid INTEGER NOT NULL,
    name TEXT NOT NULL)
"""

create_computer_user_group = """
CREATE TABLE computer_user_group (
    user_id INTEGER NOT NULL REFERENCES computer_user ON DELETE CASCADE,
    group_id INTEGER NOT NULL REFERENCES computer_group ON DELETE CASCADE,
    PRIMARY KEY (user_id, group_id))
"""

alter_computer_user = """
ALTER TABLE computer_user (
ADD CONSTRAINT UNIQUE (computer_id, uid))
"""


def apply(store):
    print("Adding computer_group table")
    store.execute(create_computer_group)
    print("Adding computer_user_group table")
    store.execute(create_computer_user_group)
    print("Adding unique constraint to computer_user table")
    store.execute(create_computer_group)
