# Copyright 2005-2013 Canonical Limited.  All rights reserved.
# landscape-lint: noqa

"""
Create StandaloneOverflowAlerts for LDS customers
"""
from __future__ import print_function
import transaction

from canonical.landscape.model.account.alerts import StandaloneOverflowAlert
from canonical.landscape.model.main.account import get_account_by_name
from canonical.landscape.application import is_standalone


def apply(store):
    # Commit the patch no matter what
    transaction.commit()
    try:
        if is_standalone():
            standalone_account = get_account_by_name("standalone")
            if standalone_account:
                print(__doc__)
                rule = standalone_account.create_rule(StandaloneOverflowAlert)
                rule.info.check()
                transaction.commit()
    except Exception as e:
        print("Ignoring exception while enabling StandaloneOverflowAlert: " "'%s'" % e)
        transaction.abort()
