# Copyright 2005-2013 Canonical Limited.  All rights reserved.

"""Add repository profile table."""
from __future__ import print_function


STATEMENTS = [
    """
    CREATE TABLE repository_profile (
        id SERIAL NOT NULL PRIMARY KEY,
        account_id INTEGER NOT NULL REFERENCES account_twin ON DELETE CASCADE,
        name TEXT NOT NULL,
        description TEXT NOT NULL,
        contents TEXT NOT NULL,
        computer_group_id INTEGER NOT NULL REFERENCES computer_group
            ON DELETE CASCADE,
        creation_time TIMESTAMP NOT NULL DEFAULT (now() AT TIME ZONE 'UTC'),
        modification_time TIMESTAMP NOT NULL
            DEFAULT (now() AT TIME ZONE 'UTC'),
        UNIQUE (account_id, name))
    """,
    """
    GRANT SELECT, INSERT, UPDATE, DELETE
        ON TABLE repository_profile TO landscape, landscape_maintenance
    """,
    """
    GRANT SELECT, UPDATE
        ON TABLE repository_profile_id_seq TO landscape, landscape_maintenance
    """,
]


def apply(store):
    print(__doc__)
    for statement in STATEMENTS:
        store.execute(statement)
