# Copyright 2005-2013 Canonical Limited.  All rights reserved.

"""Add rule_state_notification."""
from __future__ import print_function


STATEMENTS = [
    """
CREATE TABLE rule_state_notification (
    rule_state_id INTEGER REFERENCES rule_state ON DELETE CASCADE,
    notification_time TIMESTAMP)
""",
    """
GRANT SELECT, INSERT, UPDATE, DELETE
    ON TABLE rule_state_notification TO landscape, landscape_maintenance
""",
]


def apply(store):
    print(__doc__)

    for statement in STATEMENTS:
        store.execute(statement)

    data = store.execute("SELECT id, notification_time FROM rule_state").get_all()

    for rule_state_id, notification_time in data:
        store.execute(
            "INSERT INTO rule_state_notification "
            "(rule_state_id, notification_time) VALUES (?, ?)",
            (rule_state_id, notification_time),
        )

    store.execute("ALTER TABLE rule_state DROP COLUMN notification_time")
