# Copyright 2005-2013 Canonical Limited.  All rights reserved.

"""Add indexes to the custom graph tables."""
from __future__ import print_function


STATEMENTS = [
    """
CREATE INDEX custom_graph_data_computer_id_idx
    ON custom_graph_data (computer_id)
""",
    """
CREATE INDEX custom_graph_data_point_custom_graph_data_id_idx
    ON custom_graph_data_point (custom_graph_data_id)
""",
]


def apply(store):
    print(__doc__)
    for statement in STATEMENTS:
        store.execute(statement)
