# Copyright 2005-2013 Canonical Limited.  All rights reserved.

"""Remove old cloud activities."""
from __future__ import print_function

STATEMENTS = [
    """
DELETE FROM activity WHERE info_type IN (800,801,802)
""",
    """
DELETE FROM activity AS parent_activity WHERE parent_activity.info_type = 6 AND
NOT EXISTS (SELECT 1 FROM activity WHERE
activity.root_parent_id = parent_activity.id)
""",
]


def apply(store):
    print(__doc__)
    for statement in STATEMENTS:
        store.execute(statement)
