# Copyright 2005-2013 Canonical Limited.  All rights reserved.

"""Add PRIMARY KEY to rule_state_notification.

Create StandaloneOverflowAlerts for LDS customers
"""
from __future__ import print_function
from canonical.landscape.model.account.alerts import StandaloneOverflowAlert
from canonical.landscape.model.main.account import get_account_by_name
from canonical.landscape.application import is_standalone


def apply(store):
    print(__doc__)
    store.execute(
        "ALTER TABLE rule_state_notification ADD PRIMARY KEY " "(rule_state_id)"
    )
    if is_standalone():
        standalone_account = get_account_by_name("standalone")
        if standalone_account:
            rules = standalone_account.get_rules(info_classes=[StandaloneOverflowAlert])
            if not rules.count():
                rule = standalone_account.create_rule(StandaloneOverflowAlert)
                rule.info.check()
