# Copyright 2005-2013 Canonical Limited.  All rights reserved.

"""Add GPG key table."""
from __future__ import print_function


STATEMENTS = [
    """
CREATE TABLE gpg_key (
    id SERIAL NOT NULL PRIMARY KEY,
    account_id INTEGER NOT NULL REFERENCES account_twin ON DELETE CASCADE,
    name TEXT NOT NULL,
    description TEXT NOT NULL,
    content TEXT NOT NULL,
    UNIQUE (account_id, name))
""",
    """
GRANT SELECT, INSERT, UPDATE, DELETE
    ON TABLE gpg_key TO landscape, landscape_maintenance
""",
    """
GRANT SELECT, UPDATE
    ON TABLE gpg_key_id_seq TO landscape, landscape_maintenance
""",
]


def apply(store):
    print(__doc__)
    for statement in STATEMENTS:
        store.execute(statement)
