# Copyright 2005-2013 Canonical Limited.  All rights reserved.

"""Set an high administrator limit for the standalone account."""
from __future__ import print_function

from canonical.landscape.application import is_standalone
from canonical.landscape.model.main.account import (
    DEFAULT_STANDALONE_ACCOUNT_NAME,
    DEFAULT_STANDALONE_ACCOUNT_MAX_PEOPLE_COUNT,
)


def apply(store):

    try:
        needs_patching = is_standalone()
    except AttributeError:
        # Raised by the test layer
        return
    if not needs_patching:
        print("Non-standalone instance, no changes needed.")
        return

    print(__doc__)
    store.execute(
        "UPDATE account SET max_people_count=%d WHERE id=1 AND name='%s'"
        % (DEFAULT_STANDALONE_ACCOUNT_MAX_PEOPLE_COUNT, DEFAULT_STANDALONE_ACCOUNT_NAME)
    )
