# Copyright 2005-2013 Canonical Limited.  All rights reserved.

"""Store package reporter result."""
from __future__ import print_function

from canonical.landscape.model.main.account import get_all_accounts

STATEMENTS = [
    """
CREATE TABLE package_reporter_result (
    computer_id INTEGER NOT NULL PRIMARY KEY
        REFERENCES computer_twin ON DELETE CASCADE,
    code INTEGER NOT NULL,
    err TEXT NOT NULL)
""",
    """
GRANT SELECT, UPDATE, INSERT, DELETE
    ON TABLE package_reporter_result TO landscape, landscape_maintenance
""",
]


def apply(store):
    print(__doc__)
    for statement in STATEMENTS:
        store.execute(statement)
    try:
        from canonical.landscape.model.package.alerts import PackageReporterAlert
    except ImportError:
        pass
    else:
        for account in get_all_accounts():
            rule = account.create_rule(PackageReporterAlert)
            rule.enable_for_all_computers()
