# Copyright 2005-2013 Canonical Limited.  All rights reserved.

"""Add repository_distribution and repository_series tables."""
from __future__ import print_function


STATEMENTS = [
    """
CREATE TABLE repository_distribution (
    id SERIAL NOT NULL PRIMARY KEY,
    account_id INTEGER NOT NULL REFERENCES account_twin ON DELETE CASCADE,
    name TEXT NOT NULL,
    creation_time TIMESTAMP NOT NULL DEFAULT (now() AT TIME ZONE 'UTC'),
    UNIQUE (account_id, name))
""",
    """
GRANT SELECT, INSERT, UPDATE, DELETE
    ON TABLE repository_distribution TO landscape, landscape_maintenance
""",
    """
GRANT SELECT, UPDATE
    ON TABLE repository_distribution_id_seq TO landscape, landscape_maintenance
""",
    """
CREATE TABLE repository_series (
    id SERIAL NOT NULL PRIMARY KEY,
    distribution_id INTEGER NOT NULL
                    REFERENCES repository_distribution ON DELETE CASCADE,
    name TEXT NOT NULL,
    creation_time TIMESTAMP NOT NULL DEFAULT (now() AT TIME ZONE 'UTC'),
    UNIQUE (distribution_id, name))
""",
    """
GRANT SELECT, INSERT, UPDATE, DELETE
    ON TABLE repository_series TO landscape, landscape_maintenance
""",
    """
GRANT SELECT, UPDATE
    ON TABLE repository_series_id_seq TO landscape, landscape_maintenance
""",
]


def apply(store):
    print(__doc__)
    for statement in STATEMENTS:
        store.execute(statement)
