# Copyright 2005-2013 Canonical Limited.  All rights reserved.

"""Create meta_release table."""
from __future__ import print_function

STATEMENTS = (
    """
CREATE TABLE meta_release (
    id SERIAL NOT NULL PRIMARY KEY,
    code_name TEXT NOT NULL,
    name TEXT,
    version TEXT,
    date TIMESTAMP,
    supported BOOLEAN NOT NULL DEFAULT FALSE,
    upgrade_tool_tarball_url TEXT,
    upgrade_tool_signature_url TEXT,
    lts BOOLEAN NOT NULL DEFAULT FALSE,
    UNIQUE(code_name))
""",
    """
GRANT SELECT, INSERT, UPDATE
    ON TABLE meta_release TO landscape
""",
    """
GRANT SELECT, INSERT, UPDATE, DELETE
    ON TABLE meta_release TO landscape_maintenance
""",
    """
GRANT SELECT, UPDATE
    ON TABLE meta_release_id_seq TO landscape, landscape_maintenance
""",
)


def apply(store):

    print(__doc__)
    for statement in STATEMENTS:
        store.execute(statement)
