# Copyright 2005-2013 Canonical Limited.  All rights reserved.

"""
Create the vm_info table in the resource database to store the type of
virtualization being used, if used.
"""
from __future__ import print_function


def apply(store):
    print(__doc__)
    queries = [
        """
CREATE TABLE vm_info (
    computer_id INTEGER NOT NULL PRIMARY KEY
                REFERENCES computer_twin ON DELETE CASCADE,
    hypervisor TEXT NOT NULL)
""",
        """
CREATE INDEX vminfo_computer_id_idx ON vm_info (computer_id)
""",
        """
GRANT SELECT, INSERT, UPDATE, DELETE
    ON TABLE vm_info TO landscape
""",
        """
GRANT SELECT, INSERT, DELETE
    ON TABLE vm_info TO landscape_maintenance
""",
    ]
    for query in queries:
        store.execute(query)
