# Copyright 2005-2013 Canonical Limited.  All rights reserved.

"""Add repository_pocket tables."""
from __future__ import print_function

STATEMENTS = [
    """
CREATE TABLE repository_pocket (
    id SERIAL NOT NULL PRIMARY KEY,
    series_id INTEGER NOT NULL REFERENCES repository_series ON DELETE CASCADE,
    name TEXT NOT NULL,
    mode INTEGER,
    fetch_uri TEXT DEFAULT NULL,
    fetch_dist TEXT,
    pull_pocket_id INTEGER REFERENCES repository_pocket ON DELETE CASCADE,
    components TEXT[],
    archs TEXT[],
    creation_time TIMESTAMP NOT NULL DEFAULT (now() AT TIME ZONE 'UTC'),
    UNIQUE (series_id, name))
""",
    """
GRANT SELECT, INSERT, UPDATE, DELETE
    ON TABLE repository_pocket TO landscape, landscape_maintenance
""",
    """
GRANT SELECT, UPDATE
    ON TABLE repository_pocket_id_seq TO landscape, landscape_maintenance
""",
]


def apply(store):
    print(__doc__)
    for statement in STATEMENTS:
        store.execute(statement)
