# Copyright 2005-2013 Canonical Limited.  All rights reserved.

"""Add creator_id and UNIQUE constraint to script."""
from __future__ import print_function

statements = [
    """
DELETE FROM script
""",
    """
ALTER TABLE script ADD CONSTRAINT script_account_id_title_key UNIQUE
(account_id, title)
""",
    """
ALTER TABLE script ADD COLUMN creator_id INTEGER NOT NULL
""",
]


def apply(store):
    print(__doc__)
    for statement in statements:
        store.execute(statement)
