# Copyright 2005-2013 Canonical Limited.  All rights reserved.

"""Add ON DELETE CASCADE to the device table.

This will cause a child device to be automatically deleted when an
ancestor node is deleted.
"""
from __future__ import print_function


def apply(store):
    print("Dropping foreign key constraint device_parent_id_fkey")
    store.execute("ALTER TABLE device" "    DROP CONSTRAINT device_parent_id_fkey")
    print("Adding foreign key constraint device_parent_id_fkey.")
    store.execute(
        "ALTER TABLE device"
        "    ADD CONSTRAINT device_parent_id_fkey"
        "    FOREIGN KEY (parent_id) REFERENCES device"
        "    ON DELETE CASCADE"
    )
