# Copyright 2005-2013 Canonical Limited.  All rights reserved.

"""Add sync_repository_pocket_request table."""
from __future__ import print_function

STATEMENTS = [
    """
CREATE TABLE sync_repository_pocket_request (
    activity_id INTEGER PRIMARY KEY REFERENCES activity ON DELETE CASCADE,
    pocket_id INTEGER NOT NULL REFERENCES repository_pocket ON DELETE CASCADE,
    progress INTEGER NOT NULL DEFAULT 0)
""",
    """
GRANT SELECT, INSERT, UPDATE, DELETE
    ON TABLE sync_repository_pocket_request TO landscape, landscape_maintenance
""",
]


def apply(store):
    print(__doc__)
    for statement in STATEMENTS:
        store.execute(statement)
