# Copyright 2005-2013 Canonical Limited.  All rights reserved.

"""
Add hardware_info table.
"""

STATEMENTS = [
    """
CREATE TABLE hardware_info (
    id SERIAL NOT NULL PRIMARY KEY,
    computer_id INTEGER NOT NULL REFERENCES computer_twin ON DELETE CASCADE,
    key TEXT NOT NULL,
    value TEXT NOT NULL
)
""",
    """
GRANT SELECT, UPDATE, INSERT, DELETE
    ON TABLE hardware_info TO landscape, landscape_maintenance
""",
    """
GRANT SELECT, UPDATE
    ON TABLE hardware_info_id_seq TO landscape, landscape_maintenance
""",
]


def apply(store):
    for statement in STATEMENTS:
        store.execute(statement)
