# Copyright 2005-2013 Canonical Limited.  All rights reserved.

"""
Add support for large disks to mount_info and free_space
"""
from __future__ import print_function


STATEMENTS = [
    """
ALTER TABLE mount_info ALTER COLUMN total_space TYPE bigint;
""",
    """
ALTER TABLE free_space ALTER COLUMN free_space TYPE bigint;
""",
]


def apply(store):
    print(__doc__)
    for statement in STATEMENTS:
        store.execute(statement)
