# Copyright 2005-2013 Canonical Limited.  All rights reserved.

"""Add repository_profile_pocket table."""
from __future__ import print_function

STATEMENTS = [
    """
CREATE TABLE repository_profile_pocket (
    profile_id INTEGER NOT NULL REFERENCES repository_profile,
    pocket_id INTEGER NOT NULL REFERENCES repository_pocket,
    PRIMARY KEY (profile_id, pocket_id))
""",
    """
GRANT SELECT, INSERT, UPDATE, DELETE
    ON TABLE repository_profile_pocket TO landscape, landscape_maintenance
""",
]


def apply(store):
    print(__doc__)
    for statement in STATEMENTS:
        store.execute(statement)
