# Copyright 2005-2013 Canonical Limited.  All rights reserved.

"""Patch standalone account administrators."""
from __future__ import print_function

from canonical.landscape.application import is_standalone


def apply(store):

    needs_patching = is_standalone()

    if needs_patching:
        print(__doc__)
        store.execute(
            "UPDATE account SET max_people_count = 1000 "
            "WHERE account.name = 'standalone'"
        )
    else:
        print(
            "Not applying patch_83 in account database because "
            "standalone install not detected."
        )
