# Copyright 2005-2013 Canonical Limited.  All rights reserved.

"""Add a fetch_gpg_key_id column to the repository_pocket table."""
from __future__ import print_function

STATEMENTS = [
    """
ALTER TABLE gpg_key RENAME COLUMN description TO fingerprint
""",
    """
ALTER TABLE gpg_key RENAME COLUMN content TO material
""",
    """
ALTER TABLE gpg_key ADD UNIQUE (account_id, fingerprint)
""",
    """
ALTER TABLE repository_pocket DROP COLUMN fetch_fingerprint
""",
    """
ALTER TABLE repository_pocket ADD COLUMN fetch_gpg_key_id INTEGER
    REFERENCES gpg_key ON DELETE CASCADE
""",
]


def apply(store):
    print(__doc__)
    for statement in STATEMENTS:
        store.execute(statement)
