# Copyright 2005-2013 Canonical Limited.  All rights reserved.

"""Add table to store activated trial assets."""
from __future__ import print_function


STATEMENTS = [
    """
CREATE TABLE salesforce_activated_asset (
    asset_id TEXT PRIMARY KEY,
    account_id INTEGER NOT NULL REFERENCES account ON DELETE CASCADE,
    creation_time TIMESTAMP NOT NULL DEFAULT (now() AT TIME ZONE 'UTC'),
    notification_time TIMESTAMP)
""",
    """
GRANT SELECT, INSERT, UPDATE, DELETE
    ON TABLE salesforce_activated_asset TO landscape, landscape_maintenance
""",
    """
GRANT SELECT, INSERT, DELETE, UPDATE
    ON TABLE system_configuration TO landscape_maintenance
""",
]


def apply(store):
    print(__doc__)
    for statement in STATEMENTS:
        store.execute(statement)
