# Copyright 2005-2013 Canonical Limited.  All rights reserved.

"""
Store integer values separately in hardware_info.
"""
from __future__ import print_function

STATEMENTS = [
    """ALTER TABLE hardware_info RENAME value to str_value""",
    """ALTER TABLE hardware_info ADD COLUMN int_value BIGINT""",
    """
    CREATE INDEX hardware_info_int_value_idx ON hardware_info (int_value) WHERE
    int_value IS NOT NULL
    """,
    """
    CREATE INDEX hardware_info_computer_id_idx ON hardware_info (computer_id)
    """,
]


def apply(store):
    print(__doc__)
    for statement in STATEMENTS:
        store.execute(statement)
