# Copyright 2005-2013 Canonical Limited.  All rights reserved.

"""Add cascade constraint to repository_profile_pocket."""
from __future__ import print_function

STATEMENTS = [
    """
ALTER TABLE repository_profile_pocket
    DROP CONSTRAINT repository_profile_pocket_pocket_id_fkey
""",
    """
ALTER TABLE repository_profile_pocket
    DROP CONSTRAINT repository_profile_pocket_profile_id_fkey
""",
    """
ALTER TABLE repository_profile_pocket
    ADD CONSTRAINT repository_profile_pocket_pocket_id_fkey
    FOREIGN KEY (pocket_id) REFERENCES repository_pocket(id)
    ON DELETE CASCADE;
""",
    """
ALTER TABLE repository_profile_pocket
    ADD CONSTRAINT repository_profile_pocket_profile_id_fkey
    FOREIGN KEY (profile_id) REFERENCES repository_profile(id)
    ON DELETE CASCADE;
""",
]


def apply(store):
    print(__doc__)
    for statement in STATEMENTS:
        store.execute(statement)
