# Copyright 2005-2013 Canonical Limited.  All rights reserved.

"""Add tables to store the UEC Topology Information."""
from __future__ import print_function


STATEMENTS = [
    """
CREATE TABLE cloud_controller (
    id SERIAL NOT NULL PRIMARY KEY,
    cloud_id INTEGER NOT NULL REFERENCES cloud ON DELETE CASCADE,
    kind INTEGER NOT NULL,
    ip_address TEXT NOT NULL
    )
""",
    """
GRANT SELECT, INSERT, UPDATE, DELETE
    ON TABLE cloud_controller TO landscape, landscape_maintenance
""",
    """
GRANT SELECT, UPDATE
    ON cloud_controller_id_seq TO landscape, landscape_maintenance
""",
    """
CREATE UNIQUE INDEX cloud_controller_kind_ipaddr_idx
       ON cloud_controller (kind, ip_address)
""",
    """
CREATE TABLE cloud_instance_node (
    cloud_server_id INTEGER REFERENCES cloud_controller ON DELETE CASCADE,
    instance_id INTEGER REFERENCES cloud_instance ON DELETE CASCADE,
    PRIMARY KEY (cloud_server_id, instance_id)
    )
""",
    """
GRANT SELECT, INSERT, UPDATE, DELETE
    ON TABLE cloud_instance_node TO landscape, landscape_maintenance
""",
]


def apply(store):
    print(__doc__)
    for statement in STATEMENTS:
        store.execute(statement)
