# Copyright 2005-2013 Canonical Limited.  All rights reserved.

"""
Create table hardware_info_key
"""
from __future__ import print_function

STATEMENTS = [
    """
CREATE TABLE hardware_info_key (
    hardware_info_id INTEGER NOT NULL REFERENCES hardware_info ON DELETE
    CASCADE,
    key TEXT NOT NULL
)
""",
    """
CREATE INDEX hardware_info_key_key_idx ON hardware_info_key (key)
""",
    """
GRANT SELECT, UPDATE, INSERT, DELETE
    ON TABLE hardware_info_key TO landscape, landscape_maintenance
""",
]


def apply(store):
    print(__doc__)
    for statement in STATEMENTS:
        store.execute(statement)
