# Copyright 2005-2013 Canonical Limited.  All rights reserved.

"""Add upgrade_id to meta_release."""
from __future__ import print_function

from canonical.landscape.model.main import (
    update_meta_releases_upgrades,
    MetaRelease,
    Distribution,
)


STATEMENTS = [
    """
ALTER TABLE meta_release
ADD COLUMN upgrade_id INTEGER REFERENCES meta_release
""",
    """
ALTER TABLE distribution
ADD COLUMN meta_release_id INTEGER REFERENCES meta_release
""",
    """
GRANT UPDATE
    ON TABLE distribution TO landscape
""",
]


def apply(store):
    print(__doc__)
    for statement in STATEMENTS:
        store.execute(statement)

    # Link existing distributions to existing meta-releases
    for meta_release in store.find(MetaRelease):
        code_name = meta_release.code_name
        for distribution in store.find(Distribution, code_name=code_name):
            distribution.meta_release = meta_release

    update_meta_releases_upgrades()
