# Copyright 2005-2013 Canonical Limited.  All rights reserved.

"""Add saved_search table."""
from __future__ import print_function

STATEMENTS = [
    """
CREATE TABLE saved_search (
    id SERIAL PRIMARY KEY,
    account_id INTEGER NOT NULL REFERENCES account_twin ON DELETE CASCADE,
    name TEXT NOT NULL,
    title TEXT NOT NULL,
    search TEXT NOT NULL,
    UNIQUE (account_id, name),
    UNIQUE (account_id, title))
""",
    """
GRANT SELECT, INSERT, UPDATE, DELETE
    ON TABLE saved_search TO landscape, landscape_maintenance
""",
    """
GRANT SELECT, UPDATE
    ON TABLE saved_search_id_seq TO landscape, landscape_maintenance
""",
]


def apply(store):
    print(__doc__)
    for statement in STATEMENTS:
        store.execute(statement)
