# Copyright 2005-2013 Canonical Limited.  All rights reserved.

"""Add a repository_profile_upload_gpg_key table."""
from __future__ import print_function

STATEMENTS = [
    """
CREATE TABLE repository_pocket_upload_gpg_key (
    pocket_id INTEGER NOT NULL REFERENCES repository_pocket
        ON DELETE CASCADE,
    gpg_key_id INTEGER NOT NULL REFERENCES gpg_key
        ON DELETE CASCADE,
    PRIMARY KEY (pocket_id, gpg_key_id))
""",
    """
GRANT SELECT, INSERT, UPDATE, DELETE
    ON TABLE repository_pocket_upload_gpg_key
    TO landscape, landscape_maintenance
""",
    """
ALTER TABLE repository_pocket ADD COLUMN upload_allow_unsigned BOOL
""",
]


def apply(store):
    print(__doc__)
    for statement in STATEMENTS:
        store.execute(statement)
