# Copyright 2005-2013 Canonical Limited.  All rights reserved.

"""Remove duplicated index and fix naming of unique constraint."""
from __future__ import print_function


def apply(store):

    print("Dropping duplicated index on script (account_id).")
    store.execute("DROP INDEX script_account_id_idx")

    result = store.execute(
        "SELECT relname FROM pg_class WHERE " "relname='script_account_id_title_key'"
    )
    if result.get_one():
        print("Fixing name of unique index on script (account_id, title).")
        store.execute(
            """
                      ALTER TABLE script DROP CONSTRAINT
                      script_account_id_title_key
                      """
        )
        store.execute(
            """
                      ALTER TABLE script ADD CONSTRAINT
                      script_account_id_key UNIQUE (account_id, title)
                      """
        )
    else:
        print("Unique index on script (account_id, title) is already right.")
