# Copyright 2005-2013 Canonical Limited.  All rights reserved.

"""Add article_view table."""
from __future__ import print_function


STATEMENTS = [
    """
CREATE TABLE article_view (
    id SERIAL PRIMARY KEY,
    article_id INTEGER NOT NULL REFERENCES article on DELETE CASCADE,
    client_id BYTEA NOT NULL
    )
""",
    """
CREATE INDEX article_view_article_id_idx ON article_view (article_id)
""",
    """
GRANT SELECT, INSERT
    ON TABLE article_view TO landscape
""",
    """
GRANT SELECT, INSERT, DELETE
    ON TABLE article_view TO landscape_maintenance
""",
    """
GRANT SELECT, UPDATE
    ON TABLE article_view_id_seq TO landscape, landscape_maintenance
""",
]


def apply(store):
    print(__doc__)
    for statement in STATEMENTS:
        store.execute(statement)
