# Copyright 2005-2013 Canonical Limited.  All rights reserved.

"""Add a repository_upload table."""
from __future__ import print_function

STATEMENTS = [
    """
CREATE TABLE repository_upload (
    id SERIAL NOT NULL PRIMARY KEY,
    distribution_id INTEGER NOT NULL
        REFERENCES repository_distribution ON DELETE CASCADE,
    pocket_id INTEGER NOT NULL REFERENCES repository_pocket ON DELETE CASCADE,
    changes TEXT NOT NULL,
    creation_time TIMESTAMP NOT NULL DEFAULT (now() AT TIME ZONE 'UTC'),
    UNIQUE (distribution_id, changes))
""",
    """
GRANT SELECT, INSERT, UPDATE, DELETE
    ON TABLE repository_upload TO landscape, landscape_maintenance
""",
    """
GRANT SELECT, UPDATE
    ON TABLE repository_upload_id_seq TO landscape, landscape_maintenance
""",
    """
CREATE INDEX repository_upload_pocket_id_idx ON repository_upload (pocket_id)
""",
]


def apply(store):
    print(__doc__)
    for statement in STATEMENTS:
        store.execute(statement)
