# Copyright 2005-2013 Canonical Limited.  All rights reserved.

"""Add the removed_computer table."""
from __future__ import print_function

STATEMENTS = [
    """
CREATE TABLE removed_computer (
    id INTEGER NOT NULL PRIMARY KEY,
    creation_time TIMESTAMP NOT NULL DEFAULT (now() AT TIME ZONE 'UTC'))
""",
    """
GRANT SELECT, INSERT, DELETE
    ON TABLE removed_computer TO landscape, landscape_maintenance
""",
]


def apply(store):
    print(__doc__)
    for statement in STATEMENTS:
        store.execute(statement)
