# Copyright 2005-2013 Canonical Limited.  All rights reserved.

"""Refactor package lock requests."""
from __future__ import print_function


def apply(store):
    print("Disabled patch")
    return

    print(__doc__)
    changes = {}
    result = store.execute(
        "SELECT parent_id, package_lock_id FROM create_package_lock_request, "
        "activity WHERE activity.id = create_package_lock_request.activity_id"
    )
    for activity_id, lock in result.get_all():
        changes.setdefault(activity_id, []).append([4, lock])
    result = store.execute(
        "SELECT parent_id, package_lock_id FROM remove_package_lock_request, "
        "activity WHERE activity.id = remove_package_lock_request.activity_id"
    )
    for activity_id, lock in result.get_all():
        changes.setdefault(activity_id, []).append([2, lock])
    store.execute(
        """
CREATE TABLE change_package_lock_request (
    activity_id INTEGER PRIMARY KEY REFERENCES activity ON DELETE CASCADE,
    changes INT[][] NOT NULL DEFAULT '{}')
"""
    )
    store.execute(
        """
GRANT SELECT, INSERT, UPDATE, DELETE
    ON TABLE change_package_lock_request TO landscape, landscape_maintenance
"""
    )
    for activity_id, locks in changes.items():
        store.execute(
            "INSERT INTO change_package_lock_request (activity_id, changes) "
            "VALUES (?, ?)",
            (activity_id, locks),
        )
    store.execute("DROP TABLE create_package_lock_request")
    store.execute("DROP TABLE remove_package_lock_request")
