# Copyright 2005-2013 Canonical Limited.  All rights reserved.

"""
Drop computer_package_lock table and rename "locked" column to "held" in the
computer_packages table.
"""
from __future__ import print_function

STATEMENTS = [
    """
    DELETE FROM computer_package_lock
    """,
    """
    DROP TABLE computer_package_lock
    """,
    """
    ALTER TABLE computer_packages RENAME COLUMN locked TO held
    """,
]


def apply(store):
    print(__doc__)
    for statement in STATEMENTS:
        store.execute(statement)
