# Copyright 2005-2013 Canonical Limited.  All rights reserved.

"""Add usn_issue table."""
from __future__ import print_function


STATEMENTS = [
    """
CREATE TABLE usn_issue (
    usn_id INTEGER NOT NULL,
    computer_id INTEGER REFERENCES computer_twin ON DELETE CASCADE,
    resolve_time TIMESTAMP,
    UNIQUE(usn_id, computer_id))
""",
    """
GRANT SELECT, INSERT, UPDATE, DELETE
    ON TABLE usn_issue TO landscape, landscape_maintenance
""",
]


def apply(store):
    print(__doc__)
    for statement in STATEMENTS:
        store.execute(statement)
