# Copyright 2005-2013 Canonical Limited.  All rights reserved.

"""Rename 'fetch' pocket mode to 'mirror'."""
from __future__ import print_function

STATEMENTS = [
    """
ALTER TABLE pocket RENAME COLUMN fetch_uri TO mirror_uri;
""",
    """
ALTER TABLE pocket RENAME COLUMN fetch_dist TO mirror_dist;
""",
    """
ALTER TABLE pocket RENAME COLUMN fetch_gpg_key_id TO mirror_gpg_key_id;
""",
    """
ALTER TABLE pocket DROP CONSTRAINT pocket_fetch_gpg_key_id_fkey;
"""
    """
ALTER TABLE pocket ADD CONSTRAINT pocket_mirror_gpg_key_id_fkey
    FOREIGN KEY (mirror_gpg_key_id) REFERENCES gpg_key(id) ON DELETE CASCADE
""",
]


def apply(store):
    print(__doc__)
    for statement in STATEMENTS:
        store.execute(statement)
