# Copyright 2005-2013 Canonical Limited.  All rights reserved.

"""Add table to store API credentials."""
from __future__ import print_function


STATEMENTS = [
    """
CREATE TABLE api_credentials (
    access_key_id BYTEA NOT NULL PRIMARY KEY,
    access_secret_key BYTEA NOT NULL,
    person_id INTEGER NOT NULL REFERENCES person ON DELETE CASCADE,
    account_id INTEGER REFERENCES account ON DELETE CASCADE,
    creation_time TIMESTAMP NOT NULL DEFAULT (now() AT TIME ZONE 'UTC'),
    UNIQUE (account_id, person_id))
""",
    """
GRANT SELECT, UPDATE, INSERT, DELETE
    ON TABLE api_credentials TO landscape, landscape_maintenance
""",
]


def apply(store):
    print(__doc__)
    for statement in STATEMENTS:
        store.execute(statement)
