# Copyright 2005-2013 Canonical Limited.  All rights reserved.

"""Add table to store trial accounts."""
from __future__ import print_function


STATEMENTS = [
    """
CREATE TABLE trial_account (
    account_id INTEGER PRIMARY KEY REFERENCES account ON DELETE CASCADE,
    creator_id INTEGER NOT NULL REFERENCES person ON DELETE CASCADE)
""",
    """
GRANT SELECT, INSERT, UPDATE, DELETE
    ON TABLE trial_account TO landscape, landscape_maintenance
""",
    """
ALTER TABLE account ADD COLUMN
    creation_time TIMESTAMP NOT NULL DEFAULT (now() AT TIME ZONE 'UTC')
""",
]


def apply(store):
    print(__doc__)
    for statement in STATEMENTS:
        store.execute(statement)
