# Copyright 2005-2013 Canonical Limited.  All rights reserved.

"""Add computer_twin.removed"""
from __future__ import print_function

from canonical.landscape.model.main.store import get_main_store


STATEMENTS = [
    """
ALTER TABLE computer_twin ADD COLUMN removed BOOLEAN NOT NULL DEFAULT FALSE
"""
]


def apply(store):
    print(__doc__)
    for statement in STATEMENTS:
        store.execute(statement)

    # Make sure all removed computers in main are marked as removed in the twin
    main_store = get_main_store()
    result = main_store.execute("SELECT id FROM computer WHERE removed")
    ids = tuple(row[0] for row in result)
    if ids:
        store.execute("UPDATE computer_twin SET removed = TRUE WHERE id IN ?", [ids])
