# Copyright 2005-2013 Canonical Limited.  All rights reserved.

"""Add an image_type column to the ec2_current_image table."""
from __future__ import print_function


statements = [
    """
ALTER TABLE ec2_current_image
    ADD COLUMN image_type TEXT DEFAULT 'instance-store' NOT NULL
""",
    """
ALTER TABLE ec2_current_image ALTER COLUMN image_type DROP DEFAULT
""",
    """
ALTER TABLE ec2_current_image
    DROP CONSTRAINT ec2_current_image_ubuntu_release_name_key
""",
    """
CREATE UNIQUE INDEX ec2_current_image_ubuntu_release_name_key
    ON ec2_current_image (ubuntu_release_name, bits, region, image_type)
""",
]


def apply(store):
    print(__doc__)
    for statement in statements:
        store.execute(statement)
