# Copyright 2005-2013 Canonical Limited.  All rights reserved.

"""Create cpu_usage table"""
from __future__ import print_function


STATEMENTS = [
    """
CREATE TABLE cpu_usage (
    id SERIAL NOT NULL PRIMARY KEY,
    computer_id INTEGER NOT NULL REFERENCES computer_twin ON DELETE CASCADE,
    timestamp TIMESTAMP NOT NULL,
    cpu_usage FLOAT(10) NOT NULL)
""",
    """
CREATE INDEX cpu_usage_computer_id_idx ON cpu_usage (computer_id)
""",
    """
GRANT SELECT, INSERT, DELETE
    ON TABLE cpu_usage TO landscape, landscape_maintenance
""",
    """
GRANT SELECT, UPDATE
    ON TABLE cpu_usage_id_seq TO landscape, landscape_maintenance
""",
]


def apply(store):
    print(__doc__)
    for statement in STATEMENTS:
        store.execute(statement)
