# Copyright 2005-2013 Canonical Limited.  All rights reserved.

from storm.schema.patch import PatchSet
from storm.zope.schema import ZSchema


__all__ = ["create_schema"]


def create_schema():
    from canonical.landscape import schema

    create = schema.get_sql("resource")
    return ZSchema(create, DROP, DELETE, PatchSet(schema, sub_level="resource"))


DROP = [
    """
DROP SCHEMA public CASCADE
""",
    """
CREATE SCHEMA public
""",
    """
GRANT USAGE, CREATE ON SCHEMA public TO PUBLIC
""",
    """
DROP LANGUAGE plpythonu
""",
]

DELETE = [
    "DELETE FROM keystone_token",
    "DELETE FROM hardware_info_key",
    "DELETE FROM hardware_info",
    "DELETE FROM package_reporter_result",
    "DELETE FROM network_device",
    "DELETE FROM network_traffic",
    "DELETE FROM computer_apt_preferences_file",
    "DELETE FROM reboot_required_info",
    "DELETE FROM custom_graph_data",
    "DELETE FROM custom_graph_data_point",
    "DELETE FROM computer_packages",
    "DELETE FROM computer_packages_buffer",
    "DELETE FROM free_space",
    "DELETE FROM mount_info",
    "DELETE FROM temperature",
    "DELETE FROM thermal_zone",
    "DELETE FROM processor",
    "DELETE FROM load_average",
    "DELETE FROM historic_process",
    "DELETE FROM active_process",
    "DELETE FROM memory_info",
    "DELETE FROM message_info",
    "DELETE FROM message",
    "DELETE FROM computer_user_group",
    "DELETE FROM computer_user",
    "DELETE FROM computer_group",
    "DELETE FROM computer_twin",
    "DELETE FROM usn_issue",
    "DELETE FROM cloud_instance_metadata",
    "DELETE FROM annotation",
]
