# Copyright 2005-2013 Canonical Limited.  All rights reserved.

from storm.schema.patch import PatchSet
from storm.zope.schema import ZSchema


__all__ = ["create_schema"]


def create_schema():
    from canonical.landscape import schema

    create = schema.get_sql("session")
    return ZSchema(create, DROP, DELETE, PatchSet(schema, sub_level="session"))


DROP = [
    """
DROP SCHEMA public CASCADE
""",
    """
CREATE SCHEMA public
""",
    """
GRANT USAGE, CREATE ON SCHEMA public TO PUBLIC
""",
]


DELETE = [
    "DELETE FROM session_pkg_data",
    "DELETE FROM session_data",
    "DELETE FROM openid_nonce",
    "DELETE FROM openid_association",
]
