# Copyright 2017 Canonical Limited.  All rights reserved.
from __future__ import print_function

from argparse import ArgumentParser
import logging

from canonical.landscape.application import setup_logging
from canonical.landscape.model.account.disable import disable_accounts
from canonical.landscape.setup import load_config


def get_args():
    parser = ArgumentParser(description="disable accounts that should be disabled")
    parser.add_argument("--dry-run", dest="dryrun", action="store_true", default=False)
    return parser.parse_args()


def run_disable_accounts(**kwargs):
    """
    When run, this performs Account disablement, disabling past-due
    Account objects.
    """
    disable_accounts(**kwargs)


def run():
    args = get_args()
    kwargs = vars(args)
    print("Loading site configuration...")
    setup_logging("disable-accounts", level=logging.INFO)
    load_config("maintenance")
    run_disable_accounts(**kwargs)
