# Copyright 2005-2020 Canonical Limited.  All rights reserved.
from __future__ import print_function

from argparse import ArgumentParser
from pipes import quote as shlex_quote  # trusty lacks six.moves.shlex_quote

from canonical.landscape.model.configuration import get_proxy_configuration
from canonical.landscape.scripts.batch import BatchScript


class GetProxyConfig(BatchScript):
    """Show the proxy configuration from the database as a bash-eval."""

    _name = "get-proxy-config"
    _config = "scripts"

    def run(self):
        parser = ArgumentParser(description=self.__doc__)
        # For the sake of having "-h" like other commands.
        parser.parse_args(self._args[1:])

        conf = get_proxy_configuration()
        for k, v in sorted(conf.items()):
            print("export {}={}".format(k, shlex_quote(v)))


run = GetProxyConfig(ignore_maintenance_flag=True)
