# Copyright 2005-2013 Canonical Limited.  All rights reserved.

import json
import logging

import transaction

from canonical.landscape.model.main.standalone import synchronize_releases
from canonical.landscape.scripts.batch import BatchScript


class SyncLDSReleases(BatchScript):
    """Synchronize information about available LDS releases."""

    _name = "syncldsreleases"

    def run(self):
        logger = logging.getLogger("synchronize-lds-releases-script")
        logger.info("Updating lds_available_release with new releases.")
        releases = self._stdin.read()
        synchronize_releases(json.loads(releases))
        transaction.commit()


run = SyncLDSReleases()
