# Copyright 2005-2013 Canonical Limited.  All rights reserved.

from canonical.landscape.service.errors import ServiceError
from canonical.landscape.service.entity.errors import (
    UnknownEntityError,
    DuplicateEntityError,
)

_ACCESS_GROUP_TERM = "access group"


class UnknownAccessGroupError(UnknownEntityError):
    """Raised when an L{AccessContext} lookup fails."""

    _term = _ACCESS_GROUP_TERM


class InvalidAccessGroupError(ServiceError):
    """Raised when performing an operation on an invalid L{AccessContext}."""


class DuplicateAccessGroupError(DuplicateEntityError):
    """Raised when creating an access group with the same name of another."""

    _term = _ACCESS_GROUP_TERM
