# Copyright 2005-2016 Canonical Limited.  All rights reserved.

from canonical.landscape.service.collection.lookup import CollectionLookup
from canonical.landscape.model.activity.collection import (
    ActivityParentCollection,
    ActivityChildCollection,
)


class ActivityParentCollectionLookup(CollectionLookup):
    """Lookup a collection of ActivityParents.

    @ivar context: The Account the returned collection will be linked to.
    """

    _requires = "ViewAccount"
    _collection_class = ActivityParentCollection


class ActivityChildCollectionLookup(CollectionLookup):
    """Lookup a collection of child Activities.

    @ivar context: The Account the returned collection will be linked to.
    """

    _requires = "ViewAccount"
    _collection_class = ActivityChildCollection
