# Copyright 2005-2016 Canonical Limited.  All rights reserved.

from canonical.landscape.service.errors import ServiceError


class PaymentDeclinedError(ServiceError):
    """Raised when the payment is rejected."""


class UnknownCountryError(ServiceError):
    """Raised if the country code doesn't match a known entry."""


class UnknownComputerTypeError(ServiceError):
    """Raised if the computer type provided is unknown."""


class InvalidVATRate(ServiceError):
    """Raised when the specified VAT rate is invalid."""
