# Copyright 2005-2016 Canonical Limited.  All rights reserved.

from builtins import str
from canonical.landscape.service.errors import ServiceError


class UnknownEntityIDsError(ServiceError):
    """Raised when unknown IDs are provided to a CollectionOperation."""

    def __init__(self, ids):
        self.ids = sorted(ids)
        message = "Unknown IDs: {}".format(", ".join(str(id) for id in self.ids))
        super(UnknownEntityIDsError, self).__init__(message)


class InvalidQueryError(ServiceError):
    """Raised when the query string for filtering a collection is invalid."""
