# Copyright 2005-2016 Canonical Limited.  All rights reserved.

from canonical.landscape.model.entity.management import remove_entities

from canonical.landscape.service.collection.operation import CollectionOperation


class CollectionRemove(CollectionOperation):
    """Remove entities in the collection."""

    def _perform(self, collection):
        account = collection.filters["account"]
        # Raise an error if the Principal doesn't have permission on some
        # objects.
        ids = self._get_entity_ids(collection)
        self._before(account, collection, ids)
        remove_entities(account, collection.model_class, ids)
        self._after(account, ids)
        return ids

    def _before(self, account, collection, ids):
        """Hook to perform additional operations before entities removal."""

    def _after(self, account, ids):
        """Hook to perform additional operations after entities removal."""
