# Copyright 2005-2022 Canonical Limited. All rights reserved.

"""Utilities for filtering collections by search queries."""

from canonical.search.engine import SearchCriteriaError

from canonical.landscape.service.collection.errors import InvalidQueryError


def get_search_clause(search, query):
    """Given a search and a query, return the associated Storm where clause.

    @raises InvalidQueryError if the query string is invald.
    """
    try:
        return search.get_where_clause(query)
    except SearchCriteriaError as error:
        # Translate to service layer error
        raise InvalidQueryError(error)
