# Copyright 2005-2016 Canonical Limited.  All rights reserved.

from canonical.landscape.service.operation import ServiceOperation
from canonical.landscape.model.main.computer import get_computer_counts_by_type


class CountComputersByType(ServiceOperation):
    """Return a dict mapping computer types to their count for an account."""

    _requires = "ViewAccount"

    def _perform(self):
        # XXX The account.get_computers_count_by_type logic should live here
        # as it is high-level operation on a collection of computers in the
        # account.
        # This logic can't live in the service layer because it is also run by
        # a BatchScript and any service layer operation needs an authorized
        # principal defined with appropriate permissions.
        # Moving this logic back into the service layer requires a new
        # LandscapePrincipal or ScriptPrincipal which can be associated with
        # the cron calls to PublishAnonymousMetrics. This also affects billing
        # scripts using charge_account.

        return get_computer_counts_by_type([self.context.id])
