# Copyright 2005-2013 Canonical Limited.  All rights reserved.


class ServiceError(Exception):
    """Raised upon errors performing L{ServiceOperation}s."""

    @classmethod
    def code(cls):
        name = cls.__name__
        if name.endswith("Error"):
            name = name[:-5]
        return name


class UnauthorisedError(ServiceError):
    """Raised upon security-related errors."""

    def __init__(self):
        message = "Permission denied"
        super(UnauthorisedError, self).__init__(message)
