# Copyright 2005-2013 Canonical Limited.  All rights reserved.

from canonical.landscape.service.errors import ServiceError
from canonical.landscape.service.entity.errors import (
    UnknownEntityError,
    DuplicateEntityError,
)

_LICENSE_TERM = "license"


class UnknownLicenseError(UnknownEntityError):
    """L{License} lookup failed."""

    _term = _LICENSE_TERM


class InvalidLicenseError(ServiceError):
    """Operation attempted to create an invalid L{License}."""


class DuplicateLicenseError(DuplicateEntityError):
    """Created license has the same name as another."""

    _term = _LICENSE_TERM
