# Copyright 2005-2013 Canonical Limited.  All rights reserved.

from canonical.landscape.model.main.license import get_license_by_account_license_key
from canonical.landscape.service.entity.lookup import EntityLookup
from canonical.landscape.service.license.errors import UnknownLicenseError


class LicenseLookup(EntityLookup):
    """Lookup a L{License}.

    @ivar context: An L{Account} instance.
    """

    _requires = "ViewLicense"
    _unknown_error = UnknownLicenseError

    def _lookup(self, account, key):
        return get_license_by_account_license_key(account, key)
