# Copyright 2005-2013 Canonical Limited.  All rights reserved.

from sphinx.ext.autodoc import ModuleDocumenter, ClassDocumenter

from canonical.landscape.api.methods import LATEST_VERSION


class LandscapeClassDocumenter(ClassDocumenter):
    def add_directive_header(self, sig):
        """Add the directive header and options to the generated content."""
        name = self.format_name()
        self.add_line("%s" % name, "<autodoc>")
        self.add_line("%s" % "-" * len(name), "<autodoc>")

    def document_members(self, all_members=False):
        pass


def setup(app):
    app.add_autodocumenter(ModuleDocumenter)
    app.add_autodocumenter(LandscapeClassDocumenter)
    app.config["release"] = LATEST_VERSION
