var LANDSCAPE_MODULES = (function(){
  var SKIN_SAM_PREFIX = 'skin-sam-',
  PREFIX = 'landscape',
  AFTER = "after",
  ANIM = "anim",
  ARRAY_EXTRAS = "array-extras",
  ARRAY_INVOKE = "array-invoke",
  ATTRIBUTE = "attribute",
  BASE = "base",
  CACHE = "cache",
  CLASSNAMEMANAGER = "classnamemanager",
  CSS = "css",
  DATASOURCE = "datasource",
  DATASOURCE_CACHE = "datasource-cache",
  DATASOURCE_FUNCTION = "datasource-function",
  DATASOURCE_IO = "datasource-io",
  DATASOURCE_JSONSCHEMA = "datasource-jsonschema",
  DATASOURCE_LOCAL = "datasource-local",
  DATATABLE_BASE = "datatable-base",
  DATATABLE_BODY = "datatable-body",
  DATATABLE_FOOT = "datatable-foot",
  DATATABLE_SORT = "datatable-sort",
  DATATYPE_DATE_FORMAT = "datatype-date-format",
  EVENT = "event",
  EVENT_BASE = "event-base",
  EVENT_CUSTOM = "event-custom",
  EVENT_DELEGATE = "event-delegate",
  EVENT_FOCUS = "event-focus",
  EVENT_SIMULATE = "event-simulate",
  EVENT_VALUECHANGE = "event-valuechange",
  EXT = "ext",
  GET = "get",
  HANDLEBARS = "handlebars",
  IMAGELOADER = "imageloader",
  INTL = "intl",
  IO_BASE = "io-base",
  IO_FORM = "io-form",
  JS = "js",
  JSON = "json",
  JSON_PARSE = "json-parse",
  LANDSCAPE_ACCOUNT_ALERTS = PREFIX + ".account.alerts",
  LANDSCAPE_ACCOUNT_COMPUTERS = PREFIX + ".account.computers",
  LANDSCAPE_ACTIVITY_DETAIL = PREFIX + ".activity.detail",
  LANDSCAPE_ACTIVITY_SCHEDULE = PREFIX + ".activity.schedule",
  LANDSCAPE_ACTIVITY_STATUS = PREFIX + ".activity.status",
  LANDSCAPE_ACTIVITY_SUMMARY = PREFIX + ".activity.summary",
  LANDSCAPE_CONSTRAINT_CONDITIONALINPUT = PREFIX + ".constraint.conditionalinput",
  LANDSCAPE_DEFERRED = PREFIX + ".deferred",
  LANDSCAPE_EVENTLOG_EVENTLOGLISTING = PREFIX + ".eventlog.eventloglisting",
  LANDSCAPE_JOB_CREATION = PREFIX + ".job.creation",
  LANDSCAPE_LEGACY_TABLE = PREFIX + ".legacy.table",
  LANDSCAPE_LEGACY_TERM = PREFIX + ".legacy.term",
  LANDSCAPE_LEGACY_TREE = PREFIX + ".legacy.tree",
  LANDSCAPE_LISTING_ACTIVITIES = PREFIX + ".listing.activities",
  LANDSCAPE_LISTING_EXPANDABLE = PREFIX + ".listing.expandable",
  LANDSCAPE_LISTING_PAGER = PREFIX + ".listing.pager",
  LANDSCAPE_LISTING_SELECTABLE = PREFIX + ".listing.selectable",
  LANDSCAPE_NOTES = PREFIX + ".notes",
  LANDSCAPE_NOTIFICATIONS_DATASOURCE = PREFIX + ".notifications.datasource",
  LANDSCAPE_NOTIFICATIONS_IO = PREFIX + ".notifications.io",
  LANDSCAPE_NOTIFICATIONS_TRANSPORT = PREFIX + ".notifications.transport",
  LANDSCAPE_PACKAGES_LISTING = PREFIX + ".packages.listing",
  LANDSCAPE_PAGE_FRONTPAGE = PREFIX + ".page.frontpage",
  LANDSCAPE_PAGE_MENU = PREFIX + ".page.menu",
  LANDSCAPE_ROLE_MEMBERSHIP = PREFIX + ".role.membership",
  LANDSCAPE_SELECTION_COMPUTER = PREFIX + ".selection.computer",
  LANDSCAPE_SELECTION_DELETESAVEDSEARCH = PREFIX + ".selection.deletesavedsearch",
  LANDSCAPE_SELECTION_REBOOT = PREFIX + ".selection.reboot",
  LANDSCAPE_SELECTION_SAVEDSEARCH = PREFIX + ".selection.savedsearch",
  LANDSCAPE_TABLE_FORMATTERS = PREFIX + ".table.formatters",
  LANDSCAPE_TABLE_HTMLPARSER = PREFIX + ".table.htmlparser",
  LANDSCAPE_TABLE_SELECTABLE = PREFIX + ".table.selectable",
  LANDSCAPE_TABLE_TOTAL = PREFIX + ".table.total",
  LANDSCAPE_UI_BREADCRUMBS = PREFIX + ".ui.breadcrumbs",
  LANDSCAPE_UI_BUTTON = PREFIX + ".ui.button",
  LANDSCAPE_UI_CHECKLIST = PREFIX + ".ui.checklist",
  LANDSCAPE_UI_DEBUG = PREFIX + ".ui.debug",
  LANDSCAPE_UI_DIALOG = PREFIX + ".ui.dialog",
  LANDSCAPE_UI_DROPDOWN = PREFIX + ".ui.dropdown",
  LANDSCAPE_UI_EVENTBINDER = PREFIX + ".ui.eventbinder",
  LANDSCAPE_UI_EXPANDABLELINK = PREFIX + ".ui.expandablelink",
  LANDSCAPE_UI_EXPANDABLELIST = PREFIX + ".ui.expandablelist",
  LANDSCAPE_UI_FILEINPUT = PREFIX + ".ui.fileinput",
  LANDSCAPE_UI_FORM = PREFIX + ".ui.form",
  LANDSCAPE_UI_HIERARCHICALCHECKBOX = PREFIX + ".ui.hierarchicalcheckbox",
  LANDSCAPE_UI_IMAGE = PREFIX + ".ui.image",
  LANDSCAPE_UI_MENU = PREFIX + ".ui.menu",
  LANDSCAPE_UI_OVERLAY = PREFIX + ".ui.overlay",
  LANDSCAPE_UI_SPRITE = PREFIX + ".ui.sprite",
  LANDSCAPE_UI_TABLE = PREFIX + ".ui.table",
  LANDSCAPE_UI_TOOLTIP = PREFIX + ".ui.tooltip",
  LANDSCAPE_UI_URL = PREFIX + ".ui.url",
  LANDSCAPE_UPGRADE_SCHEDULE = PREFIX + ".upgrade.schedule",
  LANDSCAPE_UTIL_DATE = PREFIX + ".util.date",
  LANDSCAPE_UTIL_NODE = PREFIX + ".util.node",
  LANDSCAPE_UTIL_TEXT = PREFIX + ".util.text",
  LANDSCAPE_UTIL_URL = PREFIX + ".util.url",
  LANDSCAPE_UTIL_VALIDATION = PREFIX + ".util.validation",
  NODE = "node",
  NODE_EVENT_SIMULATE = "node-event-simulate",
  OPTIONAL = "optional",
  OVERLAY = "overlay",
  PANEL = "panel",
  PATH = "path",
  PLUGIN = "plugin",
  QUERYSTRING = "querystring",
  QUERYSTRING_STRINGIFY_SIMPLE = "querystring-stringify-simple",
  REQUIRES = "requires",
  SELECTOR_CSS3 = "selector-css3",
  SKINNABLE = "skinnable",
  SUBSTITUTE = "substitute",
  SUPERSEDES = "supersedes",
  TRANSITION = "transition",
  TYPE = "type",
  USE = "use",
  VIEW = "view",
  WIDGET = "widget",
  WIDGET_CHILD = "widget-child",
  WIDGET_PARENT = "widget-parent",
  modules = {},
  TRUE = true,
  FALSE = false,
  CORE_CSS = ["cssreset", "cssfonts", "cssgrids", "cssreset-context", "cssfonts-context", "cssgrids-context"],
  module_info,
  after_list;

  modules[LANDSCAPE_ACCOUNT_ALERTS] = module_info = {};
  module_info[EXT] = FALSE;
  module_info[PATH] = PREFIX + "/account/alerts-min.js";
  module_info[REQUIRES] = [NODE, BASE, WIDGET];
  module_info[TYPE] = JS;

  modules[LANDSCAPE_ACCOUNT_COMPUTERS] = module_info = {};
  module_info[EXT] = FALSE;
  module_info[PATH] = PREFIX + "/account/computers-min.js";
  module_info[REQUIRES] = [NODE, BASE, WIDGET, IO_FORM, LANDSCAPE_JOB_CREATION];
  module_info[TYPE] = JS;

  modules[LANDSCAPE_ACTIVITY_DETAIL] = module_info = {};
  module_info[EXT] = FALSE;
  module_info[PATH] = PREFIX + "/activity/detail-min.js";
  module_info[REQUIRES] = [NODE, TRANSITION, ANIM, JSON, DATASOURCE_IO, DATASOURCE_CACHE, DATASOURCE_JSONSCHEMA, LANDSCAPE_UI_SPRITE, LANDSCAPE_NOTES, LANDSCAPE_ACTIVITY_STATUS, LANDSCAPE_LISTING_SELECTABLE, LANDSCAPE_LISTING_ACTIVITIES, LANDSCAPE_LISTING_PAGER];
  module_info[TYPE] = JS;

  modules[LANDSCAPE_ACTIVITY_SCHEDULE] = module_info = {};
  module_info[EXT] = FALSE;
  module_info[PATH] = PREFIX + "/activity/schedule-min.js";
  module_info[REQUIRES] = [EVENT, NODE, WIDGET, INTL, EVENT_VALUECHANGE, DATATYPE_DATE_FORMAT, LANDSCAPE_UTIL_DATE];
  module_info[TYPE] = JS;

  modules[LANDSCAPE_ACTIVITY_STATUS] = module_info = {};
  module_info[EXT] = FALSE;
  module_info[PATH] = PREFIX + "/activity/status-min.js";
  module_info[REQUIRES] = [NODE, ATTRIBUTE, PLUGIN, SUBSTITUTE, LANDSCAPE_UI_SPRITE];
  module_info[TYPE] = JS;

  modules[LANDSCAPE_ACTIVITY_SUMMARY] = module_info = {};
  module_info[EXT] = FALSE;
  module_info[PATH] = PREFIX + "/activity/summary-min.js";
  module_info[REQUIRES] = [NODE, IO_BASE, CACHE, DATASOURCE_IO, DATASOURCE_CACHE, DATASOURCE_JSONSCHEMA, LANDSCAPE_LISTING_SELECTABLE, LANDSCAPE_UI_SPRITE, LANDSCAPE_UTIL_NODE, LANDSCAPE_LISTING_PAGER];
  module_info[TYPE] = JS;

  modules[LANDSCAPE_CONSTRAINT_CONDITIONALINPUT] = module_info = {};
  module_info[EXT] = FALSE;
  module_info[PATH] = PREFIX + "/constraint/conditionalinput-min.js";
  module_info[REQUIRES] = [EVENT, NODE, WIDGET];
  module_info[TYPE] = JS;

  modules[LANDSCAPE_DEFERRED] = module_info = {};
  module_info[EXT] = FALSE;
  module_info[PATH] = PREFIX + "/deferred/deferred-min.js";
  module_info[REQUIRES] = [BASE];
  module_info[TYPE] = JS;

  modules[LANDSCAPE_EVENTLOG_EVENTLOGLISTING] = module_info = {};
  module_info[EXT] = FALSE;
  module_info[PATH] = PREFIX + "/eventlog/listing-min.js";
  module_info[REQUIRES] = [NODE, BASE, VIEW, LANDSCAPE_UI_DIALOG];
  module_info[TYPE] = JS;

  modules[LANDSCAPE_JOB_CREATION] = module_info = {};
  module_info[EXT] = FALSE;
  module_info[PATH] = PREFIX + "/job/creation-min.js";
  module_info[REQUIRES] = [NODE, BASE, PLUGIN, IO_FORM, DATASOURCE, LANDSCAPE_NOTES];
  module_info[TYPE] = JS;

  modules[LANDSCAPE_LEGACY_TABLE] = module_info = {};
  module_info[EXT] = FALSE;
  module_info[PATH] = PREFIX + "/legacy/table-min.js";
  module_info[REQUIRES] = [NODE];
  module_info[TYPE] = JS;

  modules[LANDSCAPE_LEGACY_TERM] = module_info = {};
  module_info[EXT] = FALSE;
  module_info[PATH] = PREFIX + "/legacy/term-min.js";
  module_info[REQUIRES] = [NODE];
  module_info[TYPE] = JS;

  modules[LANDSCAPE_LEGACY_TREE] = module_info = {};
  module_info[EXT] = FALSE;
  module_info[PATH] = PREFIX + "/legacy/tree-min.js";
  module_info[REQUIRES] = [NODE, LANDSCAPE_LEGACY_TABLE];
  module_info[TYPE] = JS;

  modules[LANDSCAPE_LISTING_ACTIVITIES] = module_info = {};
  module_info[EXT] = FALSE;
  module_info[PATH] = PREFIX + "/listing/activities_listing-min.js";
  module_info[REQUIRES] = [NODE, EVENT, WIDGET, BASE, JSON_PARSE, DATASOURCE_IO, LANDSCAPE_LISTING_EXPANDABLE, LANDSCAPE_UI_SPRITE, LANDSCAPE_UI_IMAGE];
  module_info[TYPE] = JS;

  modules[LANDSCAPE_LISTING_EXPANDABLE] = module_info = {};
  module_info[EXT] = FALSE;
  module_info[PATH] = PREFIX + "/listing/expandable_listing-min.js";
  module_info[REQUIRES] = [NODE, EVENT, WIDGET, BASE];
  module_info[TYPE] = JS;

  modules[LANDSCAPE_LISTING_PAGER] = module_info = {};
  module_info[EXT] = FALSE;
  module_info[PATH] = PREFIX + "/listing/pager-min.js";
  module_info[REQUIRES] = [NODE, EVENT, EVENT_CUSTOM, BASE, PLUGIN, WIDGET, JSON, DATASOURCE_IO, LANDSCAPE_NOTES, LANDSCAPE_UI_IMAGE];
  module_info[TYPE] = JS;

  modules[LANDSCAPE_LISTING_SELECTABLE] = module_info = {};
  module_info[EXT] = FALSE;
  module_info[PATH] = PREFIX + "/listing/selectable_listing-min.js";
  module_info[REQUIRES] = [NODE, SELECTOR_CSS3, EVENT, WIDGET, BASE, LANDSCAPE_UTIL_NODE];
  module_info[TYPE] = JS;

  modules[LANDSCAPE_NOTES] = module_info = {};
  module_info[EXT] = FALSE;
  module_info[PATH] = PREFIX + "/notes/notes-min.js";
  module_info[REQUIRES] = [SUBSTITUTE, NODE, WIDGET, ANIM];
  module_info[TYPE] = JS;

  modules[LANDSCAPE_NOTIFICATIONS_DATASOURCE] = module_info = {};
  module_info[EXT] = FALSE;
  module_info[PATH] = PREFIX + "/notifications/datasource-min.js";
  module_info[REQUIRES] = [DATASOURCE_LOCAL, LANDSCAPE_NOTIFICATIONS_TRANSPORT];
  module_info[TYPE] = JS;

  modules[LANDSCAPE_NOTIFICATIONS_IO] = module_info = {};
  module_info[EXT] = FALSE;
  module_info[PATH] = PREFIX + "/notifications/io-min.js";
  module_info[REQUIRES] = [IO_BASE, LANDSCAPE_NOTIFICATIONS_TRANSPORT];
  module_info[TYPE] = JS;

  modules[LANDSCAPE_NOTIFICATIONS_TRANSPORT] = module_info = {};
  module_info[EXT] = FALSE;
  module_info[PATH] = PREFIX + "/notifications/transport-min.js";
  module_info[REQUIRES] = [NODE, DATASOURCE_LOCAL, DATASOURCE_IO, LANDSCAPE_DEFERRED, JSON_PARSE, QUERYSTRING_STRINGIFY_SIMPLE];
  module_info[TYPE] = JS;

  modules[LANDSCAPE_PACKAGES_LISTING] = module_info = {};
  module_info[EXT] = FALSE;
  module_info[PATH] = PREFIX + "/packages/listing-min.js";
  module_info[REQUIRES] = [EVENT, NODE, WIDGET, CLASSNAMEMANAGER, CACHE, DATASOURCE_IO, DATASOURCE_CACHE, DATASOURCE_JSONSCHEMA, LANDSCAPE_UTIL_NODE, LANDSCAPE_NOTES, LANDSCAPE_LISTING_PAGER, LANDSCAPE_UI_IMAGE, LANDSCAPE_UI_SPRITE];
  module_info[TYPE] = JS;

  modules[LANDSCAPE_PAGE_FRONTPAGE] = module_info = {};
  module_info[EXT] = FALSE;
  module_info[PATH] = PREFIX + "/page/frontpage-min.js";
  module_info[REQUIRES] = [NODE, EVENT, IMAGELOADER];
  module_info[TYPE] = JS;

  modules[LANDSCAPE_PAGE_MENU] = module_info = {};
  module_info[EXT] = FALSE;
  module_info[PATH] = PREFIX + "/page/menu-min.js";
  module_info[REQUIRES] = [NODE, GET];
  module_info[TYPE] = JS;

  modules[LANDSCAPE_ROLE_MEMBERSHIP] = module_info = {};
  module_info[EXT] = FALSE;
  module_info[PATH] = PREFIX + "/role/membership-min.js";
  module_info[REQUIRES] = [NODE, BASE, WIDGET];
  module_info[TYPE] = JS;

  modules[LANDSCAPE_SELECTION_COMPUTER] = module_info = {};
  module_info[EXT] = FALSE;
  module_info[PATH] = PREFIX + "/selection/computer-min.js";
  module_info[REQUIRES] = [ARRAY_EXTRAS, NODE, EVENT, IO_BASE, CACHE, SUBSTITUTE, DATASOURCE_IO, DATASOURCE_CACHE, DATASOURCE_FUNCTION, DATASOURCE_JSONSCHEMA, LANDSCAPE_NOTES, LANDSCAPE_LISTING_SELECTABLE, LANDSCAPE_UI_IMAGE, LANDSCAPE_UI_SPRITE, LANDSCAPE_UTIL_NODE, LANDSCAPE_LISTING_PAGER];
  module_info[TYPE] = JS;

  modules[LANDSCAPE_SELECTION_DELETESAVEDSEARCH] = module_info = {};
  module_info[EXT] = FALSE;
  module_info[PATH] = PREFIX + "/selection/deletesavedsearch-min.js";
  module_info[REQUIRES] = [NODE, BASE, WIDGET, JSON_PARSE, LANDSCAPE_NOTES, LANDSCAPE_UI_DIALOG];
  module_info[TYPE] = JS;

  modules[LANDSCAPE_SELECTION_REBOOT] = module_info = {};
  module_info[EXT] = FALSE;
  module_info[PATH] = PREFIX + "/selection/reboot-min.js";
  module_info[REQUIRES] = [NODE, BASE, IO_FORM, DATASOURCE_IO, WIDGET, LANDSCAPE_UI_DIALOG, LANDSCAPE_UTIL_TEXT, LANDSCAPE_NOTES];
  module_info[TYPE] = JS;

  modules[LANDSCAPE_SELECTION_SAVEDSEARCH] = module_info = {};
  module_info[EXT] = FALSE;
  module_info[PATH] = PREFIX + "/selection/savedsearch-min.js";
  module_info[REQUIRES] = [NODE, BASE, IO_FORM, DATASOURCE_IO, WIDGET, LANDSCAPE_UI_DIALOG, LANDSCAPE_UTIL_TEXT, LANDSCAPE_NOTES];
  module_info[TYPE] = JS;

  modules[LANDSCAPE_TABLE_FORMATTERS] = module_info = {};
  module_info[EXT] = FALSE;
  module_info[PATH] = PREFIX + "/table/formatters-min.js";
  module_info[REQUIRES] = [DATATABLE_BODY, LANDSCAPE_UTIL_TEXT];
  module_info[TYPE] = JS;

  modules[LANDSCAPE_TABLE_HTMLPARSER] = module_info = {};
  module_info[EXT] = FALSE;
  module_info[PATH] = PREFIX + "/table/htmlparser-min.js";
  module_info[REQUIRES] = [DATATABLE_BASE];
  module_info[TYPE] = JS;

  modules[LANDSCAPE_TABLE_SELECTABLE] = module_info = {};
  module_info[EXT] = FALSE;
  module_info[PATH] = PREFIX + "/table/selectable-min.js";
  module_info[REQUIRES] = [DATATABLE_BASE, LANDSCAPE_TABLE_FORMATTERS];
  module_info[TYPE] = JS;

  modules[LANDSCAPE_TABLE_TOTAL] = module_info = {};
  module_info[EXT] = FALSE;
  module_info[PATH] = PREFIX + "/table/total-min.js";
  module_info[REQUIRES] = [DATATABLE_BASE, DATATABLE_BODY];
  module_info[TYPE] = JS;

  modules[LANDSCAPE_UI_BREADCRUMBS] = module_info = {};
  module_info[EXT] = FALSE;
  module_info[PATH] = PREFIX + "/ui/breadcrumbs-min.js";
  module_info[REQUIRES] = [BASE, WIDGET, HANDLEBARS];
  module_info[TYPE] = JS;

  modules[LANDSCAPE_UI_BUTTON] = module_info = {};
  module_info[EXT] = FALSE;
  module_info[PATH] = PREFIX + "/ui/button-min.js";
  module_info[REQUIRES] = [EVENT, NODE, WIDGET];
  module_info[TYPE] = JS;

  modules[LANDSCAPE_UI_CHECKLIST] = module_info = {};
  module_info[EXT] = FALSE;
  module_info[PATH] = PREFIX + "/ui/checklist-min.js";
  module_info[REQUIRES] = [NODE, BASE, EVENT, LANDSCAPE_UI_EXPANDABLELIST];
  module_info[TYPE] = JS;

  modules[LANDSCAPE_UI_DEBUG] = module_info = {};
  module_info[EXT] = FALSE;
  module_info[PATH] = PREFIX + "/ui/debug-min.js";
  module_info[REQUIRES] = [OVERLAY, LANDSCAPE_UI_DIALOG];
  module_info[TYPE] = JS;

  modules[LANDSCAPE_UI_DIALOG] = module_info = {};
  module_info[EXT] = FALSE;
  module_info[PATH] = PREFIX + "/ui/dialog-min.js";
  module_info[REQUIRES] = [PANEL];
  module_info[TYPE] = JS;

  modules[LANDSCAPE_UI_DROPDOWN] = module_info = {};
  module_info[EXT] = FALSE;
  module_info[PATH] = PREFIX + "/ui/dropdown-min.js";
  module_info[REQUIRES] = [PLUGIN, ARRAY_INVOKE, NODE, BASE, WIDGET, WIDGET_PARENT, WIDGET_CHILD, EVENT_FOCUS];
  module_info[TYPE] = JS;

  modules[LANDSCAPE_UI_EVENTBINDER] = module_info = {};
  module_info[EXT] = FALSE;
  module_info[PATH] = PREFIX + "/ui/eventbinder-min.js";
  module_info[REQUIRES] = [EVENT_SIMULATE, EVENT_BASE, EVENT_DELEGATE];
  module_info[TYPE] = JS;

  modules[LANDSCAPE_UI_EXPANDABLELINK] = module_info = {};
  module_info[EXT] = FALSE;
  module_info[PATH] = PREFIX + "/ui/expandablelink-min.js";
  module_info[REQUIRES] = [NODE, BASE, WIDGET, EVENT];
  module_info[TYPE] = JS;

  modules[LANDSCAPE_UI_EXPANDABLELIST] = module_info = {};
  module_info[EXT] = FALSE;
  module_info[PATH] = PREFIX + "/ui/expandablelist-min.js";
  module_info[REQUIRES] = [NODE, BASE, WIDGET, EVENT];
  module_info[TYPE] = JS;

  modules[LANDSCAPE_UI_FILEINPUT] = module_info = {};
  module_info[EXT] = FALSE;
  module_info[PATH] = PREFIX + "/ui/fileinput-min.js";
  module_info[REQUIRES] = [NODE, BASE, WIDGET, EVENT, NODE_EVENT_SIMULATE];
  module_info[TYPE] = JS;

  modules[LANDSCAPE_UI_FORM] = module_info = {};
  module_info[EXT] = FALSE;
  module_info[PATH] = PREFIX + "/ui/form-min.js";
  module_info[REQUIRES] = [BASE, EVENT_VALUECHANGE, WIDGET];
  module_info[TYPE] = JS;

  modules[LANDSCAPE_UI_HIERARCHICALCHECKBOX] = module_info = {};
  module_info[EXT] = FALSE;
  module_info[PATH] = PREFIX + "/ui/hierarchicalcheckbox-min.js";
  module_info[REQUIRES] = [WIDGET];
  module_info[TYPE] = JS;

  modules[LANDSCAPE_UI_IMAGE] = module_info = {};
  module_info[EXT] = FALSE;
  module_info[PATH] = PREFIX + "/ui/image-min.js";
  module_info[REQUIRES] = [EVENT, NODE, WIDGET];
  module_info[TYPE] = JS;

  modules[LANDSCAPE_UI_MENU] = module_info = {};
  module_info[EXT] = FALSE;
  module_info[PATH] = PREFIX + "/ui/menu-min.js";
  module_info[REQUIRES] = [PLUGIN, ARRAY_INVOKE, NODE, BASE];
  module_info[TYPE] = JS;

  modules[LANDSCAPE_UI_OVERLAY] = module_info = {};
  module_info[EXT] = FALSE;
  module_info[PATH] = PREFIX + "/ui/overlay-min.js";
  module_info[REQUIRES] = [NODE, EVENT, ANIM, OVERLAY, CLASSNAMEMANAGER];
  module_info[TYPE] = JS;

  modules[LANDSCAPE_UI_SPRITE] = module_info = {};
  module_info[EXT] = FALSE;
  module_info[PATH] = PREFIX + "/ui/sprite-min.js";
  module_info[REQUIRES] = [EVENT, NODE, WIDGET, LANDSCAPE_UI_IMAGE];
  module_info[TYPE] = JS;

  modules[LANDSCAPE_UI_TABLE] = module_info = {};
  module_info[EXT] = FALSE;
  module_info[PATH] = PREFIX + "/ui/table-min.js";
  module_info[REQUIRES] = [DATATABLE_BASE, DATATABLE_FOOT, DATATABLE_SORT, LANDSCAPE_TABLE_HTMLPARSER, LANDSCAPE_TABLE_SELECTABLE, LANDSCAPE_TABLE_TOTAL];
  module_info[TYPE] = JS;

  modules[LANDSCAPE_UI_TOOLTIP] = module_info = {};
  module_info[EXT] = FALSE;
  module_info[PATH] = PREFIX + "/ui/tooltip-min.js";
  module_info[REQUIRES] = [NODE, BASE, WIDGET, EVENT, OVERLAY];
  module_info[TYPE] = JS;

  modules[LANDSCAPE_UI_URL] = module_info = {};
  module_info[EXT] = FALSE;
  module_info[PATH] = PREFIX + "/ui/url-min.js";
  module_info[REQUIRES] = [NODE, BASE, WIDGET];
  module_info[TYPE] = JS;

  modules[LANDSCAPE_UPGRADE_SCHEDULE] = module_info = {};
  module_info[EXT] = FALSE;
  module_info[PATH] = PREFIX + "/upgrade/schedule-min.js";
  module_info[REQUIRES] = [NODE, BASE, WIDGET];
  module_info[TYPE] = JS;

  modules[LANDSCAPE_UTIL_DATE] = module_info = {};
  module_info[EXT] = FALSE;
  module_info[PATH] = PREFIX + "/util/date-min.js";
  module_info[REQUIRES] = [EVENT];
  module_info[TYPE] = JS;

  modules[LANDSCAPE_UTIL_NODE] = module_info = {};
  module_info[EXT] = FALSE;
  module_info[PATH] = PREFIX + "/util/node-min.js";
  module_info[REQUIRES] = [NODE];
  module_info[TYPE] = JS;

  modules[LANDSCAPE_UTIL_TEXT] = module_info = {};
  module_info[EXT] = FALSE;
  module_info[PATH] = PREFIX + "/util/text-min.js";
  module_info[REQUIRES] = [BASE];
  module_info[TYPE] = JS;

  modules[LANDSCAPE_UTIL_URL] = module_info = {};
  module_info[EXT] = FALSE;
  module_info[PATH] = PREFIX + "/util/url-min.js";
  module_info[REQUIRES] = [BASE, QUERYSTRING];
  module_info[TYPE] = JS;

  modules[LANDSCAPE_UTIL_VALIDATION] = module_info = {};
  module_info[EXT] = FALSE;
  module_info[PATH] = PREFIX + "/util/validation-min.js";
  module_info[REQUIRES] = [];
  module_info[TYPE] = JS;

  return modules;
})();