# Copyright 2005-2013 Canonical Limited.  All rights reserved.

from zope.security.management import newInteraction, endInteraction
from zope.security.testing import Participation

from canonical.landscape.model.main.person import Person
from canonical.landscape.model.main.computer import PendingComputer, Computer
from canonical.landscape.security.principals import (
    PersonPrincipal,
    ComputerPrincipal,
    PendingComputerPrincipal,
    AnonymousPrincipal,
)


__all__ = ["login", "logout"]


def login(whom=None):
    if whom is None:
        principal = AnonymousPrincipal()
    elif isinstance(whom, Person):
        principal = PersonPrincipal(whom)
    elif isinstance(whom, Computer):
        principal = ComputerPrincipal(whom)
    elif isinstance(whom, PendingComputer):
        principal = PendingComputerPrincipal(whom)
    else:
        raise ValueError("Can't login as %r" % (whom,))
    newInteraction(Participation(principal))
    return principal


def logout():
    endInteraction()
