# Copyright 2005-2013 Canonical Limited.  All rights reserved.

from canonical.landscape.testing.model import ModelTest


class MessageHandlerTest(ModelTest):
    """Base class to test message handlers.

    @cvar handler_class: a handler class, implementing the L{IMessageHandler}
        interface (See C{canonical.message.handler} for details).
    """

    with_computer = True
    with_message_api = True
    with_zcml = True

    handler_class = None

    def setUp(self):
        super(MessageHandlerTest, self).setUp()
        self.login(self.computer)

    def handler(self, type, message):
        """Call an instance of C{handler_class} with the given message.

        @param type: the message type
        @param message: a dict with the message content. The type will be
            automatically included in the message.
        """
        message["type"] = type
        handler = self.handler_class(self.message_api)
        return handler(type, message)
