# Copyright 2005-2013 Canonical Limited.  All rights reserved.

from future import standard_library

standard_library.install_aliases()
from urllib.parse import urlparse

from zope.publisher.browser import TestRequest as ZopeTestRequest


__all__ = ["TestRequest"]


class TestRequest(ZopeTestRequest):
    """
    A test request on which it is possible to set an URL to affect the
    result of L{getURL}.
    """

    url = None

    def setURL(self, url):
        """Set the URL such that getURL will return it."""
        self.url = url

    def getURL(self, path_only=False):
        """Return the previously specified URL.

        If path_only is true, only the path part will be returned.
        """
        if self.url is None:
            self.url = super(TestRequest, self).getURL()
        if path_only:
            return urlparse(self.url)[2]
        return self.url

    def setHeader(self, key, value):
        """
        For testing purposes, it is occasionally useful to be able to set the
        environment variables for the server or directly set arbitrary request
        headers.
        """
        key = key.replace("-", "_").upper()
        self._environ[key] = value
