# Copyright 2005-2022 Canonical Limited. All rights reserved.

from zope.cachedescriptors.property import Lazy

from canonical.landscape.ui.account.page import AccountPage
from canonical.landscape.model.main.personaccess import (
    get_access_context_ids_for_person,
)


class BaseProfilePage(AccountPage):

    title = "Computer Profile Management"

    profiles_permissions = [
        ("package", "ViewPackageProfile"),
        ("removal", "ViewRemovalProfile"),
        ("upgrade", "ViewUpgradeProfile"),
    ]

    @Lazy
    def may_manage(self):
        def may(permission):
            return bool(
                get_access_context_ids_for_person(
                    self.context.access_context,
                    permission,
                    self.request.principal.person,
                )
            )

        return {name: may(permission) for name, permission in self.profiles_permissions}
