# Copyright 2005-2023 Canonical Limited. All rights reserved.


class ActionItem:
    def __init__(self, summary, summary_single, action, action_url, icon):
        self.icon = icon
        self.summary = summary
        self.summary_single = summary_single
        self.action = action
        self.action_url = action_url
        self.external = "0"

    def get_summary(self, account_name, computers_count):
        action = self.action
        if self.action_url:
            if self.external == "1":
                action = '<a href="%s&external=1">%s</a>' % (
                    self.action_url % {"account": account_name},
                    self.action,
                )
            else:
                action = '<a href="%s">%s</a>' % (
                    self.action_url % {"account": account_name},
                    self.action,
                )

        summary = self.summary_single if computers_count == 1 else self.summary
        return summary % {"count": computers_count, "action": action}
