from zope.cachedescriptors.property import Lazy

from canonical.content.provider import TemplateContentProvider
from canonical.landscape.model.activity.search import get_search_help


class ActivityHelpProvider(TemplateContentProvider):
    """Render the content of the activity search help dialog."""

    template_filename = "help.pt"

    @Lazy
    def criterias(self):
        """Return information about all possible search activity criteria."""
        criterias = []
        for help_doc in get_search_help():
            [term] = help_doc["terms"]
            [description] = help_doc["descriptions"]
            criterias.append({"term": term, "description": description})
        return criterias
