# Copyright 2005-2013 Canonical Limited.  All rights reserved.

from canonical.landscape.model.activity.status import (
    QUEUED,
    INPROGRESS,
    CANCELED,
    SUCCEEDED,
    FAILED,
    BLOCKED,
    SCHEDULED,
    WAITING,
)
from canonical.landscape.ui.icon import IconView


class ActivityStatusIcon(IconView):

    icons = {
        WAITING.name: "activity/waiting-%sx%s.png",
        BLOCKED.name: "activity/blocked-%sx%s.png",
        QUEUED.name: "activity/queued-%sx%s.png",
        INPROGRESS.name: "activity/in-progress-%sx%s.png",
        CANCELED.name: "activity/canceled-%sx%s.png",
        SUCCEEDED.name: "activity/succeeded-%sx%s.png",
        FAILED.name: "activity/failed-%sx%s.png",
        SCHEDULED.name: "activity/scheduled-%sx%s.png",
    }

    def small(self):
        """Returns a 14x14 pixel icon that represents the context."""
        path_and_title = self.get_path_and_title()
        if path_and_title:
            path = path_and_title[0] % (14, 14)
            return "/static/%s" % path
        return "/static/activity/default-14x14.png"

    def get_path_and_title(self):
        if self.context.name not in self.icons:
            return

        path = self.icons[self.context.name]
        return path, self.context.title
