# Copyright 2005-2013 Canonical Limited.  All rights reserved.

from builtins import object
from zope.component import adapts
from zope.interface import Interface
from zope.publisher.interfaces.browser import IDefaultBrowserLayer


class PendingActivitiesProvider(object):
    """Provider renders a summary of pending activities.

    Views using this provider must provide a C{get_pending_activities}
    method that returns a list of pending L{Activity}s to display.
    """

    adapts(Interface, IDefaultBrowserLayer, Interface)

    def __init__(self, context, request, view):
        self.context = context
        self.request = request
        self.view = view
        self.activities = self.view.get_pending_activities()
