# Copyright 2005-2013 Canonical Limited.  All rights reserved.

from zope.cachedescriptors.property import Lazy

from canonical.routes import get_route_object
from canonical.url import ContextURL

from canonical.landscape.model.selection.selection import ComputerSelectionBase


class ActivityContextURL(ContextURL):

    alias = "activity"

    @Lazy
    def path(self):
        return "activity/%d" % self.context.id

    @Lazy
    def parent(self):
        selection = get_route_object(ComputerSelectionBase, self.request)
        if selection:
            return selection
        else:
            return self.context.account
