# Copyright 2005-2013 Canonical Limited.  All rights reserved.

from builtins import object
import os
from zope.component import getUtility

from canonical.landscape.environment import get_config_name
from canonical.landscape.model.configuration import (
    ISystemConfiguration,
    LANDSCAPE_DO_NOT_TRACK_GA,
)


TRACKER_IDS = {
    "production": "UA-1018242-13",
    "staging": "UA-1018242-15",
    "standalone": "UA-1018242-60",
}


class AnalyticsProvider(object):
    def should_track(self):
        return should_track()

    def get_tracker_id(self):
        return get_tracker_id()


def get_tracker_id():
    return os.environ.get("LANDSCAPE_ANALYTICS_ID", TRACKER_IDS.get(get_config_name()))


def should_track():
    system_configuration = getUtility(ISystemConfiguration)
    do_not_track_ga = system_configuration.get(LANDSCAPE_DO_NOT_TRACK_GA)

    return not do_not_track_ga and bool(get_tracker_id())
