# Copyright 2005-2013 Canonical Limited.  All rights reserved.

from builtins import object
from zope.cachedescriptors.property import Lazy


class ComputerData(object):
    def __init__(self, context, request):
        self.context = context
        self.request = request

    @Lazy
    def last_activity(self):
        """
        Returns the last time the client was known to be running or
        'Unknown' if no last activity time data is available.
        """
        if self.context.last_ping_time:
            formatter = self.request.principal.person.formatter
            return formatter.format_date(self.context.last_ping_time)
        return "Unknown"

    @Lazy
    def last_exchange(self):
        """
        Returns the last time the client exchanged messages with the
        server, or 'Unknown' if no last exchange data is available.
        """
        if self.context.last_exchange_time:
            formatter = self.request.principal.person.formatter
            return formatter.format_date(self.context.last_exchange_time)
        return "Unknown"
