# Copyright 2005-2013 Canonical Limited.  All rights reserved.

from zope.security.interfaces import Unauthorized

from canonical.landscape.ui.toolbar.page import ToolbarPage


class RemoveComputerPage(ToolbarPage):
    def __init__(self, context, request):
        super(RemoveComputerPage, self).__init__(context, request)
        self.computer_count = self.context.selection.get_selected_count()
        if not self.context.person_can("RemoveComputer"):
            raise Unauthorized("Permission denied")

    @property
    def title(self):
        if self.computer_count > 1:
            return "Remove computers"
        else:
            return "Remove computer"
