# Copyright 2005-2013 Canonical Limited.  All rights reserved.

from canonical.landscape.ui.timezones import Timezone


def short_format(context, request):
    formatter = request.principal.person.formatter
    short_tz = formatter.short_timezone(tzname_only=True)
    return "%s %s" % (formatter.format_short_date(context), short_tz)


def format(context, request):
    formatter = request.principal.person.formatter
    short_tz = formatter.short_timezone(tzname_only=True)
    return "%s %s" % (formatter.format_date(context), short_tz)


def get_tzoffset_string(tzinfo="UTC"):
    """
    Returns the offset string based on the C{tzinfo} that was passed.

    @param tzinfo: The timezone to calculate the offset.
    @returns: A string containing the timezone offset and the timezone.
    """
    utc_offset = Timezone(tzinfo).offset
    offset_to_display = "(GMT %s) %s" % (
        utc_offset[:-2] + ":" + utc_offset[-2:],
        tzinfo,
    )
    return offset_to_display
