# Copyright 2005-2022 Canonical Limited. All rights reserved.

from zope.interface import Interface
from zope.publisher.interfaces.browser import IBrowserRequest
from zope.viewlet.interfaces import IViewletManager


class ILandscapePage(Interface):
    """Landscape page base interface."""


class IHeadViewletManager(IViewletManager):
    """Viewlet manager to add statements to the page head."""


class IScriptViewletManager(IViewletManager):
    """Viewlet manager to add scripts to the page."""


class ITemplateViewletManager(IViewletManager):
    """Viewlet manager to add markup templates for Javascript code."""


class IActionRequest(IBrowserRequest):
    """Marker for L{ActionPage} requests."""
