# Copyright 2005-2022 Canonical Limited. All rights reserved.

from canonical.navigation import Navigation, NavigationItem
from canonical.landscape.ui.analytics import should_track


class SystemNavigation(Navigation):
    """
    The system navigation contains links that are globally available
    to Landscape users, depending on their permissions. They are
    visible regardless of whether you have an account selected.
    """

    name = "system"


class WedgedComputersItem(NavigationItem):

    title = "Wedged computers"
    description = "View wedged computers"
    action = "/wedged"


class SupportSearch(NavigationItem):
    """A marker navigation item to render the search box."""


class ManageTrackerItem(NavigationItem):
    """A navigation item to render the tracker management nav item."""

    def is_available(self):
        return should_track()
