# Copyright 2017 Canonical Limited.  All rights reserved.

from canonical.navigation.navigation import Navigation, NavigationItem
from canonical.landscape.security.roles import is_support


__all__ = ["LandscapeNavigation", "LandscapeNavigationItem"]


class LandscapeNavigation(Navigation):
    def is_support(self):
        if is_support(self.request):
            return True
        return super(LandscapeNavigation, self).is_support()


class LandscapeNavigationItem(NavigationItem):
    def is_support(self):
        if is_support(self.request):
            return True
        return super(LandscapeNavigationItem, self).is_support()
