# Copyright 2005-2013 Canonical Limited.  All rights reserved.

from zope.cachedescriptors.property import Lazy

from canonical.landscape.ui.toolbar.page import ComputerPaginatorPage


class PackageInfoPage(ComputerPaginatorPage):

    title = "Package Information"
    max_per_page = 25
    paginate = True

    @Lazy
    def counts_by_computer(self):
        """For each selected computer, count packages in each state."""
        search = self.context.get_search()
        return search.get_package_counts_by_computer(
            offset=self.current_index - 1, limit=self.max_per_page
        )
