# Copyright 2005-2013 Canonical Limited.  All rights reserved.

from canonical.routes import route

from canonical.landscape.model.package.market import PackageMarket
from canonical.landscape.model.package.management import ManagedPackage
from canonical.landscape.ui.routes import LandscapeRoutes


class PackageManagementRoutes(LandscapeRoutes):
    @route("<id>", id_pattern="\d+")
    def id(self, id):
        package_id = int(id)
        if not self.context.get_search().has(package_id):
            return  # Raise error
        market = PackageMarket()
        return ManagedPackage(self.context.selection, market.get(package_id))
