# Copyright 2005-2023 Canonical Limited. All rights reserved.

from zope.component import adapts
from zope.interface import Interface
from zope.publisher.interfaces.browser import IDefaultBrowserLayer

from canonical.landscape.ui.action import ActionItem
from canonical.landscape.ui.package.dashboard import FILTER_URL


class USNSummaryProvider(object):
    """
    Provider renders a listing of L{USN}s and affected L{Computer}s count.
    """

    adapts(Interface, IDefaultBrowserLayer, Interface)

    def __init__(self, context, request, view):
        self.context = context
        self.request = request
        self.view = view

    def make_usn_action_item(self, usn):
        return ActionItem(
            icon="/static/package/security-upgrades-alert-16x16.png",
            summary="%(action)s",
            summary_single="%(action)s",
            action=usn.summary,
            action_url=FILTER_URL + "security&usn=%s" % usn.name,
        )
