# Copyright 2005-2013 Canonical Limited.  All rights reserved.

from zope.component import getUtility

from canonical.url import ContextURL
from canonical.routes.publisher import get_route_object

from canonical.landscape.model.root.interfaces import ILandscapeRoot
from canonical.landscape.model.main.account import Account


class PersonContextURL(ContextURL):

    alias = "person"

    @property
    def path(self):
        if self.context == getattr(self.request.principal, "person", None):
            return "settings"
        return "person/%d" % self.context.id

    @property
    def parent(self):
        account = get_route_object(Account, self.request)
        if account is not None:
            return account
        else:
            return getUtility(ILandscapeRoot)
