# Copyright 2005-2013 Canonical Limited.  All rights reserved.

from canonical.landscape.model.activity.activity import Activity
from canonical.landscape.model.activity.status import BLOCKED
from canonical.landscape.ui.account.page import AccountPage
from canonical.landscape.ui.activity.summary import ActivitiesPageMixin


class PackageProfileActivitiesPage(ActivitiesPageMixin, AccountPage):
    def __init__(self, context, request):
        if request.get("filter") not in ("pending", "unapproved"):
            request.form["filter"] = "pending"
        super(PackageProfileActivitiesPage, self).__init__(context, request)

    def _get_collection_filters(self):
        """Filter by pending activities associated with the profile."""
        kwargs = {}
        if self.request.form["filter"] == "unapproved":
            kwargs["statuses"] = [BLOCKED]
        result = self.context.profile.get_pending_activities(**kwargs)
        return {"ids": result.values(Activity.parent_id)}
