# Copyright 2005-2013 Canonical Limited.  All rights reserved.

from canonical.landscape.ui.monitoring.page import BaseDataAsCSVPage
from canonical.landscape.ui.page.page import check_request_csrf_token


class DashboardCSVPage(BaseDataAsCSVPage):
    """
    A CSV download view for L{ReportingManagement}.
    """

    filename = "dashboard"

    def __call__(self):
        check_request_csrf_token(self.request)
        by_cve = "by_cve" in list(self.request.form.keys())
        kwargs = {
            "by_cve": by_cve,
        }
        if by_cve:
            self.filename = "dashboard_by_cve"
        max_days = self.request.form.get("max_days")
        try:
            kwargs["max_days"] = int(max_days)
        except (TypeError, ValueError):
            pass  # Null or invalid
        return super(DashboardCSVPage, self).__call__(**kwargs)
