from zope.cachedescriptors.property import Lazy

from canonical.content.provider import TemplateContentProvider

from canonical.landscape.model.access.permissions import MACRO_PERMISSIONS


class RoleHelpProvider(TemplateContentProvider):

    template_filename = "help.pt"

    @Lazy
    def permissions(self):
        """Return information about all possible role permissions."""
        return [
            {"title": permission.title, "doc": permission.doc}
            for permission in MACRO_PERMISSIONS.values()
        ]
