# Copyright 2005-2013 Canonical Limited.  All rights reserved.

from builtins import str
from zope.schema.vocabulary import SimpleVocabulary, SimpleTerm

from canonical.landscape.model.access.permissions import (
    MACRO_PERMISSIONS,
    ACCOUNT_MACRO_PERMISSIONS,
)


__clearlist__ = ["permissions_vocabulary"]


def permissions_vocabulary(self):
    """
    Creates a vocabulary containing macro permissions.
    """
    return SimpleVocabulary(
        [
            SimpleTerm(str(permission.name), title=permission.title)
            for permission in MACRO_PERMISSIONS.values()
        ]
    )


def account_permissions_vocabulary(self):
    """
    Creates a vocabulary containing account macro permissions.
    """
    return SimpleVocabulary(
        [
            SimpleTerm(str(permission.name), title=permission.title)
            for permission in ACCOUNT_MACRO_PERMISSIONS.values()
        ]
    )
