# Copyright 2005-2022 Canonical Limited. All rights reserved.

from base64 import encodebytes

from zope.publisher.browser import BrowserView

from canonical.content.decorator import json

from canonical.landscape.model.configuration import get_custom_ssl_ca


class CACertPage(BrowserView):
    @json
    def __call__(self):
        """Exposes custom CA cert pub key if exists."""
        ssl_ca = get_custom_ssl_ca()
        if ssl_ca:
            # Pre-format the cert for landscape-client.conf ssl-public-key
            b64 = encodebytes(ssl_ca).decode()
            encoded = "base64:" + "\n".join((" " + line for line in b64.splitlines()))
            return {"custom_ca_cert": encoded}
        return {}
