# Copyright 2005-2013 Canonical Limited.  All rights reserved.

from zope.interface import Interface, invariant
from zope.schema import Password, ValidationError


class IResetPassphrase(Interface):

    passphrase = Password(
        title="New passphrase",
        description="A secret passphrase.",
        min_length=3,
        max_length=50,
        required=True,
    )

    confirm_passphrase = Password(title="Confirm passphrase", required=True)

    @invariant
    def are_passwords_equal(obj):
        if obj.passphrase != obj.confirm_passphrase:
            raise ValidationError("Passphrases are not equal")
