from zope.component import getUtility

from canonical.landscape.ui.sandbox.page import SandboxPage
from canonical.amqp.message.interfaces import IDispatcher


class NotificationsPage(SandboxPage):
    """Sandbox page exemplifying server notifications.

    The following sections are available::

      - Notifications events: show how to receive AJAX notifications
        of server-generated events.

      - Notifications datasource: shows how to fetch the result of
        jobs created when the page request was handled.
    """

    title = "Notifications sandbox"

    def _before_render(self):
        sandbox = self.context
        dispatcher = getUtility(IDispatcher)

        # Declare our interest in receiving notifications targeted
        # to our sandbox instance.
        self.namespaces.append(sandbox.namespace)

        # Send a notification to this sandbox namespace.
        dispatcher.send_notification(
            "Watch out!", None, "sandbox-alert", sandbox.namespace
        )

        dispatcher.create_job(self.page_key, None, "sandbox-hello")
        dispatcher.create_job(self.page_key, None, "sandbox-boom")
