from zope.cachedescriptors.property import Lazy

from canonical.content.provider import TemplateContentProvider
from canonical.url import get_url_object

from canonical.landscape.model.computer.search import get_search_term_help_docs
from canonical.landscape.model.main.interfaces import IAccount


class SelectionHelpProvider(TemplateContentProvider):

    template_filename = "help.pt"

    @Lazy
    def criteria(self):
        """
        Return information about all documented computer search terms and
        the meaning of each term.
        """
        account = get_url_object(self.context, self.request, IAccount)
        return get_search_term_help_docs(account)
