# Copyright 2005-2013 Canonical Limited.  All rights reserved.

from zope.session.http import CookieClientIdManager


class LandscapeCookieClientIdManager(CookieClientIdManager):

    httpOnly = True

    def __init__(self, secret=None):
        super(LandscapeCookieClientIdManager, self).__init__(
            namespace="landscape_session", secret=secret
        )

    def setRequestId(self, request, id):
        super(LandscapeCookieClientIdManager, self).setRequestId(request, id)
        cookie = request.response.getCookie(self.namespace)
        if request.getURL().startswith("https:"):
            cookie["secure"] = True
        else:
            cookie["secure"] = False
        # We requested a new cookie, so pop the expire fields if they exist.
        cookie.pop("max_age", None)
        cookie.pop("expires", None)
