from zope.cachedescriptors.property import Lazy

from canonical.landscape.ui.toolbar.page import ComputerPaginatorPage


class SnapInfoPage(ComputerPaginatorPage):

    title = "Snap Information"
    max_per_page = 25
    paginate = True

    @Lazy
    def counts_by_computer(self):
        if self.context.has_unsupported_computers:
            self.notes.warning(
                "Some of the selected machines are incompatible with Landscape Snap Monitoring and"
                " will not appear below. Please upgrade Landscape Client on these machines."
            )

        return self.context.get_snap_counts_by_computer(
            offset=self.current_index - 1,
            limit=self.max_per_page,
        )
