# Copyright 2005-2013 Canonical Limited.  All rights reserved.

import os


def class_name_from_filename(fname):
    """Generate a CSS class name from the base filename."""
    basename = os.path.splitext(os.path.basename(fname))[0]
    return "sprite-" + basename


def format(context, request):
    """Format context (a filename) as one or more CSS class names."""
    class_name = class_name_from_filename(context)
    if class_name.endswith("14x14"):
        class_name += " smaller-icon"
    elif class_name.endswith("16x16"):
        class_name += " small-icon"
    elif class_name.endswith("32x32"):
        class_name += " large-icon"
    return class_name + " icon"
