# Copyright 2005-2013 Canonical Limited.  All rights reserved.

from zope.interface import Interface
from zope.schema import TextLine, Choice, Bool, Text


class ITrialRegistration(Interface):

    company_name = TextLine(title="Company name", required=True)

    daytime_phone = TextLine(title="Phone number", required=True)

    country = Choice(
        title="Country", vocabulary="registration_countries", required=True
    )

    registration_comments = Text(
        title="Comments",
        required=False,
        max_length=2000,
        description=(
            "Use this area to provide any comment or additional "
            "information (max 2000 chars)"
        ),
    )

    mailing_list_optin = Bool(
        title="Send me information about Canonical products and services"
    )

    terms_and_conditions = Text(title="Terms and Conditions", required=False)

    accepted_terms = Bool(title="I accept the terms and conditions")
