# Copyright 2005-2022 Canonical Limited. All rights reserved.

from zope.cachedescriptors.property import Lazy

from canonical.url import get_url

from canonical.landscape.ui.toolbar.page import ToolbarPage


class DeleteUserPage(ToolbarPage):

    requires = "landscape.RemoveUser"

    def __init__(self, context, request):
        super(DeleteUserPage, self).__init__(context, request)
        # It is somewhat sad that I am not using the form framework
        # for this form.
        if "actions.delete" in self.request.form:
            delete_home = bool(self.request.get("delete_home", False))
            self.context.delete_users(delete_home)
            usernames = set(u.username for u in self.context.users)
            self.notes.info("User %s will be deleted." % ", ".join(usernames))
            url = get_url(self.context.management, self.request)
            self.request.response.redirect(url)

    @Lazy
    def title(self):
        if len(self.context.users) > 1:
            return "Delete users"
        return "Delete user"
