# Copyright 2005-2014 Canonical Limited.  All rights reserved.
from uuid import uuid1

from twisted.internet.defer import succeed


class FakeBlobStoreAPI(object):
    """A fake implementation of BlobStoreAPI to be used in tests."""

    def __init__(self):
        self.uploaded_files = {}

    def upload_file(self, filepath):
        token = str(uuid1())
        with open(filepath, "r") as f:
            self.uploaded_files[token] = (filepath, f.read())
        return succeed(token)
