# Copyright 2017 Canonical Limited.  All rights reserved.

import random


def random_string(size, upper=None, alphabet="0123456789abcdef"):
    """Return a random unicode hex string of the given length.

    NOT FOR CRYPTOGRAPHIC USE.

    If upper is True then only 0-9A-F are used.  If False then 0-9a-f.
    If alphabet is specified, it will be used instead of hex digits.
    """
    if type(alphabet) == bytes:
        # attempt unicode conversion
        pop = alphabet.decode("utf-8")
    else:
        pop = alphabet

    value = "".join(random.choices(pop, k=size))

    if upper:
        return value.upper()
    return value
