# Copyright 2016 Canonical Limited.  All rights reserved.


def flatten_subclass_hierarchy(cls):
    """Return the set of all subclasses of the given class."""
    subclasses = set()
    remainder = [cls]
    while remainder:
        base = remainder.pop(0)
        subs = base.__subclasses__()
        subclasses.update(subs)
        remainder.extend(subs)
    return subclasses
