import random
import string

from six.moves import range as xrange


__all__ = ["create_access_key", "create_secret_key"]


def create_access_key():
    """Create a randomly generated 20 character access key."""
    system_random = random.SystemRandom()
    key_choice = string.ascii_uppercase + string.digits
    key = []
    for i in range(20):
        key.append(system_random.choice(key_choice))
    return "".join(key)


def create_secret_key():
    """Create a randomly generated 40 character access secret."""
    system_random = random.SystemRandom()
    secret_choice = (
        string.ascii_uppercase + string.ascii_lowercase + string.digits + "+/"
    )
    secret = []
    for i in range(40):
        secret.append(system_random.choice(secret_choice))
    return "".join(secret)
