def merge_function_metadata(original, new):
    """Overwrite C{new}'s docstring and instance dictionary from C{original}.

    This also sets an C{original_function} attribute on the new
    function to C{original}. This is to allow code
    introspect various things about the original function.
    """
    new.__doc__ = original.__doc__
    new.__dict__.update(original.__dict__)
    new.original_function = original
