# Copyright 2005-2012 Canonical Limited.  All rights reserved.

from canonical.lib.timestamp import utcnow
from dateutil.rrule import rrulestr

__all__ = ["is_valid_rrule_schedule"]


def is_valid_rrule_schedule(schedule):
    """
    Validates a schedule string, making sure it is the format specified by
    U{RFC 2445 <http://www.ietf.org/rfc/rfc2445.txt>}.
    """
    if schedule is None:
        return False

    now = utcnow()
    try:
        rrulestr(schedule, dtstart=now)
    except ValueError:
        return False
    return True
