# Copyright 2005-2013 Canonical Limited.  All rights reserved.

from zope.traversing.interfaces import ITraversable, TraversalError
from zope.component import adapts, queryMultiAdapter
from zope.interface import Interface, implementer

from canonical.navigation.interfaces import INavigation


@implementer(ITraversable)
class NavigationTraverser(object):

    adapts(Interface, Interface)

    def __init__(self, context, request):
        self.context = context
        self.request = request

    def traverse(self, name, remaining):
        navigation = queryMultiAdapter((self.context, self.request), INavigation, name)
        if navigation is None:
            raise TraversalError(self.context, "++navigation++%s" % name)
        return navigation
