# Copyright 2005-2022 Canonical Limited. All rights reserved.

from zope.interface import implementer

from canonical.notes.interfaces import INoteContainer, INFO, WARNING, ERROR


@implementer(INoteContainer)
class NoteContainerBase(object):

    _kind = 0
    _text = ""

    def add(self, kind, text):
        raise NotImplementedError("Implement INoteContainer.add()")

    def content(self):
        return self._text.strip()

    def info(self, text):
        self.add(INFO, text)

    def warning(self, text):
        self.add(WARNING, text)

    def error(self, text):
        self.add(ERROR, text)

    def is_info(self):
        return self._kind == INFO

    def is_warning(self):
        return self._kind == WARNING

    def is_error(self):
        return self._kind == ERROR

    def get_category(self):
        if self._kind == ERROR:
            return "error"
        if self._kind == WARNING:
            return "warning"
        if self._kind == INFO:
            return "info"
