# Copyright 2005-2013 Canonical Limited.  All rights reserved.

from zope.interface import Interface


INFO = 1
WARNING = 2
ERROR = 3


class INoteContainer(Interface):
    def add(kind, text):
        """Add a new note in this container."""

    def info(text):
        """Add a new note of kind INFO."""

    def warning(text):
        """Add a new note of kind WARNING."""

    def error(text):
        """Add a new note of kind ERROR."""

    def content():
        """Content of the notes."""

    def is_info():
        """Return C{True} if the notes are of the INFO kind."""

    def is_warning():
        """Return C{True} if the notes are of the WARNING kind."""

    def is_error():
        """Return C{True} if the notes are of the ERROR kind."""
