# Copyright 2014 Canonical Limited.  All rights reserved.

from canonical.openstack.api import OpenStackClient


class GlanceClient(OpenStackClient):

    """A client for the Glance API."""

    def images_detail(self):
        """Return details about all images."""
        return self.request("GET", "v1/images/detail")

    def delete_image(self, image_id):
        """Delete named image(s) from Glance.

        @param image_id: ID of the image to delete.
        """
        image_url = "v1/images/%s" % image_id
        return self.request("DELETE", image_url)
