# Copyright 2005-2013 Canonical Limited.  All rights reserved.

from zope.location.interfaces import ISite

from zope.component.registry import Components
from zope.component import getGlobalSiteManager
from zope.interface import implementer
from zope.traversing.interfaces import IContainmentRoot
from zope.location import ILocation, Location


__all__ = ["IRoot", "Root"]


class IRoot(IContainmentRoot, ILocation, ISite):
    pass


@implementer(IRoot)
class Root(Location):
    def __init__(self):
        self._sm = Components(bases=(getGlobalSiteManager(),))

    def getSiteManager(self):
        return self._sm

    def setSiteManager(self, sm):
        raise RuntimeError("Can't change site manager for root objects.")
