# Copyright 2005-2013 Canonical Limited.  All rights reserved.

from zope.security.checker import defineChecker, Checker, CheckerPublic
from zope.component.zcml import adapter

from canonical.routes.interfaces import IRoutesPublisher


def routes(_context, for_, class_, name="", layer=None, permission=CheckerPublic):
    class factory(class_):
        """Subclass where permissions will be defined on."""

    get_permissions = {}
    for attr in IRoutesPublisher:
        get_permissions[attr] = permission

    defineChecker(factory, Checker(get_permissions))

    adapter(
        _context,
        factory=(factory,),
        provides=IRoutesPublisher,
        for_=(for_, layer),
        name=name,
        permission=permission,
    )
