# Copyright 2005-2013 Canonical Limited.  All rights reserved.

from zope.configuration.fields import GlobalObject, GlobalInterface
from zope.security.zcml import Permission
from zope.interface import Interface
from zope.schema import TextLine


class IRoutesDirective(Interface):

    name = TextLine(
        title="View name",
        description="View name to register the routes publisher under.",
        required=False,
    )

    for_ = GlobalObject(
        title="Target",
        description="The interface or class the routes class is for",
        required=True,
    )

    layer = GlobalInterface(title="Request type", required=False)

    class_ = GlobalObject(
        title="Class", description="RoutesPublisher subclass.", required=True
    )

    permission = Permission(
        title="Permission",
        description="Permission needed to use the routes class.",
        required=False,
    )
