# Copyright 2005-2013 Canonical Limited.  All rights reserved.

from zope.component import adapts
from zope.interface import Interface, implementer
from zope.traversing.interfaces import ITraversable
from zope.security.management import checkPermission


@implementer(ITraversable)
class PermissionTraverser(object):
    """
    C{PermissionTraverser} check permissions using TALES expressions
    of the form: object/++may++permission-name
    """

    adapts(Interface, Interface)

    def __init__(self, context, request):
        self.context = context
        self.request = request

    def traverse(self, name, remaining):
        return checkPermission(name, self.context)
