# Copyright 2005-2013 Canonical Limited.  All rights reserved.

from zope.interface import implementer

from canonical.statuscode.interfaces import IStatusCode


@implementer(IStatusCode)
class StatusCode(int):

    _singletons = {}

    def __new__(cls, code):
        try:
            return cls._singletons[code]
        except KeyError:
            return cls._singletons.setdefault(code, int.__new__(cls, code))

    def __repr__(self):
        return "%s(%d)" % (self.__class__.__name__, self)


class StatusCodeAdapters(object):

    _singletons = {}

    def __getitem__(self, code):
        try:
            return self._singletons[code]
        except KeyError:
            try:
                status_code = StatusCode(code)
            except ValueError:
                raise KeyError(code)

            @implementer(IStatusCode)
            def status_code_adapter(context):
                return status_code

            return self._singletons.setdefault(code, status_code_adapter)


adapters = StatusCodeAdapters()
