from storm.properties import SimpleProperty
from storm.variables import Variable, _buffer_type


class BytesStrVariable(Variable):
    __slots__ = ()

    def parse_set(self, value, from_db):
        if isinstance(value, memoryview):
            value = bytes(value)
        elif isinstance(value, str):
            value = value.encode()
        elif not isinstance(value, bytes):
            raise TypeError(
                "Expected bytes or str, found {!r}: {!r}".format(type(value), value)
            )

        return value


class BytesStr(SimpleProperty):
    """ByteStr property.

    This accepts L{bytes}, L{str}, or L{memoryview} objects and stores
    them as bytes.
    """

    variable_class = BytesStrVariable
