import doctest

from canonical.testing.unit import UnitTest


class DocTest(UnitTest):
    """Helper class for running doctests has regular test methods.

    This class is here mainly because trial -jN doesn't support passing test
    suites to its workers, so we need to stay at the test case level.

    @ivar extraglobs: A C{dict} of extra globals that tests can set so they
        are available in the doctest name space.
    """

    def setUp(self):
        super(DocTest, self).setUp()
        self.extraglobs = {}

    def runDocFile(self, path):
        """Run a docfiile and make sure all expectations are met."""
        doctest.testfile(
            path,
            package=doctest._normalize_module(None),
            verbose=False,
            optionflags=doctest.ELLIPSIS,
            raise_on_error=True,
            extraglobs=self.extraglobs,
        )
