# Copyright 2005-2013 Canonical Limited.  All rights reserved.

from .fixtures import Fixture

from zope.publisher.interfaces import IRequest
from zope.session.session import Session, ClientId, RAMSessionDataContainer
from zope.session.http import CookieClientIdManager
from zope.session.interfaces import (
    IClientId,
    IClientIdManager,
    ISession,
    ISessionDataContainer,
)

from canonical.testing.fixtures import ComponentsFixture


class TestCookieClientIdManager(CookieClientIdManager):
    def __init__(self):
        super(TestCookieClientIdManager, self).__init__()
        self.namespace = "test_client_id"
        self.secret = "secret"


class SessionFixture(Fixture):
    def setUp(self):
        super(SessionFixture, self).setUp()
        fixture = self.useFixture(ComponentsFixture())
        registry = fixture.registry
        registry.registerAdapter(ClientId, [IRequest], IClientId)
        registry.registerAdapter(Session, [IRequest], ISession)
        registry.registerUtility(TestCookieClientIdManager(), IClientIdManager)
        registry.registerUtility(RAMSessionDataContainer(), ISessionDataContainer)
