# Copyright 2005-2022 Canonical Limited.  All rights reserved.

from logging import getLogger, Handler

from testresources import ResourcedTestCase

from testtools import TestCase

from storm.tests.mocker import MockerTestCase


class NullHandler(Handler):
    # Implement NullHandler by hand as it's only available in the
    # logging stdlib package since 2.7

    def emit(self, record):
        pass


class UnitTest(MockerTestCase, ResourcedTestCase, TestCase):
    """Convenience base class sporting commonly used test features."""

    def setUp(self):
        super(UnitTest, self).setUp()
        # Silence logging by default
        logger = getLogger()
        handler = NullHandler()
        logger.addHandler(handler)
        self.addCleanup(logger.removeHandler, handler)


# the 'skip' class attribute is there for backward compatibility with
# Python 2.6, which we don't need and would otherwise interfer with
# twisted.trial.unittest.TestCase.
del TestCase.skip
