# Copyright 2005-2013 Canonical Limited.  All rights reserved.

from zope.interface import Interface


class ITimer(Interface):
    def start(what):
        """Start timing the given event."""

    def stop(what):
        """Stop timing the given event."""

    def reset(what=None):
        """Forget elapsed time for the given event."""

    def get(what):
        """Get elapsed time for the given event.

        @return: Elapsed time for the given event, or 0 if tracking of
                 the given event hasn't started yet.
        """
