# Copyright 2005-2013 Canonical Limited.  All rights reserved.
"""Workaround bugs and limitations in the official Twisted code.

This package contains workarounds for Twisted bugs and/or backports of code
from newer Twisted releases.
"""
from select import EPOLLHUP
from twisted.internet import reactor


def tweak_epoll_event_handling():
    """Work around bug 1425083 by changing the epoll reactor event handling.

    Rarely epoll will report an EPOLLHUP (pipe closed) event before reporting
    that the pipe is readable, losing the input.  Therefore, we configure the
    epoll reactor to consider the EPOLLHUP event as an event that indicates
    input may be available (if none is available, the read fails and is
    ignored).
    """
    reactor._POLL_IN |= EPOLLHUP
