# Copyright 2005-2013 Canonical Limited.  All rights reserved.

from zope.publisher.interfaces import IRequest
from zope.interface import Interface
from zope.schema import Object, TextLine


class IContextURL(Interface):

    context = Object(
        title="Context", description="The context object itself", schema=Interface
    )

    request = Object(title="Request", description="The request made", schema=IRequest)

    parent = Object(
        title="Parent",
        description="The object whose URL is the prefix for the path",
        schema=Interface,
    )

    path = TextLine(
        title="Path", description="The path that leads to the context object"
    )

    alias = TextLine(title="Alias", description="A nickname for the this context URL")
