# Copyright 2005-2013 Canonical Limited.  All rights reserved.

from zope.configuration.fields import GlobalObject, GlobalInterface
from zope.interface import Interface
from zope.schema import TextLine


class IURLDirective(Interface):

    for_ = GlobalObject(
        title="Target",
        description="The interface or class this context URL is for",
        required=True,
    )

    layer = GlobalInterface(title="Request type", required=False)

    class_ = GlobalObject(
        title="Class",
        description="Adapter to IContextURL for this object.",
        required=False,
    )

    path_expr = TextLine(
        title="Path expression",
        description="TALES expression that evaluates to the relative path.",
        required=False,
    )

    parent_expr = TextLine(
        title="Parent expression",
        description="TALES expression that evaluates to the parent object.",
        required=False,
    )

    parent_utility = GlobalInterface(
        title="Parent utility",
        description="Interface of the utility that is the parent object",
        required=False,
    )

    parent_utility_name = TextLine(
        title="Parent utility name",
        description="Name of the utility that is the parent object",
        required=False,
    )

    alias = TextLine(
        title="Alias", description="A nickname for the this context URL", required=False
    )
