#!/bin/bash

. /opt/canonical/landscape/scripts/landscape-env.sh

SCRIPT_NAME=$(basename $0)
LOGGER_NAME=check-failed-payments

exit_if_not_running_cron
exit_if_maintenance_mode $LOGGER_NAME

# Get the distributed lock and set a trap to clear it
acquire_lock $SCRIPT_NAME || exit 1
trap "release_lock $SCRIPT_NAME" EXIT

cd ${ROOTDIR}/landscape
set -o pipefail
./check-failed-payments 2>&1 | pipe_to_syslog $LOGGER_NAME

exit 0
