import itertools
from setuptools import setup, find_packages

SCRIPTS = [
    "css-for-smart-sprites = canonical.landscape.scripts.smartsprites:run",
    "landscape = canonical.landscape.scripts.ui:run",
    "message-server = canonical.landscape.scripts.message_server:run",
    "pingserver = canonical.landscape.scripts.pingserver:run",
    "aptserver = canonical.landscape.scripts.aptserver:run",
    "sfserver = canonical.landscape.scripts.sfserver:run",
    "fake-maas2 = canonical.landscape.scripts.fakemaas2:run",
    "api = canonical.landscape.scripts.api:run",
    "job-handler = canonical.landscape.scripts.job_handler:run",
    "package-upload = canonical.landscape.scripts.packageupload:run",
    "async-frontend = canonical.landscape.scripts.async_frontend:run",
    "pppa-proxy = canonical.landscape.scripts.pppa_proxy:run",
    "landscape-accounts = canonical.landscape.scripts.accounts:run",
    "hash-id-databases = canonical.landscape.scripts.hashids:run",
    "meta-releases = canonical.landscape.scripts.metareleases:run",
    "process-alerts = canonical.landscape.scripts.alert:run_process",
    "update-alerts = canonical.landscape.scripts.alert:run_update",
    "landscape-profiles = canonical.landscape.scripts.profile:run",
    "maintenance = canonical.landscape.scripts.maintenance:run",
    "process-usns = canonical.landscape.scripts.usn:run",
    "schema = canonical.landscape.scripts.schema:run",
    "get-distributed-lock = canonical.landscape.scripts.distributed_lock:run",
    "get-proxy-config = canonical.landscape.scripts.proxy_config:run",
    ("generate-api-schemas = " "canonical.landscape.scripts.generate_api_schemas:run"),
    "landscape-oops = canonical.oops.dump_tool:run",
    "wait-for-ssh = canonical.landscape.scripts.standalone.wait_for_ssh:run",
    "disable-accounts = canonical.landscape.scripts.disable_accounts:run",
    "expire-accounts = canonical.landscape.scripts.expire_accounts:run",
    (
        "trial-account-notifications = "
        "canonical.landscape.scripts.trial_account_notifications:run"
    ),
    (
        "check-failed-payments = "
        "canonical.landscape.scripts.check_failed_payments:run"
    ),
    "sphinx-build = canonical.landscape.scripts.doc:run",
    "jslint = canonical.js.jslint:main",
    "yuimeta = convoy.meta:main",
    "schema-maintenance = canonical.landscape.scripts.schema_maintenance:run",
    "sync-lds-releases = canonical.landscape.scripts.syncldsreleases:run",
    "package-search = canonical.landscape.scripts.packagesearch:run",
    "invoke-job = canonical.landscape.scripts.job_invoker:run",
    ("ods-networking-setup = " "canonical.landscape.scripts.ods_networking_setup:run"),
    "juju-env-monitor = canonical.landscape.scripts.jujumonitor:run",
    "dump-hardware-info = canonical.landscape.scripts.hardware:run",
    ("lds-admin-addresses = " "canonical.landscape.scripts.lds_admin_addresses:run"),
    ("remove-canonical-leaver = " "canonical.landscape.scripts.canonical_leavers:run"),
    ("get-charm-revisions = " "canonical.landscape.scripts.get_charm_revisions:main"),
    "featureflags = canonical.landscape.scripts.featureflags:run",
    "cloud-eject = canonical.landscape.scripts.cloud_eject:run",
    "cloud-ingest = canonical.landscape.scripts.cloud_ingest:run",
    "bill-accounts = canonical.landscape.scripts.bill_accounts:run",
    (
        "generate-payment-receipts = "
        "canonical.landscape.scripts.generate_payment_receipts:run"
    ),
    (
        "stripe-charge-accounts = "
        "canonical.landscape.scripts.stripe_charge_accounts:run"
    ),
    (
        "publish-anonymous-metrics = "
        "canonical.landscape.scripts.publishanonymousmetrics:run"
    ),
    (
        "unblock-repo-activities = "
        "canonical.landscape.scripts.unblock_repo_activities:run"
    ),
]
TEST = [
    "test = canonical.testing.runner:run",
    "selenium-test = canonical.testing.runner:run",
    "coverage-test = canonical.testing.runner:coverage_run",
    "coverage-selenium-test = canonical.testing.runner:coverage_run",
    "trial = dev.scripts.trial:main",
]
PYTHON_SHELL = [
    "landscape-shell = dev.scripts.python_shell:main",
]

SUPERVISOR = [
    "ls-supervisord = dev.scripts.supervisord:main",
    "ui-supervisord = dev.scripts.supervisord:main",
    "selenium-supervisord = dev.scripts.supervisord:main",
    "ls-supervisorctl = dev.scripts.supervisorctl:main",
    "ui-supervisorctl = dev.scripts.supervisorctl:main",
    "selenium-supervisorctl = dev.scripts.supervisorctl:main",
]

setup(
    name="landscape",
    include_package_data=True,
    zip_safe=False,
    packages=find_packages(exclude=("benchmark*", "docs*", "dev")),
    entry_points={
        "console_scripts": list(
            itertools.chain(
                SCRIPTS,
                PYTHON_SHELL,
                TEST,
                SUPERVISOR,
            )
        ),
    },
    install_requires=[
        "landscape-client",
        "coverage",
    ],
)
