from canonical.landscape.model.computer.alerts import ComputerRebootAlert

from tests.helpers.ui import UITest


class AccountDashboardTest(UITest):

    with_computer = True

    def test_alert_menu(self):
        """
        The alerts menu renders the active alerts.
        """
        # Trigger an alert
        self.computer.reboot_required_flag = True
        self.rule = self.account.create_rule(ComputerRebootAlert)
        self.rule.enable_for_all_computers()
        self.rule.info.check([self.computer.id])
        summary = self.rule.info.get_summary()
        self.commit()

        account_dashboard = self.login()
        account_dashboard.alerts_menu_wait_item(summary, 10)
        self.assertIn("(1)", self.title)

    def test_registration_key(self):
        """ "
        The "show key" link displays an overlay with the computer registration
        key.
        """
        self.account.registration_password = "some-key"
        self.commit()
        account_dashboard = self.login()
        account_dashboard.show_registration_key_overlay()
        self.assertEqual("some-key", account_dashboard.get_registration_key())
