var webpack = require('webpack');
var path = require('path');

module.exports = {
    entry: {
        billing: './canonical/landscape/jsx/billing-dom.jsx',
        signup: './canonical/landscape/jsx/signup-form-dom.jsx',
        'billing-edit': './canonical/landscape/jsx/edit-billing-details-form-dom.jsx',
        'billing-create': './canonical/landscape/jsx/add-billing-details-dom.jsx',
        // vendor: ['react', 'react-dom', 'react-modal', 'react-stripe-elements', 'accounting'],
    },
    output: {
        path: path.resolve(__dirname, 'canonical/landscape/javascript/bundles/'),
        filename: '[name]-min.js'
    },
    module: {
        rules: [
            {
                test: /\.jsx?$/,
                exclude: /node_modules/,
                use: [
                    {
                        loader: 'babel-loader'
                    }
                ]
            }
        ]
    },
    
    resolve: {
        extensions: ['.js', '.jsx']
    },

    optimization: {
        splitChunks: {
            cacheGroups: {
                vendor: {
                    name: 'react',
                    test: /[\\/]node_modules[\\/]/,
                    chunks: 'initial',
                },
            },
        },
    },
};
